-- 运营活动Window基类
Lua_ActivityBaseWindow = class("Lua_ActivityBaseWindow", Lua_Window);
function Lua_ActivityBaseWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ActivityBaseWindow";
	
	self.winBgPath = "/images/common/ui_common_bg_7.png";
	self.titleAtlas = "crazyEggs_atlas";
	self.titleSprite = "ui_jdjc_font";
	self.closeAtlas = "common_atlas_2";
	self.closeSprite = "ui_common_btn_gb_2_";
	self.titleBgPath = "/images/common/ui_common_btd_06.png";
	self.showWinBg = true;
	self.showTitle = true;
end

function Lua_ActivityBaseWindow:buildShowItem()
	self:superCall("buildShowItem");

	if self.showWinBg and self.winBg == nil then
		self.winBg = UICreate.createImage(self.content, self.winBgPath, 0, 0, 0, 0);
		self.winBg:setDepth(0);
	end

	if self.btnClose ~= nil then
		self.btnClose:setAltas(self.closeAtlas, self.closeSprite);
		self.btnClose:setLocation(475, 161, 0);
		self.btnClose:resetSize();
		self.btnClose:setDepth(1);
	end

	if self.showTitle and self.titleBg == nil then
		self.titleBg = UICreate.createImage(self.content, self.titleBgPath, 0, 292, 0, 0);
		self.titleBg:setDepth(1);
	end

	if self.showTitle and self.title == nil then
		self.title = UICreate.createUIAtlasImage(self.content, self.titleAtlas, self.titleSprite, 0, 292, 0, 0);
		self.title:resetSize();
		self.title:setDepth(2);
	end
end

function Lua_ActivityBaseWindow:dispose()
	self:superCall("dispose");
end