Lua_CopyResultFailItem =class("Lua_CopyResultFailItem", Lua_DisplayObject)
function Lua_CopyResultFailItem:ctor(p)
	self:superCall("ctor", p, "CopyResultFailItem_skin")
end

function Lua_CopyResultFailItem:buildShowItem()
	self:superCall("buildShowItem");
	
	self.killedTxt:setEnable(false);
	self.killedLeftIcon:setEnable(false);
	self.killedRightIcon:setEnable(false);

	self.strongBg:addClickFuntion(self, self.onStrongClick);
	self.rideBg:addClickFuntion(self, self.onRideClick);
	self.starIcon:addClickFuntion(self, self.onStarClick);
end

function Lua_CopyResultFailItem:setShowKiller(killerName)
	self.descTxt:setEnable(false);
	self.strongBg:setEnable(false);
	self.rideBg:setEnable(false);
	self.starIcon:setEnable(false);

	self.killedLeftIcon:setEnable(true);
	self.killedRightIcon:setEnable(true);
	self.killedTxt:setEnable(true);
	self.killedTxt.text = LanUtil.formateStr(LanUtil.getValue(121643), killerName);
end

function Lua_CopyResultFailItem:onStrongClick(go)
	if DataCenter.funcOpenData:isOpened(10006) == false then
		local s = getConfig({"func_open", 10006, "advance_message"});
		if s ~= nil then
			OperateAlert.show(s);
		end
		return;
	end
	Lua_WindowUtil.openWin("Lua_ForgingWindow", WinParam.ACTION_AUTO, nil);
	self:hideOther();
end

function Lua_CopyResultFailItem:onRideClick(go)
	if DataCenter.funcOpenData:isOpened(10010) == false then
		local s = getConfig({"func_open", 10010, "advance_message"});
		if s ~= nil then
			OperateAlert.show(s);
		end
		return;
	end
	Lua_WindowUtil.openWin("Lua_FeatureMainWindow", WinParam.ACTION_AUTO, nil);
	self:hideOther();
end

function Lua_CopyResultFailItem:onStarClick(go)
	if DataCenter.funcOpenData:isOpened(10008) == false then
		local s = getConfig({"func_open", 10008, "advance_message"});
		if s ~= nil then
			OperateAlert.show(s);
		end
		return;
	end
	Lua_WindowUtil.openWin("Lua_PetWindow", WinParam.ACTION_AUTO, nil);
	self:hideOther();
end

function Lua_CopyResultFailItem:hideOther()
	Lua_WindowUtil.openWin("Lua_CopyResultWindow", WinParam.ACTION_CLOSE, nil);
	Lua_WindowUtil.openWin("Lua_BossCopyResultPanel", WinParam.ACTION_CLOSE, nil);

	sendMsg(10400902);
end