Lua_CopyResultWinItem = class("Lua_CopyResultWinItem", Lua_DisplayObject);
function Lua_CopyResultWinItem:ctor(p)
	self:superCall("ctor", p, "CopyResultWinItem_skin");
end

function Lua_CopyResultWinItem:buildShowItem()
	self:superCall("buildShowItem");

	self.rewardItem = Lua_RewardDragItem.new(self.content, 700);
	self.rewardItem.pivot = 2;
	self.rewardItem:setLocation(0, 0, 0);
	self.rewardItem:setDepth(5);
end

function Lua_CopyResultWinItem:setMaxShow(num)
	if self.rewardItem ~= nil then 
		self.rewardItem:setMaxShow(num);
	end
end

function Lua_CopyResultWinItem:updateItem(itemList)
	self.rewardItem:setRewardByArray(itemList);
end

function Lua_CopyResultWinItem:updateMoney(val)
	self.moneyTxt.text = "[85A8BE]"..LanUtil.getValue(110606).."：[-][00E125]+"..tostring(val).."[-]";
end

function Lua_CopyResultWinItem:updateExp(val)
	self.expTxt.text = "[85A8BE]"..LanUtil.getValue(121610).."：[-][00E125]+"..tostring(val).."[-]";
end