Lua_DragCustomBtnListCell = class("Lua_DragCustomBtnListCell", Lua_DisplayObject);
function Lua_DragCustomBtnListCell:ctor(p, btnType, cellWidth, cellHeight, offsetX, offsetY, skin)
    self.btnType = btnType;
    self.cellWidth = cellWidth;
    self.cellHeight = cellHeight;
    self.offsetX = offsetX;
    self.offsetY = offsetY;

    self:superCall("ctor", p, skin, false);
end

function Lua_DragCustomBtnListCell:buildShowItem()
    self:superCall("buildShowItem");
    self._selected = false;
end

function Lua_DragCustomBtnListCell:dispose()
    self:superCall("dispose");
end

function Lua_DragCustomBtnListCell:onPlayerSoundClick(go)
    if self.owner ~= nil and self.ownerCallBack ~= nil then
        self.ownerCallBack(self.owner, self._data);
    end
end

function Lua_DragCustomBtnListCell.Get:data()
    return self._data;
end

function Lua_DragCustomBtnListCell:setData(data, owner, ownerCallBack)
    self._data = data;
    self.owner = owner;
    self.ownerCallBack = ownerCallBack;
    self:updateData();
end

function Lua_DragCustomBtnListCell:updateData()

end

function Lua_DragCustomBtnListCell.Get:selected()
    return self._selected;
end

function Lua_DragCustomBtnListCell.Set:selected(val)
    self:setSelected(val);
end

function Lua_DragCustomBtnListCell:setSelected(val)
    self._selected = val;
end

function Lua_DragCustomBtnListCell:getHeight()
    return self.cellHeight;
end

function Lua_DragCustomBtnListCell:getWidth()
	return self.cellWidth;
end

function Lua_DragCustomBtnListCell:getOffsetX()
    return self.offsetX;
end

function Lua_DragCustomBtnListCell:getOffsetY()
    return self.offsetY;
end