﻿Lua_FullSizeTabLeftWindow = class("Lua_FullSizeTabWindow", Lua_FullSizeTabBaseWindow);
function Lua_FullSizeTabLeftWindow:ctor(tablist)
	self:superCall("ctor", tablist);
end

function Lua_FullSizeTabLeftWindow:buildPanel(go)
	self:superCall("buildPanel", go);

	local txtFontSize = self.tabList[1].txtFontSize ~= nil and self.tabList[1].txtFontSize or 28;
	self.btnList = Lua_ButtonList.new(self.content, self.tabNames, 68, self, self.onBtnClick,
		"ui_common_btn_01", "ui_common_btn_02", Vector4(0, 0, 192, 66), Vector4(0, 0, 192, 66),
		Lua_ColorDefine.transColor("FFFFFF"), Lua_ColorDefine.transColor("D2D8DC"), Vector4(txtFontSize, txtFontSize, 160, 30), 1, "common_atlas_1");
	self.btnList:setDepth(4);
	self.btnList:setLocation(-500, 222, 0);
end

function Lua_FullSizeTabLeftWindow:setSelected(val)
	self:superCall("setSelected", val);

	self:updateWindowDepth();
end