Lua_FullSizeTabWindow = class("Lua_FullSizeTabWindow", Lua_FullSizeTabBaseWindow);
function Lua_FullSizeTabWindow:buildPanel(go)
	self:superCall("buildPanel", go);
	
	self.btnList = Lua_ButtonList.new(self.content, self.tabNames, 88, self, self.onBtnClick,
		"ui_common_btn_d1", "ui_common_btn_d2", Vector4(0, 0, 114, 78), Vector4(0, 0, 114, 78),
		Lua_ColorDefine.transColor("D2D8DC"), Lua_ColorDefine.transColor("FFFFFF"), Vector4(28, 28, 100, 40), 1, "common_atlas_1",
		nil, nil, nil, nil, nil, "ui_common_btn_d3", Lua_ColorDefine.transColor("79808C"));
	self.btnList:setDepth(4);
	self.btnList:setLocation(MainWinDefine.bgWidth / 2 - 60, MainWinDefine.bgHeight / 2 - 135, 0);
end

function Lua_FullSizeTabWindow:updateBgImg(val)
	if self.tabList[val].bgPath ~= nil then
		self:updateBgImage(self.tabList[val].bgPath);
	else
		self:updateBgImage("/images/common/ui_common_bg.jpg");
	end
	self:updateWindowDepth();
end

function Lua_FullSizeTabWindow:setBlackMaskFun(val)
	self:superCall("setBlackMaskFun", val);
	if self.curPanel ~= nil and self.curPanel.setBlackMaskFun ~= nil then
		self.curPanel:setBlackMaskFun(val);
	end
end