checkRequire("Lua_MyPlayerModel");
Lua_PackLeftPanel = class("Lua_PackLeftPanel", Lua_DisplayObject)
function Lua_PackLeftPanel:ctor(p)
	-- self.posToEqu = {};
	-- self.posToEqu[1] = "toukui";
	-- self.posToEqu[2] = "yifu";
	-- self.posToEqu[3] = "hujian";
	-- self.posToEqu[4] = "shoutao";
	-- self.posToEqu[5] = "hutui";
	-- self.posToEqu[6] = "xiezi";
	-- self.posToEqu[7] = "wuqi";
	-- self.posToEqu[8] = "huwan";
	-- self.posToEqu[9] = "shouzhuo";
	-- self.posToEqu[10] = "jiezhi";
	-- self.posToEqu[11] = "xianglian";
	-- self.posToEqu[12] = "hufu";

	self.openIdList = {};
	self.openIdList[1] = nil; -- 精灵
	self.openIdList[2] = 10043; -- 军衔
	self.openIdList[3] = 10011; -- 称号
	self.openIdList[4] = 10006; -- 强化
	self.openIdList[5] = 10060; -- 宝石
	self.openIdList[6] = 10006; -- 星级
	self.openIdList[7] = 10066; -- 翅膀
	self.openIdList[8] = nil; -- 爱情信物
	self.openIdList[9] = 10190; -- 头像自定义

	self.atlasList = {};
	self.atlasList[1] = "ui_icon_jingling"; -- 精灵
	self.atlasList[2] = "ui_icon_junxian_s"; -- 军衔
	self.atlasList[3] = "ui_icon_chenghao_s"; -- 称号
	self.atlasList[4] = "ui_icon_qianghua_s"; -- 强化
	self.atlasList[5] = "ui_icon_baoshi_s"; -- 宝石
	self.atlasList[6] = "ui_icon_xingji_s"; -- 星级
	self.atlasList[7] = "ui_icon_shenyi"; -- 翅膀
	self.atlasList[8] = "ui_icon_aiqingxinwu"; -- 爱情信物
	self.atlasList[9] = "ui_icon_touxiang"; -- 头像自定义

	self:superCall("ctor", p, "PackLeftPanel_skin", true);
end

function Lua_PackLeftPanel:buildShowItem()
	self:superCall("buildShowItem");

	self.content.name = "Lua_PackLeftPanel";

	self.fightNum = Lua_NumberImage.new(self.content);
	self.fightNum.numWidth = 13;
	self.fightNum.numAtlas = "number_atlas";
	self.fightNum:setDepth(6);
	self.fightNum:setLocation(29, 206, 0);

	local itemImg;
	local addIcon;
	self.itemImgArr = Array();
	self.addIconArr = Array();
	for i = 1, 6 do
		itemImg = Lua_ToolImage.new(self.content);
		itemImg:setDepth(6);
		itemImg:setLocation(-275, 225 - 95 *(i - 1));
		itemImg:setDefaultIcon("role_atlas", "ui_jyt_" .. i);
		itemImg:setScale(0.94, 0.94);
		itemImg.content.name = "ui_jyt_" .. i;
		itemImg.setOutputId = 10000 + i;
		self.itemImgArr:add(itemImg);

		addIcon = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_prop", 0, 0, 0, 0);
		addIcon.name = "addIcon";
		addIcon:setDepth(7);
		addIcon:setScale(0.85, 0.85);
		addIcon:setLocation(-275, 225 - 95 *(i - 1));
		self.addIconArr:add(addIcon);
	end

	for i = 1, 6 do
		itemImg = Lua_ToolImage.new(self.content);
		itemImg:setDepth(6);
		itemImg:setLocation(271, -250 + 95 *(i - 1));
		itemImg:setDefaultIcon("role_atlas", "ui_jyt_" .. i + 6);
		itemImg:setScale(0.94, 0.94);
		itemImg.content.name = "ui_jyt_" ..(i + 6);
		itemImg.setOutputId = 10000 + i + 6;
		self.itemImgArr:add(itemImg);

		addIcon = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_prop", 0, 0, 0, 0);
		addIcon.name = "addIcon";
		addIcon:setDepth(7);
		addIcon:setScale(0.85, 0.85);
		addIcon:setLocation(271, -250 + 95 *(i - 1));
		self.addIconArr:add(addIcon);
	end

	-- 装扮背景
	if DataCenter.roleData.fashionBgId ~= nil and DataCenter.roleData.fashionBgId ~= 0 then
	local list = DataCenter.FashionData:getItem(DataCenter.roleData.fashionBgId);
		if self.fashionBg == nil then
			self.fashionBg = UICreate.createImage(self.content, "/images/fashionBg/role_"..list.id..".jpg", 306, -10, 0, 0);
			self.fashionBg.name = "fashionBg";
			self.fashionBg:setDepth(-1);
		end

		if self.effectBg == nil and list.effectName ~= nil then
			local offset = DataCenter.FashionData:getBgEffectOffset(list.id, "role_offset");
			self.effectBg = UICreate.createUIEffect(self.content, "/effects/scsEffects/"..list.effectName, list.effectName, offset[1], offset[2]);
			self.effectBg:setScale(offset[4], offset[4], offset[4]);
			self.effectBg:SetRenderQueue(self.name_bg, 10, 2, false);
		end
	end

	for i = 1, 9 do
		self:checkIconOpen(i, self.openIdList[i]);
	end

	self.model = Lua_MyPlayerModel.new(self.content, self.click_bg1);
	self.model:setLocation(0, -240, 150);

	self.icon_redPoint2:setEnable(DataCenter.redDotData:getRedDotStateByEventId(11101));
	self.click_bg9:setEnable(isHeadReplaceOpen());
	self.icon9:setEnable(isHeadReplaceOpen());

	-- self.icon1:addLoadCompleteFun(self, self.onIcon1LoadCompleteImg);

	self.click_bg1:addClickFuntion(self, self.onIcon1Click);
	self.click_bg2:addClickFuntion(self, self.onIcon2Click);
	self.click_bg3:addClickFuntion(self, self.onIcon3Click);
	self.click_bg4:addClickFuntion(self, self.onIcon4Click);
	self.click_bg5:addClickFuntion(self, self.onIcon5Click);
	self.click_bg6:addClickFuntion(self, self.onIcon6Click);
	self.click_bg7:addClickFuntion(self, self.onIcon7Click);
	self.click_bg8:addClickFuntion(self, self.onIcon8Click);
	self.click_bg9:addClickFuntion(self, self.onIcon9Click);

	self:onProperUpdate(0);
	self:onEquUpdate(nil);
	self:onFairyEquUpdate()
	self:onWingEquUpdate();
	self:onLoveGiftUpdate();

	self:addLuaEvent("ROLE_HP_UPDATE", self, self.onProperUpdate);
	self:addLuaEvent("EQU_UPDATE", self, self.onEquUpdate);
	self:addLuaEvent("FAIRY_EQUIP_UPDATE", self, self.onFairyEquUpdate);
	self:addLuaEvent("PUT_WING_UPDATE", self, self.onWingEquUpdate);
	self:addLuaEvent("SET_LOVE_GIFT_PANEL", self, self.onLoveGiftUpdate);
	self:addLuaEvent("UPDATE_REDDOT_EVENT", self, self.onRedDotUpdate);
end

function Lua_PackLeftPanel:checkIconOpen(index, openId)
	if openId == nil then
		return;
	end

	if DataCenter.funcOpenData:isOpened(openId) == false then
		self["icon" .. index]:setAltas("icon_atlas_1", self.atlasList[index]);
	end
end

function Lua_PackLeftPanel:onProperUpdate(val)
	if val == 0 then
		self.nameTxt.text = DataCenter.roleData.name;
		self.fightNum.num = tonumber(DataCenter.roleData.force);
	end
end

function Lua_PackLeftPanel:onEquUpdate()
	local equData = DataCenter.equData;
	for i = 1, self.itemImgArr:getSize() do
		self.itemImgArr[i].data = equData:getEquByPart(i);
		self.addIconArr[i]:setEnable(equData:getEquByPart(i) == nil);
	end

	if DataCenter.equData.indensify ~= nil and DataCenter.equData.indensify ~= 0 and DataCenter.funcOpenData:isOpened(self.openIdList[4]) == true then
		self.lvlTxt4.text = "+" .. DataCenter.equData.indensify;
	else
		self.lvlTxt4.text = "";
	end

	if DataCenter.equData.jewel ~= nil and DataCenter.equData.jewel ~= 0 and DataCenter.funcOpenData:isOpened(self.openIdList[5]) == true then
		self.lvlTxt5.text = "+" .. DataCenter.equData.jewel;
	else
		self.lvlTxt5.text = "";
	end

	if DataCenter.equData.star ~= nil and DataCenter.equData.star ~= 0 and DataCenter.funcOpenData:isOpened(self.openIdList[6]) == true then
		self.lvlTxt6.text = "+" .. DataCenter.equData.star;
	else
		self.lvlTxt6.text = "";
	end
end

function Lua_PackLeftPanel:onFairyEquUpdate()
	local curFairyIndex = DataCenter.fairyData.curFairyIndex;
	if curFairyIndex == 0 then
		self.icon1:setAltas("icon_atlas_1", "ui_icon_jingling2");
		self.icon1:setLocation(-175, -183, 0);
		self.icon1:SetDimensions(80, 90);
	else
		local equipedfairyItem = DataCenter.fairyData.equipedfairyItem;
		self.icon1:setAltas(equipedfairyItem.atlas, equipedfairyItem.referenceId);
		self.icon1:setLocation(-177, -169, 0);
		self.icon1:SetDimensions(76, 76);
	end
	self.icon_add1:setEnable(curFairyIndex == 0);
end

function Lua_PackLeftPanel:onWingEquUpdate()
	self.iconDescTxt7.text = "";
	if DataCenter.GodWingData.wear_wing_id ~= 0 then
		local wingConfig = Lua_WingUtil.getItemData(DataCenter.GodWingData.wear_wing_id);
		if wingConfig.referenceId ~= nil then
			self.icon7:setAltas(wingConfig.atlas, tostring(wingConfig.referenceId));
		else
			self.icon7:setAltas(wingConfig.atlas, tostring(DataCenter.GodWingData.wear_wing_id));
		end

		if wingConfig.rtDesc ~= nil then
			self.iconDescTxt7.text = wingConfig.rtDesc;
		end
		self.icon7:setLocation(176, -175, 0);
	else
		self.icon7:setAltas("icon_atlas_1", "ui_icon_shenyi2");
		self.icon7:setLocation(176, -183, 0);
	end
	self.icon_add7:setEnable(DataCenter.GodWingData.wear_wing_id == 0);
end

function Lua_PackLeftPanel:onLoveGiftUpdate()
	local packKeepsakeInfo = DataCenter.marryData.packKeepsakeInfo;
	if packKeepsakeInfo == nil then return end;
	
	local keepsakeId = packKeepsakeInfo.keepsake_id;
	if keepsakeId == nil or keepsakeId == 0 then
		self.loveGiftObj:SetActive(false);
	else
		local loveGiftConfig = Lua_ToolVo.new(keepsakeId);
		self.icon8:setAltas(loveGiftConfig.atlas, tostring(keepsakeId));
		self.icon8:SetDimensions(76, 76);
		self.icon8:setLocation(-177, -80);
	end
end

function Lua_PackLeftPanel:onRedDotUpdate(obj)
	if obj == nil or obj.evenId == 11101 then
		self.icon_redPoint2:setEnable(DataCenter.redDotData:getRedDotStateByEventId(11101));
	end
end

function Lua_PackLeftPanel:checkOpenTip(openId)
	if openId == nil then
		return true;
	end

	if DataCenter.funcOpenData:isOpened(openId) == true then
		return true;
	end

	local s = getConfig( { "func_open", openId, "advance_message" });
	if s ~= nil then
		OperateAlert.show(s);
	end
	return false;
end

function Lua_PackLeftPanel:onIcon1LoadCompleteImg()
	self.icon1:resetSize();
end

function Lua_PackLeftPanel:onIcon1Click(go)
	-- 精灵1
	if self:checkOpenTip(self.openIdList[1]) == false then
		return;
	end

	local equipedfairyItem = DataCenter.fairyData.equipedfairyItem;
	local curFairyIndex = DataCenter.fairyData.curFairyIndex;
	if curFairyIndex > 0 then
		Lua_WindowUtil.openWin("Lua_ItemEquDetailWindow", WinParam.ACTION_OPEN, { data = equipedfairyItem, isMarketSell = false, isShowBtns = true });
	else
		Lua_WindowUtil.openWin("Lua_OutputWindow", nil, 10013);
	end

	-- if(equipedfairyItem.fairyType~=nil and equipedfairyItem.fairyType>0) then
	-- 	Lua_WindowUtil.openWin("Lua_ItemEquDetailWindow",WinParam.ACTION_OPEN, {data = equipedfairyItem, isMarketSell = false});
	-- end
end

function Lua_PackLeftPanel:onIcon2Click(go)
	-- 军衔
	if self:checkOpenTip(self.openIdList[2]) == false then
		return;
	end
	Lua_WindowUtil.openWin("Lua_JunXianWindow");
end

function Lua_PackLeftPanel:onIcon3Click(go)
	-- 称号
	if self:checkOpenTip(self.openIdList[3]) == false then
		return;
	end
	Lua_WindowUtil.openWin("Lua_TitleWindow");
end

function Lua_PackLeftPanel:onIcon4Click(go)
	-- 强化
	if self:checkOpenTip(self.openIdList[4]) == false then
		return;
	end

	Lua_WindowUtil.openWin("Lua_AdditionWindow", WinParam.ACTION_AUTO, {str = "indensify_attr", value = DataCenter.equData.indensify});
end

function Lua_PackLeftPanel:onIcon5Click(go)
	-- 宝石
	if self:checkOpenTip(self.openIdList[5]) == false then
		return;
	end

	Lua_WindowUtil.openWin("Lua_AdditionWindow", WinParam.ACTION_AUTO, {str = "jewel_attr", value = DataCenter.equData.jewel});
end

function Lua_PackLeftPanel:onIcon6Click(go)
	-- 星级
	if self:checkOpenTip(self.openIdList[6]) == false then
		return;
	end

	Lua_WindowUtil.openWin("Lua_AdditionWindow", WinParam.ACTION_AUTO, {str = "star_attr", value = DataCenter.equData.star});
end

function Lua_PackLeftPanel:onIcon7Click(go)
	-- 精灵2
	if self:checkOpenTip(self.openIdList[7]) == false then
		return;
	end

	if DataCenter.GodWingData.wear_wing_id ~= 0 then
		Lua_WindowUtil.openWin("Lua_WearWingTipsWindow");
	else
		Lua_WindowUtil.openWin("Lua_OutputWindow", nil, 10014);
	end
end

function Lua_PackLeftPanel:onIcon8Click(go)
	-- 爱情信物
	if self:checkOpenTip(self.openIdList[8]) == false then
		return;
	end

	if DataCenter.marryData.packKeepsakeInfo.keepsake_id ~= 0 then
		local loveGiftConfig = Lua_ToolVo.new(DataCenter.marryData.keepsake_info.keepsake_id);
		Lua_WindowUtil.openWin("Lua_LoveGiftTipsWindow", WinParam.ACTION_OPEN, {data = loveGiftConfig, isShowBtn = true});
	end
end

function Lua_PackLeftPanel:onIcon9Click(go)
	-- 头像自定义
	if self:checkOpenTip(self.openIdList[9]) == false then
		return;
	end
	Lua_WindowUtil.openWin("Lua_ModifyHeadWindow", WinParam.ACTION_OPEN);
end

function Lua_PackLeftPanel:dispose()
	if self.fightNum ~= nil then
		self.fightNum:dispose();
		self.fightNum = nil;
	end
	if self.itemImgArr ~= nil then
		self.itemImgArr:dispose();
		self.itemImgArr:clear();
		self.itemImgArr = nil;
	end
	if self.addIconArr ~= nil then
		self.addIconArr:dispose();
		self.addIconArr:clear();
		self.addIconArr = nil;
	end
	if self.fashionBg ~= nil then
		self.fashionBg:dispose();
		self.fashionBg = nil;
	end
	if self.effectBg ~= nil then
		self.effectBg:dispose();
		self.effectBg = nil;
	end
	if self.model ~= nil then
		self.model:dispose();
		self.model = nil;
	end

	self:superCall("dispose");
end