Lua_SecondSizeWindow = class("Lua_SecondSizeWindow", Lua_Window);
function Lua_SecondSizeWindow:ctor(showInfoBg, isModel, layer, showClose, showTitle, titleText, showWinBg)
	self:superCall("ctor");

	self.showInfoBg = showInfoBg == nil and true or showInfoBg; -- 初始默认有背景图（二级窗口底框）
	self.isModel = isModel == nil and true or isModel;--黑色背景遮罩
	self.layer = layer == nil and 3500 or layer; -- 默认正常窗口层级3500
	self.showClose = showClose == nil and true or showClose;
	self.showTitle = showTitle == nil and true or showTitle; -- 初始默认有标题背景图（二级标题背景图）
	self.titleText = titleText ~= nil and titleText or nil;
	self.showBg = showWinBg == nil and false or showWinBg;
	self.w = MainWinDefine.V_width; -- 暂时没用窗口数值大小，位置暂时写死，有需求再用
	self.h = MainWinDefine.V_height; -- 暂时没用窗口数值大小，位置暂时写死，有需求再用
end

function Lua_SecondSizeWindow:buildShowItem(go)
	self:superCall("buildShowItem", go);

	if self.btnClose ~= nil then
		self.btnClose:setDepth(3);
		self.btnClose:setAltas("common_atlas_1", "ui_common_btn_gb");
		self.btnClose:resetSize();
		self.btnClose:setLocation(535, 285, 0);
	end

	if self.showTitle == true then
		self.winTitleBg = UICreate.createImage(self.content, "/images/common/ui_common_btd_02.png", 0, 282, 0, 0);
		self.winTitleBg.name = "winTitleBg";
		self.winTitleBg:setDepth(0);

		self.titleNameTxt = UICreate.createLabel(self.content, "", 0, 281.5, 200, 30, 36);
		self.titleNameTxt.name = "titleNameTxt";
		self.titleNameTxt.pivot = UIWidget.Pivot.Center;
		self.titleNameTxt.overflowMethod = UILabel.Overflow.ResizeFreely;
		self.titleNameTxt.effectColorStr = Lua_ColorDefine.transColor("363A69");
		self.titleNameTxt:setEffectDistance(1, 1);
		self.titleNameTxt:setDepth(1);
	end

	if self.showInfoBg == true then
		self.infoBg = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_widget_04", 0, -35, 1140, 572);
		self.infoBg.name = "infoBg";
		self.infoBg:setDepth(0);
	end

	if self.titleText ~= nil then
		self.titleNameTxt.text = self.titleText
	end
end

function Lua_SecondSizeWindow:setTitleTxt(titleNameTxt)
	self.titleNameTxt.text = titleNameTxt;
end

function Lua_SecondSizeWindow:dispose()
	if self.infoBg ~= nil then
		self.infoBg:dispose();
		self.infoBg = nil;
	end
	if self.winTitleBg ~= nil then
		self.winTitleBg:dispose();
		self.winTitleBg = nil;
	end
	if self.titleNameTxt ~= nil then
		self.titleNameTxt:dispose();
		self.titleNameTxt = nil;
	end

	self:superCall("dispose");
end