Lua_SpecialFullSizeTabLeftWindow = class("Lua_SpecialFullSizeTabLeftWindow", Lua_FullSizeTabBaseWindow);
function Lua_SpecialFullSizeTabLeftWindow:ctor(tablist, btnAtlasNor, btnSpriteNor, btnSpriteSelect, txtPos, txtPressPos)
	self:superCall("ctor", tablist);

	self.showTitle = true;
	self.isSpecial = false;
	self.btnAtlas = btnAtlasNor;
	self.btnSpriteNor = btnSpriteNor;
	self.btnSpriteSelect = btnSpriteSelect;
	self.txtPos = txtPos;
	self.txtPressPos = txtPressPos;
end

function Lua_SpecialFullSizeTabLeftWindow:buildPanel(go)
	self:superCall("buildPanel", go);

	self.btnClose:setAltas("common_atlas_1", "ui_common_btn_05");
	self.btnClose:resetSize();
	self.btnClose:setLocation(MainWinDefine.bgWidth / 2 - 1229, MainWinDefine.bgHeight / 2 - 31, 0);
	self.btnClose:setDepth(3);

	self.btnList = Lua_ButtonList.new(self.content, self.tabNames, 106, self, self.onBtnClick,
		self.btnSpriteNor, self.btnSpriteSelect, Vector4(0, 0, 204, 92), Vector4(5, 0, 214, 96),
		Lua_ColorDefine.transColor("B6BFD5"), Lua_ColorDefine.transColor("FFC600"), Vector4(32, 32, 200, 40), 1, self.btnAtlas, self.txtPos, self.txtPressPos);
	self.btnList:setDepth(4); 
	self.btnList:setLocation(-MainWinDefine.bgWidth / 2 + 102, MainWinDefine.bgHeight / 2 - 139, 0);
end

function Lua_SpecialFullSizeTabLeftWindow:setSelected(val)
	self:superCall("setSelected", val);
	self:updateWindowDepth();
end