--断线重连 Window
Lua_ReconnectWindow = class("Lua_ReconnectWindow", Lua_Window);

function Lua_ReconnectWindow:ctor()
    self:superCall("ctor");

    self.showBg = false;
    self.showClose = false;
    self.layer = MainWinDefine.TIPS_WINDOW_LAYER;

    self.windowName = "Lua_ReconnectWindow";
    self.skinName = "ReconnectWindow_skin";
end

function Lua_ReconnectWindow:buildShowItem()
    self:superCall("buildShowItem");

    Lua_WindowUtil.openWin("Lua_ReconnectingWindow", WinParam.ACTION_CLOSE);

    self.contentTxt.text = LanUtil.getValue(100757);

    self.subBtn:addClickFuntion(self, self.onSubClick);
    self.cancelBtn:addClickFuntion(self, self.onCancelClick);
end

function Lua_ReconnectWindow:dispose()
    self:superCall("dispose");
end

function Lua_ReconnectWindow:onSubClick()
    MsgUtil.callFunc("START_RECONNECT");
    self:hide();
end

function Lua_ReconnectWindow:onCancelClick()
    if CommonUtil.lanType ~= 1 or Lua_PlatformUtil.IsWindowsEditor or Lua_PlatformUtil.IsWindowsPlayer then
        LuaUtil.relogin();
        self:hide();
    else
        LuaUtil.reconnectLoginOut();
    end
end

