Lua_ProxyManager = {};
function Lua_ProxyManager.initProxy()
	local proxyList = Array();
	proxyList:add("Lua_XianShiProxy");
	proxyList:add("Lua_PackProxy");
	proxyList:add("Lua_TaskProxy");
	proxyList:add("Lua_ThingProxy");
	proxyList:add("Lua_SkillProxy");
	proxyList:add("Lua_MainCShapProxy");
	proxyList:add("Lua_PlayerProxy");
	proxyList:add("Lua_JunXianProxy");
	proxyList:add("Lua_GamePlayProxy");
	proxyList:add("Lua_TreasureProxy");
	proxyList:add("Lua_MarketProxy");
	proxyList:add("Lua_EveryDayAnswerProxy");
	proxyList:add("Lua_CampWarProxy");
	proxyList:add("Lua_SnatchWarProxy");
	proxyList:add("Lua_MapProxy");
	proxyList:add("Lua_FactionLeagueActProxy");
	proxyList:add("Lua_FortuneCatProxy");
	proxyList:add("Lua_ForgingProxy");
	proxyList:add("Lua_SysSettingsProxy");
	proxyList:add("Lua_HangUpSettingsProxy");
	proxyList:add("Lua_TitleProxy");
	proxyList:add("Lua_FashionProxy");
	proxyList:add("Lua_ServantProxy");
	proxyList:add("Lua_ServantTransProxy");
	proxyList:add("Lua_FriendProxy");
	proxyList:add("Lua_ChatProxy");
	proxyList:add("Lua_GodWingProxy");
	proxyList:add("Lua_GodWingTransProxy");
	proxyList:add("Lua_ChangeJobProxy");
	proxyList:add("Lua_FactionProxy");
	proxyList:add("Lua_MailProxy");
	proxyList:add("Lua_ServantLvlUpProxy");
	proxyList:add("Lua_Cus_SerProxy");
	proxyList:add("Lua_CopyProxy");
	proxyList:add("Lua_RewardProxy");
	proxyList:add("Lua_ServantWeaponProxy");
	proxyList:add("Lua_ServantWeaponTransProxy");
	proxyList:add("Lua_ShopProxy");
	proxyList:add("Lua_TransProxy");
	proxyList:add("Lua_RuneProxy");
	proxyList:add("Lua_VipProxy")
	proxyList:add("Lua_ServantMountProxy");
	proxyList:add("Lua_ServantMountTransProxy");
	proxyList:add("Lua_ServantWingProxy");
	proxyList:add("Lua_ServantWingTransProxy");
	proxyList:add("Lua_MagicWeaponProxy");
	proxyList:add("Lua_MagicWeaponTransProxy");
	proxyList:add("Lua_BossProxy");
	proxyList:add("Lua_MountProxy");
	proxyList:add("Lua_TuJianProxy");
	proxyList:add("Lua_LongmaiProxy");
	proxyList:add("Lua_RechargeProxy");
	proxyList:add("Lua_MountTransProxy");
	proxyList:add("Lua_TalismanProxy");
	proxyList:add("Lua_TalismanTransProxy");
	proxyList:add("Lua_FootprintProxy");
	proxyList:add("Lua_FootprintTransProxy");
	proxyList:add("Lua_YunBiaoProxy");
	proxyList:add("Lua_AchievementProxy");
	proxyList:add("Lua_TeamProxy");
	proxyList:add("Lua_QiyuanProxy");
	proxyList:add("Lua_WulindahuiProxy");
	proxyList:add("Lua_TodayChargeProxy");
	proxyList:add("Lua_InvestmentPlanProxy");
	proxyList:add("Lua_GodWarProxy");
	proxyList:add("Lua_MonsterComeProxy");
	proxyList:add("Lua_GiftActivitiesProxy");
	proxyList:add("Lua_FuncOpenProxy");
	proxyList:add("Lua_FactionBonfireProxy");
	proxyList:add("Lua_MonthlyPlanProxy");
	proxyList:add("Lua_BeStrongProxy");
	proxyList:add("Lua_RedDotProxy");
	proxyList:add("Lua_GuideProxy");
	proxyList:add("Lua_FairyProxy");
	proxyList:add("Lua_LeaderBoardProxy");
	proxyList:add("Lua_OperationalActivitiesProxy");
	proxyList:add("Lua_FactionHuntingProxy");
	proxyList:add("Lua_GiftPlayProxy");
	proxyList:add("Lua_MarryProxy");
	proxyList:add("Lua_MarryNewProxy");
	proxyList:add("Lua_JianBaoProxy");
	proxyList:add("Lua_RedEnvelopeProxy");
	proxyList:add("Lua_SacredAnimalProxy");
	proxyList:add("Lua_GatherSoulProxy");
	proxyList:add("Lua_AwakeProxy");
	proxyList:add("Lua_TreasureActivityProxy");
	proxyList:add("Lua_GiftsProxy");
	proxyList:add("Lua_CloundBuyProxy");
	proxyList:add("Lua_WeeklyCardProxy");
	proxyList:add("Lua_PanGuProxy");
	proxyList:add("Lua_TalePetProxy");
	proxyList:add("Lua_PrivatePushProxy");
	proxyList:add("Lua_SuitProxy");
	proxyList:add("Lua_TheSelectionWarProxy");
	proxyList:add("Lua_CrystalWarProxy");
	proxyList:add("Lua_CardProxy");
	proxyList:add("Lua_AwakeTaskProxy");
	proxyList:add("Lua_AwakeUnrealProxy");
	proxyList:add("Lua_StampProxy");
	proxyList:add("Lua_MingSuoProxy");
	proxyList:add("Lua_FestivalCarnivalProxy");
	proxyList:add("Lua_MazeHuntProxy");
	proxyList:add("Lua_CloakProxy");
	proxyList:add("Lua_DailyRebateProxy");
	proxyList:add("Lua_ArmySoulProxy");
	proxyList:add("Lua_PoolPartyProxy");
	proxyList:add("Lua_KuaFuProxy");
	proxyList:add("Lua_GoodLuckDialProxy");
	proxyList:add("Lua_CrossServerRechargeProxy");
	proxyList:add("Lua_ExquisitePagodaProxy");
	proxyList:add("Lua_FuHunProxy");
	proxyList:add("Lua_CharmKingProxy");
	proxyList:add("Lua_CrossServerPurchasingProxy");
	proxyList:add("Lua_CyclicRechargeProxy");
	proxyList:add("Lua_KillBossActProxy");
	proxyList:add("Lua_EidolonProxy");-- 幻灵
	proxyList:add("Lua_CumulativeConsumptionProxy");
	proxyList:add("Lua_SingleChargingProxy");
	proxyList:add("Lua_LoversRechargeProxy");
	proxyList:add("Lua_PeakAuctionProxy");
	proxyList:add("Lua_NewZeroGiftProxy");
	proxyList:add("Lua_YuanBaoDoubleProxy"); 
	proxyList:add("Lua_JinJieBenefitProxy");
	proxyList:add("Lua_ZodiacProxy");
	proxyList:add("Lua_SecretProxy");
	proxyList:add("Lua_BeastSoulProxy");
	proxyList:add("Lua_GroupBuyProxy");
	proxyList:add("Lua_NewChargeEverydayProxy");
	proxyList:add("Lua_LoginProxy");
	proxyList:add("Lua_CrazyEggsProxy");
	proxyList:add("Lua_GodFurnaceProxy");
	proxyList:add("Lua_LuckySignProxy");

	Lua_ProxyManager.proxy = {};
	for i = 1, proxyList:getSize() do
		local c = checkRequire(proxyList[i]);
		local v = c.new();
		Lua_ProxyManager.proxy[c.classname] = v;
	end
end

function Lua_ProxyManager.getProxy(name)
	return Lua_ProxyManager.proxy[name];
end

function Lua_ProxyManager.updateSingleProxy(name)
	if Lua_ProxyManager.proxy[name] ~= nil then
		Lua_ProxyManager.proxy[name] = nil;

		local c = checkRequire(name);
		local v = c.new();
		Lua_ProxyManager.proxy[c.classname] = v;
	end
end