checkRequire("Lua_jianBaoData")
Lua_JianBaoProxy = class("Lua_JianBaoProxy");
function Lua_JianBaoProxy:ctor()
    DataCenter.JianBaoData = Lua_jianBaoData.new();
    LuaUtil.addLuaMsg(50103401, self, self.rJianbaoInfo)
	LuaUtil.addLuaMsg(50103402, self, self.rGetJianbao)
end

function Lua_JianBaoProxy:rJianbaoInfo(mp)
    if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50103401();
		msg:ParseFromString(mp.data);
		DataCenter.JianBaoData.description =msg.description;
		DataCenter.JianBaoData.time_tick =msg.time_tick;
		DataCenter.JianBaoData:rJianbaoInfo(msg);
		Lua_MsgUtil.callFunc("JIANBAOINFO_UPDATE");
	end
end

function Lua_JianBaoProxy:rGetJianbao(mp)
    if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50103402();
		msg:ParseFromString(mp.data);	
		if msg.is_max_rewards ~= 0 then
			DataCenter.JianBaoData.isrewards = true;
			Lua_WindowUtil.openWin("Lua_getJianBaoWindow",nil,msg.is_max_rewards)
		end
		Lua_MsgUtil.callFunc("GETJIANBAO_UPDATE");
	end
end