-- 觉醒幻化
checkRequire("Lua_AwakeUnrealData");
checkRequire("Lua_AwakeRecastUtil");
Lua_AwakeUnrealProxy = class("Lua_AwakeUnrealProxy");
function Lua_AwakeUnrealProxy:ctor()
    DataCenter.awakeUnrealData = Lua_AwakeUnrealData.new();
    DataCenter.awakeRecastUtil = Lua_AwakeRecastUtil.new();

    LuaUtil.addLuaMsg(51405201, self, self.rAwakeUnrealInfo);
end

-- 获取幻化面板信息（返回）
function Lua_AwakeUnrealProxy:rAwakeUnrealInfo(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto51405201();
        msg:ParseFromString(mp.data);
        DataCenter.awakeUnrealData:fromServer51405201(msg);
        Lua_MsgUtil.callFunc("UPDATE_UNREAL_INFO");
    end
end





-- 幻化信息请求
function Lua_AwakeUnrealProxy:sAwakeUnrealInfo()
	sendMsg(11405201);
end

-- 碎片激活
function Lua_AwakeUnrealProxy:sChipUpdateActivate(model_id, part)
	local cmd = ProtoPublic_pb.Proto11405202();
	cmd.model_id = tonumber(model_id);
	cmd.debris_id = tonumber(part);
	sendMsg(11405202, cmd);
end

-- 碎片激活
function Lua_AwakeUnrealProxy:sAwakeUnreal(model_id, open_flag)
	local cmd = ProtoPublic_pb.Proto11405203();
	cmd.model_id = tonumber(model_id);
	cmd.open_flag =tonumber(open_flag);
	sendMsg(11405203, cmd);
end