Lua_AwakeTaskUtil = {};
function Lua_AwakeTaskUtil:getConfig(stage)
	local moddelID = getConfig({"awake_task_step", stage, "model_id"});
	return getConfig({"playerHanger", moddelID});
end

function Lua_AwakeTaskUtil:stageData(stage)
	return getConfig({"awake_task_step", stage}); 
end

function Lua_AwakeTaskUtil:awakeTaskList(stage)
	local arr = getConfig({"awake_task_step", stage, "task_list"});
	local data; 
	local awakeTaskArr = Array();
	for i,v in ipairs(arr) do
		data = getConfig({"awake_task", v})
		awakeTaskArr:add(data);
	end
	return awakeTaskArr;
end

function Lua_AwakeTaskUtil:textShow(val, value)
	local count = tostring(math.floor(val / 10) + 1);
	local lvlShow = tostring(val % 10);
	local valueCount = tostring(math.floor(value / 10) + 1);
	local valueLvlShow = tostring(value % 10);
	local text;
	if val == value then
		text = " [85A8BE]("..LanUtil.formateStr(LanUtil.getValue(120012), count, lvlShow).."/"..
			LanUtil.formateStr(LanUtil.getValue(120012), valueCount, valueLvlShow)..")[-]";
	else
		text = " [FF1616]("..LanUtil.formateStr(LanUtil.getValue(120012), count, lvlShow).."/"..
			LanUtil.formateStr(LanUtil.getValue(120012), valueCount, valueLvlShow)..")[-]";
	end
	return text;
end