Lua_ChangeJobUtil = {};
function Lua_ChangeJobUtil.getConfig()
	return getConfig({"profession", "growup"})
end

function Lua_ChangeJobUtil.get()
	return #Lua_ChangeJobUtil.getConfig()
end

function Lua_ChangeJobUtil.getstepConfig(growup)
	if growup == 0 then
		growup = growup +1;
	end
	return Lua_ChangeJobUtil.getConfig()[growup].step
end

function Lua_ChangeJobUtil.gettaskConfig(growup,count)
	return Lua_ChangeJobUtil.getConfig()[growup].step[count].task
end

function Lua_ChangeJobUtil.getendtimeConfig()
	return getConfig({ "profession", "endtime"})
end

function Lua_ChangeJobUtil.dragonBall()
	return getConfig({ "profession", "dragon_ball"})
end

function Lua_ChangeJobUtil.fiveProto(growup,count)
	local c = getConfig({"profession", "dragon_ball"})
	local str = nil;
	for o,p in pairs(c[growup]) do
		for k,v in ipairs(Lua_ThingDefine.params) do
			if o == v then
				local s
				if count == 1 then 
					s = "[85A8BE]"..Lua_ThingDefine.getParamName(v)..":"..p[count].."[-]";
				else
					s = "[85A8BE]"..Lua_ThingDefine.getParamName(v)..":"..p[count] - p[count - 1].."[-]";
				end
				
				if str == nil then
					str = "";
				else
					str = str.."\n";
				end
				str = str..s;
			end
		end
	end
	return str
end

function Lua_ChangeJobUtil.getlevel(growup)
	if growup == #Lua_ChangeJobUtil.getConfig() then
		growup = growup;
	else
		growup = growup + 1;
	end
	return Lua_ChangeJobUtil.getConfig()[growup].level;
end

function Lua_ChangeJobUtil.getproperty(growup)
	growup = growup +1;
	local blood,blood,defence;
	if growup == 1 then 
		blood = Lua_ChangeJobUtil.bloodpropConfig(growup);
		attack = Lua_ChangeJobUtil.attackpropConfig(growup);
		defence = Lua_ChangeJobUtil.defencepropConfig(growup);
	end

	if growup <= #Lua_ChangeJobUtil.getConfig() and growup ~= 1 then
		blood = Lua_ChangeJobUtil.bloodpropConfig(growup);
		attack = Lua_ChangeJobUtil.attackpropConfig(growup);
		defence = Lua_ChangeJobUtil.defencepropConfig(growup);
	end

	if growup > #Lua_ChangeJobUtil.getConfig() then
		return LanUtil.formateStr(Lua_ChangeJobUtil.getConfig()[1].property, tostring("？"), tostring("？"), tostring("？"));
	else
		return LanUtil.formateStr(Lua_ChangeJobUtil.getConfig()[growup].property, tostring(blood), tostring(attack), tostring(defence));
	end
end

function Lua_ChangeJobUtil.fiveProperty(growup)
	growup = growup + 1;
	local blood, blood, defence;
	if growup == 1 then 
		blood = Lua_ChangeJobUtil.bloodpropConfig(growup);
		attack = Lua_ChangeJobUtil.attackpropConfig(growup);
		defence = Lua_ChangeJobUtil.defencepropConfig(growup);
	end

	if growup <= #Lua_ChangeJobUtil.getConfig() and growup ~= 1 then
		blood = Lua_ChangeJobUtil.bloodpropConfig(growup);
		attack = Lua_ChangeJobUtil.attackpropConfig(growup);
		defence = Lua_ChangeJobUtil.defencepropConfig(growup);
	end
	return LanUtil.formateStr(Lua_ChangeJobUtil.getConfig()[growup].property1, tostring(blood), tostring(attack), tostring(defence));
end

function Lua_ChangeJobUtil.getskill(growup)
	growup = growup +1;
	if growup > #Lua_ChangeJobUtil.getConfig() then
		return LanUtil.formateStr(LanUtil.getValue(110913),tostring("？"));
	else
		return Lua_ChangeJobUtil.getConfig()[growup].skill;
	end
end

function Lua_ChangeJobUtil.getskillcg(growup)
	return Lua_ChangeJobUtil.getConfig()[growup].skillcg;
end

function Lua_ChangeJobUtil.getname(growup)
	return Lua_ChangeJobUtil.getConfig()[growup].name;
end

function Lua_ChangeJobUtil.getadorn(growup)
	growup = growup + 1;
	if growup > #Lua_ChangeJobUtil.getConfig() then
		return LanUtil.formateStr(LanUtil.getValue(110914),tostring("？"));
	else
		return Lua_ChangeJobUtil.getConfig()[growup].adorn;
	end
end

function Lua_ChangeJobUtil.getadorncg(growup)
	return Lua_ChangeJobUtil.getConfig()[growup].adorncg;
end

function Lua_ChangeJobUtil.canpayConfig(growup,count)
	if growup == #Lua_ChangeJobUtil.getConfig() then
		growup = growup;
	else
		growup = growup + 1;
	end

	if count == #Lua_ChangeJobUtil.getstepConfig(growup) then
		count = count;
	else
		count = count + 1;
	end
	return Lua_ChangeJobUtil.getConfig()[growup].step[count].task[1].can_pay;
end

function Lua_ChangeJobUtil.enemylvlConfig(growup, count)
	if growup == #Lua_ChangeJobUtil.getConfig() then
		growup = growup;
	else
		growup = growup + 1;
	end

	if count == #Lua_ChangeJobUtil.getstepConfig(growup) then
		count = count;
	else
		count = count + 1;
	end
	return Lua_ChangeJobUtil.getConfig()[growup].step[count].task[1].enemy_lvl;
end

function Lua_ChangeJobUtil.valConfig(growup,count)
	if growup == #Lua_ChangeJobUtil.getConfig() then
		growup = growup;
	else
		growup = growup + 1;
	end

	if count == #Lua_ChangeJobUtil.getstepConfig(growup) then
		count = count;
	else
		count = count + 1;
	end
	local gettask = Lua_ChangeJobUtil.gettaskConfig(growup, count);
	return gettask;
end

function Lua_ChangeJobUtil.tasktrueConfig(growup,count,data)
	if growup == #Lua_ChangeJobUtil.getConfig() then
		growup = growup;
	else
		growup = growup + 1;
	end

	if count == #Lua_ChangeJobUtil.getstepConfig(growup) then
		count = count;
	else
		count = count + 1;
	end

	if #data == 1 then
		return LanUtil.formateStr(Lua_ChangeJobUtil.getConfig()[growup].step[count].task[1].tips, tostring(data[1].val));
	elseif #data == 2 then     
		return LanUtil.formateStr(Lua_ChangeJobUtil.getConfig()[growup].step[count].task[1].tips, tostring(data[1].val), tostring(data[2].val));
	elseif #data == 3 then   
		return LanUtil.formateStr(Lua_ChangeJobUtil.getConfig()[growup].step[count].task[1].tips, tostring(data[1].val), tostring(data[2].val), tostring(data[3].val));
	end
end

function Lua_ChangeJobUtil.taskfalseConfig(growup, count, data)
	local value = Lua_ChangeJobUtil.valConfig(growup, count)
	if growup == #Lua_ChangeJobUtil.getConfig() then
		growup = growup;
	else
		growup = growup + 1;
	end

	if count == #Lua_ChangeJobUtil.getstepConfig(growup) then
		count = count;
	else
		count = count + 1;
	end

	if  #data == 1 then
		return LanUtil.formateStr(Lua_ChangeJobUtil.getConfig()[growup].step[count].task[1].tips,
			LanUtil.formateStr("[FF1616]{1}[-]", tostring(data[1].obj_value)));
	elseif #data == 2 then   
		if data[1].val == nil then
			return "";
		end

		if data[1].obj_value ~= value[1].val and data[2].obj_value ~= value[2].val then
			return LanUtil.formateStr(Lua_ChangeJobUtil.getConfig()[growup].step[count].task[1].tips,
				string.format("[FF1616]%s[-]", data[1].obj_value), string.format("[FF1616]%s[-]",data[2].obj_value));

		elseif data[2].obj_value ~= value[2].val  then
			return LanUtil.formateStr(Lua_ChangeJobUtil.getConfig()[growup].step[count].task[1].tips,
				tostring(data[1].obj_value), LanUtil.formateStr("[FF1616]{1}[-]", tostring(data[2].obj_value)));
		elseif data[1].obj_value ~= value[1].val  then
			return LanUtil.formateStr(Lua_ChangeJobUtil.getConfig()[growup].step[count].task[1].tips,
				LanUtil.formateStr("[FF1616]{1}[-]", tostring(data[1].obj_value)), tostring(data[2].obj_value));
		end
	elseif #data == 3 then  
		return Lua_ChangeJobUtil.getConfig()[growup].step[count].task[1].tips;  
	end
end

function Lua_ChangeJobUtil.nameConfig(growup,count)
	if growup == #Lua_ChangeJobUtil.getConfig() then
		growup = #Lua_ChangeJobUtil.getConfig();
	else
		growup = growup + 1;
	end

	if count == #Lua_ChangeJobUtil.getstepConfig(growup) then
		count = count;
	else
		count = count + 1;
	end
	return Lua_ChangeJobUtil.getConfig()[growup].step[count].task[1].name;
end

function Lua_ChangeJobUtil.tasktips(growup,count)
	if DataCenter.changeJobData.isShow == true then
		return "";
	end

	if growup == 0 or count == 0 then
		return "";
	end
	local taskShow = LanUtil.formateStr(Lua_ChangeJobUtil.getConfig()[growup].step[count].task[1].tips1, tostring(DataCenter.changeJobData.taskvalue));
	return taskShow; 
end

function Lua_ChangeJobUtil.enemyTasktips(growup,count)
	if DataCenter.changeJobData.isShow == true then
		return "";
	end

	if growup == 0 or count == 0 then
		return "";
	end

	local taskvalue;
	if ((DataCenter.changeJobData.taskStep + 1) % 2) == 0 or (DataCenter.changeJobData.taskStep + 1) == 7 then
		taskvalue = 7;
	else
		taskvalue = DataCenter.changeJobData.taskvalue;
	end

	local taskShow;
	if taskvalue == 7 then
		taskShow =  "[00E125]"..LanUtil.formateStr(Lua_ChangeJobUtil.getConfig()[growup].step[count].task[1].tips, tostring(taskvalue)).."[-]";
	else
		taskShow =  "[FF1616]"..LanUtil.formateStr(Lua_ChangeJobUtil.getConfig()[growup].step[count].task[1].tips, tostring(taskvalue)).."[-]";
	end
	return taskShow; 
end

function Lua_ChangeJobUtil.bossTasktips(growup, count)
	if DataCenter.changeJobData.isShow == true then
		return "";
	end

	if growup == 0 or count == 0 then
		return "";
	end

	local taskvalue;
	if DataCenter.changeJobData.completeTask and ((DataCenter.changeJobData.taskStep + 1) % 2) == 0 or (DataCenter.changeJobData.taskStep + 1) == 7 then
		taskvalue = 1;
	else
		taskvalue = 0;
	end

	local taskShow;
	if taskvalue == 1 then
		taskShow =  "[00E125]"..LanUtil.formateStr(Lua_ChangeJobUtil.getConfig()[growup].step[count].task[1].tips, tostring(taskvalue)).."[-]";
	else
		taskShow =  "[FF1616]"..LanUtil.formateStr(Lua_ChangeJobUtil.getConfig()[growup].step[count].task[1].tips, tostring(taskvalue)).."[-]";
	end
	return taskShow; 
end

function Lua_ChangeJobUtil.lvlTasktips(growup, count)
	if DataCenter.changeJobData.isShow == true then
		return "";
	end

	if growup == 0 or count == 0 then
		return "";
	end

	local taskvalue = DataCenter.roleData.level;
	local taskVal =  Lua_ChangeJobUtil.getConfig()[growup].step[count].task[1].val;
	local taskShow;
	if taskvalue >= taskVal then
		taskShow = "[00E125]"..LanUtil.formateStr(Lua_ChangeJobUtil.getConfig()[growup].step[count].task[1].tips, tostring(taskvalue)).."[-]";
	else
		taskShow = "[FF1616]"..LanUtil.formateStr(Lua_ChangeJobUtil.getConfig()[growup].step[count].task[1].tips, tostring(taskvalue)).."[-]";
	end
	return taskShow; 
end

function Lua_ChangeJobUtil.autopayConfig(growup, count)
	if growup == #Lua_ChangeJobUtil.getConfig() then
		growup = growup;
	else
		growup = growup + 1;
	end

	if count == #Lua_ChangeJobUtil.getstepConfig(growup) then
		count = count;
	else
		count = count + 1;
	end
	return Lua_ChangeJobUtil.getConfig()[growup].step[count].auto_pay[1];
end

function Lua_ChangeJobUtil.tacktype(growup, count)
	return Lua_ChangeJobUtil.getConfig()[growup].step[count].task[1].tacktype;
end

function Lua_ChangeJobUtil.bossID(growup, count)
	if count >= 6 then
		count = count;
	else
		count = count +1
	end

	local boss = Lua_ChangeJobUtil.getConfig()[growup].step[count].task[1].id[1];
	if boss ~= nil then
		return getConfig({"monster", boss});
	end
end

function Lua_ChangeJobUtil.bossModel(growup, count)
	if count >= 6 then
		count = count;
	else
		count = count +1
	end
	return Lua_ChangeJobUtil.getConfig()[growup].step[count].task[1];
end

function Lua_ChangeJobUtil.sceneid(growup, count, lvl)
	if growup == #Lua_ChangeJobUtil.getConfig() then
		growup = growup;
	else
		growup = growup + 1;
	end 

	if count == #Lua_ChangeJobUtil.getstepConfig(growup) then
		count = count;
	else
		count = count + 1;
	end

	local arr = Array();
	local data = {};
	local sceneid = Lua_ChangeJobUtil.getConfig()[growup].step[count].task[1].sceneid;
	for k,v in pairs(sceneid) do
		local config = getConfig({"monster",tonumber(v[1])});
		arr:add({lvl = config.lvl, sortIdx = config.lvl == true and 1 or 0, sceneid= v[2], id= v[1]});

		local isOpenScence =  DataCenter.roleData:isScenceOpen(v[2]);
		if isOpenScence == true then
			if tonumber(config.lvl - 10) < tonumber(lvl) and tonumber(lvl) < tonumber(config.lvl + 10) then
				local sceneCfg = getConfig({"scene",v[2] ,"monster"});
				for j,l in pairs(sceneCfg) do
					if v[1] == l.id  then
						data.id = l.id;
						data.sceneid = v[2];
						data.posX = l.posX;
						data.posY= l.posY;
						data.posZ = l.posZ;
					end
				end
			end
		end
	end

	local arr1 = Array();
	for i = 1, arr:getSize() do
		local shift = {};
		for j=1,arr:getSize() do
			shift.maxlvl = arr[i].lvl;
			shift.minlvl = arr[j].lvl;
			if shift.maxlvl > shift.minlvl then
				shift.maxlvl = shift.maxlvl;
				shift.id = arr[i].id
				shift.sceneid = arr[i].sceneid
			else
				shift.maxlvl = shift.minlvl
				shift.id = arr[j].id
				shift.sceneid = arr[j].sceneid
			end
		end
		arr1:add(shift);
	end

	if tonumber(lvl) > tonumber(arr1[1].maxlvl) then 
		local Confg = getConfig({"scene", arr1[1].sceneid, "monster"});
		for j,l in pairs(Confg) do
			if arr1[1].id == l.id  then
				data.id = l.id;
				data.sceneid = arr1[1].sceneid;
				data.posX = l.posX;
				data.posY= l.posY;
				data.posZ = l.posZ;
			end
		end 
	end
	return data;
end

function Lua_ChangeJobUtil.getprofession(growup, count)
	itemIDConfig = getConfig({"profession", "profession"});
	local c = itemIDConfig[growup];
	if c == nil then
		c = itemIDConfig[1];
	end
	return c[count];
end

function Lua_ChangeJobUtil.getskillid(growup, count)
	if count == #Lua_ChangeJobUtil.getConfig() then
		count = count;
	else
		count = count + 1;
	end
	itemIDConfig = getConfig({"profession", "skill"});
	return itemIDConfig[growup][count];
end

function Lua_ChangeJobUtil.scenepos(growup, count)
	return Lua_ChangeJobUtil.getConfig()[growup].step[count].task[1].scenepos;
end

function Lua_ChangeJobUtil.expcostConfig(growup)
	return Lua_ChangeJobUtil.getstarlineConfig().exp_cost[growup];
end
function Lua_ChangeJobUtil.bloodConfig(growup)
	return Lua_ChangeJobUtil.getstarlineConfig().blood[growup];
end

function Lua_ChangeJobUtil.attackConfig(growup)
	return Lua_ChangeJobUtil.getstarlineConfig().attack[growup];
end

function Lua_ChangeJobUtil.critConfig(growup)
	return Lua_ChangeJobUtil.getstarlineConfig().defence[growup];
end

function Lua_ChangeJobUtil.getstarlineConfig()
	return getConfig({"profession", "star_line"})
end

function Lua_ChangeJobUtil.getprofessionpropConfig()
	return getConfig({"profession", "profession_prop"});
end

function Lua_ChangeJobUtil.clientShow()
	return getConfig({"profession", "client_show"})
end

function Lua_ChangeJobUtil.ballEffTran()
	return getConfig({"profession", "ballpos"})
end

function Lua_ChangeJobUtil.connectEffTran()
	return getConfig({"profession", "connect"})
end

function Lua_ChangeJobUtil.ballTran()
	return getConfig({"profession", "ball"})
end

function Lua_ChangeJobUtil.lianxian()
	return getConfig({"profession", "lianxian"})
end

function Lua_ChangeJobUtil.itemcost(growup)
	if growup >= 10  then
		growup = 10;
	else
		growup = growup + 1;
	end
	return Lua_ChangeJobUtil.getstarlineConfig().item_cost[growup][1];
end

function Lua_ChangeJobUtil.itemcount(growup)
	if growup >= 10  then
		growup = 10;
	else
		growup = growup + 1;
	end
	return Lua_ChangeJobUtil.getstarlineConfig().item_cost[growup][2];
end

function Lua_ChangeJobUtil.attackpropConfig(growup) 
	if growup == 1 then
		return Lua_ChangeJobUtil. getprofessionpropConfig().attack[growup];
	else
		return Lua_ChangeJobUtil. getprofessionpropConfig().attack[growup] - Lua_ChangeJobUtil. getprofessionpropConfig().attack[growup - 1];
	end
end

function Lua_ChangeJobUtil.bloodpropConfig(growup) 
	if growup == 1 then
		return Lua_ChangeJobUtil. getprofessionpropConfig().blood[growup];
	else
		return Lua_ChangeJobUtil. getprofessionpropConfig().blood[growup] - Lua_ChangeJobUtil. getprofessionpropConfig().blood[growup - 1];
	end
end

function Lua_ChangeJobUtil.defencepropConfig(growup) 
	if growup == 1 then
		return Lua_ChangeJobUtil. getprofessionpropConfig().defence[growup];
	else
		return Lua_ChangeJobUtil. getprofessionpropConfig().defence[growup] - Lua_ChangeJobUtil. getprofessionpropConfig().defence[growup - 1];
	end
end

function Lua_ChangeJobUtil.urlClickHandle(url)
	if url ~= nil then
		local arr = string.split(url, "_");
		if arr[1] == "goToStore" then
			Lua_WindowUtil.openWin("Lua_ShopWindow", nil, {openIdx = tonumber(arr[2]), itemID = tonumber(arr[3]), isShowEffectInFirst = true});
		end
	end
end

function Lua_ChangeJobUtil.stage()
	local stage = 1;
	if tonumber(DataCenter.changeJobData.taskStep) >= 2  then
		stage = 2;
	end
	if  tonumber(DataCenter.changeJobData.taskStep) >= 4 then
		stage = 3;
	end
	return stage;
end

function Lua_ChangeJobUtil.stageTaskShow()
	local completionDegree = "";
	if tonumber(DataCenter.changeJobData.taskStep) >= 0  then
		completionDegree = "("..(DataCenter.changeJobData.taskStep+1).."/2)";
	end
	if tonumber(DataCenter.changeJobData.taskStep) >= 2  then
		completionDegree = "("..(DataCenter.changeJobData.taskStep+1-2).."/2)";
	end
	if  tonumber(DataCenter.changeJobData.taskStep) >= 4 then
		completionDegree = "("..(DataCenter.changeJobData.taskStep+1-4).."/3)";
	end
	return completionDegree;
end

function Lua_ChangeJobUtil.stageInfoShow()
	local completionDegree = "";
	if tonumber(DataCenter.changeJobData.taskStep) >= 0  then
		completionDegree = 1;
	end
	if tonumber(DataCenter.changeJobData.taskStep) >= 2  then
		completionDegree = 2;
	end
	if  tonumber(DataCenter.changeJobData.taskStep) >= 4 then
		completionDegree = 3;
	end

	return completionDegree;
end