checkRequire("Lua_ChangeJobData");
Lua_ChangeJobProxy = class("Lua_ChangeJobProxy");
function Lua_ChangeJobProxy:ctor()
	DataCenter.changeJobData = Lua_ChangeJobData.new();

	LuaUtil.addLuaMsg(51403901, self, self.rChangeJobProxyInfo);
	LuaUtil.addLuaMsg(80403901, self, self.rUPChangeJobInfo);
	LuaUtil.addLuaMsg(80403902, self, self.rUPChangeJobSenceInfo);
	LuaUtil.addLuaMsg(80403921, self, self.rResultInfo);
end

function Lua_ChangeJobProxy:rChangeJobProxyInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51403901();
		msg:ParseFromString(mp.data);
		DataCenter.changeJobData:formServer51403901(msg);
		DataCenter.roleData.profession = msg.profession;
		Lua_MsgUtil.callFunc("EXTRACTION_UPDATE");
	end
end

function Lua_ChangeJobProxy:rUPChangeJobInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto80403901();
		msg:ParseFromString(mp.data);

		local rid = tonumber(msg.role_id);
		if rid == tonumber(DataCenter.roleData.roleId) then
			DataCenter.roleData.profession = msg.profession;
		end
		DataCenter.changeJobData:sExtractionMsg()
		Lua_MsgUtil.callFunc("UPCHANGEJOB_UPDATE");
	end
end

function Lua_ChangeJobProxy:rUPChangeJobSenceInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto80403902();
		msg:ParseFromString(mp.data);
		Lua_WindowUtil.openWin("Lua_ChallengeTimeWindow", WinParam.ACTION_OPEN, msg)
		DataCenter.allRtData:setSystemState(false);
		Lua_MsgUtil.callFunc("TORRIGHT_UPDATE");
	end
end

function Lua_ChangeJobProxy:rResultInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto80403921();
		msg:ParseFromString(mp.data);
		Lua_WindowUtil.openWin("Lua_SuccessWindow", WinParam.ACTION_OPEN, msg);
	end
end