--主界面底部
checkRequire("Lua_ChatUtil");
checkRequire("Lua_ChatInfoItem");
checkRequire("Lua_ChatWithChanelItem");
checkRequire("Lua_ChatMiniFunItem");
checkRequire("Lua_MenuTipContainer");
Lua_ChatMiniPanel = class("Lua_ChatMiniPanel", Lua_DisplayObject);
function Lua_ChatMiniPanel:ctor(p)
    self:superCall("ctor", p, "ChatMiniPanel_skin");
end
function Lua_ChatMiniPanel:buildShowItem()
    self:superCall("buildShowItem");
    self.content.name = "Lua_ChatMiniPanel";
    self:addLuaEvent("FUNCTION_OPEN", self, self.onUpdateFunctionOpen);
    self:onUpdateFunctionOpen();
    self.bg:setDepth(0);
    self.bg:addClickFuntion(self, self.onBgClick);
    self.bg.clickScale = false;

    self.spreadBtn:addClickFuntion(self, self.onSpreadClick);
    self.spreadBtn.clickScale = false;
    self.isInSpread = false;

    self.modeSp:addClickFuntion(self, self.onMicPressDown);
    self.modeSp:addMouseUpFuntion(self, self.onMicPressUp);

    self.modeBtnBg:addClickFuntion(self, self.onModeBtnClick);
    self.modeBtnBg.clickScale = false;
    self.micBtnListState = false;
    self.curMicChannel = Lua_ChatData.CHANEL_WORLD;

    self.worldPaoBg:setEnable(false);
    self.bangPaoBg:setEnable(false);
    self.teamPaoBg:setEnable(false);
    self.worldBg:setEnable(false);
    self.bangBg:setEnable(false);
    self.teamBg:setEnable(false);

    self.worldPaoTxt:setEnable(false);
    self.bangPaoTxt:setEnable(false);
    self.teamPaoTxt:setEnable(false);
    self.worldTxt:setEnable(false);
    self.bangTxt:setEnable(false);
    self.teamTxt:setEnable(false);

    self.kuafuBtn:addClickFuntion(self, self.onSelectMicMode);
    self.kuafuPaoBtn:addClickFuntion(self, self.onSelectMicMode);
    self.teamBtn:addClickFuntion(self, self.onSelectMicMode);
    self.teamPaoBtn:addClickFuntion(self, self.onSelectMicMode);
    self.bangBtn:addClickFuntion(self, self.onSelectMicMode);
    self.bangPaoBtn:addClickFuntion(self, self.onSelectMicMode);
    self.worldBtn:addClickFuntion(self, self.onSelectMicMode);
    self.worldPaoBtn:addClickFuntion(self, self.onSelectMicMode);
    self.settingBtn:addClickFuntion(self, self.onSettingClick);
    self.paoSp:addClickFuntion(self, self.onSelectMicMode);

    self.sub = UICreate.createGameObject(self.content, -174, -35, 0);

    self.uiPanel = self.sub:AddComponent(typeof(UIPanel));
    self.uiPanel.clipping = UIDrawCall.Clipping.SoftClip;
    self.uiPanel.clipSoftness = Vector2(0, 0);
    self.uiPanel.clipOffset = Vector2(0, 0);
    self.uiPanel.anchorOffset = false;
    self.uiPanel.widgetsAreStatic = false;
    self.uiPanel.baseClipRegion = Vector4(183, -46, 366, 74);
    self.uiPanel.renderQueue = UIPanel.RenderQueue.StartAt;

    self.btnsContainer = UICreate.createGameObject(self.content);
    self.rideBtn = Lua_ChatMiniFunItem.new(self.btnsContainer, LanUtil.getValue(107488), "ui_zhujiemian_btn_02", "ui_zhujiemian_btn_01", "ui_zhujiemian_icon_05", "ui_zhujiemian_icon_05");
    self.rideBtn:setCallBack(self, self.onRideClick);
    self.rideBtn:setLocation(-127, -20, 0);

    self.hookBtn = Lua_ChatMiniFunItem.new(self.btnsContainer, LanUtil.getValue(107490), "ui_zhujiemian_btn_02", "ui_zhujiemian_btn_01", "ui_zhujiemian_icon_04", "ui_zhujiemian_icon_04");
    self.hookBtn:setCallBack(self, self.onHookClick);
    -- self.hookBtn:setLocation(68,-21,0);
    self.hookBtn:setLocation(-8, -20, 0);
    self.hookBtn.icon:setLocation(-19, 0.4);

    -- 社交红点
    self.redDot = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_hongdian", 279, -57, 0, 0)
    self.redDot:setDepth(6);
    self.redDot.clickScale = false;
    self.redDot.name = "redDot"
    self.redDot.uiwidget.gameObject:SetActive(false);
    self:addLuaEvent("UPDATE_REDDOT_EVENT", self, self.updateSocialRedDot);
    self:addLuaEvent("UPDATE_SOCIAL_REDDOT", self, self.updateSocialRedDot);

    if getShowTips() == false or getLanType() == 1 then
        self.spreadBtn:setEnable(false);

        self.modeSp:setEnable(false);
        self.modeSpBg:setEnable(false);
        self.modeSpTxt:setEnable(false);
        self.paoSp:setEnable(false);
        self.paoSpBg:setEnable(false);
        self.paoTxt:setEnable(false);
        self.arrowRed:setEnable(false);

        self.teamRed:setEnable(false);
        self.bangRed:setEnable(false);
        self.worldRed:setEnable(false);
        self.kuafuRed:setEnable(false);

        self.worldBtn:setEnable(false);
        self.bangBtn:setEnable(false);
        self.teamBtn:setEnable(false);
        self.kuafuBtn:setEnable(false);

        self.worldPaoBtn:setEnable(false);
        self.bangPaoBtn:setEnable(false);
        self.teamPaoBtn:setEnable(false);
        self.kuafuPaoBtn:setEnable(false);

        self.modeBtn:setEnable(false);
        self.modeBtnBg:setEnable(false);
    else
        self:setMicListState(false);
    end

    self.menuTipItem = Lua_MenuTipContainer.new(self.btnsContainer);
    self.menuTipItem:setLocation(-157, 29, 0);

    self:addLuaEvent("MENU_TIP_UPDATE", self, self.onMenuTipUpdate);
    self:addLuaEvent("MENU_TIP_UPDATE_LIST", self, self.onMenuTipUpdateList);
    self:addLuaEvent("HOOK_STATE_CHANGE", self, self.onHookStateChange);
    self:onHookStateChange();

    self.chatItemList = Array();
    self:addLuaEvent("ADD_CHAT_MSG", self, self.onChatUpdate);
    self:addLuaEvent("UPFATE_MOUNT_STATE", self, self.onUodateMountState);
    self:onUodateMountState();
    
    self.socialBtnBg:addClickFuntion(self, self.onSocialClick);

    local chatVo = Lua_ChatVo.new();
    chatVo.type = Lua_ChatData.CHAT_TYPE_TEXT;
    chatVo.channel = Lua_ChatData.CHANEL_SYSTEM;
    chatVo.hideChannel = true;
    chatVo.content = LanUtil.getValue(120200);
    chatVo.shoutContent = LanUtil.getValue(120227);
    DataCenter.chatData:addChatMsg(chatVo);

    chatVo = Lua_ChatVo.new();
    chatVo.type = Lua_ChatData.CHAT_TYPE_TEXT;
    chatVo.channel = Lua_ChatData.CHANEL_SYSTEM;
    chatVo.hideChannel = true;
    chatVo.content = LanUtil.getValue(120201);
    chatVo.shoutContent = LanUtil.getValue(120228);
    DataCenter.chatData:addChatMsg(chatVo);

    DataCenter.mountData:sMountPanelInfo();
    DataCenter.mountTransData:sGetPanelInfo();

    LuaUtil.updateWindowDepth(nil);

    sendMsg(11404303);
    -- 离线挂机时间
    Lua_ProxyManager.getProxy("Lua_FairyProxy"):sFairyInfo();
    -- 请求精灵信息

    self.btnsContainer:SetActive(true);

    self:addLuaEvent("SHOW_FACTION_RED_ENVELOPE_ENTRANCE", self, self.redEnvelopeUpdate);
    self:addLuaEvent("UPDATE_MINICHAT_REDDOT", self, self.updateRedDot);
    self:addLuaEvent("FACTION_NAME_UPDATE", self, self.updatePaoState);
    self:addLuaEvent("UPDATE_BTNS_STATE", self, self.updateBtnsContainerState);-- 设置隐藏图标
end

function Lua_ChatMiniPanel:updateBtnsContainerState(val)
    self.btnsContainer:SetActive(val);
end

function Lua_ChatMiniPanel:updatePaoState(o)
    if DataCenter.roleData.leagueName ~= nil and DataCenter.roleData.leagueName ~= "" then
        self:updateMicMode("bangBtn", false);
    else
        self:updateMicMode("worldBtn", false);
    end
end
function Lua_ChatMiniPanel:updateRedDot(channel)
    if getShowTips() == false or getLanType() == 1 then
        return;
    end
    local showRed = false;
    self.worldRed:setEnable(false);
    local dic = DataCenter.chatData.chatTypeRedDotInfo;
    local showBangRed = false;
    local showTeamRed = false;
    local showKuafuRed = false;
    if dic ~= nil then
        -- 帮派

        if dic[Lua_ChatData.CHANEL_FACTION] ~= nil and dic[Lua_ChatData.CHANEL_FACTION] == true then
            showRed = true;
            showBangRed = true;
            if self.micBtnListState == true then
                self.bangRed:setEnable(true);
            else
                if self.curMicChannel == Lua_ChatData.CHANEL_FACTION then
                    self.worldRed:setEnable(true);
                end
                self.bangRed:setEnable(false);
            end
        else
            self.bangRed:setEnable(false);
        end

        -- 组队

        if dic[Lua_ChatData.CHANEL_TEAM] ~= nil and dic[Lua_ChatData.CHANEL_TEAM] == true then
            showRed = true;
            showTeamRed = true;
            if self.micBtnListState == true then
                self.teamRed:setEnable(true);
            else
                if self.curMicChannel == Lua_ChatData.CHANEL_TEAM then
                    self.worldRed:setEnable(true);
                end
                self.teamRed:setEnable(false);
            end
        else
            self.teamRed:setEnable(false);
        end

        --跨服
        if dic[Lua_ChatData.CHANEL_WORLD_KUAFU] ~= nil and dic[Lua_ChatData.CHANEL_WORLD_KUAFU] == true then
            showRed = true;
            showKuafuRed = true;
            if self.micBtnListState == true then
                self.kuafuRed:setEnable(true);
            else
                if self.curMicChannel == Lua_ChatData.CHANEL_WORLD_KUAFU then
                    self.worldRed:setEnable(true);
                end
                self.kuafuRed:setEnable(false);
            end
        else
            self.kuafuRed:setEnable(false);
        end
    end

    if showRed == true then
        if self.curMicChannel == Lua_ChatData.CHANEL_TEAM then
            self.arrowRed:setEnable(showBangRed);
        elseif self.curMicChannel == Lua_ChatData.CHANEL_FACTION then
            self.arrowRed:setEnable(showTeamRed);
        elseif self.curMicChannel == Lua_ChatData.CHANEL_WORLD_KUAFU then
            self.arrowRed:setEnable(showKuafuRed);
        else
            self.arrowRed:setEnable(true);
        end
        if self.micBtnListState == false then
            self.arrowRed:setLocation(-201, -54);
        else
            self.arrowRed:setLocation(-201, 61);
        end
    else
        self.arrowRed:setEnable(false);
    end
end

function Lua_ChatMiniPanel:setMicListState(val)
    if getShowTips() == false or getLanType() == 1 then
        return;
    end
    self.micBtnListState = val;
    

    if self.micBtnListState == true then
        self.modeBtn:setLocation(-217, 103, 0);
        self.modeBtn:setSacle(1, -1, 1);
        self.modeBtnBg:setLocation(-217, 102, 0);
        self.modeSp:setEnable(false);
        self.modeSpBg:setEnable(false);
        self.modeSpTxt:setEnable(false);
        self.paoSp:setEnable(false);
        self.paoSpBg:setEnable(false);
        self.paoTxt:setEnable(false);
    else
        self.modeBtn:setLocation(-217, -57, 0);
        self.modeBtn:setSacle(1, 1, 1);
        self.modeBtnBg:setLocation(-217, -56, 0);
        self.modeSp:setEnable(true);
        self.modeSpBg:setEnable(true);
        self.modeSpTxt:setEnable(true);
        self.paoSp:setEnable(true);
        self.paoSpBg:setEnable(true);
        self.paoTxt:setEnable(true);
    end
    self.worldPaoBtn:setEnable(val);
    self.bangPaoBtn:setEnable(val);
    self.teamPaoBtn:setEnable(val);
    self.kuafuPaoBtn:setEnable(val);

    self.worldPaoBg:setEnable(val);
    self.bangPaoBg:setEnable(val);
    self.teamPaoBg:setEnable(val);
    self.kuafuPaoBg:setEnable(val);

    self.worldPaoTxt:setEnable(val);
    self.bangPaoTxt:setEnable(val);
    self.teamPaoTxt:setEnable(val);
    self.kuafuPaoTxt:setEnable(val);
    
    if DataCenter.chatData.bVoiceShield == true then -- 屏蔽语音
        self.voiceSpr:SetActive(false);
        -- self.paoSpr.transform.localPosition = Vector3(58, 0, 0);
        LuaUtil.setTfPos(self.paoSpr.transform, 58, 0, 0);
    else
        self.voiceSpr:SetActive(true);
        -- self.paoSpr.transform.localPosition = Vector3(0, 0, 0);
        LuaUtil.setTfPos(self.paoSpr.transform, 0, 0, 0);
        self.worldBtn:setEnable(val);
        self.bangBtn:setEnable(val);
        self.teamBtn:setEnable(val);
        self.kuafuBtn:setEnable(val);

        self.worldBg:setEnable(val);
        self.bangBg:setEnable(val);
        self.teamBg:setEnable(val);
        self.kuafuBg:setEnable(val);

        self.worldTxt:setEnable(val);
        self.bangTxt:setEnable(val);
        self.teamTxt:setEnable(val);
        self.kuafuTxt:setEnable(val);
        
        self.modeSp:setEnable(not val);
        self.modeSpBg:setEnable(not val);
        self.modeSpTxt:setEnable(not val);
        self.paoSp:setEnable(not val);
        self.paoSpBg:setEnable(not val);
        self.paoTxt:setEnable(not val);
    end
    self:updateRedDot();
end
function Lua_ChatMiniPanel:onSelectMicMode(go)
    self:updateMicMode(go.name, true);
end
function Lua_ChatMiniPanel:updateMicMode(str, openWin)
    self:setMicListState(false);
    if str == "worldBtn" then
        self.curMicChannel = Lua_ChatData.CHANEL_WORLD;
        self.paoTxt.text = self.worldPaoTxt.text;
        self.modeSpTxt.text = self.worldTxt.text;
    elseif str == "bangBtn" then
        self.curMicChannel = Lua_ChatData.CHANEL_FACTION;
        self.paoTxt.text = self.bangPaoTxt.text;
        self.modeSpTxt.text = self.bangTxt.text;
    elseif str == "teamBtn" then
        self.curMicChannel = Lua_ChatData.CHANEL_TEAM;
        self.paoTxt.text = self.teamPaoTxt.text;
        self.modeSpTxt.text = self.teamTxt.text;
    elseif str == "kuafuBtn" then
        self.curMicChannel = Lua_ChatData.CHANEL_WORLD_KUAFU;
        self.paoTxt.text = self.kuafuPaoTxt.text;
        self.modeSpTxt.text = self.kuafuTxt.text;
    elseif str == "bangPaoBtn" then
        self.paoTxt.text = self.bangPaoTxt.text;
        self.modeSpTxt.text = self.bangTxt.text;
        self.curMicChannel = Lua_ChatData.CHANEL_FACTION;
        if openWin == true then
            Lua_WindowUtil.openWin("Lua_ChatWindow", WinParam.ACTION_OPEN, 3);
        end
    elseif str == "teamPaoBtn" then
        self.curMicChannel = Lua_ChatData.CHANEL_TEAM;
        self.paoTxt.text = self.teamPaoTxt.text;
        if openWin == true then
            Lua_WindowUtil.openWin("Lua_ChatWindow", WinParam.ACTION_OPEN, 4);
        end
    elseif str == "worldPaoBtn" then
        self.curMicChannel = Lua_ChatData.CHANEL_WORLD;
        self.paoTxt.text = self.worldPaoTxt.text;
        if openWin == true then
            Lua_WindowUtil.openWin("Lua_ChatWindow", WinParam.ACTION_OPEN, 2);
        end
    elseif str == "kuafuPaoBtn" then
        self.curMicChannel = Lua_ChatData.CHANEL_WORLD_KUAFU;
        self.paoTxt.text = self.kuafuPaoTxt.text;
        if openWin == true then
            Lua_WindowUtil.openWin("Lua_ChatWindow", WinParam.ACTION_OPEN, 6);
        end
    elseif str == "paoSp" then
        local idx;
        if self.curMicChannel == Lua_ChatData.CHANEL_WORLD then
            idx = 2;
        elseif self.curMicChannel == Lua_ChatData.CHANEL_TEAM then
            idx = 4;
        elseif self.curMicChannel == Lua_ChatData.CHANEL_FACTION then
            idx = 3;
        elseif self.curMicChannel == Lua_ChatData.CHANEL_WORLD_KUAFU then
            idx = 6;
        end
        if openWin == true then
            Lua_WindowUtil.openWin("Lua_ChatWindow", WinParam.ACTION_OPEN, idx);
        end
    end
    self:updateRedDot();
end
function Lua_ChatMiniPanel:onSocialClick(go)
    if self.mailIsFuncOpened == true then
        Lua_WindowUtil.openWin("Lua_MailBoxWindow");
    else
        local cfg = getConfig( { "func_open", 10022 });
        if cfg ~= nil and cfg.advance_message ~= nil then
            OperateAlert.show(cfg.advance_message);
        end
    end
end

function Lua_ChatMiniPanel:onModeBtnClick(go)
    self:setMicListState(not self.micBtnListState);
end

function Lua_ChatMiniPanel:onMicPressDown(go)
    local showPos = Vector3(0, 0, 0);
    Lua_WindowUtil.openWin("Lua_ChatSoundWindow", WinParam.ACTION_OPEN, showPos);
    ChatRecordSound.getInstance():startRecord();
end
function Lua_ChatMiniPanel:onMicPressUp(go)
    Lua_WindowUtil.openWin("Lua_ChatSoundWindow", WinParam.ACTION_CLOSE);
    ChatRecordSound.getInstance():stopRecord();

    local v = Vector3(UnityEngine.Input.mousePosition.x, UnityEngine.Input.mousePosition.y, 0);
    local screenpos = UICamera.mainCamera:ScreenToWorldPoint(v);
    local mousePosition = self.modeSp.mainContent.transform:InverseTransformPoint(screenpos);

    if mousePosition.x > -22 and mousePosition.x < 22 and mousePosition.y > -21 and mousePosition.y < 21 then
        if self.curMicChannel == Lua_ChatData.CHANEL_WORLD_KUAFU then
            ChatUtil.sendVoiceMsg(self.curMicChannel, "", 1);
        else
            ChatUtil.sendVoiceMsg(self.curMicChannel, "");
        end
    end
    ChatRecordSound.getInstance():clear();
end
function Lua_ChatMiniPanel:onSpreadClick(go)
    self.isInSpread = not self.isInSpread;
    if self.isInSpread == true then
        self.bg:SetDimensions(416, 140);
        -- self.btnsContainer.transform.localPosition = Vector3(0, 61, 0);
        LuaUtil.setObjPos(self.btnsContainer, 0, 61, 0);
        self.uiPanel.baseClipRegion = Vector4(183, -15, 366, 130);
        self.spreadBtn:setLocation(209, 3, 0);
        self.spreadBtn:setSacle(1, -1, 1);
        Lua_MsgUtil.callFunc("UPDATE_HOOK_POS", -97);
        Lua_MsgUtil.callFunc("UPDATE_POOL_BOTTOM_POS", Vector3(0, 60, 0));
    else
        self.bg:SetDimensions(416, 80);
        -- self.btnsContainer.transform.localPosition = Vector3(0, 0, 0);
        LuaUtil.setObjPos(self.btnsContainer, 0, 0, 0);
        self.uiPanel.baseClipRegion = Vector4(183, -46, 366, 74);
        self.spreadBtn:setLocation(209, -58, 0);
        self.spreadBtn:setSacle(1, 1, 1);
        Lua_MsgUtil.callFunc("UPDATE_HOOK_POS", -158);
        Lua_MsgUtil.callFunc("UPDATE_POOL_BOTTOM_POS", Vector3(0, 0, 0));
    end
    DataCenter.chatData.isInSpread = self.isInSpread;
end
-- 骑乘按钮点击
function Lua_ChatMiniPanel:onRideClick(val)
    -- 地图限制不能骑乘
    local sceneCfg = Lua_SceneConfigData.getSceneConfig(DataCenter.roleData.sceneId);
    if sceneCfg ~= nil and sceneCfg.config.noMount and sceneCfg.config.noMount == 1 then
        OperateAlert.show(LanUtil.getValue(121819));
        return;
    end
    -- 坐骑功能没开启，需要提示
    if DataCenter.funcOpenData:isOpened(10010) == false then
        local cfg = getConfig( { "func_open", 10010 });
        if cfg ~= nil and cfg.unopen_alert_tips ~= nil then
            OperateAlert.show(cfg.unopen_alert_tips);
        end
        return;
    end
    -- 坐骑骑乘
    DataCenter.mountData:sChatMiniRide();
end
function Lua_ChatMiniPanel:onUodateMountState(o)
    self.rideBtn:setSelected(DataCenter.roleData.mount_id ~= 0);
end

-- 屏蔽按钮点击
function Lua_ChatMiniPanel:onBlockClick(val)
end

-- 挂机按钮点击
function Lua_ChatMiniPanel:onHookClick(val)
    if GlobalVar.hooking == false then
        DataCenter.hook:start();
    else
        DataCenter.hook:stop(true);
    end
end

function Lua_ChatMiniPanel:onHookStateChange()
    if GlobalVar.hooking == true then
        self.hookBtn:setSelected(true);
    else
        self.hookBtn:setSelected(false);
    end
end

function Lua_ChatMiniPanel:onBgClick(go)
    Lua_WindowUtil.openWin("Lua_ChatWindow");
end
function Lua_ChatMiniPanel:onChatUpdate(o)
    local list = DataCenter.chatData:getChannelMsgList(Lua_ChatData.CHANEL_ALL_MSG);
    local len = list:getSize();
    local leftPos = 5;
    for i = 1, 4 do
        local chatItem = nil;
        if list[len -(i - 1)] ~= nil then
            if self.chatItemList[i] == nil then
                chatItem = Lua_ChatWithChanelItem.new(self.sub, 336, false, true);
                self.chatItemList:add(chatItem);
            else
                chatItem = self.chatItemList[i];
            end
            chatItem.infoItem.modelLabel:SetDimensions(447, 28)
            chatItem.infoItem.modelLabel:SetDimensions(362, 10)
            --chatItem.infoItem.modelLabel.spacingX = 0;
            chatItem:setEnable(true);
            chatItem:setData(list[len -(i - 1)]);
            chatItem:setLocation(0, chatItem:getHeight() -97 + leftPos, 0);
            leftPos = leftPos + chatItem:getHeight() - 7;
        else
            if self.chatItemList[i] ~= nil then
                self.chatItemList[i]:setEnable(true);
            end
        end
    end

    self:updateRedDot();
end
function Lua_ChatMiniPanel:onSettingClick(go)
    Lua_WindowUtil.openWin("Lua_ChatSettingWindow");
end
function Lua_ChatMiniPanel:onUpdateFunctionOpen()
    self.mailIsFuncOpened = DataCenter.funcOpenData:isOpened(10022);
end
function Lua_ChatMiniPanel:onMenuTipUpdate(obj)
    if obj.state == 1 then
        self.menuTipItem:addData(obj);
    else
        self.menuTipItem:removeData(obj);
    end
end
function Lua_ChatMiniPanel:onMenuTipUpdateList(obj)
    local len = obj.openList:getSize();
    for i = 1, len do
        self.menuTipItem:addData(obj.openList[i]);
    end
    len = obj.closeList:getSize();
    for i = 1, len do
        self.menuTipItem:removeData(obj.closeList[i]);
    end
end
function Lua_ChatMiniPanel:updateSocialRedDot(obj)
    if obj == nil or(obj ~= nil and(obj.evenId == 10008 or obj.evenId == 10001 or obj.evenId == 10088--[[ or obj.evenId == 11601 or obj.evenId == 11310-- ]])) then
        local isShow = DataCenter.friendData:checkSocialRedDot();
        if isShow == false then
            --  isShow = DataCenter.redDotData:getRedDotStateByEventId(11310);
        end
        self.redDot.uiwidget.gameObject:SetActive(isShow);
    end
end

function Lua_ChatMiniPanel:redEnvelopeUpdate(param)
    -- print(tostring(param.isShow));
    if (self.redEnvelop == nil) then
        self.redEnvelop = UICreate.createUIAtlasImage(self.content, "factionWindow", "ui_gangs_bg_hongbao", -267, 66, 67, 99);
        self.redEnvelop.name = "redEnvelop";
        self.redEnvelop:setDepth(10);

        self.rhombusSp = UICreate.createUIAtlasImage(self.redEnvelop.mainContent, "factionWindow", "ui_gangs_btn_hb_01", 0, -34, 22, 22);
        self.rhombusSp:setDepth(11); 

        self.headBottom = UICreate.createUIAtlasImage(self.redEnvelop.mainContent, "yinyuan_altas", "ui_marriage_txk_01", 0.8, 8, 50, 50);
        self.headBottom:setDepth(11)

        self.redEnvelop:addClickFuntion(self, self.onRedEnvelopeClick);

        self.portrait = UICreate.createImage(self.redEnvelop.mainContent, "", 0, 8, 39, 41);
        self.portrait:setDepth(12);
    end

    if (self.redEnvelopEffect == nil) then
        self.redEnvelopEffect = UICreate.createUIEffect(self.redEnvelop.mainContent, "/effects/scsEffects/gui_hongbaoglow", "gui_hongbaoglow", -5, -5);
        self.redEnvelopEffect:SetRenderQueue(self.redEnvelop, -10, 2, false);
    end

    self.redEnvelop:setEnable(param.isShow);
    if (param.isShow == true) then
        if isHeadReplaceOpen() == true then
            self.headData = param;
            self:updataCustomHead();
        else
            self.portrait:setUrl(Lua_ThingDefine.getHeadIconUrlByCareer(param.serverData.career));
            self.portrait:SetDimensions(39,41);
            self.portrait:setLocation(0, 8, 0);
        end
    end
end
function Lua_ChatMiniPanel:updataCustomHead()
    local role_head = self.headData.serverData.role_head_name;
    if role_head ~= nil and role_head ~= "" then
        local isDefault = DataCenter.roleData:isDefaultHead(self.headData.serverData.career, role_head);
        if isDefault == true then
            self.portrait:setUrl(Lua_ThingDefine.getHeadIconUrlByCustom(role_head, 0));
            self.portrait:SetDimensions(39,41);
            self.portrait:setLocation(0.8, 8, 0);
        else
            self.portrait:setUrl(role_head, 99, true);
            -- self.portrait:setRoundSize(1, 0.5,0.5,0.5);--菱形
            self.portrait:setRoundSize(0, 0.5, 0.5, 0.25); -- 圆
            self.portrait:SetDimensions(40,40);
            self.portrait:setLocation(0, 8, 0);
        end
    end
end
function Lua_ChatMiniPanel:onRedEnvelopeClick()
    if DataCenter.roleData.leagueName ~= "" then
        Lua_WindowUtil.openWin("Lua_FactionRedEnvelopeWindow");
    end
    self.redEnvelop:setEnable(false);
end