Lua_ChatVo = class("Lua_ChatVo");
function Lua_ChatVo:ctor()
    self:superCall("ctor");

    self.shoutContent = nil;
	self.itemInfo = {};
end

function Lua_ChatVo:fromServer(vo)
	self.channel = vo.channel;
	self.type = vo.type;
	if vo.type == 5 then
		vo.type = 1;
	end
	self.voice_id = vo.voice_id;
	self.voice_len = vo.voice_len;
	self.role_id = tonumber(vo.role_id);
	self.target_id = tonumber(vo.target_id);
	self.career = vo.career;
	self.name = vo.name;
	self.team = vo.team;
	self.league_name = vo.league_name;
	self.vip = vo.vip;
	self.sex = vo.sex;
	self.level = vo.level;
	self.military_rank = vo.military_rank;
	self.profession = vo.profession;
	self.permission = vo.permission;
	self.server_name = vo.server_name;
	self.air_bubble_id = vo.air_bubble_id;
	self.head_frame_id = vo.head_frame_id;
	self.role_head_name = vo.role_head_name;
	self._content = vo.content;
	self.chatShowType = 0;
	if vo.scontent ~= nil and string.len(vo.scontent) > 0 then
		local da = Lua_StringArray.new();
		da:decodeContent(vo.scontent);
		self.chatShowType = da:getInt();
		if self.chatShowType == 1 then--炫耀道具
			local itemId = da:getInt(false);
			self.itemData = Lua_ToolVo.createToolVo(itemId, 1, 1)
			self.itemData:setFromContentString(da);
			--炫耀道具不显示数量，这里改成0
			self.itemData.count = 0;
		elseif self.chatShowType == 2 then--炫耀命锁
			self.mingSuoChatData = {};
			self.mingSuoChatData.hurdle_id = da:getInt();
			self.mingSuoChatData.isLocked = da:getInt();
			self.mingSuoChatData.diamonds_info = {};
			self.mingSuoChatData.name = vo.name;
			local len = da:getInt();
			for i=1,len do
				local o = {};
				o.Diamonds_x = da:getInt();
				o.Diamonds_y = da:getInt();
				o.is_insert = da:getInt();
				self.mingSuoChatData.diamonds_info[i] = o;
			end
			self.mingSuoChatData.isopen = da:getInt();
		end
	end
end

function Lua_ChatVo.Get:content()
	if self.chatShowType == 1 then
		local ename = "["..self.itemData.colorStr.."][url=showItem]["..self.itemData.name.."][/url][-]";
		local rs = string.gsub(self._content, "〖〗", ename);
		return rs;
	elseif self.chatShowType == 2 then
		local ename = "[d900d6][url=showMingSuo]["..LanUtil.getValue(128811).."][/url][-]";
		local rs = string.gsub(self._content, "〖〗", ename);
		return rs;
	else
		return self._content;
	end
end
function Lua_ChatVo.Set:content(val)
	self._content = val;
end
function Lua_ChatVo:getMsg(showChannel, showName, isMini)
	local str = "";
	if showChannel == true and self.hideChannel ~= true then
		if(self.type == Lua_ChatData.CHAT_TYPE_GIFT) then
			str = str.."　　　　";
			if getLanType() == 1 then
				str = str.."　";
			end
		else
			str = str.."　     ";
		end
	end
	if showName == true and self.name ~= nil and string.len(self.name) > 0 then
		if self.channel == Lua_ChatData.CHANEL_WORLD_KUAFU and isMini ~= nil and isMini == true then
            local str1 = self.server_name --string.match(self.server_name,"%a%d+");
            if str1 == nil then
                str1= "";
            else
            	str1 = "[00e1d5]" .. str1 .. "[-]";
            end
            str = str..str1..Lua_ChatUtil.SPACE.."["..Lua_ColorDefine.GREEN_STR.."]"..self.name.."[-]:";
        else
            str = str.."["..Lua_ColorDefine.GREEN_STR.."]"..self.name.."[-]:";
        end
	end
	if isMini ~= nil and isMini == true and self.shoutContent ~= nil then
		str = str..self.shoutContent;
	else
		str = str..self.content;
	end

	return str;
end