Lua_ChatNoHeadVipItem = class("Lua_ChatNoHeadVipItem", Lua_DisplayObject);
function Lua_ChatNoHeadVipItem:ctor(p)
	self:superCall("ctor", p, "ChatNoHeadVipItem_skin");
end

function Lua_ChatNoHeadVipItem:buildShowItem()
    self:superCall("buildShowItem");
    self.levelNum = Lua_NumberImage.new(self.content);
    self.levelNum.prefix = "";
    self.levelNum.pivot = 2;
    self.levelNum.num = 0;
    self.levelNum.numWidth = 8;
    self.levelNum:setLocation(-1, -3, 0);
end

function Lua_ChatNoHeadVipItem:setVipLevel(val)
	local name = getConfig( { "vip_level", val, "view_name"});
    if val == 100 then
        name = "+";
    end
	self.levelNum.num = name;
    self.levelNum:setNumScale(0.7, 0.7);
    if getLanType() == 2 and tonumber(val) == 100 then
        self.bg:setAltas("common_atlas_1", "ui_zhujiemian_icon_29");
    end
end