Lua_ChatVipItem = class("Lua_ChatVipItem", Lua_DisplayObject);
function Lua_ChatVipItem:ctor(p, val)
    self:superCall("ctor", p);
    self.direction = val;
end

function Lua_ChatVipItem:buildShowItem()
	self:superCall("Lua_ChatVipItem");
	self.vipIcon = UICreate.createUIAtlasImage(self.content, "mailboxwindow_atlas", "ui_common_z_vip", 0, 0, 0, 0);
	self.vipIcon.depth = 1;
    self.vipIcon.pivot = UIWidget.Pivot.Right;

	self.vipNum = Lua_NumberImage.new(self.content);
	self.vipNum.prefix = "b_";
	self.vipNum.pivot = 1;
	self.vipNum.numWidth = 13;
	self.vipNum:setDepth(2);
end

function  Lua_ChatVipItem:setVipLevel(val)
    self.vipNum.num = val; 
    if self.direction == false then
    	if val == 100 then
		    if self.vipAddIcon == nil then
		        self.vipAddIcon = UICreate.createUIAtlasImage(self.content, "number", "cvip_+", 0, 0, 0, 0);
		        self.vipAddIcon.depth = 1;
		        self.vipAddIcon.pivot = UIWidget.Pivot.Left;
		        self.vipAddIcon:setLocation(14, 2, 0);
		    end
		    self.vipIcon:setLocation(14, 0, 0);
		    self.vipAddIcon:setEnable(true);
		    self.vipNum:setEnable(false);
		else
	        self.vipNum:setLocation(0, 0, 0);
	        self.vipIcon:setLocation(- self.vipNum.numWidth / 2 - 2, 0, 0);
	    end
    else
    	if val == 100 then
		    if self.vipAddIcon == nil then
		        self.vipAddIcon = UICreate.createUIAtlasImage(self.content, "number", "cvip_+", 0, 0, 0, 0);
		        self.vipAddIcon.depth = 1;
		        self.vipAddIcon.pivot = UIWidget.Pivot.Left;
		        self.vipAddIcon:setLocation(14, 2, 0);
		    end
		    self.vipIcon:setLocation(14, 0, 0);
		    self.vipAddIcon:setEnable(true);
		    self.vipNum:setEnable(false);
		else
	        self.vipIcon:setLocation(0, 0, 0);
	        self.vipNum:setLocation(self.vipNum.numWidth / 2 + 2, 0, 0);
        end
    end
end