--披风

checkRequire("Lua_CloakData");
Lua_CloakProxy = class("Lua_CloakProxy");
function Lua_CloakProxy:ctor()
	self:superCall("ctor");
    DataCenter.cloakData = Lua_CloakData.new();

	LuaUtil.addLuaMsg(51404010, self, self.rOpenCloakPanelInfo); -- 获取披风界面信息（返回）
end

-----------------------------------------------------------------------------------
-- 上行消息号 
-- 获取披风界面数据
function Lua_CloakProxy:sOpenCloakPanelInfo()
    sendMsg(11404010);
end

-- 激活披风
function Lua_CloakProxy:sActivateCloak(cloak_id)
    local cmd = ProtoPublic_pb.Proto11404011();
    cmd.cloak_id = tonumber(cloak_id);    --披风ID
    sendMsg(11404011,cmd);
end

-- 强化披风
function Lua_CloakProxy:sIntensifyCloak(cloak_id)
    local cmd = ProtoPublic_pb.Proto11404012();
    cmd.cloak_id = tonumber(cloak_id);    --披风ID
    sendMsg(11404012, cmd);
end

-- 分解披风
function Lua_CloakProxy:sResolveCloak(list)
    local cmd = ProtoPublic_pb.Proto11404013();
    local len = list:getSize();
    for i = 1, len do
        local item = ProtoPublic_pb.ProtoDecomposeSoul();
        item.pkg_index = list[i].index;
        item.item_id = list[i].id;
        -- print("index    ==",list[i].index,"     ",list[i].id)
        cmd.item_lilst:addToList(item);
    end
    sendMsg(11404013, cmd);
end

-- 升星
function Lua_CloakProxy:sUpgradeStar(cloak_id)
    local cmd = ProtoPublic_pb.Proto11404015();
    cmd.cloak_id = tonumber(cloak_id);
    sendMsg(11404015, cmd);
end

-- 幻化披风
function Lua_CloakProxy:sChangeCloak(cloak_id, switch)
    local cmd = ProtoPublic_pb.Proto11404016();
    cmd.cloak_id = tonumber(cloak_id);
    cmd.illusion_switch = tonumber(switch);          -- 0关，1开
    sendMsg(11404016, cmd);
end

-- 附灵
function Lua_CloakProxy:sSttachQuick(id)
    local cmd = ProtoPublic_pb.Proto11404017();
    cmd.cloak_id = tonumber(id);
    sendMsg(11404017, cmd);
end

-- 是否隐藏
function Lua_CloakProxy:sCloakState(state)
    local cmd = ProtoPublic_pb.Proto11404018();
    cmd.hide_state = tonumber(state);
    sendMsg(11404018, cmd);
end

-----------------------------------------------------------------------------------
-- 下行消息
-- 获取披风面板信息（返回）
function Lua_CloakProxy:rOpenCloakPanelInfo(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto51404010();
        msg:ParseFromString(mp.data);

        
        DataCenter.cloakData.cloak_pink = msg.cloak_resource_pink;
        DataCenter.cloakData.cloak_red = msg.cloak_resource_red;
        DataCenter.cloakData.cloak_orange = msg.cloak_resource_orange;
        DataCenter.cloakData.cloak_purple = msg.cloak_resource_purple;
        DataCenter.cloakData.hide_state = msg.hide_state;
        DataCenter.cloakData:fromServerInfo(msg);
        -- print("隐藏状态   = =",msg.hide_state)
        -- print("粉   = =",msg.cloak_resource_pink,"红   = =",msg.cloak_resource_red,
        --     "橙   = =",msg.cloak_resource_orange,"紫   = =",msg.cloak_resource_purple)
        -- 更新 披风红点
        if DataCenter.configLoaded == 1 then
            DataCenter.cloakData:checkCloakRedDotSate();
        end
        Lua_MsgUtil.callFunc("UPDATE_CLOAK_INFO");
    end
end