checkRequire("Lua_LingWenCopyVo");
checkRequire("Lua_CopyUtil");
checkRequire("Lua_CopyVo");
Lua_CopyData = class("Lua_CopyData");
Lua_CopyData.MONEY_COPY = 1; -- 铜钱
Lua_CopyData.LINGLONG_COPY = 2; 
Lua_CopyData.LINGWEN_COPY = 3; -- 灵纹
Lua_CopyData.TIANJI_COPY = 4; -- 洗练
Lua_CopyData.SHILIAN_COPY = 5; -- 悟性
Lua_CopyData.XIELING_COPY = 6; -- 装备
Lua_CopyData.QIANKUN_COPY = 7; -- 经验
Lua_CopyData.JUHUN_COPY = 10; -- 聚魂
Lua_CopyData.JUEXING_COPY = 11; -- 觉醒
Lua_CopyData.YINYUAN_COPY = 12; -- 姻缘
Lua_CopyData.QIZHUANG_COPY = 13; -- 骑装
Lua_CopyData.SHENLIAN_COPY = 14; -- 神炼
Lua_CopyData.JUNHUN_COPY = 15; -- 军魂
Lua_CopyData.HUANLING_COPY = 16; -- 幻灵
Lua_CopyData.ZODIAC_COPY = 17; -- 生肖
Lua_CopyData.JUEXING_COPY_BUFF = 10069; -- BUFF
function Lua_CopyData:ctor()
end

function Lua_CopyData.Get:copyDic()
	if self._copyDic == nil then
		self._copyDic = {};

		local config = getConfig({"copy_main"});
		for k,v in pairs(config) do
			self.copyDic[k] = Lua_CopyVo.new(k);
		end
	end
	return self._copyDic;
end

function Lua_CopyData:getCopyById(copyId)
	return self.copyDic[copyId];
end

function Lua_CopyData:allCopyInfoArr()
	local arr = Array();
	for k,v in pairs(self.copyDic) do
		if v.show_in_window == 1 then
			arr:add(v);
		end
	end
	arr:sort("priority", true);
	return arr;
end