checkRequire("Lua_Cus_SerVo")
Lua_Cus_SerData = class("Lua_Cus_SerData")

function Lua_Cus_SerData:ctor()
	self:superCall("ctor");
	self.recordList = Array();
end

--请求打开客服大界面
function Lua_Cus_SerData:sOpenPanel()
	sendMsg(10100901)
end

--打开回复标签
function Lua_Cus_SerData:sCustomerSVCRecord()
	sendMsg(10100902)
end

--请求玩家阅读客服回复
function Lua_Cus_SerData:sReadSerReply(record_id)
	local cmd = ProtoPublic_pb.Proto10100904();
    cmd.record_id = record_id;
    sendMsg(10100904, cmd);
end

--删除回复
function Lua_Cus_SerData:sDeleteSerReply(record_id)
	local cmd = ProtoPublic_pb.Proto10100905();
    cmd.record_id = record_id;
    sendMsg(10100905, cmd);
end

function Lua_Cus_SerData:fromServer(msg)
	self.recordList:clear();
    for i=1,#msg.record_list do
        local singleRecordInfo = Lua_Cus_SerVo.new();
        singleRecordInfo:fromServer(msg.record_list[i])
        self.recordList:add(singleRecordInfo);
    end
    self.recordList:sort("priority", true)
end
function Lua_Cus_SerData:changeReadStatus(id)
    for i=1,self.recordList:getSize() do
        if self.recordList[i].record_id==id then
           if self.recordList[i].record_status==1 then
                self.recordList[i].record_read_status=1;
           end
        end
    end
end
function Lua_Cus_SerData:getRecordByRecord_Id(val)
    local len = self.recordList:getSize();
    for i=1,len do
        if self.recordList[i].record_id == val then
            return self.recordList[i];
        end
    end
    return nil;
end

-- function Lua_Cus_SerData:delRecordByRecord_Id(val)
--     local len = self.recordList:getSize();
--     for i=1,len do
--         if self.recordList[i].record_id == val then
--             self.recordList:remove(val);
--             return;
--         end
--     end
-- end