Lua_CyclicRechargeData = class("Lua_CyclicRechargeData");
Lua_CyclicRechargeData.ACT_RECHARGE = 1057; -- 循环充值
Lua_CyclicRechargeData.ACT_CONSUME = 1058; -- 循环消费
function Lua_CyclicRechargeData:ctor()
	self:dispose();
end

function Lua_CyclicRechargeData:dispose()
	self.recharge_first = false;
	self.consume_first = false;
end

function Lua_CyclicRechargeData:fromServer50105641(msg)
	if msg == nil then
		return;
	end

	self.des = msg.activity_info.content; -- 活动描述
	self.first_type = msg.first_type; -- 活动类型
	self.total_gold = msg.total_gold; -- 累计金额
	self.gold = msg.gold; -- 额度
	self.rewards = msg.rewards; -- 奖励
	self.start_tick = tonumber(tostring(msg.activity_info.start_tick)); -- 开始时间
	self.end_tick = tonumber(tostring(msg.activity_info.end_tick)); -- 结束时间
end

function Lua_CyclicRechargeData.Get:rewardList()
	local tvo;
	local rewardArr = Array();
	for i = 1, #self.rewards do
		tvo = Lua_ToolVo.createToolVo(self.rewards[i].id,self.rewards[i].count,self.rewards[i].bind);
		tvo:fromServer(self.rewards[i]);
		tvo.show_effect = self.rewards[i].show_effect;
		rewardArr:add(tvo);
	end
	return rewardArr;
end