-- 星灵配置数据

Lua_StarSpiritVo = class("Lua_StarSpiritVo")
function Lua_StarSpiritVo:ctor(id,value)
	self.id = id;
	self.color = 0;
	if value == nil  then
		self.config = getConfig( { "star_soul", id });
	else
		self.config = value;
	end 
end

function Lua_StarSpiritVo.Get:name()
	return self.config.sub_name;
end

function Lua_StarSpiritVo.Get:image_name()
	return "/images/eidolon/"..self.config.image_name..".png";
end

function Lua_StarSpiritVo.Get:upgrade_cond()-- 升级需要通关关卡
	return self.config.upgrade_cond;
end

function Lua_StarSpiritVo.Get:itemVo()-- 突破消耗
	local arr = self.config.break_cost;
    if arr ~= nil then
        local tvo = Lua_ToolVo.createToolVo(tonumber(arr[1][1]));
        tvo.packType = 999;
        tvo.bagNum = DataCenter.packData:getBagType(Lua_PackData.BAG_PACK):getItemNum(tonumber(arr[1][1]));
        tvo.needNum = tonumber(arr[1][2]);
        return tvo;
    end

    return nil;
end

function Lua_StarSpiritVo.Get:isShowBackRed()-- 是否显示突破红点
	if self.itemVo.bagNum >= self.itemVo.needNum then
		return true;
	end

	return false;
end

function Lua_StarSpiritVo.Get:skill_min_color()-- 拥有技能最低品质
	return self.config.skill_min_color;
end

function Lua_StarSpiritVo.Get:attr_min_color()-- 拥有属性最低品质
	return self.config.attr_min_color;
end