checkRequire("Lua_FootprintTransData");
Lua_FootprintTransProxy = class("Lua_FootprintTransProxy");
function Lua_FootprintTransProxy:ctor()
	DataCenter.footprintTransData = Lua_FootprintTransData.new();

	LuaUtil.addLuaMsg(51403503, self, self.rGetPanelInfo);
	LuaUtil.addLuaMsg(51403504, self, self.rActivation);
	LuaUtil.addLuaMsg(51403506, self, self.rTransmogrify);
	LuaUtil.addLuaMsg(51403505, self, self.rLvlUp);
end

function Lua_FootprintTransProxy:rGetPanelInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51403503();
		msg:ParseFromString(mp.data);
		DataCenter.footprintTransData:fromServer(msg);
		Lua_MsgUtil.callFunc("FOOTPRINT_TRANS_PANEL_UPDATE");
	end
end

function Lua_FootprintTransProxy:rActivation(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51403504();
		msg:ParseFromString(mp.data);
		DataCenter.footprintTransData:getActivationInfo(msg);
		-- Lua_MsgUtil.callFunc("Servant_TRANS_PANEL_UPDATE");
		DataCenter.footprintTransData:sGetPanelInfo();
	end
end

function Lua_FootprintTransProxy:rTransmogrify(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51403506();
		msg:ParseFromString(mp.data);
		DataCenter.footprintTransData:getTransInfo(msg);
		DataCenter.footprintTransData:sGetPanelInfo();
	end
end

function Lua_FootprintTransProxy:rLvlUp(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51403505();
		msg:ParseFromString(mp.data);
		DataCenter.footprintTransData:getLvlUpInfo(msg);
		-- Lua_MsgUtil.callFunc("Servant_TRANS_PANEL_UPDATE");
		DataCenter.footprintTransData:sGetPanelInfo();
	end
end