Lua_AmuletNecklaceUtil = {};
function Lua_AmuletNecklaceUtil.getConfig(args)
	return getConfig({ "bracelet_compound", "constant", args })
end

function Lua_AmuletNecklaceUtil.color_equip()
	return Lua_HeChengUtil.getConfig("color_equip")[2];
end

function Lua_AmuletNecklaceUtil.order_count()
	return Lua_HeChengUtil.getConfig("order_count")[2];
end

function Lua_AmuletNecklaceUtil.order_equip()
	return Lua_HeChengUtil.getConfig("order_equip");
end

function Lua_AmuletNecklaceUtil.min_order()
	return Lua_HeChengUtil.getConfig("min_order")[2];
end

function Lua_AmuletNecklaceUtil.selected_equipArr()
	return Lua_HeChengUtil.getConfig("selected_equipArr")[2];
end

function Lua_AmuletNecklaceUtil.getInfList(id)
	return getConfig({ "bracelet_compound", id });
end

function Lua_AmuletNecklaceUtil.lvl_limit()
	return Lua_HeChengUtil.getConfig("lvl_limit")[2];
end

function Lua_AmuletNecklaceUtil:getComposeList()
	local index;
	local subArr;
	local arr = Array()
	local length = #self.color_equip();
	for i = 1, length do
		index = 1;
		subArr = Array();
		for j = self.min_order() -5, self.min_order() + self.order_count() -6 do
			if DataCenter.roleData.level >= self.lvl_limit()[i][index] then
				subArr:add({
					mainIndex = i,
					name = self.order_equip()[tonumber(i .. string.format("%02d", j))][1][1],
					data = self.order_equip()[tonumber(i .. string.format("%02d", j))][3]
				});
			end
			index = index + 1;
		end
		arr:add({ name = self.color_equip()[i], sub = subArr });
	end
	return arr;
end