Lua_JinJieUtil = {};
function Lua_JinJieUtil.getEquip_part(part)
	return getConfig({ "equipment_polish", "equip_part" })[part];
end

function Lua_JinJieUtil.getColor_limit()
	return getConfig({ "equipment_advance", "color_limit" });
end

function Lua_JinJieUtil.getStar_limit()
	return getConfig({ "equipment_advance", "star_limit" });
end

function Lua_JinJieUtil.getClass_limit()
	return getConfig({ "equipment_advance", "class_limit" });
end

function Lua_JinJieUtil.getMax_class()
	return getConfig({ "equipment_advance", "max_class" });
end

function Lua_JinJieUtil.getJinJiePartList()
	local config = getConfig({ "equipment_advance",  "cost" });
	local partList = {};
	for k,v in pairs(config) do
		partList[k] = k;
	end
	return partList;
end

function Lua_JinJieUtil.getColor(color)
	return getConfig({ "equipment_advance", "color" })[color];
end

function Lua_JinJieUtil.getCostid(part, order)
	return getConfig({ "equipment_advance", "cost" })[part][order - Lua_JinJieUtil.getClass_limit() + 1][1];
end

function Lua_JinJieUtil.getCostcount(part, order)
	return getConfig({ "equipment_advance", "cost" })[part][order - Lua_JinJieUtil.getClass_limit() + 1][2];
end

function Lua_JinJieUtil.getjewel_holeCountList()
	local jewel_holeList = getConfig({ "equipment_part", "jewel_hole" });
	local arr = Array();
	for i = 3, #jewel_holeList do
		if jewel_holeList[i].open_condition.rank ~= nil then
			arr:add(jewel_holeList[i].open_condition.rank);
		end
	end
	return arr;
end