checkRequire("Lua_FriendData");
Lua_FriendProxy = class("Lua_FriendProxy");
function Lua_FriendProxy:ctor()
    self:superCall("ctor");

    DataCenter.friendData = Lua_FriendData.new();
	LuaUtil.addLuaMsg(50101406, self, self.rSendFlower);
    LuaUtil.addLuaMsg(50100150, self, self.rFriendList);
	--LuaUtil.addLuaMsg(50100151, self, self.rAddFriend);
	LuaUtil.addLuaMsg(50100152, self, self.rDeleteFriend);
	LuaUtil.addLuaMsg(50100153, self, self.rSearchFriend);
	LuaUtil.addLuaMsg(50100154, self, self.rRecommendList);
	LuaUtil.addLuaMsg(50100155, self, self.rUpdateFriend);
	LuaUtil.addLuaMsg(50100156, self, self.rCheckFriend);
	LuaUtil.addLuaMsg(51400550, self, self.rCheckKuaFuFriend);
	LuaUtil.addLuaMsg(50100158, self, self.rPullBlack);
	LuaUtil.addLuaMsg(50100159, self, self.rRemoveBlack);
	LuaUtil.addLuaMsg(50100164, self, self.addFriendBack);
	LuaUtil.addLuaMsg(50100165, self, self.rRequestFriend);
	LuaUtil.addLuaMsg(50100167, self, self.rFriendRequestList);
	LuaUtil.addLuaMsg(50100168, self, self.rOnlineFriend);
	LuaUtil.addLuaMsg(80100101, self, self.rAddedFriend);
	LuaUtil.addLuaMsg(80100109, self, self.rFriendRequest);
	LuaUtil.addLuaMsg(80400410, self, self.rInvitedUnion);
	LuaUtil.addLuaMsg(80101410, self, self.rInRetrunFlower);
	LuaUtil.addLuaMsg(80100110, self, self.rDeletedFriend);
	LuaUtil.addLuaMsg(80101408, self, self.rOpenFlowerWin);
	LuaUtil.addLuaMsg(80100114, self, self.rAddEnemy);
end
--赠送鲜花返回
function Lua_FriendProxy:rSendFlower(mp)
	if mp.errno == 0 then
	   --DataCenter.friendData:sFriendList(0);
	   local msg = ProtoPublic_pb.Proto50101406();
	   msg:ParseFromString(mp.data);
	   DataCenter.friendData:init50101406(msg);
	   Lua_MsgUtil.callFunc("ON_FRIEND_DATA");
	   if tonumber(msg.sender_id)==tonumber(DataCenter.roleData.roleId) then
		  OperateAlert.show(LanUtil.getValue(120133));
	   end
	end
end
--添加好友返回弹提示
function Lua_FriendProxy:addFriendBack(mp)
	if mp.errno == 0 then
		OperateAlert.show(LanUtil.getValue(120132));
	end
end
--返回好友列表
function Lua_FriendProxy:rFriendList(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50100150();
		msg:ParseFromString(mp.data);
	    DataCenter.friendData:init50100150(msg);
		Lua_MsgUtil.callFunc("ON_FRIEND_DATA");
		Lua_MsgUtil.callFunc("UPDATE_SOCIAL_REDDOT");
	end
end
--返回添加好友信息
-- function Lua_FriendProxy:rAddFriend(mp)
-- 	if mp.errno == 0 then
-- 		local msg = ProtoPublic_pb.Proto50100151();
-- 		msg:ParseFromString(mp.data);
-- 	    DataCenter.friendData:init50100151(msg);
-- 		--Lua_MsgUtil.callFunc("rAddFriend",msg);
-- 	end
-- end
--删除好友返回
function Lua_FriendProxy:rDeleteFriend(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50100152();
		msg:ParseFromString(mp.data);
	    DataCenter.friendData:init50100152(msg);
		Lua_MsgUtil.callFunc("ON_FRIEND_DATA");
	end
end
--被好友删除 
function Lua_FriendProxy:rDeletedFriend(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto80100110();
		msg:ParseFromString(mp.data);
	    DataCenter.friendData:init80100110(msg);
		Lua_MsgUtil.callFunc("ON_FRIEND_DATA");
	end
end
--返回查找好友信息
function Lua_FriendProxy:rSearchFriend(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50100153();
		msg:ParseFromString(mp.data);
	    DataCenter.friendData:init50100153(msg);
		Lua_MsgUtil.callFunc("CREATE_RECOMMEND_ITEM",1);
	end
end
--返回推荐好友信息
function Lua_FriendProxy:rRecommendList(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50100154();
		msg:ParseFromString(mp.data);
	    DataCenter.friendData:init50100153(msg);
		Lua_MsgUtil.callFunc("CREATE_RECOMMEND_ITEM",2);
	end
end
--更新最近联系人信息
function Lua_FriendProxy:rUpdateFriend(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50100155();
		msg:ParseFromString(mp.data);
	    DataCenter.friendData:init50100155(msg);
		Lua_MsgUtil.callFunc("ON_FRIEND_DATA");
	end
end
--查看玩家详细信息
function Lua_FriendProxy:rCheckFriend(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50100156();
		msg:ParseFromString(mp.data);
		if Lua_WindowUtil.isWindowShowing("Lua_CrossServerRechargeWindow") == false
		and Lua_WindowUtil.isWindowShowing("Lua_CrossServerConsumeWindow") == false then
			DataCenter.friendData:init50100156(msg);
			Lua_MsgUtil.callFunc("ON_CHECK_FRIENDINFO");
		else
			Lua_MsgUtil.callFunc("UPDTAE_PALY_INFO",msg); -- 更新某个玩家信息;
		end
	end
end
--跨服查看玩家详细信息
function Lua_FriendProxy:rCheckKuaFuFriend(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51400550();
		msg:ParseFromString(mp.data);
	    DataCenter.friendData:init50100156(msg);
		if Lua_WindowUtil.isWindowShowing("Lua_CrossServerRechargeWindow") == false
		and Lua_WindowUtil.isWindowShowing("Lua_CrossServerConsumeWindow") == false then
			DataCenter.friendData:init50100156(msg);
			Lua_MsgUtil.callFunc("ON_CHECK_FRIENDINFO");
		else
			Lua_MsgUtil.callFunc("UPDTAE_PALY_INFO",msg); -- 更新某个玩家信息;
		end
	end
end
--加入黑名单返回
function Lua_FriendProxy:rPullBlack(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50100158();
		msg:ParseFromString(mp.data);
		DataCenter.friendData:init50100158(msg);
		Lua_MsgUtil.callFunc("ON_FRIEND_DATA");
	end
end
--移出黑名单返回
function Lua_FriendProxy:rRemoveBlack(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50100159();
		msg:ParseFromString(mp.data);
	    DataCenter.friendData:init50100159(msg);
		Lua_MsgUtil.callFunc("ON_FRIEND_DATA");
	end
end
--接受好友请求返回
function Lua_FriendProxy:rRequestFriend(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50100165();
		msg:ParseFromString(mp.data);
	    DataCenter.friendData:init50100165(msg);
		Lua_MsgUtil.callFunc("ON_FRIEND_DATA");
	end
end
--获取在线好友返回
function Lua_FriendProxy:rOnlineFriend(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50100168();
		msg:ParseFromString(mp.data);
	    DataCenter.friendData:init50100168(msg);
		Lua_MsgUtil.callFunc("SET_FRIEND_FLOWER_WINDOW");
	end
end
--被别人加为好友通知
function Lua_FriendProxy:rAddedFriend(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto80100101();
		msg:ParseFromString(mp.data);
	    DataCenter.friendData:init80100101(msg);
		Lua_MsgUtil.callFunc("ON_FRIEND_DATA");
		Lua_MsgUtil.callFunc("UPDATE_FRIEND_REQUEST_TIPS");--刷新好友添加tips显示
		--界面打开，重新获取申请列表
		if Lua_WindowUtil.isWindowShowing("Lua_FriendRequestWindow") == true then
           sendMsg(10100167);
		end
	end
end
--加好友通知
function Lua_FriendProxy:rFriendRequest(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto80100109();
		msg:ParseFromString(mp.data);
	    DataCenter.friendData:init80100109(msg);
		Lua_MsgUtil.callFunc("UPDATE_FRIEND_REQUEST_TIPS");
	end
end
--刷新申请列表
function Lua_FriendProxy:rFriendRequestList(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50100167();
		msg:ParseFromString(mp.data);
	    DataCenter.friendData:init50100167(msg);
		--Lua_MsgUtil.callFunc("UPDATE_FRIEND_REQUEST");
		Lua_MsgUtil.callFunc("UPDATE_FRIEND_REQUEST_TIPS");
	end
end
--邀请入盟返回
function Lua_FriendProxy:rInvitedUnion(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto80400410();
		msg:ParseFromString(mp.data);
	    DataCenter.friendData:init80400410(msg);

	    -- local msg = {};
		-- msg.type = Lua_MenuTipData.UNION_INVITE;
		-- msg.altas = "iconantlas2";
		-- msg.spriteName = "tip_jiubei";
		-- msg.state = 1;
		-- Lua_MsgUtil.callFunc("MENU_TIP_UPDATE", msg);
		Lua_MsgUtil.callFunc("UPDATE_INVITE_UNION_TIPS");
	end
end
--送花回赠窗口
function Lua_FriendProxy:rInRetrunFlower(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto80101410();
		msg:ParseFromString(mp.data);
	    DataCenter.friendData:init80101410(msg);
		Lua_MsgUtil.callFunc("INRETRUN_FLOWER_WINDOW");
	end
end
--打开鲜花特效窗口
function Lua_FriendProxy:rOpenFlowerWin(mp)
	if DataCenter.configLoaded ~= 1 then
		return;
	end
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto80101408();
		msg:ParseFromString(mp.data);
		Lua_WindowUtil.openWin("Lua_SendFlowerEffectWindow",WinParam.ACTION_OPEN,msg.item_id);
	end
end
--记录仇人
function Lua_FriendProxy:rAddEnemy(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto80100114();
		msg:ParseFromString(mp.data);
		if msg.friend_info.friend_type==5 then
			DataCenter.friendData:init80100114(msg);
			Lua_MsgUtil.callFunc("UPDATE_SOCIAL_REDDOT");
			Lua_MsgUtil.callFunc("UPDATE_FRIEND_REDDOT");
		end
	end
end