checkRequire("Lua_FuHunData");
Lua_FuHunProxy = class("Lua_FuHunProxy");

function Lua_FuHunProxy:ctor()
    DataCenter.fuHunData = Lua_FuHunData.new();
    LuaUtil.addLuaMsg(51405420, self, self.rFuHunInfo);
    LuaUtil.addLuaMsg(51405421, self, self.rZhuHunInfo);
    LuaUtil.addLuaMsg(51405422, self, self.rLvlUpMsg);
    LuaUtil.addLuaMsg(51405423, self, self.rKaiGuangMsg);
end

function Lua_FuHunProxy:rFuHunInfo(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto51405420();
        msg:ParseFromString(mp.data);
        DataCenter.fuHunData:fromServer51405420(msg);
    end
end
function Lua_FuHunProxy:rZhuHunInfo(mp)
    if mp.errno == 0 then
    end
end

function Lua_FuHunProxy:rLvlUpMsg(mp)
    if mp.errno == 0 then
    end
end

function Lua_FuHunProxy:rKaiGuangMsg(mp)
    if mp.errno == 0 then
    end
end

function Lua_FuHunProxy:sInitMsg()
    sendMsg(11405420)
end

function Lua_FuHunProxy:sZhuHunMsg(part)
    local cmd = getProtoMsg("Proto11405421")
    cmd.part = part
    sendMsg(11405421, cmd)
end

function Lua_FuHunProxy:sLvlUpMsg(part, jade_index)
    local cmd = getProtoMsg("Proto11405422")
    cmd.part = part
    cmd.jade_index = jade_index
    sendMsg(11405422, cmd)
end

function Lua_FuHunProxy:sKaiGuangMsg(part)
    local cmd = getProtoMsg("Proto11405423")
    cmd.part = part
    sendMsg(11405423, cmd)
end