checkRequire("Lua_GroupBuyData")
Lua_GroupBuyProxy = class("Lua_GroupBuyProxy")

function Lua_GroupBuyProxy:ctor()
    DataCenter.groupBuyData = Lua_GroupBuyData.new();
    LuaUtil.addLuaMsg(50105785, self, self.rGroupBuyInfo);
    LuaUtil.addLuaMsg(50105790, self, self.rGroupBuyShop);
    LuaUtil.addLuaMsg(80105652, self, self.rGroupBuyGetRewards);
    LuaUtil.addLuaMsg(80105650, self, self.updateTimes);
end

-------------------------------------------------- 上行

-- 请求面板信息
function Lua_GroupBuyProxy:sGroupBuyInfo()
    local cmd = ProtoPublic_pb.Proto10105792();
    cmd.close_pannel = 0;
    sendMsg(10105792, cmd);
    --print("send 10105792",cmd.close_pannel)
end
-- 领取奖励
function Lua_GroupBuyProxy:sGroupBuyGetRewards(index)
    local cmd = ProtoPublic_pb.Proto10105791();
    cmd.index = index;
    sendMsg(10105791, cmd);
    --print("send 10105791",cmd.index)

end
-- 请求购买
function Lua_GroupBuyProxy:sGroupBuyShop(index, number)
    local cmd = ProtoPublic_pb.Proto10105790();
    cmd.commodity_index = index;
    cmd.number = number;
    sendMsg(10105790, cmd);
    --print("send 10105790",cmd.commodity_index,cmd.number)
end
-- 关闭面板
function Lua_GroupBuyProxy:sClosePanel()
    local cmd = ProtoPublic_pb.Proto10105792();
    cmd.close_pannel = 1;
    sendMsg(10105792, cmd);
    --print("send 10105792",cmd.close_pannel)
end

-------------------------------------------------- 下行

-- 获取面板信息（返回）
function Lua_GroupBuyProxy:rGroupBuyInfo(mp)
    --print("返回 50105785",mp.errno)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50105785();
        msg:ParseFromString(mp.data);
        DataCenter.groupBuyData:fromServer50105785(msg)
        Lua_MsgUtil.callFunc("UPDATE_GROUP_BUY_PANEL");
    end
end
-- 更新奖励（主动）
function Lua_GroupBuyProxy:rGroupBuyGetRewards(mp)
    --print("返回 80105652",mp.errno)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto80105652();
        msg:ParseFromString(mp.data);
        DataCenter.groupBuyData.reward = msg.reward_info;
        Lua_MsgUtil.callFunc("UPDATE_GROUP_BUY_REAWARD");
    end
end
-- 购买商品（返回）
function Lua_GroupBuyProxy:rGroupBuyShop(mp)
    --print("返回 50105790",mp.errno)
    if mp.errno == 0 then
        Lua_WindowUtil.openWin("Lua_GroupBuyShopBuyWindow", WinParam.ACTION_CLOSE);
    end
end
-- 实时更新购买人数（主动）
function Lua_GroupBuyProxy:updateTimes(mp)
    --print("返回 80105650",mp.errno)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto80105650();
        msg:ParseFromString(mp.data);
        DataCenter.groupBuyData.commodity = msg.commodity;
        DataCenter.groupBuyData.progress = msg.progress;
        Lua_MsgUtil.callFunc("UPDATE_GROUP_BUY_LIMITTED_TIMES");
    end
end