Lua_ZhiYinOneData = class("Lua_ZhiYinOneData");
function Lua_ZhiYinOneData:ctor(id)
	self.id = id;
	self.config = getConfig({"zhiyin", id});
end

function Lua_ZhiYinOneData:getStep(step)
	local config = self.config["guid_"..step];

	if self.curStep ~= step then
		self.curStep = step;

		if config ~= nil and config.sound ~= nil then
			AudioManager.playGuideSound(config.sound);
		end
	end
	return config;
end

function Lua_ZhiYinOneData.Get:stopPlayer()
	return self.config.stop_player
end

function Lua_ZhiYinOneData.Get:second()
	return self.config.second
end

-- 是否显示跳过 1 不显示
function Lua_ZhiYinOneData.Get:hideSkip()
	-- print("Lua_ZhiYinOneData", self.id, self.config.hide_skip);
	return self.config.hide_skip == 1 and true or false;
end