checkRequire("Lua_BeStrongUtil");
Lua_BeStrongData = class("Lua_BeStrongData");
function Lua_BeStrongData:ctor()
	self.idArr = Array();
end

function Lua_BeStrongData:fromServer51400311(msg)
	self.idList = msg.envent_id;
	self:onAnlyData();
end

function Lua_BeStrongData:onAnlyData()
	self.idArr = Array();
	local state, tempArr = self:getShowBeStrongIcon();
	local tempArrLen = tempArr:getSize();
	for i = 1, tempArrLen do
		self.idArr:add(tempArr[i]);
	end

	if self.idList ~= nil then
		for i = 1, #self.idList do
			-- print("红点 id", self.idList[i]);
			self.idArr:add(self.idList[i]);
		end
	end
	self.curStrongList = nil;
	Lua_MsgUtil.callFunc("NOTICE_BESTRONG_ID", self.idArr:getSize());
end

function Lua_BeStrongData:getShowBeStrongIcon()
	local redDot;
	local redDotArr = Array();
	local idArr = Array();
	for k, v in pairs(self.clientRedDotConfig) do
		redDot = false;
		if DataCenter.redDotData:getRedDotStateByEventId(k) then
			if v.isOthers == nil then
				if v.open_id ~= nil then
					if DataCenter.funcOpenData:isOpened(v.open_id) then
						redDot = true;
					end
				else
					redDot = true;
				end
			else
				if k == 22018 then
					redDot = DataCenter.rechargeData.activateState == 1
						and DataCenter.rechargeData.receiveState == 0
						and DataCenter.rechargeData.openState == 1;
				elseif k == 22019 then
					redDot = DataCenter.rechargeData.openMagicState == 1 and DataCenter.rechargeData.giftMagicState == 1;
				elseif k == 10091 then
					-- 2022/10/28 策划需求：去除下载奖励红点
					-- redDot = UpdateResourceBackground.getInstance().currentProgress / 100 >= 1;
					redDot = false;
				end

				local redDot2 = true;
				if v.open_id ~= nil then
					redDot2 = DataCenter.funcOpenData:isOpened(v.open_id);
				end
				redDot = redDot2 and redDot;
			end
		end

		if redDot == true and v.become_stronger_id ~= nil then
			idArr:add(v.become_stronger_id);
		end
		redDotArr:add(redDot);
	end

	for i = 1, redDotArr:getSize() do
		if redDotArr[i] == true then
			return true, idArr;
		end
	end
	return false, idArr;
end

function Lua_BeStrongData.Get:clientRedDotConfig()
	if self._clientRedDotConfig == nil then
		self._clientRedDotConfig = getConfig({"clientRedDotConfig"});
	end
	return self._clientRedDotConfig;
end





function Lua_BeStrongData:fromServer81403101(msg)
	self.envent_status = msg.envent_status;
	self:onNoticeState();
end

function Lua_BeStrongData:onNoticeState()
	if self.envent_status == 1 then
		local mainArr = self:mainBeStrongArr();
		if mainArr:getSize() ~= 0 then
			Lua_MsgUtil.callFunc("NOTICE_BESTRONG_STATE", true)
		else
			Lua_MsgUtil.callFunc("NOTICE_BESTRONG_STATE", false)
		end
	else
		Lua_MsgUtil.callFunc("NOTICE_BESTRONG_STATE", false)
	end
end

function Lua_BeStrongData:mainBeStrongArr()
	local mainArr = Array();
	local isMapLimitShow = false
	if DataCenter.roleData.sceneId ~= nil then
		local sceneConfig = Lua_SceneConfigData.getSceneConfig(DataCenter.roleData.sceneId);
		if sceneConfig.kuafu_map == 1 then
			isMapLimitShow = true
		end
	end

	local len = self.BeStrongIdArr:getSize()
	for i = 1, len do
		if isMapLimitShow == true then
			if self.BeStrongIdArr[i].task_show == 2 or self.BeStrongIdArr[i].task_show == 1
				or self.BeStrongIdArr[i].show_kuafu == 0 or self.BeStrongIdArr[i].show_kuafu == 2 then
				mainArr:add(self.BeStrongIdArr[i]);
			end
		else
			if self.BeStrongIdArr[i].task_show == 2 or self.BeStrongIdArr[i].task_show == 1 then
				mainArr:add(self.BeStrongIdArr[i]);
			end
		end
	end

	if mainArr:getSize() ~= 0 then
		mainArr:sort("rank", true);
	end
	return mainArr;
end

function Lua_BeStrongData.Get:BeStrongIdArr()
	if self.curStrongList == nil then
		local len = self.idArr:getSize();
		local Arr = Array();
		if len ~= 0 then
			for i = 1, len do
				local list = {}
				list.txt = Lua_BeStrongUtil.getName(self.idArr[i])
				list.winName = Lua_BeStrongUtil.getWinName(self.idArr[i])
				list.basePanel = Lua_BeStrongUtil.getBasePanel(self.idArr[i])
				list.num = Lua_BeStrongUtil.getNum(self.idArr[i])
				list.rank = Lua_BeStrongUtil.getRank(self.idArr[i])
				list.act_id = Lua_BeStrongUtil.getActId(self.idArr[i])
				list.task_rank = Lua_BeStrongUtil.getTask_Rank(self.idArr[i])
				list.task_show = Lua_BeStrongUtil.getTask_Show(self.idArr[i])
				list.show_kuafu = Lua_BeStrongUtil.getShow_kuafu(self.idArr[i])
				list.nameIndex = Lua_BeStrongUtil.getNameIndex(self.idArr[i])
				if Lua_BeStrongUtil.getConfig(self.idArr[i]) ~= nil then
					Arr:add(list)
				end
			end
		end
		self.curStrongList = Arr;
	end
	return self.curStrongList;
end

function Lua_BeStrongData:taskBeStrongArr()
	local taskArr = Array();
	for i = 1, self.BeStrongIdArr:getSize() do
		if self.BeStrongIdArr[i].task_show == 2 or self.BeStrongIdArr[i].task_show == 0 then
			taskArr:add(self.BeStrongIdArr[i]);
		end
	end

	if taskArr:getSize() ~= 0 then
		taskArr:sort("task_rank", true);
	end
	return taskArr;
end