Lua_JinJieBenefitData = class("Lua_JinJieBenefitData");
function Lua_JinJieBenefitData:ctor()
	self:dispose();
end

function Lua_JinJieBenefitData:dispose()
	self.isLogin = false;
end

function Lua_JinJieBenefitData:fromServer50105753(msg)
	if msg == nil then
		return;
	end

	self.reward = msg.reward; --活动奖励
	self.end_tick = tostring(tonumber(msg.act_info.end_tick)); -- 结束时间
end

function Lua_JinJieBenefitData.Get:giftList()
	local giftArr;
	local tvo;
	local itemArr;
	local rewardArr = Array();
	for k, v in ipairs(self.reward) do
		giftArr = Array();
		for i, j in ipairs(v.tab_reward) do
			itemArr = Array();
			for g, h in ipairs(j.reward_items) do
				tvo = Lua_ToolVo.createToolVo(h.id, h.count, h.bind);
				tvo:fromServer(h);
				itemArr:add(tvo);
			end
			giftArr:add({index = j.index, title = j.title, price = j.cond[1], curPrice = j.cond[2], limitNum = j.cond[3], item = itemArr, state = j.state});
		end
		rewardArr:add({title = v.tab_title, gift = giftArr, giftType = v.tab_index});
	end
	rewardArr:sort("giftType", false);
	return rewardArr;
end

function Lua_JinJieBenefitData:getInfoByType(val)
	local arr = self.giftList;
	for i = 1, arr:getSize() do
		if arr[i].giftType == val then
			return arr[i];
		end
	end
	return nil;
end