Lua_KuaFuUtil = { };

-- until 静态类只用来读取配置数据。
function Lua_KuaFuUtil:teamGloryReward(id)
    return getConfig({"team_combat_honor_reward",id})
end
function Lua_KuaFuUtil:teamDanReward()
    return getConfig({"team_combat_grade_reward"})
end
function Lua_KuaFuUtil:teamTargeReward(season)
	local arr = Array();
	local c =  getConfig({"team_combat_rank_reward"})
	local r = getConfig({"team_combat_grade_reward"})
	for i,v in ipairs(c) do
		if v.season == season then
			arr:add(v);
		end
	end
	for i,v in ipairs(r) do
		if  v.season == season then
			arr:add(v);
		end
	end

	if arr:getSize() == 0 and season > 1 then
		arr = self:teamTargeReward(season - 1)
	end
	return arr;
end
function Lua_KuaFuUtil:teamRuleRewad(id)
    return getConfig({"team_combat_grade",id})
end
function Lua_KuaFuUtil:teamStarNum(id)
	local num = 0
	if id < 201 then
		num = id - 100;
		return num;
	elseif id >= 201 and id < 301 then
		num = id - 200;
		return num;
	elseif id >= 301 and id < 401 then
		num = id - 300;
		return num;
	elseif id >= 401 and id < 501 then
		num = id - 400;
		return num;
	elseif id >= 501 and id < 601 then
		num = id - 500;
		return num;
	elseif id >= 601  then
		num = id - 600;
		return num;
	end
end
function Lua_KuaFuUtil:teamClassSp(id)
	if id < 201 then
		return 6;
	elseif id >= 201 and id < 301 then
		return 5;
	elseif id >= 301 and id < 401 then
		return 4;
	elseif id >= 401 and id < 501 then
		return 3;
	elseif id >= 501 and id < 601 then
		return 2;
	elseif id >= 601  then
		return 1;
	end
end
function Lua_KuaFuUtil:rankGrade()
	local value = getConfig({"team_combat_const","rank_grade","value"})
	return value;
end
function Lua_KuaFuUtil:getKuFuByTimesCost()
	local arr = Array();
	local list = getConfig({"team_combat_const","gold_times","arr"})
	if list ~= nil then
	    local num = #list;
	    for i = 1, num do
	        arr:add(list[i]);
	    end
	end
	return arr;
end
function Lua_KuaFuUtil:createCostMoney()
	local list = getConfig({"combat_team_const","cost_money","arr"})
	return list[2];
end
function Lua_KuaFuUtil:frequencyReard()
	local list = getConfig({"combat_team_const","frequency_num","arr"})
	return list;
end

function Lua_KuaFuUtil:getFightRewardId(season, times)
	if self._timeRewardList == nil then
		self._rewardSeason = 0;
		self._timeRewardList = {};
		local config = getConfig({"team_combat_fight_reward"});
		for k, v in pairs(config) do
			if self._timeRewardList[v.season] == nil then
				self._timeRewardList[v.season] = {};

				if self._rewardSeason < v.season then
					self._rewardSeason = v.season;
				end
			end
			self._timeRewardList[v.season][v.fight_times] = v;
		end
	end
	if self._timeRewardList[season] ~= nil then
		return self._timeRewardList[season][times];
	else
		if season ~= nil and season > self._rewardSeason then
			return Lua_KuaFuUtil:getFightRewardId(self._rewardSeason, times);
		end
	end
	return nil;
end

