checkRequire("Lua_LeaderBoardData")
Lua_LeaderBoardProxy = class("Lua_LeaderBoardProxy")
function Lua_LeaderBoardProxy:ctor()
	DataCenter.LeaderBoardData = Lua_LeaderBoardData.new();

	LuaUtil.addLuaMsg(50100701, self, self.rGetleaderboard);
	LuaUtil.addLuaMsg(50100702, self, self.roneLeaderboard);
end

function Lua_LeaderBoardProxy:rGetleaderboard(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50100701();
		msg:ParseFromString(mp.data);
		DataCenter.LeaderBoardData:fromServer50100701(msg);
		Lua_MsgUtil.callFunc("LEADERBOARD_UPDATE");
	end
end

function Lua_LeaderBoardProxy:roneLeaderboard(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50100702();
		msg:ParseFromString(mp.data);
		DataCenter.LeaderBoardData:fromServer50100702(msg);
		Lua_MsgUtil.callFunc("ONELEADERBOARD_UPDATE");
	end
end