checkRequire("Lua_LongmaiPropertyVo");
checkRequire("Lua_LongmaiRewardsVo");
checkRequire("Lua_LongmaiMissionVo");
Lua_LongmaiData = class("Lua_LongmaiData");
function Lua_LongmaiData:ctor()
	self.missionList = Array();
end

-- 请求打开龙脉界面
function Lua_LongmaiData:sOpenLongmaiWin()
	sendMsg(11403601)
end

-- 请求领取龙脉奖励
function Lua_LongmaiData:sGetLongmaiPrize(index)
	local cmd = ProtoPublic_pb.Proto11403602();	
	cmd.index = index
	sendMsg(11403602, cmd)
end

-- 请求升级龙脉
function Lua_LongmaiData:sLongmaiUpgrade()
	sendMsg(11403603)
end

-- 请求改动龙脉外观
function Lua_LongmaiData:sChangeLongmai(flag)
	local cmd = ProtoPublic_pb.Proto11403604();	
	cmd.flag = flag
	sendMsg(11403604, cmd)
end

function Lua_LongmaiData:fromServer51403601(msg)
	if msg == nil then
		return;
	end

	if self.missionList:getSize() > 0 then
		self.missionList:clear();
	end

	local vo;
	for i = 1, #msg.envent_info do
		vo = Lua_LongmaiMissionVo.new();
		vo:fromServer(msg.envent_info[i])
		if vo:isTodayOpen() == true then
			self.missionList:add(vo);
		end
	end
	self.missionList:sort("priority", false)
end





-- 读取龙脉的属性
function Lua_LongmaiData.Get:longMaiAttrArr()
	if self._longMaiAttrArr == nil then
		self._longMaiAttrArr = Array();

		local vo;
		local config = getConfig({"arrti"});
		for k,v in pairs(config) do
			vo = Lua_LongmaiPropertyVo.new(k);
			self._longMaiAttrArr:add(vo);
		end
		self._longMaiAttrArr:sort("id", false);
	end
	return self._longMaiAttrArr;
end

-- 读取龙脉的活跃度奖励配置
function Lua_LongmaiData.Get:longMaiActInfoArr()
	if self._longMaiActInfoArr == nil then
		self._longMaiActInfoArr = Array();

		local vo;
		local config = getConfig({"rewards_longmai"});
		for k,v in pairs(config) do
			vo = Lua_LongmaiRewardsVo.new(k);
			self._longMaiActInfoArr:add(vo);
		end
		self._longMaiActInfoArr:sort("id", false);
	end
	return self._longMaiActInfoArr;
end

function Lua_LongmaiData:longMaiModelInfo(id)
	local shapeConfig = getConfig({"playerHanger", id});
	if shapeConfig == nil then
		return nil;
	end
	return {floder = shapeConfig.floder, fileName = shapeConfig.fileName, modelName = shapeConfig.modelName};
end

function Lua_LongmaiData:longMaiConfingInfo(id, str)
	return getConfig({"envent_longmai", id, str})
end