checkRequire("Lua_LongmaiData")
Lua_LongmaiProxy = class("Lua_LongmaiProxy")
function Lua_LongmaiProxy:ctor()
	DataCenter.longmaiData = Lua_LongmaiData.new();

	LuaUtil.addLuaMsg(51403601, self, self.rOpenLongmaiWin);
	LuaUtil.addLuaMsg(51403602, self, self.rGetLongmaiPrize);
	LuaUtil.addLuaMsg(51403603, self, self.rLongmaiUpgrade);
	LuaUtil.addLuaMsg(51403604, self, self.rLongmaiChanged);
	LuaUtil.addLuaMsg(81403603, self, self.rLongmaiActivation);
	LuaUtil.addLuaMsg(81403604, self, self.rLongmaiFlyFont);
end

-- 请求打开龙脉界面返回
function Lua_LongmaiProxy:rOpenLongmaiWin(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51403601();
		msg:ParseFromString(mp.data);

		local longmaiData = DataCenter.longmaiData;
		longmaiData:fromServer51403601(msg);
		longmaiData.is_show = msg.is_show
		longmaiData.current_lvl = msg.current_lvl
		longmaiData.have_value = msg.have_value
		longmaiData.obtain_value = msg.obtain_value;
		Lua_MsgUtil.callFunc("UPDATE_LONGMAI_INFO", msg)	
	end
end

-- 请求领取龙脉奖励返回
function Lua_LongmaiProxy:rGetLongmaiPrize(mp)
	if mp.errno == 0 then
		OperateAlert.show(LanUtil.getValue(121914));
	end
end

-- 请求升级龙脉返回
function Lua_LongmaiProxy:rLongmaiUpgrade(mp)
	if mp.errno == 0 then
		OperateAlert.show(LanUtil.getValue(121913));
	end
end

-- 请求改动龙脉外观返回
function Lua_LongmaiProxy:rLongmaiChanged(mp)
	if mp.errno == 0 then
	end
end

-- 通知龙脉系统开启
function Lua_LongmaiProxy:rLongmaiActivation(mp)
	if mp.errno == 0 then
		OperateAlert.show(LanUtil.getValue(121915))
	end
end

-- 通知龙脉飘字
function Lua_LongmaiProxy:rLongmaiFlyFont(mp)
	if mp.errno == 0 then
	end
end