Lua_LuckySignData = class("Lua_LuckySignData");
function Lua_LuckySignData:ctor()
	self:dispose();
end

function Lua_LuckySignData:dispose()
	self.isLogin = false;
end

function Lua_LuckySignData:fromServer50105741(msg)
	if msg == nil then
		return;
	end

	self.end_tick = tostring(tonumber(msg.activity_info.end_tick)); -- 结束时间
	self.actContent = msg.activity_info.content; -- 活动内容
	self.items = msg.items; -- 奖励
	self.pub_record = msg.pub_record; -- 全服记录
	self.left = msg.left; -- 剩余签数
	self.draw_one = msg.draw_one; -- 抽一次消耗
	self.draw_ten = msg.draw_ten; -- 抽十次消耗
end

function Lua_LuckySignData.Get:showTvoArr()
	local tvo;
	local tvoArr = Array();
	for  k, v in ipairs(self.items) do
		tvo = Lua_ToolVo.createToolVo(v.id,v.count,v.bind);
		tvo:fromServer(v);
		tvoArr:add(tvo);
	end
	return tvoArr;
end

function Lua_LuckySignData.Set:specialRewardList(data)
	self._specialReward = data;
end

function Lua_LuckySignData.Get:specialRewardList()
	local tvo;
	local tvoArr = Array();
	for  k, v in ipairs(self._specialReward) do
		tvo = Lua_ToolVo.createToolVo(v.id, v.count, v.bind);
		tvo:fromServer(v);
		tvo.show_effect = false;
		tvo.bShowQualityEff = true;
		tvoArr:add(tvo);
	end
	return tvoArr;
end