checkRequire("Lua_TransCommonData");
Lua_MagicWeaponTransData = class("Lua_MagicWeaponTransData", Lua_TransCommonData);
function Lua_MagicWeaponTransData:ctor()
	self:superCall("ctor");
end

function Lua_MagicWeaponTransData.Get:config()
	return getConfig({"magicweapon", "illusion"});
end

function Lua_MagicWeaponTransData:sGetPanelInfo()
	sendMsg(11402503);
end

function Lua_MagicWeaponTransData:sActivate(id)
	local cmd = ProtoPublic_pb.Proto11402504();
	cmd.ill_id = id;
	sendMsg(11402504, cmd);
end

function Lua_MagicWeaponTransData:sTransmogrify(id)
	local cmd = ProtoPublic_pb.Proto11402507();
	cmd.ill_id = id;
	cmd.ill_on = 1;
	sendMsg(11402507, cmd);
end

function Lua_MagicWeaponTransData:sRestore()
	local cmd = ProtoPublic_pb.Proto11402507();
	cmd.ill_id = self.illId;
	cmd.ill_on = 0;
	sendMsg(11402507, cmd);
end

function Lua_MagicWeaponTransData:sLvlUp(id)
	local cmd = ProtoPublic_pb.Proto11402506();
	cmd.ill_id = id;
	sendMsg(11402506, cmd);
end

function Lua_MagicWeaponTransData:fromServer(data)
	self.illId = data.cur_ill_id;
	self:setDataList(data.illusion_list);
end

function Lua_MagicWeaponTransData:getActivationInfo(data)
end

function Lua_MagicWeaponTransData:getTransInfo(data)
end

function Lua_MagicWeaponTransData:getLvlUpInfo(data)
end