checkRequire("Lua_FuncOpenData");
Lua_FuncOpenProxy = class("Lua_FuncOpenProxy")
function Lua_FuncOpenProxy:ctor()
	DataCenter.funcOpenData = Lua_FuncOpenData.new();

	MsgUtil.addEventListener("PLAYER_LEVEL_UP", self, self.onLevelUp);
	Lua_MsgUtil.addEventListener("FINISH_TASK", self, self.finishTask);
	Lua_MsgUtil.addEventListener("TASK_LIST_INIT_COMPLETE", self, self.taskListInitComplete);
	Lua_MsgUtil.addEventListener("UPCHANGEJOB_UPDATE", self, self.checkFuncDataOpen);
end

function Lua_FuncOpenProxy:finishTask(taskId)
	self:checkFuncDataOpen();
end

function Lua_FuncOpenProxy:taskListInitComplete(taskId)
	self:checkFuncDataOpen();

	DataCenter.funcOpenData.initChecked = true;
	if DataCenter.funcOpenData:isOpened(10066) == true then	
		sendMsg(11403812); -- 神翼信息
	end

	if DataCenter.funcOpenData:isOpened(10002) == true then
		sendMsg(11403825); -- 请求灵纹界面信息
	end

	if DataCenter.funcOpenData:isOpened(10146) == true then
		sendMsg(11405301); -- 请求灵纹界面信息
	end

	if DataCenter.funcOpenData:isOpened(10149) == true then
		sendMsg(11407101); -- 请求武库界面信息
	end

	if DataCenter.funcOpenData:isOpened(10161) == true then
		sendMsg(11403401); -- 请求魂印界面信息
	end

	if DataCenter.funcOpenData:isOpened(10184) == true then
		sendMsg(11404010); -- 请披风界面信息
	end

	if DataCenter.funcOpenData:isOpened(10193) == true then
		sendMsg(11404020); -- 请求军魂界面信息
	end

	if DataCenter.funcOpenData:isOpened(10029) == true then -- 藏宝库
		DataCenter.redDotData:updateRedDotVoState(21170, true); -- 客户端显示红点
	end

	if DataCenter.funcOpenData:isOpened(10058) == true then	
		DataCenter.yunBiaoData:sGetPanelInfo(); -- 请求运镖界面
	end

	if DataCenter.funcOpenData:isOpened(10082) == true then
		Lua_MsgUtil.callFunc("RONG_HE_RED_DOT_UPDATE"); -- 更新装备熔合红点
	end
	Lua_CommonUtil.addTimer("delayCheckAllIconLock", 0.5, self, self.delayCheckAllIconLock, nil, 1);
end

function Lua_FuncOpenProxy:delayCheckAllIconLock()
	DataCenter.funcOpenData:checkAllIconLock();
end

function Lua_FuncOpenProxy:onLevelUp()
	self:checkFuncDataOpen();
	DataCenter.funcOpenData:checkAllIconLock();
end

function Lua_FuncOpenProxy:checkFuncDataOpen()
	DataCenter.funcOpenData:checkOpenedFunc(true);
end