Lua_MainCShapProxy = class("Lua_ThingProxy", Lua_EventOwner);
function Lua_MainCShapProxy:ctor()
	self:superCall("ctor");
	self:addCSharpEvent("SHOW_NPC_TALK", self, self.onShowNpcTalk);
	self:addCSharpEvent("SKILL_COOLDOWN", self, self.onSkillUse);
	self:addCSharpEvent("UI_CLICK", self, self.onUIClick);
end
function Lua_MainCShapProxy:onShowNpcTalk(obj)
	local sceneData = Lua_SceneConfigData.getSceneConfig(DataCenter.roleData.sceneId);
	local npcData = sceneData:findNpcById(tonumber(obj));
	PlayerData.getInstance().selectedId = tonumber(obj);
	--[[if DataCenter.hook.selectedId ~= r then
		DataCenter.hook.selectedId = r;
	end--]]
	Lua_MsgUtil.callFunc("SELECTED_TARGET_CHANGE");
	
	local showTask = DataCenter.taskData:checkTaskWithNpc(tonumber(obj));
	if showTask ~= nil then
		DataCenter.taskData:showNpcTalkWindow(npcData,tonumber(obj));
	else
		if npcData.eventName ~= nil then
			Lua_MsgUtil.callFunc(npcData.eventName, tonumber(obj));
		else
			DataCenter.taskData:showNpcTalkWindow(npcData,tonumber(obj));
		end
	end
end
function Lua_MainCShapProxy:onSkillUse(obj)
	DataCenter.skillData:onSkillUse(obj);
end
function Lua_MainCShapProxy:onUIClick(obj)
	
end