Lua_AttackedListItem = class("Lua_AttackedListItem", Lua_ListCell);
function Lua_AttackedListItem:ctor(p)
    self:superCall("ctor", p, "AttackedListItem_skin");
end
function Lua_AttackedListItem:setData(val)
	self.data = val;
	local playerData = DataCenter.thingData:getThing(val.id);
	if playerData == nil then
		self.lvlTxt.text = "Lv.0";
		self.nameTxt.text = "";
		self.stateTxt.text = "";
	else
		local rd = DataCenter.roleData;
		self.lvlTxt.text = "Lv."..playerData.lvl;
		self.nameTxt.text = playerData.name;
		if playerData.hp > 0 then
			local dx = rd.px - playerData.px;
			local dz = rd.pz - playerData.pz;
			local curDis = math.abs(dx) + math.abs(dz);
			if curDis > Lua_CommonUtil.getCommonConfig("attacked_near_dis", 1) then
				self.stateTxt.text = LanUtil.getValue(122263);
			else
				self.stateTxt.text = LanUtil.getValue(122262);
			end
		else
			self.stateTxt.text = LanUtil.getValue(122264);
		end
		
	end
end
function Lua_AttackedListItem:onPlayerSoundClick()
	DataCenter.attackedData:setMoveTo(self.data.id);
end