Lua_MainExpBarPanel = class("Lua_MainExpBarPanel",Lua_DisplayObject)
function Lua_MainExpBarPanel:buildShowItem()
	self:superCall("buildShowItem");
	self.bg =  UICreate.createUIAtlasImage(self.content,"mainWindow_atlas","ui_zhujiemian_progress_09",0,0,261,6);
	self.bg:setDepth(1);
	
	self.bar = UICreate.createUIAtlasImage(self.content,"mainWindow_atlas","ui_zhujiemian_progress_08",0,0,261,5);
	self.bar:setDepth(2);
	self.bar.pivot = UIWidget.Pivot.Left;
	
	self:updateSize();
	self:addCSharpEvent("SCREEN_RESIZE", self, self.updateSize);
	self:addLuaEvent("ROLE_DATA_CHANGE", self, self.onProperUpdate);
	self:addLuaEvent("ROLE_HP_UPDATE", self, self.onProperUpdate);
	self:updateSize();
end

function Lua_MainExpBarPanel:updateSize()
	local sw = MainWinDefine.V_width ;
	local sh = MainWinDefine.V_height ;
	
	self.bg:SetDimensions(sw,6);
	self.bar:setLocation(-sw/2,0);
	
	self:onProperUpdate(nil);
end
function Lua_MainExpBarPanel:onProperUpdate(o)
	local sw = MainWinDefine.V_width ;
	local rd = DataCenter.roleData;
	local lexp = Lua_ThingDefine.getLevelExp(rd.level);
	local w = rd.exp * sw / lexp;
    if w < 1 then
    	w = 1;
    end
    if w > sw then
    	w = sw;
    end
    self.bar:SetDimensions(w,5);
end