Lua_OutButtonPanel = class("Lua_OutButtonPanel", Lua_DisplayObject);
function Lua_OutButtonPanel:ctor(p)
	self:superCall("ctor", p);
end

function Lua_OutButtonPanel:buildShowItem()
	self:superCall("buildShowItem");

	self.outBtn = UICreate.createButton(self.content, LanUtil.getValue(110929), -33, 15, 154, 46);
	self.outBtn:setDepth(3);
	self.outBtn.txt.fontSize = 26;
	self.outBtn.txt.effectColorStr = Lua_ColorDefine.transColor("1A3948");
 	self.outBtn.txt.effectStyle = 3;
	self.outBtn.txt:setEffectDistance(1, 1);
	self.outBtn:setStyle(28);
	self.outBtn:addClickFuntion(self, self.onOutBtnClick);

	self:addLuaEvent("RIGHT_TOP_CHANGE", self, self.onRightTopChange);
end

function Lua_OutButtonPanel:onRightTopChange()
	local v = not DataCenter.allRtData:getShowState();
	self.outBtn:setEnable(v);
end

function Lua_OutButtonPanel:onOutBtnClick(go)
	Lua_MsgUtil.callFunc("MENU_OUT_CLICK");
end

function Lua_OutButtonPanel:dispose()
	self:superCall("dispose");
end