-- BOSS头像信息
checkRequire("Lua_MonsTargetHeadBasePanel");
Lua_BossTargetItem = class("Lua_BossTargetItem", Lua_MonsTargetHeadBasePanel);
function Lua_BossTargetItem:ctor(p)
	self:superCall("ctor", p, "BossTargetItem_skin");
end

function Lua_BossTargetItem:buildShowItem()
	self:superCall("buildShowItem");

	self.content.name = "Lua_BossTargetItem";
end

function Lua_BossTargetItem:setDepth(val)
	self:superCall("setDepth", val);

	self.headBg:setDepth(val + 1);
	self.headImg:setDepth(val + 2);
	self.lvBg:setDepth(val + 6);
	self.lvTxt:setDepth(val + 7);
end

function Lua_BossTargetItem:setData(val)
	self:superCall("setData", val);

	if val.monsterData ~= nil and val.monsterData.hide_lv == 1 then
		self.lvTxt:setEnable(false);
		self.lvBg:setEnable(false);
	else
		self.lvTxt.text = val.lvl;
		self.lvTxt:setEnable(true);
		self.lvBg:setEnable(true);
	end

	if val.monsterData.headSrc ~= "" and self.headSrc ~= val.monsterData.headSrc then
		self.headSrc = val.monsterData.headSrc;
		self.headImg:setUrl("/images/head/boss/"..tostring(val.monsterData.headSrc)..".png");
		-- self.headImg:SetDimensions(96, 96);
	end
end

function Lua_BossTargetItem:clearRes()
	self.headSrc = nil;
	self.headImg:setUrl(nil);
end