-- 小怪血条显示面板
checkRequire("Lua_MonsterTargetItem");
Lua_MonsterTargetPanel = class("Lua_MonsterTargetPanel", Lua_DisplayObject);
function Lua_MonsterTargetPanel:ctor(p)
	self:superCall("ctor", p, "MonsterTargetPanel_skin");
end

function Lua_MonsterTargetPanel:buildShowItem()
	self:superCall("buildShowItem");

	self.hpBar = Lua_ProccessBar.new(self.content);
	self.hpBar:setTxtCenter();
	self.hpBar:setDepth(3);
 	self.hpBar:setLocation(1, 0, 0);

    self.item = Lua_MonsterTargetItem.new(self.content);
    self.item:setDepth(3);
    self.item:setLocation(-28, 5, 0);
end

function Lua_MonsterTargetPanel:setData(val)
	self.nameTxt.text = val.name;
	self.item:setData(val);
	self.hpBar:setInfoTxt(val.hp, val.maxHp, false, true);
end

function Lua_MonsterTargetPanel:setNpcData(val)
	local hp = val.hp == nil and 1 or val.hp;
	self.hpBar:setInfoTxt(hp,hp,false, true);
	self.nameTxt.text = val.name;
	self.item:setNpcData(val);
end

function Lua_MonsterTargetPanel:dispose()
	if self.hpBar ~= nil then
		self.hpBar:dispose();
		self.hpBar = nil;
	end
	if self.item ~= nil then
		self.item:dispose();
		self.item = nil;
	end

	self:superCall("dispose");
end