Lua_TaskChapterItem = class("Lua_TaskChapterItem",Lua_DisplayObject)
function Lua_TaskChapterItem:ctor(p)
	self:superCall("ctor",p,"TaskChapterItem_skin", true);
end
function Lua_TaskChapterItem:buildShowItem()
	self:superCall("buildShowItem");
	self.bar:setMaxValue(100);
	self.bar.txt.effectStyle = 2;
	self.bar.txt.effectColorStr = Lua_ColorDefine.transColor("3e4950");
	
	-- self.hpBar = Lua_ProccessBar.new(self.content);
	-- self.hpBar.infoTxt.effectStyle = 3;
	-- self.hpBar.infoTxt.effectColorStr = "4283961873";
	-- self.hpBar.infoTxt:setEffectDistance(1, 1);
	-- self.hpBar:setTxtCenter();
	-- self.hpBar:setBarSprite("iconantlas1", "jdt_bar03");
end

function Lua_TaskChapterItem:setData(val)
	--val:Lua_TaskVo
	if val == nil or val.chapterData == nil then
		return;
	end
	self.data = val;
	self.titleTxt.text = self.data.chapterData.title;
	self.contentTxt.text = self.data.chapterData.content;
	self.bar:setText("{1}%");
	self.bar:setValue(self.data.chapterData.progress);	
	self.iconSp:setUrl("/images/task/chaptericon/"..self.data.chapterData.icon..".png");
end