checkRequire("Lua_TeamerStateItem");
checkRequire("Lua_TeamerItem");
Lua_TeamHasItem = class("Lua_TeamHasItem", Lua_DisplayObject);
function Lua_TeamHasItem:ctor(p)
	self:superCall("ctor", p, "TeamHasItem_skin", true);
end

function Lua_TeamHasItem:buildShowItem()
	self:superCall("buildShowItem");

	self.teamerItem = Lua_TeamerItem.new(self.content);
	self.teamerItem:setScale(0.8, 0.8);
	self.teamerItem:hideItem();
	self.teamerItem:setLocation(32, -8.5, 0);
	self.teamerItem:onTeamUpdate();

	local item;
	self.arr = Array();
	for i = 1, 3 do
		item = Lua_TeamerStateItem.new(self.content);
		item:setLocation(0, 110 - (i - 1) * 30, 0);
		self.arr:add(item);
	end

	self.outBtn:addClickFuntion(self,self.onOutClick);

	self:onTeamInfoUpdate();

	self:addLuaEvent("TEAM_INFO_UPDATE", self, self.onTeamInfoUpdate);
end

function Lua_TeamHasItem:onTeamInfoUpdate(o)
	if DataCenter.teamData.hasTeam == false then
		return;
	end

	for i = 1, 3 do
		if DataCenter.teamData.teamerArr[i] == nil then
			self.arr[i]:setEnable(false);
		else
			self.arr[i]:setEnable(true);
			self.arr[i]:setData(DataCenter.teamData.teamerArr[i]);
		end
	end

	local addExp = DataCenter.teamData:getAddExp();
	self.expTxt.text = ">>Exp:+"..addExp.."%";
	if DataCenter.teamData.isMatch then
		self.matchTxt.text = LanUtil.getValue(122254);
	end
	self.matchTxt:setEnable(DataCenter.teamData.isMatch);
end

function Lua_TeamHasItem:onOutClick(go)
	sendMsg(10100306);
end