Lua_TopLeftIcon = class("Lua_TopLeftIcon", Lua_DisplayObject);
function Lua_TopLeftIcon:ctor(p, skin, type)
	self._type = type;
	self:superCall("ctor", p, skin);
end

function Lua_TopLeftIcon:buildShowItem()
	self:superCall("buildShowItem");

	if self.icon == nil then
		self.icon = UICreate.createUIAtlasImage(self.content, "", "", 0, 0, 0, 0);
		self.icon.name = "icon";
		self.icon:addClickFuntion(self, self.onIconClick);
	end
	self.icon:setDepth(11);
end

function Lua_TopLeftIcon.Get:type()
	return self._type;
end

function Lua_TopLeftIcon:setIcon(altas, spName)
	self.icon:setAltas(altas, spName);
end

function Lua_TopLeftIcon:showHideReddot(val)
	if val == true then
		if self._redDot == nil then
			self._redDot = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_hongdian", 20, 20, 0, 0);
			self._redDot.name = "redDot";
			self._redDot:setDepth(self.depth + 14);
		end
		self._redDot:setEnable(true);
	else
		if self._redDot ~= nil then
			self._redDot:setEnable(false);
		end
	end
end

function Lua_TopLeftIcon:onIconClick()
end