
Lua_MapWorldInfoVo = class("Lua_MapWorldInfoVo");
function Lua_MapWorldInfoVo:ctor()
    self:superCall("ctor");

	self.posX = 0;
	self.posY = 0;
	self.namePosX = -92;
	self.namePosY = -14;
	self.iconPosX = 0;
	self.iconPosY = 0;
	self.desPosX = 0;
	self.desPosY = -56;
end

function Lua_MapWorldInfoVo:setData(sceneInfo, sceneId)
	-- "lv_not_gray":26,
	-- "pos_x":-400,
	-- "pos_y":-146,
	-- "name_pos_x":-92,
	-- "name_pos_y":-14,
	-- "icon":"001.png",
	-- "icon_pos_x":0,
	-- "icon_pos_y":0,
	-- "des_txt":"(等级26~40)",
	-- "des_pos_x":0,
	-- "des_pos_y":-56

	self.sceneId = tonumber(sceneId);
	self.sceneName = sceneInfo.name;
	self.fixed_pos = sceneInfo.fixed_pos;
	local info = sceneInfo.world_map;
	if info ~= nil then
		self.lv_not_gray = info.lv_not_gray;
		self.posX = info.pos_x;
		self.posY = info.pos_y;
		self.namePosX = info.name_pos_x;
		self.namePosY = info.name_pos_y;
		self.icon = info.icon;
		self.iconPosX = info.icon_pos_x;
		self.iconPosY = info.icon_pos_y;
		self.des_txt = info.des_txt;
		self.desPosX = info.des_pos_x;
		self.desPosY = info.des_pos_y;
	end
end

function Lua_MapWorldInfoVo.Get:desTxt()
	if self.des_txt == nil then
		return "";
	end
	return self.des_txt;
end

function Lua_MapWorldInfoVo.Get:bShowGray()
	if self.lv_not_gray ~= nil and self.lv_not_gray > DataCenter.roleData.level then
		return true;
	end
	return false;
end

function Lua_MapWorldInfoVo.Get:imgUrl()
	if self.icon ~= nil then
		return "/images/map/worldMap/"..self.icon;
	end
	return "";
end