-- 市场售卖vo
Lua_MarketSellVo = class("Lua_MarketSellVo");
function Lua_MarketSellVo:ctor()
end

function Lua_MarketSellVo:fromServer(val)
	if val == nil then
		return;
	end

	self.config = DataCenter.marketUtil:getSellGoodsMarketInfo(val.item_id);
	self.market_index = val.market_index;
	self.item_id = val.item_id;
	self.item_amount = val.item_amount;
	self.money_type = val.money_type;
	self.price = tonumber(math.ceil(val.price/self.item_amount)) ;
	self.totalPrice = tonumber(val.price) ;
	self.left_time = val.left_time;
	self.roleId = tonumber(val.role);
	self.equip = val.equip;
	self.wingAttr = val.wing_info.wing_attri;
	self._starNum = val.start == nil and 0 or val.start;
	self.have_pw = val.have_pw;

	self._toolVo = Lua_ToolVo.createToolVo(self.item_id, self.item_amount);
	self._toolVo:fromServer(val);
	self._toolVo.packType = Lua_PackTypeDefine.EQUIP;
	-- self._toolVo.star = self._starNum;
	-- self._toolVo.equipment = val.equip;
	-- self._toolVo.card_level = val.equip.card_level;
	-- self._toolVo.wingAttr = val.wing_info.wing_attri;
end

function Lua_MarketSellVo.Get:vo()
	return self._toolVo;
end

function Lua_MarketSellVo.Get:isEquip()
	return c.type == 1;
end

function Lua_MarketSellVo.Get:starNum()
	return self._starNum;
end

function Lua_MarketSellVo.Get:jieNum()
	return self._toolVo.order;
end

function Lua_MarketSellVo.Get:color()
    return self._toolVo.color;
end