﻿checkRequire("Lua_ShopItemVo")
checkRequire("Lua_MenuTipData")
Lua_MarryData = class("Lua_MarryData");
function Lua_MarryData:ctor()
	self:dispose();
end

function Lua_MarryData:dispose()
	self.doNotMarriedRedDot = true;
end

function Lua_MarryData:fromServer50101401(msg)
	if msg == nil then
		return;
	end

	self.partner_id = tostring(msg.partner_id);
	self.partnet_name = msg.partnet_name;
	self.leader_id = tostring(msg.partner_id);
	self.leader_name = msg.leader_name;
	self.wed_limit = msg.wed_limit;
	self.sex_limit = msg.sex_limit;
	self.level_limit = msg.level_limit;
	self.online_limit = msg.online_limit;
	self.intimacy_limit = msg.intimacy_limit;
	self.team_limit = msg.team_limit;

	self:checkMarryInfo();
end

function Lua_MarryData:fromServer50101402(msg)
	if msg == nil then
		return;
	end

	self.YuYue_leader_id = tostring(msg.leader_id);
	self.YuYue_leader_name = msg.leader_name;
	self.YuYue_teamer_id = tostring(msg.teamer_id);
	self.YuYue_teamer_name = msg.teamer_name;
	self.YuYue_other_info = msg.other_info;
	self.YuYue_is_repair = msg.is_repair;
	if self.YuYue_is_repair == 0 then
		Lua_WindowUtil.openWin("Lua_MarryYuYueWindow", WinParam.ACTION_OPEN);
		Lua_WindowUtil.openWin("Lua_MarrySelectedWindow", WinParam.ACTION_CLOSE);
	else
		Lua_WindowUtil.openWin("Lua_WeddingBanquetWindow", WinParam.ACTION_CLOSE);
	end
end

function Lua_MarryData:fromServer50101405(msg)
	if msg == nil then
		return;
	end

	self.keepsake_info = msg.keepsake_info;
end

function Lua_MarryData:fromServer50101407(msg)
	if msg == nil then
		return;
	end

	self.wedding_tick = msg.wedding_tick;
	self.Married_partner_id = tostring(msg.partner_info.role_id);
	self.Married_partner_name = msg.partner_info.role_name;
	self.Married_partner_sex = msg.partner_info.sex;
	self.partner_career = msg.partner_info.career;
	self.partner_profession = msg.partner_info.profession;
	self.role_head_name = msg.partner_info.role_head_name;
	self.Married_intimacy = msg.intimacy;
	self.keepsake_info = msg.keepsake_info;
	self.wedding_id = tonumber(msg.wedding_id);
	self.highest_type = msg.highest_type;
	self.weapon = msg.weapon;
	self.fashion = msg.fashion;
	self.fashion_weapon_id = msg.fashion_weapon_id;
	self.fashion_clothes_id = msg.fashion_clothes_id;
	self.fashion_headgear_id = msg.fashion_headgear_id;
	self.wing_id = msg.wing_id;
	self.make_up_day = msg.make_up_day;
	self.label_id = msg.label_id;
	self.left_script_times = msg.left_script_times;
	self.self_treasure = msg.self_treasure;
	self.side_treasure = msg.side_treasure;

	-- self.doNotMarriedRedDot = msg.open_panel_red == 1;
	-- Lua_MsgUtil.callFunc("UPDATE_MARRYWINDOW");
end

function Lua_MarryData:chaeckIsMyPartner(id)
	return self.Married_partner_id == id;
end

function Lua_MarryData:fromServer50101413(msg)
	if msg == nil then
		return;
	end

	self.Buy_marryGiftType = msg.type;
	self.Buy_other_info = msg.other_info;
end

function Lua_MarryData:fromServer50101414(msg)
	if msg == nil then
		return;
	end

	self.Get_marryGiftType = msg.type;
	self.Get_other_info = msg.other_info;
end

function Lua_MarryData:fromServer50101417(msg)
	if msg == nil then
		return;
	end

	self.now_held = msg.now_held;
	self.subscribe_time = tonumber(tostring(msg.subscribe_time));
	Lua_WindowUtil.openWin("Lua_MarryYuYueWindow", WinParam.ACTION_CLOSE);

	if self.now_held == 1 then
		-- 暂定为1立即举行 跳转结婚场景
	else
		local msg = {};
		msg.type = Lua_MenuTipData.MARRYINFO_ICON;
		msg.altas = "icon_atlas_5";
		msg.spriteName = "activity_small_tips_hy";
		msg.state = 1;
		Lua_MsgUtil.callFunc("MENU_TIP_UPDATE", msg);
	end
end

function Lua_MarryData:fromServer50101418(msg)
	self.BuBan_reply = msg.reply;
end

function Lua_MarryData:fromServer50101419(msg)
	self.selectedIndex = msg.type;
end

function Lua_MarryData:fromServer80101401(msg)
	if msg == nil then
		return;
	end

	self.wedding_info = msg.wedding_info;
	self.is_show = msg.is_show;

	if self.wedding_info ~= nil then
		self.wedding_req_role = msg.wedding_info.wedding_req_role;
		self.wedding_partner_role = msg.wedding_info.wedding_partner_role;
		self.wedding_selfID = tonumber(tostring(msg.wedding_info.wedding_id));
		self.self_wedding_type = self.wedding_info.wedding_type;
		self.subscribe_time = tonumber(tostring(self.wedding_info.subscribe_time));
	end

	local msg = {};
	msg.type = Lua_MenuTipData.MARRYINFO_ICON;
	if self.is_show == 1 then
		msg.altas = "icon_atlas_5";
		msg.spriteName = "activity_small_tips_hy";
		msg.state = 1;
	else
		msg.state = 0;
	end
	Lua_MsgUtil.callFunc("MENU_TIP_UPDATE", msg);
end

function Lua_MarryData:fromServer80401406(msg)
	self.firework_type = msg.firework_type;
end

function Lua_MarryData:fromServer80101403(msg)
	if msg == nil then
		return;
	end

	self.wedding_icon_list = msg.wedding_icon_list;
	self.icon_wedding_id = tonumber(msg.wedding_id)
	if self.wedding_icon_list ~= nil and #self.wedding_icon_list ~= 0 then
		self._weddingArr = Array();
		self._weddingList = {};
		for k, v in ipairs(self.wedding_icon_list) do
			local list = {};
			list.wedding_id = tonumber(v.wedding_id)
			list.wedding_req_role = v.wedding_req_role;
			list.wedding_partner_role = v.wedding_partner_role;
			list.wedding_type = v.wedding_type;
			list.subscribe_time = tonumber(v.subscribe_time);
			list.WeddingName = self.marryInfoArr[v.wedding_type].weddingName;
			
			self._weddingList[list.wedding_id] = list;
			if list.wedding_id ~= self.icon_wedding_id then
				self._weddingArr:add(list);
			end
		end

		local msg = {};
		msg.type = Lua_MenuTipData.MARRYYQ_ICON;
		if self._weddingArr:getSize() == 0 then
			msg.state = 0;
		else
			msg.state = 1;
			msg.spriteName = "activity_small_tips_hlyq";
			msg.altas = "icon_atlas_5";
		end
		Lua_MsgUtil.callFunc("MENU_TIP_UPDATE", msg);
	else
		Lua_MsgUtil.callFunc("MENU_TIP_UPDATE", {type = Lua_MenuTipData.MARRYYQ_ICON, state = 0});
	end
end

function Lua_MarryData.Get:weddingArr()
	return self._weddingArr;
end

function Lua_MarryData.Get:weddingList()
	return self._weddingList;
end

function Lua_MarryData:fromServer80101404(msg)
	if msg == nil then
		return;
	end

	self.Marry_reply = msg.reply;
	self.refuse_Type = msg.refuse_type;
	self.refuseName = msg.name;
	if self.Marry_reply == 1 then
		Lua_WindowUtil.openWin("Lua_MarryWindow", WinParam.ACTION_CLOSE);
		Lua_WindowUtil.openWin("Lua_MarrySelectedWindow", WinParam.ACTION_OPEN);
	else
		if self.refuse_Type ~= nil and self.refuse_Type == 1 then
			OperateAlert.show(LanUtil.formateStr(LanUtil.getValue(124159), self.refuseName));
		end
		if self.refuse_Type == 2 then
			OperateAlert.show(LanUtil.getValue(124160));
		end
		Lua_WindowUtil.openWin("Lua_MarrySelectedWindow", WinParam.ACTION_CLOSE);
		Lua_WindowUtil.openWin("Lua_MarryTipsWindow", WinParam.ACTION_CLOSE);
	end
end

function Lua_MarryData:fromServer80101405(msg)
	self.flower_wedding_type = msg.wedding_type;
end

function Lua_MarryData:fromServer81401421(msg)
	self.packKeepsakeInfo = msg.keepsake_info;
end

function Lua_MarryData:fromServer80101407(msg)
	self.is_has_wedding = msg.is_has_wedding;
end

function Lua_MarryData:fromServer80101409(msg)
	self.float_id = tostring(msg.float_id);
	self.car_partner_id_1 = tostring(msg.partner_id_1);
	self.car_partner_career_1 = msg.partner_career_1;
	self.car_partner_id_2 = tostring(msg.partner_id_2);
	self.car_partner_career_2 = msg.partner_career_2;
end

function Lua_MarryData:fromServer80101412(msg)
	self.request_id = tostring(msg.request_id);
	self.request_name = msg.request_name;
	Lua_WindowUtil.openWin("Lua_MarryTipsWindow", WinParam.ACTION_OPEN, {id = self.request_id, name = self.request_name});
end

function Lua_MarryData:fromServer80101413(msg)
	self.marrySelectedType = msg.type;
	Lua_MsgUtil.callFunc("UPDATE_SELECTED_MARRY")
end

function Lua_MarryData:fromServer80101416(msg)
	self.req_id = msg.req_id;
	self.req_name = msg.req_name;
end

function Lua_MarryData:fromServer80401402(msg)
	if msg.type == 0 then
		self.edible_num = msg.edible_num;
		Lua_MsgUtil.callFunc("UPDATE_MARRYMAIN_NUM");
	else
		self.hasSend = false;
		self.wait_wed_type = msg.type;
		self.wed_left_tick = tonumber(tostring(msg.left_tick));
		self.wedding_type = msg.wedding_type;
		self.wedding_role_1 = msg.wedding_role_1;
		self.wedding_role_2 = msg.wedding_role_2;
		self.edible_num = msg.edible_num;
		Lua_MsgUtil.callFunc("UPDATE_MARRYMAIN_INFO");
		self.hasSend = true;
	end
end

function Lua_MarryData.Get:WaitWedName()
	return self.marryInfoArr[self.wedding_type].weddingName;
end

function Lua_MarryData.Get:WedTypeStr()
	if self.wedding_type ~= nil then
		if self.wait_wed_type == 1 then
			return LanUtil.getValue(124153);
		elseif self.wait_wed_type == 3 then
			return LanUtil.getValue(124154);
		else
			return LanUtil.getValue(124155);
		end
	end
	return LanUtil.getValue(124153);
end

function Lua_MarryData:fromServer80401405(msg)
	self.guest_list = msg.guest_list;
	Lua_MsgUtil.callFunc("UPDATE_MARRY_VISTIOR");
end

function Lua_MarryData.Get:VisitorArr()
	self._visitor = Array();
	if self.guest_list ~= nil and #self.guest_list ~= 0 then
		for k, v in ipairs(self.guest_list) do
			self._visitor:add({id = tonumber(tostring(v.role_id)), name = v.role_name,
				role_level = v.role_level, league_name = v.league_name})
		end
	end
	return self._visitor;
end

function Lua_MarryData:checkMarryInfo()
	if self.team_limit == nil or self.team_limit < 2 or DataCenter.teamData.hasTeam == false then
		OperateAlert.show(LanUtil.getValue(124100));
	elseif self.team_limit > 2 then
		OperateAlert.show(LanUtil.getValue(124101));
	else
		if self.sex_limit ~= 0 then
			OperateAlert.show(LanUtil.getValue(124102));
		else
			if self.level_limit ~= 0 then
				OperateAlert.show(LanUtil.getValue(124103));
			else
				if self.wed_limit ~= nil and self.wed_limit ~= 0 then
					OperateAlert.show(LanUtil.getValue(124104));
				else
					if self.intimacy_limit ~= 0 then
						OperateAlert.show(LanUtil.getValue(124105));
					end
				end
			end
		end
	end
end

function Lua_MarryData.Get:Config()
	return getConfig({ "wedding_type" });
end

function Lua_MarryData.Get:marryInfoArr()
	local list;
	self._marryInfoArr = Array();
	for k, v in ipairs(self.Config) do
		list = {};
		list.marryType = k;
		list.txtDes = self:getDes(k);
		list.moneyID, list.moneyNum = self:checkMoney(v.money);
		list.itemID = v.itemId;
		list.itemBgName = v.itemBg_name;
		list.weddingName = v.name;
		list.titleIcon = v.title_icon;
		if v.add_exp ~= nil then
			local arr = v.add_exp;
			local num = arr[1] + arr[2] * math.pow(arr[3],(DataCenter.roleData.level - arr[4]));
			num = math.floor(num);
			if v.banquet_exp_rate ~= nil then
				local banquet_exp_rate = v.banquet_exp_rate;
				local len = #banquet_exp_rate;
				for key, value in ipairs(self.make_up_day) do
					local index = value.obj_value + 1;
					if value.obj_id == k then
						if index > len then
							num = num - math.floor(num *(100 - banquet_exp_rate[len]) / 100);
						else
							num = num - math.floor(num *(100 - banquet_exp_rate[index]) / 100);
						end
					end
				end
			end
			list.add_exp = Lua_CommonUtil.getNumberTrans(num);
		else
			list.add_exp = 0;
		end
		self._marryInfoArr:add(list);
	end
	return self._marryInfoArr;
end

function Lua_MarryData.Get:WeddingName()
	if self.self_wedding_type ~= nil and self.marryInfoArr[self.self_wedding_type] ~= nil then
		return self.marryInfoArr[tonumber(self.self_wedding_type)].weddingName;
	else
		return nil;
	end
end

function Lua_MarryData:getDes(value)
	if value == 1 then
		return LanUtil.getValue(124109);
	elseif value == 2 then
		return LanUtil.getValue(124110);
	elseif value == 3 then
		return LanUtil.getValue(124111);
	else
		return "{1}";
	end
end

function Lua_MarryData.Get:loveGiftGold()
	costGold = getConfig( { "wedding_treasures", 1, "cost_gold" })
	if costGold ~= nil then
		return costGold
	end
end

function Lua_MarryData:checkMoney(arr)
	local tempArr = arr;
	for i = 1, #tempArr do
		if arr[i] ~= 0 then
			if i == 1 then
				return Lua_MoneyData.COPPER, arr[i];
			elseif i == 2 then
				return Lua_MoneyData.COPPER, arr[i];
			elseif i == 3 then
				return Lua_MoneyData.BIND_GOLD, arr[i];
			elseif i == 4 then
				return Lua_MoneyData.GOLD, arr[i];
			end
		end
	end
	return nil;
end

function Lua_MarryData:checkMarryRedDot()
	if DataCenter.funcOpenData:isOpened(10086) == true then
		if self.wedding_id ~= 0 then
			if tonumber(tostring(self.self_treasure.buy_tick)) ~= 0
				and (self.self_treasure.day_reward == 0 or self.self_treasure.once_reward == 0) then
				return true;
			else
				return false;
			end
		else
			return self.doNotMarriedRedDot;
		end
	end
	return false;
end