-- 姻缘数据
Lua_MarryNewData = class("Lua_MarryNewData");
function Lua_MarryNewData:ctor()
    self:superCall("ctor");

    self.intimacy = 0;
    self.weddingTime = 0;
    self.keepsakeFighting = 0;
    self.spouseKeepsakeLv = 0;
    self.marryChildrenLv = 0;
    self:resetChildrenSolveSelectDic();
end

function Lua_MarryNewData:dispose()
    self:superCall("dispose");

    self.intimacy = 0;
    self.weddingTime = 0;
    self:resetChildrenSolveSelectDic();
    self.weddingId = 0; -- 结婚id 未结婚为0
    self.bWedding = 0; -- 0未婚，1已婚
    self.keepsakeFighting = 0;
    self.spouseKeepsakeLv = 0;
    self.marryChildrenLv = 0;
end

-- 是否结婚
function Lua_MarryNewData.Get:bMarried()
    if self.bWedding ~= nil and self.bWedding == 1 then
        return true;
    end

    if self.weddingId ~= nil and self.weddingId > 0 then
        return true;
    end
    return false;
end

function Lua_MarryNewData:fromServer50101407(msg)
    self.weddingTime = msg.wedding_tick; -- 结婚日期（时间戳）
    self.spouseInfo = msg.partner_info; -- 伴侣信息
    self.intimacy = msg.intimacy; -- 当前亲密度
    self.keepsakeInfo = msg.keepsake_info; -- 信物信息
    self.weddingId = tonumber(msg.wedding_id); -- 结婚id //未结婚为0
    self.historyHType = msg.highest_type; -- 历史举办过的最高的婚宴类型
    self.weapon = msg.weapon; -- 武器
    self.fashion = msg.fashion; -- 服装
    self.fashion_weapon_id = msg.fashion_weapon_id; -- 时装武器
    self.fashion_clothes_id = msg.fashion_clothes_id; -- 时装衣服
    self.fashion_headgear_id = msg.fashion_headgear_id; -- 时装头饰
    self.wingId = msg.wing_id; -- 神翼
    self.weddingHoldUpState = msg.make_up_day; -- 婚宴举办状态 //id:婚宴类型 value:已举办的次数
    self.labelId = msg.label_id; -- 当前称号id
    self.marryCopyTimes = msg.left_script_times; -- 剩余副本次数
    self.ownBoxInfo = msg.self_treasure; -- 自身爱情礼盒信息
    self.otherBoxInfo = msg.side_treasure; -- 对方爱情礼盒信息
    self.openPanelRed = msg.open_panel_red; -- 打开姻缘面板红点 //1显示 0不显示
    self.spouseKeepsakeLv = msg.partner_keepsake_lvl; -- 伴侣信物等级
end

-- 仙娃界面信息
function Lua_MarryNewData:updateChildrenInfo(msg)
    -- msg.active_baby; -- 激活的仙娃列表
    -- msg.level; -- 当前等级
    -- msg.level_exp; -- 当前等级经验
    -- msg.baby_shape; -- 当前出战的仙娃id，没有则为0
    -- msg.is_wear; -- 1显示0隐藏

    DataCenter.marryNewUtil:resetChildSkill();
    DataCenter.marryNewUtil:resetChildrenInfo();
    self.marryChildrenLv = msg.level;
    self.marryChildrenLvExp = msg.level_exp;
    self.marryFightChildrenId = msg.baby_shape;
    self.bMarryChildrenWear = msg.is_wear == 1 and true or false;
    self.childrenLvAddForce = msg.level_force;
    local list = msg.active_baby;
    for i = 1, #list do
        DataCenter.marryNewUtil:updateChildrenVo(list[i]);
    end
end

function Lua_MarryNewData:setChildrenSolveSelectDic(packIdx, bSelect)
    self.childrenSolveSelectDic[packIdx] = bSelect;
end

function Lua_MarryNewData:getChildrenSolveSelect(packIdx)
    local bSelect = self.childrenSolveSelectDic[packIdx];
    if bSelect == nil then
        bSelect = false;
    end
    return bSelect;
end

function Lua_MarryNewData:resetChildrenSolveSelectDic()
    self.childrenSolveSelectDic = {};
end

function Lua_MarryNewData:checkChildRedDot()
    if DataCenter.redDotData:getRedDotStateByEventId(11602) == true then
        return true;
    end
    if DataCenter.redDotData:getRedDotStateByEventId(11603) == true then
        return true;
    end
    if DataCenter.redDotData:getRedDotStateByEventId(11604) == true then
        return true;
    end
    if DataCenter.redDotData:getRedDotStateByEventId(11605) == true then
        return true;
    end
    
    return false;
end

-- 获取信物技能列表（返回）
function Lua_MarryNewData:updateKeepsakeSkillsInfo(msg)
    self.keepsakeFighting = msg.fight_force; -- 信物战力
end