
Lua_MonsterComeData = class("Lua_MonsterComeData");

function Lua_MonsterComeData:ctor()
	self:superCall("ctor");
end

function Lua_MonsterComeData:fromServer(msg)
	--print("长度  = =",#mas.all_rank)
	if msg == nil then
		return
	end
	self.msg = msg;
	self.all_rank = msg.all_rank;--排行榜信息
	self.self_rank = msg.self_rank;--自己的信息
	self.rank = msg.self_rank.rank;
	self.name = msg.self_rank.name;
	self.lvl = msg.self_rank.lvl;
	self.boss_count = msg.self_rank.boss_count;
	self.monster_count = msg.self_rank.monster_count;
	self.value = msg.self_rank.value;
end

function Lua_MonsterComeData.Get:getAllRankInfo()
	local arr = Array()
	for i,v in ipairs(self.all_rank) do
		local list = {}
		list.rank = v.rank;
		list.name = v.name;
		list.lvl = v.lvl;
		list.boss_count = v.boss_count;
		list.monster_count = v.monster_count;
		list.value = v.value;
		arr:add(list);
	end

	return arr;
end