checkRequire("Lua_MonsterComeData");
checkRequire("Lua_MonsterComeUtil")
Lua_MonsterComeProxy = class("Lua_MonsterComeProxy");
function Lua_MonsterComeProxy:ctor()
	self:superCall("ctor");
	DataCenter.monsterComeData = Lua_MonsterComeData.new();
	DataCenter.monsterComeUtil = Lua_MonsterComeUtil.new();
	LuaUtil.addLuaMsg(50400121, self, self.rMonsterComeScene);
	LuaUtil.addLuaMsg(50100121, self, self.rMonsterComeRank);
	LuaUtil.addLuaMsg(80101021, self, self.rMonsterComeIsStopState);--主动设置怪物攻城玩家挂机
	
	-- self:addLuaEvent("ACT_STATE_CHANGE", self, self.onMonsterActivity);
end

function Lua_MonsterComeProxy:sMonsterComeScene()--请求进入怪物攻城场景
	sendMsg(10400121);
end

function Lua_MonsterComeProxy:sMonsterComeRank()--请求怪物攻城排行
	sendMsg(10100121);
end

function Lua_MonsterComeProxy:rMonsterComeRank(mp)--请求怪物攻城排行(返回)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50100121();
        msg:ParseFromString(mp.data);
        DataCenter.monsterComeData:fromServer(msg);
        Lua_MsgUtil.callFunc("UPDATE_MONSTER_INFO");
        Lua_MsgUtil.callFunc("OPEN_MONSTER_ISSTATE",msg.is_open);
    end
end

function Lua_MonsterComeProxy:rMonsterComeScene(mp)--请求进入怪物攻城场景(返回)
	
	if mp.errno == 0 then
		Lua_WindowUtil.openWin("Lua_MonsterComeWindow", WinParam.ACTION_CLOSE);
		Lua_WindowUtil.openWin("Lua_GamePlayWindow", WinParam.ACTION_CLOSE);
	end
end

function Lua_MonsterComeProxy:rMonsterComeIsStopState(mp)--主动设置怪物攻城玩家挂机
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto80101021();
        msg:ParseFromString(mp.data);
        if msg.is_auto == 0 then
        	DataCenter.hook:stop(true);
        end
        
    end
end