--骑装配置数据

checkRequire("Lua_MountEquipCompoundVo");
Lua_MountEquipUtil = class("Lua_MountEquipUtil");
function Lua_MountEquipUtil:ctor()
    self:superCall("ctor");
end

function Lua_MountEquipUtil:getArrByClassId(class_id)--通过组ID 获取ID所有数据
    return self.mountConfigData[tostring(class_id)]
end

function Lua_MountEquipUtil:getArrByClassAndGroupInfo(class_id,group_id)--通过组ID 获取vo
    local arr = self:getArrByClassId(class_id);
    if arr:getSize() ~= 0 then
         for i=1,arr:getSize() do
            if arr[i].mount_group_id == group_id then
                return arr[i];
            end
        end
    end
    return nil;
end

function Lua_MountEquipUtil.Get:mountConfigData()-- vo
    if self.gatherDic == nil then
        self.gatherDic = {};
        local config = getConfig({"me_compose"});
        if config ~= nil then
            for k, v in pairs(config) do
                local vo = Lua_MountEquipCompoundVo.new(k, v);
                if self.gatherDic[tostring(vo.mount_class_id)] == nil then
                    self.gatherDic[tostring(vo.mount_class_id)] = Array();
                end
                self.gatherDic[tostring(vo.mount_class_id)]:add(vo);
            end
        end
    end
    return self.gatherDic;
end

function Lua_MountEquipUtil.Get:mountCalssInfo()-- 合成类数据
    if self.gather_info == nil then
        self.gather_info = {};
        local gather_calss = getConfig({"mountEquipCompoundClass"});
        for i,v in pairs(gather_calss) do
            self.gather_info[i]= v;
        end
    end

    return self.gather_info;
end

function Lua_MountEquipUtil.Get:getMountCalssInfo()--用于合成界面页签显示
    local arr = self.mountCalssInfo;
    if self.mountCalssData == nil then
        self.mountCalssData = Array();
        for k,v in pairs(arr) do
            local mount_group_list = v.mount_group_list;
            local sub1 = Array();
            if mount_group_list ~= nil then
                for i, j in pairs(mount_group_list) do
                    local mount_name = self:getArrByClassAndGroupInfo(k,j).remark;
                    sub1:add({name=mount_name, data = self:getArrByClassAndGroupInfo(k,j)}); 
                end 
            end 
            self.mountCalssData:add({name=v.moun_class_name, sub=sub1});           
        end
    end

    return self.mountCalssData;
end

function Lua_MountEquipUtil:updateShowClassList(class_id)-- 合成 class列表 红点更新
    local isRedList = {};
    local vo = self:getArrByClassId(class_id);
    
    for i=1,vo:getSize() do
        local arr = vo[i].compose_need_item;
        local needNum = vo[i].need_item_num;
        local bagNum1 = DataCenter.packData:getBagType(Lua_PackData.BAG_PACK):getItemNum(arr[1][1]);
        if bagNum1 >= needNum then
            isRedList[vo[i].mount_class_id] = true;
        end
    end
    
    return isRedList;
end

function Lua_MountEquipUtil:updateShowGroupList(class_id)-- 合成 group列表 红点更新
    local isRedList = {};
    local vo = self:getArrByClassId(class_id);
    
    for i=1,vo:getSize() do
        local arr = vo[i].compose_need_item;
        local needNum = vo[i].need_item_num;
        local bagNum1 = DataCenter.packData:getBagType(Lua_PackData.BAG_PACK):getItemNum(arr[1][1]);
        if bagNum1 >= needNum then
            isRedList[vo[i].mount_group_id] = true;
        end
    end

    return isRedList;
end

function Lua_MountEquipUtil:getCompoundclassId(id)--通过骑装ID 获取对应列表信息class_id 
    local config = getConfig({"me_compose"})
    for k,v in pairs(config) do
        local list = v.compose_need_item
        for i,z in ipairs(list) do
            if list[i][1] == id then
                return v.mount_class_id
            end
        end
    end
    return nil;
end

function Lua_MountEquipUtil.Get:configIntensifyData()--强化属性
    if self._colorConfig == nil then
        local colorConfig = getConfig( { "me_intensify" })
        self._colorConfig = { };
        for k, v in pairs(colorConfig) do
            local list = { };
            list.attack = v.attack
            list.blood = v.blood
            list.defence = v.defence
            self._colorConfig[k] = list
        end
    end
    return self._colorConfig;
end