Lua_ActivitiesInfo = class("Lua_ActivitiesInfo");
function Lua_ActivitiesInfo:fromServer(v)
	self.act_index = v.act_index;
	self.first_type = v.first_type;
	self.second_type = v.second_type;
	self.priority = v.priority;
	self.is_virtual_info = v.is_virtual_info;
	self.sort = v.sort;
	self.start_tick = tonumber(v.start_tick);
	self.end_tick = tonumber(v.end_tick);
	self.content = v.content;
	self.title = v.title;
	self.is_single_icon = v.is_single_icon;
	if Lua_OperationalActivitiesData.ACT_RECHARGE == self.first_type or Lua_OperationalActivitiesData.ACT_CHARCATER == self.first_type then
		self.is_single_icon = 1;
	end
	self.times = v.times;
	self.icon_type = v.icon_type;
end

function Lua_ActivitiesInfo.Get:keyValue()
	return self.first_type * 1000 + self.second_type;
end

function Lua_ActivitiesInfo:getRighTopIconId()
	if self.icon_type == 0 or self.icon_type == nil then
		local iconId = getConfig({"yunying_righttop", self.keyValue, "second_type0"});
		return tonumber(iconId);
	end
	return tonumber(self.icon_type);
end

function Lua_ActivitiesInfo:getPreNum()
	return getConfig({"yunying_righttop", self.keyValue, "pre_num"});
end