Lua_MonthlyPlanData = class("Lua_MonthlyPlanData")
function Lua_MonthlyPlanData:ctor()
end

function Lua_MonthlyPlanData:sGetMonthlyPlanInfo()
	sendMsg(11401815);
end

function Lua_MonthlyPlanData:sReceiveMonthlyPlanInfo(index)
	local cmd = ProtoPublic_pb.Proto11401816();
	cmd.index = index;
	sendMsg(11401816,cmd);
end

function Lua_MonthlyPlanData:sSetImmediateInvestment()
	sendMsg(11401817);
end

function Lua_MonthlyPlanData:fromServer51401815(msg)
	if msg == nil then
		return;
	end

	self.is_invest = msg.is_invest;
	self.is_first = msg.is_first;
	self.reward_limit = getConfig({"month_card", 1, "reward_limit"});

	self.monthlyPlanList = Array();
	for i = 1, #msg.reward_status do
		self.monthlyPlanList:add({index = i, status = msg.reward_status[i], reward = msg.reward_list[i],
			date = getConfig({"month_card", i, "date"}),
			multipleConfing = getConfig({"month_card", i, "reward_multiple"}),
			cash_gift = getConfig({"month_card", i, "cash_gift"})});
	end
end





function Lua_MonthlyPlanData:getInvestMoney()
	local moneyConfing = getConfig({"month_card", 1, "invest_money"});
	if moneyConfing == nil then 
		return nil;
	end
	return moneyConfing;
end

function Lua_MonthlyPlanData:getProfitMultiplier()
	local multiplierConfing = getConfig({"month_card", 1, "profit_multiplier"});
	if multiplierConfing == nil then 
		return nil;
	end
	return multiplierConfing;
end

function Lua_MonthlyPlanData:getCashGift()
	local cashGiftConfing = getConfig({"month_card", 1, "cash_gift"});
	if cashGiftConfing == nil then 
		return nil;
	end
	return cashGiftConfing;
end

function Lua_MonthlyPlanData:getPropId()
	local propIdConfing = getConfig({"month_card", 1,  "prop_id"});
	if propIdConfing == nil then 
		return nil;
	end
	return propIdConfing;
end