checkRequire("Lua_OperationalActivitiesData");
Lua_PurchaseData = class("Lua_PurchaseData");
function Lua_PurchaseData:ctor()
	self.arr = Array()
end

function Lua_PurchaseData:sGetPurchaseRewardInfo(msg)
	local obj;
	local itemId;
	local data;
	local actData = DataCenter.OperationalActivitiesData;
	for i = 1, #msg.act_detail.reward_info do
		obj = msg.act_detail.reward_info[i];
		itemId = obj.reward_set[#obj.reward_set].id;
		actData:attriButes(itemId);
		actData:getmodelFile(itemId);

		data = {};
		data.id = itemId;
		data.index = obj.index;
		data.name = "[u]"..actData.name.."[/u]";
		data.subType = Lua_ToolVo.getSubType(itemId);
		data.part = actData.part;
		data.force = actData.force;

		data.draw_flag = obj.draw_flag;
		data.arrive_tick = tonumber(obj.arrive_tick);
		data.moneyNum = tonumber(tostring(obj.cond[1]));
		data.moneyType = tonumber(tostring(obj.cond[2]));
		data.days = tonumber(tostring(obj.cond[3]));
		data.returnmoneyNum = tonumber(tostring(obj.cond[4]));
		data.returnmoneyType = tonumber(tostring(obj.cond[5]));
		data.isReturn = tonumber(tostring(obj.cond[6]));

		data.setAction = actData.setAction ~= nil and actData.setAction or 1;
		data.temaiShowModelID = actData.temaiShowModelID;
		data.floder = actData.floder;
		data.modelFile = actData.modelFile;
		data.model = actData.model;
		data.mounter_pos = actData.mounter_pos;
		data.mounter_rot = actData.mounter_rot;
		data.mounter_sca = actData.mounter_sca;
		data.setmodelAngle = actData.setmodelAngle ~= nil and actData.setmodelAngle or {20, 0, 0};
		self.arr:add(data);
	end
end