Lua_TieTheKnotData = class("Lua_TieTheKnotData");
function Lua_TieTheKnotData:ctor()
    self:superCall("ctor");
    self.tieTheKnotLogin = false;
end

function Lua_TieTheKnotData:dispose()
	self.tieTheKnotLogin = false;
end

function Lua_TieTheKnotData:fromServerData(msg)
	if msg ~= nil then
		self.start_tick = msg.activity_info.start_tick;
		self.end_tick = msg.activity_info.end_tick;
		self.content = msg.activity_info.content;
		self.rewards = msg.rewards;
	end
end

function Lua_TieTheKnotData.Get:getRewardsData()
	local arr = Array();
	for i,v in ipairs(self.rewards) do
		local list = {};
		list.index = v.index;

		local rewardArr = Array();
		for x,y in ipairs(v.reward_items) do
			local _list = {};
			local vo = Lua_ToolVo.createToolVo(y.id, y.amount, y.bind);
			vo.star = y.equipment.star;
			_list.vo = vo;
			_list.show_effect = y.show_effect;
			rewardArr:add(_list);
		end
		list.rewardArr = rewardArr;
		list.state = v.state;
		arr:add(list);
	end
	return arr;
end