Lua_CloundBuyProxy = class("Lua_CloundBuyProxy");
function Lua_CloundBuyProxy:ctor()
    self:superCall("ctor");
    LuaUtil.addLuaMsg(50105201, self, self.onCloundBuyInfo);
    LuaUtil.addLuaMsg(50105202, self, self.onCloundBuyList);
    LuaUtil.addLuaMsg(50105203, self, self.onCloundBuyHistory);
    LuaUtil.addLuaMsg(50105204, self, self.onCloundBuyResult);

    LuaUtil.addLuaMsg(80105201, self, self.onCloundBuyReward);
end
function Lua_CloundBuyProxy:onCloundBuyInfo(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50105201();
        msg:ParseFromString(mp.data);
        Lua_MsgUtil.callFunc("CLOUND_BUY_UPDATE", msg);
    end
end
function Lua_CloundBuyProxy:onCloundBuyList(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50105202();
        msg:ParseFromString(mp.data);
        Lua_MsgUtil.callFunc("CLOUND_BUY_LIST", msg);
    end
end
function Lua_CloundBuyProxy:onCloundBuyHistory(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50105203();
        msg:ParseFromString(mp.data);
        Lua_MsgUtil.callFunc("CLOUND_BUY_HISTROY", msg);
    end
end
function Lua_CloundBuyProxy:onCloundBuyResult(mp)
    if mp.errno == 0 then
    	OperateAlert.show(LanUtil.getValue(121307));
    end
end
function Lua_CloundBuyProxy:onCloundBuyReward(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto80105201();
        msg:ParseFromString(mp.data);
        Lua_WindowUtil.openWin("Lua_CloundBuyResultWindow", WinParam.ACTION_OPEN, msg);
    end
end