checkRequire("Lua_CrazyEggsData");
Lua_CrazyEggsProxy = class("Lua_CrazyEggsProxy")
function Lua_CrazyEggsProxy:ctor()
	DataCenter.crazyEggsData =  Lua_CrazyEggsData.new();

	LuaUtil.addLuaMsg(50105711, self, self.rCrazyEggsInfo); -- 疯狂砸蛋界面(返回)
	LuaUtil.addLuaMsg(50105665, self, self.rCrazyEggsRefresh); -- 刷新(返回)
end

function Lua_CrazyEggsProxy:rCrazyEggsInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50105711();
		msg:ParseFromString(mp.data);
		DataCenter.crazyEggsData:fromServer50105711(msg);
		Lua_MsgUtil.callFunc("UPDATE_CRAZY_EGGS");
	end
end

function Lua_CrazyEggsProxy:rCrazyEggsRefresh(mp)
	if mp.errno == 0 then
		DataCenter.crazyEggsData:resetEggSmashSelect();
		OperateAlert.show(LanUtil.getValue(144618));
	end
end

-- 请求疯狂砸蛋的砸蛋操作
function Lua_CrazyEggsProxy:sSmashOneEgg(first_type, egg_index)
	local cmd = ProtoPublic_pb.Proto10105664();
	cmd.first_type = first_type;
	cmd.egg_index = egg_index;
	sendMsg(10105664, cmd);
end

-- 刷新疯狂砸蛋
function Lua_CrazyEggsProxy:sRefreshCrazyEggs(_type)
	local cmd = ProtoPublic_pb.Proto10105665();
	cmd.type = _type; -- 1 免费，2 元宝
	sendMsg(10105665, cmd);
end

-- 疯狂砸蛋全部砸开请求
function Lua_CrazyEggsProxy:sSmashAllEggs()
	sendMsg(10105666);
end