checkRequire("Lua_QiyuaneventVo");
Lua_QiyuanData = class("Lua_QiyuanData");
function Lua_QiyuanData:ctor()
	self:dispose();
end

function Lua_QiyuanData:dispose()
	self.openIdDic = {};
end

function Lua_QiyuanData:getOpenInfo()
	sendMsg(11403801);
end

function Lua_QiyuanData:getoneInfo(piece)
	local cmd = ProtoPublic_pb.Proto11403802();
	cmd.piece = piece;
	sendMsg(11403802, cmd);
end

function Lua_QiyuanData:getReward(chapter_id)
	local cmd = ProtoPublic_pb.Proto11403803();
	cmd.chapter_id = chapter_id;
	sendMsg(11403803, cmd);
end

function Lua_QiyuanData:fromServer51403801(msg)
	self.piece = msg.piece; -- 已开启的列表ID，前面四个按开启处理，第五个如果领取奖励就会发第5个

	for i = 1, #msg.piece do
		self.openIdDic[msg.piece[i]] = 1;
	end
end

function Lua_QiyuanData:fromServer51403802(msg)
	if msg == nil then
		return;
	end

	self.activeskill = msg.active_skill;
	self.showhongdian = msg.show_hong_dian;

	local vo;
	local obj;
	self.qyTaskArr = Array()
	for i = 1, #msg.task_chapter_list do
		obj = msg.task_chapter_list[i];
		vo = Lua_QiyuaneventVo.new(obj.chapter);

		self.qyTaskArr:add({
			index = i,
			chapter = obj.chapter,
			attack = obj.gongji,
			defense = obj.fangyu,
			blood = obj.xueliang,
			fig = obj.zhandouli,
			bossid = obj.boss_id,
			flag = obj.reward_flag, -- 0 未达条件，1 有奖励，2已领取
			goodsid = self:getQYRewardInfo(obj.chapter),
			name = vo.name,
			condition = vo.condition,
			buttonName = vo.buttonName,
			bossScene = vo.bossScene,
			reward = vo.reward,
			numreward = vo.numreward,
			openwindow = vo.openwindow,
			openwindowtab = vo.openwindowtab,
			sortIdx = (obj.reward_flag + 1) % 3
		});
	end
	self.qyTaskArr:sortf(self, self.sortFun);
end

function Lua_QiyuanData:sortFun(a, b)
	local _a = a.sortIdx;
	local _b = b.sortIdx;
	if _a ~= _b then
		if _a < _b then
			return false;
		end
	else
		if a.index > b.index then
			return false;
		end
	end
	return true;
end

function Lua_QiyuanData:fromServer81403801(msg)
	self.show_type = msg.show_type; -- 0隐藏，1显示
	self.has_reward = msg.has_reward; -- 0没有奖励，1有奖励
end

function Lua_QiyuanData:getQYRewardInfo(id)
	local config = getConfig({"envent", id, "goods_id"});
	local career;
	local arr = Array();
	for i = 1, #config do
		career = getConfig({"item", config[i], "career"});
		if career ~= nil then
			if DataCenter.roleData.career == career then
				arr:add(config[i]);
			end
		else
			arr:add(config[i]);
		end
	end

	local rewards = {};
	for i = 1, arr:getSize() do
		rewards[i] = arr[i];
	end
	return rewards;
end