checkRequire("Lua_QiyuanData");
Lua_QiyuanProxy = class("Lua_QiyuanProxy");
function Lua_QiyuanProxy:ctor()
	DataCenter.qiyuanData = Lua_QiyuanData.new();

	LuaUtil.addLuaMsg(51403801, self, self.rGetOpenInfo);
	LuaUtil.addLuaMsg(51403802, self, self.rGetonenfo);
	LuaUtil.addLuaMsg(81403801, self, self.rAccordInfo);
end

-- 获取已开启的章列表（返回）
function Lua_QiyuanProxy:rGetOpenInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51403801();
		msg:ParseFromString(mp.data);
		DataCenter.qiyuanData:fromServer51403801(msg);
		Lua_MsgUtil.callFunc("GETOPENINFO_UPDATA");
	end
end

-- 获取每章的详细信息（返回）
function Lua_QiyuanProxy:rGetonenfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51403802();
		msg:ParseFromString(mp.data);
		DataCenter.qiyuanData:fromServer51403802(msg);
		Lua_MsgUtil.callFunc("GETONEINFO_UPDATA");
	end
end

-- 封神奇缘图标（通知）
function Lua_QiyuanProxy:rAccordInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto81403801();
		msg:ParseFromString(mp.data);
		if msg.show_type == 1 then 
			Lua_MsgUtil.callFunc("ADD_RIGHTTOP_ICON", 10010);
		else
			Lua_MsgUtil.callFunc("REMOVE_RIGHTTOP_ICON", 10010);
		end
		DataCenter.qiyuanData:fromServer81403801(msg);
	end
end