checkRequire("Lua_WeeklyCardUtil");
Lua_WeeklyCardData = class("Lua_WeeklyCardData");
function Lua_WeeklyCardData:ctor()
end

function Lua_WeeklyCardData:fromServer51403310(msg)
	if msg == nil then
		return;
	end
	
	self.receive_map = msg.receive_map; -- 领取状态
	self.cur_day = msg.cur_day; -- 当前天数
	self.cur_cycle = msg.cur_cycle; -- 当前期数
	self.group_index = msg.group_index; -- 当前期奖励组索引
	self.state = msg.state; -- 购买状态 0未购买 1已购买 2首次vip
	self.sub_group_index = msg.sub_group_index; -- 当前期奖励组索引的子组索引
end

function Lua_WeeklyCardData:updateWeeklyCardData()
	self.reward = Lua_WeeklyCardUtil.getWeeklyCardReward(self.cur_cycle, self.group_index + 1, self.sub_group_index + 1);
	self.subunitLen = #Lua_WeeklyCardUtil.getWeeklyCardRewardLen(self.cur_cycle, self.group_index + 1);
	self.cost_money = Lua_WeeklyCardUtil.getCostMoney();
end