Lua_WeeklyCardUtil = {};
function Lua_WeeklyCardUtil.getWeeklyCardReward(cur_cycle, group_index, sub_group_index)
	local reward_id;
	local reward_arr = getConfig({"week_card_cycle", cur_cycle, "reward_arr"});
	for i,v in ipairs(reward_arr) do
		if i == group_index  then
			reward_id = v;
		end
	end

	local reward_subunit_id;
	local reward_subunit = getConfig({"week_card_group", reward_id, "subunit"});
	for i,v in ipairs(reward_subunit) do
		if i == sub_group_index then
			reward_subunit_id = v;
		end
	end
	return getConfig({"week_card_subunit", reward_subunit_id, "item_vec"});
end


function Lua_WeeklyCardUtil.getWeeklyCardRewardLen(cur_cycle, group_index)
	local reward_id;
	local reward_arr = getConfig({"week_card_cycle", cur_cycle, "reward_arr"});
	for i,v in ipairs(reward_arr) do
		if i == group_index  then
			reward_id = v;
		end
	end
	return getConfig({"week_card_group", reward_id, "subunit"});
end

function Lua_WeeklyCardUtil.getCostMoney()
	return getConfig({"week_card_base", "cost_money", "value"});
end