Lua_RedEnvelopeDetailVo = class("Lua_RedEnvelopeDetailVo");
function Lua_RedEnvelopeDetailVo:ctor(index)

end

function Lua_RedEnvelopeDetailVo:fromServer(data)
	self.number = data.number;
	self.amount = data.amount;
	self.leftAmount = data.left_amount;
	self.msg = data.msg;
	self.selfAmount = data.self_amount;
	self.senderName = data.sender_name;
	self.receiveNumber = data.receive_number;
	self.selfCareer = data.self_career;
	self.receiveRecordList = data.receive_record;
end

function Lua_RedEnvelopeDetailVo.Get:receiveRecordList()
	return self._receiveRecordList;
end

function Lua_RedEnvelopeDetailVo.Set:receiveRecordList(list)
	if self._receiveRecordList ~= nil then
		self._receiveRecordList:clear();
	else
		self._receiveRecordList = Array();
	end

	local tempAmount = 0;
	local tempIndex = 0;
	for i,v in ipairs(list) do
		local record = Lua_RedEnvelopeRecordVo.new();
		record:fromServer(v);
		--print(record.name);
		if(record.amount>tempAmount) then
			tempAmount = record.amount;
			tempIndex = i;
		end
		self.receiveRecordList:add(record);
	end
	if(tempIndex~=0) then
		self.receiveRecordList[tempIndex].isMax = true;
	end
end



Lua_RedEnvelopeRecordVo = class("Lua_RedEnvelopeRecordVo");
function Lua_RedEnvelopeRecordVo:ctor(index)

end

function Lua_RedEnvelopeRecordVo:fromServer(data)
	self.amount = data.amount;
	self.name = data.name;
	self.career = data.career;
	self.head_name = data.head_name;
end