Lua_SeventVo = class("Lua_SeventVo")
function Lua_SeventVo:ctor(id)
	self.id = tonumber(id);
	self.config = getConfig({"seven_day", self.id});
end

function Lua_SeventVo.Get:reward()
	return self.config.rewardid;
end

-- function Lua_SeventVo.Get:needviplvl()
-- 	return self.config.vip_reward.need_vip_lvl;
-- end

-- function Lua_SeventVo.Get:vipreward()
-- 	return self.config.vip_reward.item;
-- end

-- function Lua_SeventVo.Get:career_limit()
-- 	return self.config.career_limit;
-- end

function Lua_SeventVo.Get:day()
	return self.config.day;
end

function Lua_SeventVo.Get:daytips()
	return self.config.day_tips;
end

function Lua_SeventVo.Get:showeffcet()
	return self.config.vip_reward.show_effcet;
end

function Lua_SeventVo.Get:topRightIconTips()
	return self.config.topRightIconTips;
end

function Lua_SeventVo.Get:clientShow()
	if self.config.career_limit == 1 then
		local rewards = {};
		local data = Array();
		for k,v in pairs(self.config.client.item) do
			local career = getConfig({ "item", v[2][1], "career"});
			if career == nil or career == DataCenter.roleData.career then
				data:add(v);
			end
		end

		for i = 1, data:getSize() do
			rewards[i] = data[i];
		end
		return rewards;
	else
		return self.config.client.item;
	end
end

function Lua_SeventVo.Get:isRoundEff()
	local rewards= {};
	local data = Array();
	for k,v in pairs(self.config.client.item) do
		local career = getConfig({ "item", v[2][1], "career"});
		if career == nil or career == DataCenter.roleData.career then
			data:add(self.config.client.item[k][1]);
		end
		-- rewards[k] = self.config.client.item[k][1];
	end

	for i = 1, data:getSize() do
		rewards[i] = data[i];
	end
	return rewards;
end

function Lua_SeventVo.Get:modelPath()
	local config = getConfig({"playerHanger", tonumber(self.modelId)});
	local floder = config.floder;
	local fileName = config.fileName;
	return floder.."/"..fileName;
end

function Lua_SeventVo.Get:modelName()
	local config = getConfig({"playerHanger", tonumber(self.modelId)});
	local modelName = config.modelName;
	return modelName;
end

function Lua_SeventVo.Get:modelId()
	local modelurl;
	if self.config.modelName ~= nil then
		modelurl = self.config.modelName[DataCenter.roleData.career];
    else
		modelurl = self.config.fashionModel[DataCenter.roleData.career];
    end
	return modelurl;
end

function Lua_SeventVo.Get:getmodelurlName()
	local modelurl;
	if self.config.career_limit == 1 then
		modelurl = self.config.getmodelName..DataCenter.roleData.career;
	else
		modelurl = self.config.getmodelName;
	end
	return modelurl;
end

function Lua_SeventVo:career_limit(id)
	return getConfig({"seven_day", id, "career_limit"});
end

function Lua_SeventVo.Get:isFootprint()
	return getConfig({"seven_day", self.id, "isFootprint"});
end

function Lua_SeventVo.Get:modelsca()
	if self.config.day ==  7 then   
		return getConfig({"seven_day", self.id, "modelsca"..DataCenter.roleData.career});
	else
		return self.config.modelsca
	end
end

function Lua_SeventVo.Get:modelpos()
	if self.config.day ==  7 then
		return getConfig({"seven_day", self.id,"modelpos"..DataCenter.roleData.career});
	else
		return self.config.modelpos;
	end
end

function Lua_SeventVo.Get:modelros()
	if self.config.day ==  7 then
		return getConfig({"seven_day", self.id, "modelros"..DataCenter.roleData.career});
	else
		return self.config.modelros;
	end
end

function Lua_SeventVo.Get:getmodelros()
	if self.config.day ==  7 then
		return getConfig({"seven_day", self.id, "getmodelros"..DataCenter.roleData.career});
	else
		return self.config.getmodelros;
	end
end

function Lua_SeventVo.Get:modelSubType()
	local config = getConfig{"item", tonumber(self.modelId)};
	return config.subType;
end

function Lua_SeventVo.Get:modelPart()
	local config = getConfig{"item", tonumber(self.modelId)};
	return config.part;
end

function Lua_SeventVo.Get:getmodelsca()
	if self.config.day ==  7 then
		return getConfig({"seven_day", self.id, "getmodelsca"..DataCenter.roleData.career});
	else
		return self.config.getmodelsca;
	end
end

function Lua_SeventVo.Get:getmodelpos()
	if self.config.day ==  7 then
		return getConfig({"seven_day", self.id, "getmodelpos"..DataCenter.roleData.career});
	else
		return self.config.getmodelpos;
	end
end