checkRequire("Lua_OnLineVo");
checkRequire("Lua_ResourceVo");
checkRequire("Lua_SeventVo");
checkRequire("Lua_LvlRewardVo");
checkRequire("Lua_rewardUtil");
Lua_welfareData = class("Lua_welfareData");
function Lua_welfareData:ctor()
end

function Lua_welfareData:GetMonGiftData()
	sendMsg(11401830);
end

function Lua_welfareData:GetMonGiftReward(val)
	local cmd = ProtoPublic_pb.Proto11401831();
	cmd.day = val;
	sendMsg(11401831, cmd);
end

function Lua_welfareData:inquireReward()
	-- print("查询奖励子界面状态")
	sendMsg(10101453);
end

function Lua_welfareData:getQiandao()
	-- print("获取签到")
	sendMsg(11401401);
end

function Lua_welfareData:askQiandao() 
	-- print("请求签到")
	sendMsg(11401402);
end

function Lua_welfareData:getlose() 
	-- print("提取丢失的经验")
	sendMsg(10104301);
end

function Lua_welfareData:getoffline(type) 
	-- print("请求离线经验")
	local cmd = ProtoPublic_pb.Proto10104302();
	cmd.type = type;
	sendMsg(10104302, cmd);
end

function Lua_welfareData:addupQiandao(check_total_index)
	-- print("累计签到")
	local cmd = ProtoPublic_pb.Proto11401471();
	cmd.check_total_index = check_total_index;
	sendMsg(11401471, cmd);
end

function Lua_welfareData:askRetroactive(award_index)
	-- print("请求补签")
	local cmd = ProtoPublic_pb.Proto11401472();
	cmd.award_index = award_index;
	sendMsg(11401472, cmd);
end

function Lua_welfareData:online(marking) 
	local cmd = ProtoPublic_pb.Proto11401301();
	cmd.marking = marking;
	sendMsg(11401301, cmd);  
end

function Lua_welfareData:getonline() 
	sendMsg(11401302);
end

function Lua_welfareData:getSevent()
	-- 获取七天界面
	sendMsg(11400117);
end

function Lua_welfareData:gainSevent(draw_day)
	-- print("领取七天奖励 draw_day", draw_day);
	local cmd = ProtoPublic_pb.Proto11400118();
	cmd.draw_day = draw_day;
	sendMsg(11400118, cmd);
end

function Lua_welfareData:getSeventbool()
	-- 是否有登陆奖励
	sendMsg(11400119);
end

function Lua_welfareData:askBlessinfo()
	-- 请求福利
	sendMsg(11401482);
end

function Lua_welfareData:askBless(flag)
	-- 请求福利
	local cmd = ProtoPublic_pb.Proto11401483();
	cmd.flag = flag;
	sendMsg(11401483, cmd);
end

function Lua_welfareData:getlvl()
	-- 获取升级界面信息
	sendMsg(10101451);
end

function Lua_welfareData:getlvlreward(level)
	-- 获取升级奖励
	local cmd = ProtoPublic_pb.Proto10101452();
	cmd.level = level;
	sendMsg(10101452, cmd);
end

function Lua_welfareData:acticodereward(acti_code)
	-- 获取升级奖励
	local cmd = ProtoPublic_pb.Proto11401431();
	cmd.acti_code = acti_code;
	sendMsg(11401431, cmd);
end

function Lua_welfareData:getUpdateNotice()
	-- 系统公告
	sendMsg(10100032);
end

function Lua_welfareData:getNoticeRewadr()
	-- 领取公告奖励
	sendMsg(10100033);
end

function Lua_welfareData:getdownload()
	-- 领取资源包下载完成奖励
	sendMsg(11401442);
end

function Lua_welfareData:getallresource()
	-- 获取全部经验找回信息
	sendMsg(11401411);
end

function Lua_welfareData:getoneresource(activity_id,restore_type,restore_manner,restore_nember)
	-- 获取全部经验找回信息
	local cmd = ProtoPublic_pb.Proto11401412();
	cmd.activity_id = activity_id; -- ID
	cmd.restore_type = restore_type; -- 类型
	cmd.restore_manner = restore_manner; -- 花费类型
	cmd.restore_nember = restore_nember; -- 找回次数(普通找回的时候,该参数没用)
	sendMsg(11401412, cmd);
end

function Lua_welfareData:leftBtn()
	self.count = 0;

	self.btnName = Array();
	if DataCenter.QiandaoData.lvlsys_id == 0  then
		self.btnName:add({name = LanUtil.getValue(120803), eventIds = {11144}, panle = Lua_LvlRewardpanle, openId = 10020}); -- 升级
	end
	
	if DataCenter.roleData:checkGameSwich("download_reward") == 1 then
		local curProgress = UpdateResourceBackground.getInstance().currentProgress / 100;
		if DataCenter.QiandaoData.has_reward == 0 or curProgress < 1  then
			self.btnName:add({name = LanUtil.getValue(120822), eventIds = {10016}, panle = Lua_DownLoadRewardPanle, openId = 10016}); -- 下载
		end
	end
	self.btnName:add({name = LanUtil.getValue(120800), eventIds = {11145}, panle = Lua_OnLineRewardPlane, openId = 10021}); -- 在线
	self.btnName:add({name = LanUtil.getValue(120801), eventIds = {11147}, panle = Lua_QianDaoRightPanle, openId = 10038}); -- 签到
	self.btnName:add({name = LanUtil.getValue(120871), eventIds = {22053}, panle = Lua_MondayGiftPanel, openId = 10206}); -- 周一礼包

	if DataCenter.QiandaoData.notice_rewards == 0 then
		self.btnName:add({name = LanUtil.getValue(120854), eventIds = {10094}, panle = Lua_UpdatenoticePlane, openId = 10091}); -- 更新公告
	end

	if CommonUtil.isApplePlatform == true then
		if DataCenter.roleData:checkGameSwich("media_gift_ios") == 1 then
			self.btnName:add({name = LanUtil.getValue(120805), eventIds = {}, panle = Lua_ConversionPlane, openId = 10017}); -- 礼包兑换
		end
	else
		if DataCenter.roleData:checkGameSwich("media_gift_android") == 1 then
			self.btnName:add({name = LanUtil.getValue(120805), eventIds = {}, panle = Lua_ConversionPlane, openId = 10017}) -- 礼包兑换
		end
	end

    local index = 0;
    local data;
	self.btnleftNames = Array();
	for i = 1, self.btnName:getSize() do
		data = {};
		data.name = self.btnName[i].name;
		data.panle = self.btnName[i].panle;
		data.eventIds = self.btnName[i].eventIds;		
		if DataCenter.funcOpenData:isOpened(self.btnName[i].openId) then
			index = index + 1;

			data.openId = self.btnName[i].openId
			data.index = index;			
			self.btnleftNames:add(data)
		end	    
	end	
end

function Lua_welfareData:fromServer51401401(msg)
	if msg == nil then
		return;
	end

	self.start_index = msg.start_index -- 签到周期
	self.signature_index = msg.signature_index -- 当前周期已签到过的索引
	self.special_index = msg.special_index -- 当前周期累计签到的索引
	self.allow_signature = msg.allow_signature -- 1可以签到
	self.supplement_number = msg.supplement_number -- 可补签次数
	self.dat_index = msg.dat_index; -- 天数索引，从1开始
	self.is_kai_fu = msg.is_kai_fu; -- 1：本月是开服月

	-- 月份索引，从1开始(2个特殊值28和29)
	if msg.month_index == 28 then
		self.month_index = "a2day"..msg.month_index;
	elseif msg.month_index == 29 then
		self.month_index = "a2day"..msg.month_index;
	else
		self.month_index = "a"..msg.month_index;
	end

	-- 累计签到奖励展示
	local rewardInfo = Lua_rewardUtil.getaddupawardConfig(self.month_index, self.is_kai_fu);
	self.signInRewardArr = Array();
	for k,v in pairs(rewardInfo) do
		self.signInRewardArr:add({
			awardcount = rewardInfo[k][1],
			rewardshow = rewardInfo[k][2],
			career_limit = Lua_rewardUtil.careerlimit(self.month_index)
		});
	end

	-- 记录签到几次
	self.recordSignInArr = Array();
	for i = 1, #self.special_index do
		self.recordSignInArr:add({
			specialIdx = self.special_index[i],
			canDraw = self.special_index[i] >= 1
		});
	end

	-- 每日签到奖励
	local monthRewardInfo = Lua_rewardUtil.getawards(self.month_index);
	local vipInfo = Lua_rewardUtil.getvipwardsConfig(self.month_index);
	self.signInShowArr = Array()
	for k,v in pairs(monthRewardInfo) do
		self.signInShowArr:add({
			index = k,
			itemid = monthRewardInfo[k][1],
			itemcount = monthRewardInfo[k][2],
			itembin = monthRewardInfo[k][3],
			viplvl = vipInfo[k][1],
			vipcount = Lua_CommonUtil.transChineseNumber(vipInfo[k][2]),
			signInIdx = self.signature_index[k]
		});
	end
end

function Lua_welfareData:froms51401302(msg)
	if msg == nil then
		return;
	end

	self.login_time = msg.login_time; -- 累计登陆时间
	self.get_status = msg.get_status; -- 领取情况

	self.countDic = {};
	for k,v in pairs(self.get_status) do
		self.countDic[k] = v;
	end	

	local config = checkRequire("online_check");
	self.OnLineDic = {};
	for i,v in pairs(config) do
		self.OnLineDic[i] = Lua_OnLineVo.new(i);
	end

	local data;
	self.onlinedata = Array();
	for k,v in pairs(self.OnLineDic) do
		data = Lua_OnLineVo.new(k);
		self.onlinedata:add({index = k, count = data.award, isActive = self.countDic[k], onlinetime = data.onlinetime,
			displayreward = data.displayreward, isRoundEff = data.isRoundEff});
	end

	local len =self.onlinedata:getSize()
	local temp;
	for i = 1, len - 1 do
		for j = 1, len - i do
			if self.onlinedata[j].isActive == 2 and self.onlinedata[j + 1].isActive ~= 2 then 
				temp = self.onlinedata[j]
				self.onlinedata[j] = self.onlinedata[j + 1]
				self.onlinedata[j + 1] = temp
			end
		end
	end
end

function Lua_welfareData:fromServer51400117(msg)
	if msg == nil then
		return;
	end

	self.login_days = msg.login_days > 14 and 14 or msg.login_days; -- 已登入天数
	
	self.draw_days = msg.draw_days; -- 领取情况
	self.countDic = {};
	for k,v in ipairs(self.draw_days) do
		self.countDic[k] = v;
	end

	self.OnLineDic = {};
	local config = checkRequire("seven_day");
	for i,v in pairs(config) do
		self.OnLineDic[i] = Lua_SeventVo.new(i);
	end

	local data;
	self.onlinedata = Array();
	for k,v in pairs(self.OnLineDic) do
		data = Lua_SeventVo.new(k);
		self.onlinedata:add({
			index = k,
			clientShow = data.clientShow,
			isActive = self.countDic[k],
			seventCount = data.reward,
			isRoundEff = data.isRoundEff,
			daytips = data.daytips
		});
	end
end

function Lua_welfareData:fromServer51400119(msg)
    self.reward_flag = msg.reward_flag; -- 是否有奖励
end

function Lua_welfareData:fromServer50101451(msg)
	if msg == nil then
		return;
	end

	self.rewards_status = msg.rewards_status; -- 奖励状态

	local config = checkRequire("lvl_rewards");
	self.lvlDic = {};
	for i,v in pairs(config) do
		self.lvlDic[i] = Lua_LvlRewardVo.new(i);
	end

	local data;
	self.lvldata = Array();
	for k,v in pairs(self.lvlDic) do
		data = Lua_LvlRewardVo.new(k);
		self.lvldata:add({
			index = k,
			sub = self.rewards_status[k].sub,
			isActive = self.rewards_status[k].value,
			needlvl = data.needlvl,
			rewardsitem = data.rewardsitem,
			reward_number_limit = data.reward_number_limit,
			isRoundEff = data.isRoundEff
		});
	end

	local len = self.lvldata:getSize()
	local temp;
	for i = 1, len - 1 do
		for j = 1, len - i do
			if self.lvldata[j].isActive == 2 and self.lvldata[j+1].isActive ~= 2 then 
				-- if self.alltitleList[j].rank > self.alltitleList[j+1].rank then
					temp = self.lvldata[j];
					self.lvldata[j] = self.lvldata[j + 1];
					self.lvldata[j + 1] = temp;
				-- end
			end
		end
	end
end

function Lua_welfareData:fromServer51401482(msg)
	if msg == nil then
		return;
	end

	self.exp_count = msg.exp_count; -- 经验祈福次数
	self.exp_total_count = msg.exp_total_count; -- 经验总的祈福次数
	self.money_count = msg.money_count; -- 铜币已祈福次数
	self.money_total_count = msg.money_total_count; -- 铜币总的祈福次数
	self.money_time = msg.money_time; -- 铜币祈福剩余免费时间戳
	self.life_count = msg.life_count; -- 命力已祈福次数
	self.life_total_count = msg.life_total_count; -- 命力总的祈福次数
end

function Lua_welfareData:fromServer51401483(msg)
	if msg == nil then
		return;
	end

	self.multiple = msg.multiple;
	self.blessing_type = msg.blessing_type;
end

function Lua_welfareData:fromServer51401411(msg)
	if msg == nil then
		return;
	end

	self.restore_info = msg.restore_info;
	self.isResouce = #msg.restore_info == 0;
	self.ResourceDic = {};

	local obj;
	local data;
	local restoreVo;
    self.additionalrestorecount = 0;
    self.restorecount = 0;
	self.ResoureData = Array();
	for i = 1, #msg.restore_info do
		obj = msg.restore_info[i];
		data = Lua_ResourceVo.new(obj.activity_id);
		
		self.additionalrestorecount = self.additionalrestorecount + tonumber(obj.additional_restore_count);
		self.restorecount = self.restorecount + obj.restore_count;
		
		restoreVo = {};
		restoreVo.id = obj.activity_id;
		restoreVo.name = data.name;	  
		restoreVo.restorecount = obj.restore_count;
	    restoreVo.copper_rewards = Lua_rewardUtil:copperReward(obj.activity_id, obj.flag); -- 金币找回奖励 
		restoreVo.copperexp = Lua_rewardUtil:copperExp(obj.activity_id, obj.flag); -- 金币经验
		restoreVo.goldexp = Lua_rewardUtil:goldExp(obj.activity_id, obj.flag); -- 礼金经验    
		restoreVo.gold_rewards = Lua_rewardUtil:goldRewards(obj.activity_id, obj.flag); -- 礼金找回奖励
		restoreVo.additionalneedgold = data.additionalgold;
		restoreVo.coppermoey = data.copper;
		restoreVo.gold = data.gold;
		restoreVo.goldrewards = Lua_rewardUtil.goldrewards(obj.activity_id);
		restoreVo.copperrewards = Lua_rewardUtil.copperrewards(obj.activity_id);
		restoreVo.copper = Lua_rewardUtil.copper(obj.activity_id);
		restoreVo.ordinaryexp = tonumber(string.format("%0.2f", obj.ordinary_exp)); -- 铜钱找回的经验
		restoreVo.additionalexp = tonumber(string.format("%0.2f", obj.additional_exp)); -- 礼金找回的经验
		restoreVo.additionalrestorecount = tonumber(obj.additional_restore_count); -- 额外找回次数
		restoreVo.isActive = nil;
		self.ResoureData:add(restoreVo);
	end

	if tonumber(DataCenter.QiandaoData.ordinary_exp) > 0 then
		self.islixianResouce = false;
		self.restorecount = self.restorecount + DataCenter.QiandaoData.lose_time;

		local restoreVo = {};
		restoreVo.id = nil;
		restoreVo.name = LanUtil.getValue(120852);
		restoreVo.restorecount = DataCenter.QiandaoData.lose_time; -- 普通找回次数
		restoreVo.gold_rewards = {};
		restoreVo.goldexp = {[1] = 209000006};
		restoreVo.copperexp = {[1] = 209000006};
		restoreVo.copper_rewards = {};
		restoreVo.additionalneedgold = 0;
		restoreVo.coppermoey = DataCenter.QiandaoData.need_ordinary_money;
		restoreVo.gold = DataCenter.QiandaoData.need_lose_money;
		restoreVo.goldrewards = 0;
		restoreVo.copperrewards = 0;
		restoreVo.copper = 0;
		restoreVo.ordinaryexp = DataCenter.QiandaoData.ordinary_exp; -- 铜钱找回的经验
		restoreVo.additionalexp = DataCenter.QiandaoData.lose_exp; -- 礼金找回的经验
		restoreVo.additionalrestorecount = 0; -- 额外找回次数
		restoreVo.isActive = nil;
		self.ResoureData:add(restoreVo);
	else
		self.islixianResouce = true
	end
end

function Lua_welfareData:fromServer50100032(msg)
	if msg == nil then
		return;
	end

	self.title = msg.title;
	self.contentTxt = msg.content;
	self.item_set = msg.item_set;
	self.draw_flag = msg.draw_flag;
	self.start_tick = msg.start_tick;
end