Lua_SecretData = class("Lua_SecretData");
function Lua_SecretData:ctor()
    self:superCall("ctor");
    self:dispose();
end

function Lua_SecretData:dispose()
	self.drawType = 0;
	self.isShowReward = false;
	self.rewardRecord = nil;
    self.one_DrawCount = 0;
    self.ten_DrawCount = 0;

    DataCenter.secretUtil:resetSecretInfo();
end

function Lua_SecretData:fromServer51404501(msg)
	if msg == nil then
		return;
	end

	self.rewardRecord = msg.reward_record; -- 抽奖记录
	self.one_DrawCount = msg.one_gold_surplus_count; -- 元宝单抽剩余次数
	self.ten_DrawCount = msg.ten_gold_surplus_count_; -- 元宝十抽剩余次数

	-- 宝箱数据
	for k,v in pairs(msg.hoard_info) do
		DataCenter.secretUtil:updateSecretInfo(v);
	end
end

function Lua_SecretData.Get:rewardsArr()
	local arr = Array();
	if self.rewardRecord ~= nil then
		for i,v in ipairs(self.rewardRecord) do
			local vo = Lua_ToolVo.createToolVo(v.id, v.amount, v.bind);
			vo:fromServer(v);
			arr:add(vo);
		end
	end
	return arr;
end

function Lua_SecretData.Get:showPackRedDot()
	local bagData = DataCenter.packData:getBagType(Lua_PackData.SECRET_PACK);
	local len = bagData:getUsedSize();
	if len > 0 then
		return true;
	end
	return false;
end