checkRequire("Lua_SecretUtil");
checkRequire("Lua_SecretData");
Lua_SecretProxy = class("Lua_SecretProxy");
function Lua_SecretProxy:ctor()
	self:superCall("ctor");
	DataCenter.secretUtil = Lua_SecretUtil.new();
    DataCenter.secretData = Lua_SecretData.new();

    LuaUtil.addLuaMsg(51404501, self, self.rSecretInfo); -- 秘藏数据（返回）
end

-- 秘藏数据
function Lua_SecretProxy:sSecretInfo()
    sendMsg(11404501);
end

-- 清除秘召唤记录
function Lua_SecretProxy:sCleanSecretRecord()
    sendMsg(11404504);
end

-- 秘藏召唤
function Lua_SecretProxy:sSecretDraw(_index, drawType, moneyType)
    local cmd = ProtoPublic_pb.Proto11404502();
    cmd.hoard_num = _index; -- 秘藏序号
    cmd.draw_type = drawType; -- 0:单抽 1:十连抽
    cmd.money_type = moneyType; -- 金钱类型 0:铜钱 1:绑元 2:元宝
    sendMsg(11404502, cmd);
end

-- 临时仓库取出
function Lua_SecretProxy:sSecretPickUp(pickUpType, itemIndex)
    local cmd = ProtoPublic_pb.Proto11404503();
    cmd.take_type = pickUpType; -- 0:取出, 1:一键取出
    cmd.pack_index = itemIndex; -- 物品索引（一键取出时无效）
    sendMsg(11404503, cmd);
end

-- 秘藏数据（返回）
function Lua_SecretProxy:rSecretInfo(mp)
    if mp.errno == 0 then
    	local msg = ProtoPublic_pb.Proto51404501();
        msg:ParseFromString(mp.data);
        DataCenter.secretData:fromServer51404501(msg);
        Lua_MsgUtil.callFunc("UPDATE_SECRET");
    end
end