checkRequire("Lua_TransCommonData");
Lua_ServantMountTransData = class("Lua_ServantMountTransData", Lua_TransCommonData);
function Lua_ServantMountTransData:ctor()
	self:superCall("ctor");
end

function Lua_ServantMountTransData.Get:config()
	return getConfig({"servant_mount", "illusion"});
end

function Lua_ServantMountTransData:sGetPanelInfo(type)
	local cmd = ProtoPublic_pb.Proto11400905();
	cmd.ser_type = 2;
	sendMsg(11400905, cmd);
end

function Lua_ServantMountTransData:sActivate(id)
	local cmd = ProtoPublic_pb.Proto11400906();
	cmd.ill_id = id;
	cmd.ser_type = 2;
	sendMsg(11400906, cmd);
end

function Lua_ServantMountTransData:sTransmogrify(id)
	local cmd = ProtoPublic_pb.Proto11400907();
	cmd.ill_id = id;
	cmd.ser_type = 2;
	sendMsg(11400907, cmd);
end

function Lua_ServantMountTransData:sLvlUp(id)
	local cmd = ProtoPublic_pb.Proto11400908();
	cmd.ill_id = id;
	cmd.ser_type = 2;
	sendMsg(11400908, cmd);
end

function Lua_ServantMountTransData:sRestore()
	local cmd = ProtoPublic_pb.Proto11400912();
	cmd.ser_type = 2;
	sendMsg(11400912, cmd);
end

function Lua_ServantMountTransData:fromServer(data)
	self.illId = data.ill_id;
	self:setDataList(data.illusion_list);
end

function Lua_ServantMountTransData:getActivationInfo(data)
	self.isSuccess = data.is_grade;
end

function Lua_ServantMountTransData:getTransInfo(data)
end

function Lua_ServantMountTransData:getLvlUpInfo(data)
end