checkRequire("Lua_TransCommonData");
Lua_ServantTransData = class("Lua_ServantTransData", Lua_TransCommonData);
function Lua_ServantTransData:ctor()
	self:superCall("ctor");
end

function Lua_ServantTransData.Get:config()
	return getConfig({"servant", "illusion"});
end

function Lua_ServantTransData:sGetPanelInfo()
	local cmd = ProtoPublic_pb.Proto11400905();
	cmd.ser_type = 0;
	sendMsg(11400905, cmd);
end

function Lua_ServantTransData:sActivate(id)
	local cmd = ProtoPublic_pb.Proto11400906();
	cmd.ill_id = id;
	cmd.ser_type = 0;
	sendMsg(11400906, cmd);
end

function Lua_ServantTransData:sTransmogrify(id)
	local cmd = ProtoPublic_pb.Proto11400907();
	cmd.ill_id = id;
	cmd.ser_type = 0;
	sendMsg(11400907, cmd);
end

function Lua_ServantTransData:sLvlUp(id)
	local cmd = ProtoPublic_pb.Proto11400908();
	cmd.ill_id = id;
	cmd.ser_type = 0;
	sendMsg(11400908, cmd);
end

function Lua_ServantTransData:sRestore()
	local cmd = ProtoPublic_pb.Proto11400912();
	cmd.ser_type = 0;
	sendMsg(11400912, cmd);
end

function Lua_ServantTransData:fromServer(data)
	self.illId = data.ill_id;
	self:setDataList(data.illusion_list);
end

function Lua_ServantTransData:getActivationInfo(data)
	self.isSuccess = data.is_grade;
end

function Lua_ServantTransData:getTransInfo(data)
end

function Lua_ServantTransData:getLvlUpInfo(data)
end