checkRequire("Lua_TransCommonData");
Lua_ServantWeaponTransData = class("Lua_ServantWeaponTransData",Lua_TransCommonData);
function Lua_ServantWeaponTransData:ctor()
	self:superCall("ctor");
end

function Lua_ServantWeaponTransData.Get:config()
	return getConfig({"servant_weapon", "illusion"});
end

function Lua_ServantWeaponTransData:sGetPanelInfo()
	local cmd = ProtoPublic_pb.Proto11400905();
	cmd.ser_type = 1;
	sendMsg(11400905, cmd);
end

function Lua_ServantWeaponTransData:sActivate(id)
	local cmd = ProtoPublic_pb.Proto11400906();
	cmd.ill_id = id;
	cmd.ser_type = 1;
	sendMsg(11400906, cmd);
end

function Lua_ServantWeaponTransData:sTransmogrify(id,type)
	local cmd = ProtoPublic_pb.Proto11400907();
	cmd.ill_id = id;
	cmd.ser_type = 1;
	sendMsg(11400907, cmd);
end

function Lua_ServantWeaponTransData:sLvlUp(id)
	local cmd = ProtoPublic_pb.Proto11400908();
	cmd.ill_id = id;
	cmd.ser_type = 1;
	sendMsg(11400908, cmd);
end

function Lua_ServantWeaponTransData:sRestore()
	local cmd = ProtoPublic_pb.Proto11400912();
	cmd.ser_type = 1;
	sendMsg(11400912, cmd);
end

function Lua_ServantWeaponTransData:fromServer(data)
	self.illId = data.ill_id;
	self:setDataList(data.illusion_list);
end

function Lua_ServantWeaponTransData:getActivationInfo(data)
	self.isSuccess = data.is_grade;
end

function Lua_ServantWeaponTransData:getTransInfo(data)
	-- print("幻化id", data.ill_id);
end

function Lua_ServantWeaponTransData:getLvlUpInfo(data)
	-- print("是否升级成功", data.is_upgrade);
end