checkRequire("Lua_PetSkillVo");
Lua_ServantWingData = class("Lua_ServantWingData", Lua_ServantCommonData);
function Lua_ServantWingData:ctor()
end

function Lua_ServantWingData:sServantPanelInfo()
	local cmd = ProtoPublic_pb.Proto11400901();
	cmd.ser_type = 3;
	sendMsg(11400901,cmd);
end

function Lua_ServantWingData:sServantAnvance()
	local cmd = ProtoPublic_pb.Proto11400902();
	cmd.ser_type = 3;
	sendMsg(11400902,cmd);
end
function Lua_ServantWingData:sUseItem(index,num)
	local cmd = ProtoPublic_pb.Proto11400913();
	cmd.panacez_index = index;
	cmd.ser_type = 3;
	cmd.use_num = num;
	sendMsg(11400913,cmd);
end

function Lua_ServantWingData:sUse(param)
	local cmd = ProtoPublic_pb.Proto11400909();
	cmd.servant_id = param;
	cmd.ser_type = 3;
	sendMsg(11400909,cmd);
end

function Lua_ServantWingData:sNonuse(hide_flag)
	local cmd = ProtoPublic_pb.Proto11400911();
	cmd.ser_type = 3;
	cmd.hide_flag = hide_flag
	sendMsg(11400911,cmd);
end

function Lua_ServantWingData:sSkillLvlUp(id)
	local cmd = ProtoPublic_pb.Proto11400910();
	cmd.skill_id = id;
	cmd.ser_typr = 3;
	sendMsg(11400910,cmd);
end

function Lua_ServantWingData.Get:config()
	if self._config == nil then
		self._config = getConfig({"servant_wing"});
	end
	return self._config;
end

function Lua_ServantWingData:fromServer51400901(data)
	self.isMaxLvl = data.is_max_lvl;
	self.evolutionExp = data.evolution_exp;
	self.servantShape = data.servant_shape;
	self.name = data.name;
	self.force = data.force;
	self.isUsing = data.is_battle;
	self.isBattle = data.is_battle;

	self:calcLvl(data.evolution_lvl);
	self:getCurAttrData(data.total_prop_list);
	self:getNextAttrData(data.next_prop_list);
	self:getSkillListData(data.skill_list);
	self:getPanaceaListData(data.edible_panacea);
end

function Lua_ServantWingData:servantAdvance(data)
	-- print("data.is_evolution", data.is_evolution);
end

function Lua_ServantWingData:skillLvlUp(data)
	for i = 1, self.skillVoList:getSize() do
		if self.skillVoList[i].skillId == data.skill_id  then
			self.skillVoList[i].skillLvl = data.skill_lvl;
		end
	end
end

function Lua_ServantWingData:updateState1(data)
	self.isUsing = data.is_battle;
end

function Lua_ServantWingData:updateState2(data)
	self.isUsing = data.is_battle;
end

function Lua_ServantWingData:getBaseAttrDic()
	return getConfig({"servant_wing","servant_base"});
end