checkRequire("Lua_ToolVo");
Lua_ShopItemVo = class("Lua_ShopItemVo", Lua_ToolVo);
function Lua_ShopItemVo:ctor(id, count, bin)
	self:superCall("ctor", id, count, bin);
end

function Lua_ShopItemVo:fromServer(msg)
	self.selected = false;
	self.item_pos = msg.item_pos;
	self.prePrice = msg.prime_price;
	self.curPrice = msg.cur_price;
	self.maxCount = msg.max_item;
	self.leftCount = msg.left_item;
	self._moneyType = msg.money_type;
	self.itemType = msg.limit_condt_type;
	self.vipLimit = msg.vip_lvl;
	self.shop_career = msg.shop_career;
	self.one_buy_num = msg.one_buy_num;
end

function Lua_ShopItemVo.Get:moneyType()
	return Lua_MoneyData.getIconSpByMoneyType(self._moneyType);
end

function Lua_ShopItemVo.Get:getMoneyIconAtlas()
	return Lua_MoneyData.getMoneyIconAtlas(self._moneyType);
end

function Lua_ShopItemVo.Set:isCharmKing(val)
	self._isCharmKing = val;
end

function Lua_ShopItemVo.Get:isCharmKing()
	if self._isCharmKing == nil then
		self._isCharmKing = false;
	end
	return self._isCharmKing;
end



function Lua_ShopItemVo.Get:configData()
	return getConfig({"shopInfo", self.item_pos});
end

function Lua_ShopItemVo.Get:icon_des()
	if self.configData == nil then
		return nil;
	end
	return self.configData.icon_des;
end

function Lua_ShopItemVo.Get:item_des()
	if self.configData == nil then
		return nil;
	end
	return self.configData.item_des;
end

function Lua_ShopItemVo.Get:limt_show()
	if self.configData == nil then
		return nil;
	end
	return self.configData.limt_show;
end

function Lua_ShopItemVo.Get:Level_Limit()
	if self.configData == nil then
		return nil;
	end
	return self.configData.level_limt;
end

function Lua_ShopItemVo.Get:item_effect()
	if self.configData == nil then
		return nil;
	end
	return self.configData.item_effect;
end

function Lua_ShopItemVo.Get:limit_item_effect()
	if self.configData == nil then
		return nil;
	end
	return self.configData.limit_item_effect;
end

function Lua_ShopItemVo.Get:is_show()
	if self.Level_Limit ~= nil then
		return self.Level_Limit <= DataCenter.roleData.level;
	else
		return true;
	end
end

function Lua_ShopItemVo.Get:vip()
	if DataCenter.roleData.vipType == 100 then
		return false;
	else
		return DataCenter.roleData.vipType >= self.vipLimit;
	end
end