Lua_SkillDefine = {};

Lua_SkillDefine.SKILL_TYPE_JUMP = 6;
Lua_SkillDefine.SKILL_TYPE_CAREER = 1;
Lua_SkillDefine.SKILL_TYPE_ANGRY = 2;
Lua_SkillDefine.SKILL_TYPE_STATE = 3;
Lua_SkillDefine.SKILL_TYPE_PASSIVE = 4;
Lua_SkillDefine.SKILL_TYPE_BASE = 5;
Lua_SkillDefine.SKILL_TYPE_QIYUAN = 7;
Lua_SkillDefine.SKILL_TYPE_SHENSHOU = 8;
Lua_SkillDefine.SKILL_TYPE_JUEXING = 9;

function Lua_SkillDefine.getSkillByCareer(val)
	local obj = {};
	obj.baseSkill = 0;
	obj.actSkills = Array();
	obj.passiveSkills = Array();
	obj.qiyuanSkills = Array();
	local skills = checkRequire("player_skill");
	local rd = DataCenter.roleData;
	for k,v in pairs(skills) do
		if v.defaultSkill == nil or v.defaultSkill == 0 then
			if v.career == rd.career then
				if v.skill_type == Lua_SkillDefine.SKILL_TYPE_BASE then
					obj.baseSkill = tonumber(k);
				elseif v.skill_type == Lua_SkillDefine.SKILL_TYPE_CAREER then
					obj.actSkills:add(tonumber(k));
				elseif v.skill_type == Lua_SkillDefine.SKILL_TYPE_PASSIVE then
					obj.passiveSkills:add(tonumber(k));
				end
			else 
				if v.skill_type == Lua_SkillDefine.SKILL_TYPE_QIYUAN then
					obj.qiyuanSkills:add(tonumber(k));
				end
			end
		end
	end
	return obj;
end