Lua_SkillMenuTipsWindow =  class("Lua_SkillMenuTipsWindow", Lua_Window);
function Lua_SkillMenuTipsWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_SkillMenuTipsWindow";
	self.skinName = "SkillMenuTipsWindow_skin";
	self.layer = 500;
	self.blackAlpha = 0.01;
	self.showClose = false;
	self.isClickClose = true;
end

function Lua_SkillMenuTipsWindow:showWin(param)
	local mousePosition = self.content.transform.parent:InverseTransformPoint(param.pos);
	-- self.content.transform.localPosition = Vector3(mousePosition.x - 250, mousePosition.y + 75, 0);
	LuaUtil.setObjPos(self.content, mousePosition.x - 250, mousePosition.y + 75, 0);

	local skillData = param.skillData;
	local str = "[FFB319]"..skillData.name.."[-]\n";
	if skillData:hasLearn() == true then
		str = str.."[00E125]CD: "..skillData.cool..LanUtil.getValue(26).."[-]\n";
	else
		str = str.."[FF1616]"..LanUtil.getValue(122315).."\n";
	end

	local curEffect = skillData.config.detail[skillData.skillLevel].effect[1];
	local percentStr = curEffect.percent ~= nil and tostring(math.abs(curEffect.percent)) or "0";
	local valueStr = curEffect.value ~= nil and tostring(math.abs(curEffect.value)) or "0";
	
	local tipsStr = LanUtil.formateStr(skillData.des, percentStr, valueStr);
	tipsStr = string.gsub(tipsStr, "181824", "b1caf4");

	str = str..LanUtil.formateStr(LanUtil.getValue(110649), tipsStr);
	self.skillTxt.text = str;

	self.bg:SetDimensions(340, self.skillTxt.height + 35);
end