Lua_ServerSaveData = class("Lua_ServerSaveData");
Lua_ServerSaveData.RESOURCE_FOUND = 1;
function Lua_ServerSaveData:ctor()
	self:superCall("ctor");
	self:dispose();
end
function Lua_ServerSaveData:dispose()
	self.saveData = {0,0,0,0,0};
end
function Lua_ServerSaveData:fromServer(msg)
	for i,v in ipairs(msg.data) do
		self.saveData[i] = v;
	end
end
function Lua_ServerSaveData:setSaveData(index, val)
	self.saveData[index] = val;
	self:saveServerData();
end
function Lua_ServerSaveData:getSaveData(index)
	return self.saveData[index];
end
function Lua_ServerSaveData:saveServerData()
	local cmd = ProtoPublic_pb.Proto10100171();
    for i,v in ipairs(self.saveData) do
    	cmd.data:append(v);
    end
    sendMsg(10100171, cmd);

end