checkRequire("Lua_TalePetVo")
Lua_TalePetData = class("Lua_TalePetData");
function Lua_TalePetData:ctor()
end

function Lua_TalePetData:dispose()
	if self._petArr ~= nil then
		self._petArr:clear()
		self._petArr = nil;
	end
end

function Lua_TalePetData:fromServer51400920(msg)
	self.god_beast_info = msg.god_beast_info;
	self.soul_source = tonumber(tostring(msg.soul_source));
end

function Lua_TalePetData:fromServer51400921(msg)
	self.id = msg.id;
end

function Lua_TalePetData:fromServer51400922(msg)
	self.id = msg.id;
	self.evolution_lvl = msg.evolution_lvl;
end

function Lua_TalePetData:fromServer51400923(msg)
	self.soul_source = tonumber(tostring(msg.soul_source));
end

function Lua_TalePetData.Get:petArr()
	local talePetVo;
	self._petArr = Array();
	if self.god_beast_info ~= nil and #self.god_beast_info ~= 0 then
		for k, v in ipairs(self.god_beast_info) do
			talePetVo = Lua_TalePetVo.new(v.id, k);
			talePetVo:fromServer(v);
			self._petArr:add(talePetVo);
		end
	end
	return self._petArr;
end

function Lua_TalePetData:getSkillInfo(id)
	return getConfig({"player_skill", id});
end

function Lua_TalePetData:getHeadIconByColorIdx(id)
	if self.bgName == nil then
		self.bgName = {"wpk_02", "wpk_03", "wpk_04", "wpk_05", "wpk_06", "wpk_06"};
	end
	return self.bgName[id];
end

function Lua_TalePetData.Get:talePetConfig()
	if self._talePetConfig == nil then
		self._talePetConfig = getConfig({"god_beast"});
	end
	return self._talePetConfig;
end

function Lua_TalePetData.Get:decomposeConfig()
	if self._decomposeConfig == nil then
		self._decomposeConfig = getConfig({"god_beast_decompose"});
	end
	return self._decomposeConfig;
end

function Lua_TalePetData.Get:talePetCommonConfig()
	if self._talePetCommonConfig == nil then
		self._talePetCommonConfig = getConfig( { "god_beast_const" });
	end
	return self._talePetCommonConfig;
end

function Lua_TalePetData.Get:btn_show()
	local arr = self.talePetCommonConfig.btn_show.arr_val;
	local desArr = Array();
	local len = #arr;
	for i = 1, len do
		desArr:add(arr[i]);
	end
	return desArr;
end

function Lua_TalePetData.Get:decompose_item()
	return self.talePetCommonConfig.decompose_item.value;
end

function Lua_TalePetData.Get:decompose_RedDot()
	local arr = DataCenter.packData:getBagType(Lua_PackData.BAG_PACK):getItemsBySubType( { Lua_PackTypeDefine.TALEPET_ITEM_TYPE });
	return arr:getSize() > 0;
end