﻿Lua_TransData = class("Lua_TransData");
function Lua_TransData:ctor()
    self:superCall("ctor");
    self._count = 0;
    self.voList = { };
end

function Lua_TransData.Set:Count(value)
    self._count = value
end
function Lua_TransData.Get:Count(value)
    return self._count
end
function Lua_TransData:fromServer(msg)
    self.role_id = msg.role_id;
    self.role_name = msg.role_name;
end
function Lua_TransData:fromServer51402402(msg)
    if msg.condition == nil then
        return
    end
    self.condition = msg.condition;
    self:Server51402402();
end
function Lua_TransData:fromServer51402403(msg)
    if msg.item_list == nil then
        return
    end

    self.item_list = msg.item_list;
    local arr = Array();
    for k, v in ipairs(self.item_list) do
        local transVo = Lua_ToolVo.new(v.id, v.amount, v.bind)
        transVo:fromServer(v)
        arr:add(transVo)
    end
    self:Server51402403(arr);
end
function Lua_TransData:fromServer51402404(msg)
    if msg.item_list == nil then
        return
    end

    self.item_list = msg.item_list;
    local arr = Array();
    for k, v in ipairs(self.item_list) do
        local transVo = Lua_ToolVo.new(v.id, v.amount, v.bind)
        transVo:fromServer(v)
        arr:add(transVo)
    end
    self:Server51402404(arr);
end

function Lua_TransData:fromServer80400241(msg)
    self.roleInviteId = msg.role_id;
    self.roleInviteName = msg.role_name;
    self:Server80400241();
end

function Lua_TransData:fromServer80400242(msg)
    self.responeType = msg.respone_type;
    self.roleId = msg.role_id;
    self.roleName = msg.role_name;
    self:Server80400242();
end

function Lua_TransData:fromServer80400246(msg)
    if msg.item_list == nil then
        return
    end
    self.item_list = msg.item_list;
    for k, v in ipairs(self.item_list) do
        local transVo = Lua_ToolVo.new(v.id, v.amount, v.bind)
        transVo:fromServer(v)
        arr:add(transVo)
    end
    self:Server80400246(arr);
end

function Lua_TransData:fromServer80400247(msg)
    if msg.item_list == nil then
        return
    end
    self.item_list = msg.item_list;
    local arr = Array()
    for k, v in ipairs(self.item_list) do
        local transVo = Lua_ToolVo.new(v.id, v.amount, v.bind)
        transVo:fromServer(v)
        arr:add(transVo)
    end
    self:Server80400247(arr);
end



function Lua_TransData:Server51402402(msg)
    if self.condition == 1 then
        Lua_WindowUtil.openWin("Lua_TransactionWindow", WinParam.ACTION_OPEN);
    else

    end
    Lua_MsgUtil.callFunc("TRANS_REQUEST", false);
end


function Lua_TransData:Server51402403(data)
    Lua_MsgUtil.callFunc("TRANS_TAKEIN", data);
end

function Lua_TransData:Server51402404(data)
    Lua_MsgUtil.callFunc("TRANS_TAKEOUT", data);
end

function Lua_TransData:Server80400241()
    if self.roleInviteId ~= nil then
        Lua_MsgUtil.callFunc("TRANS_REQUEST", true);
    else
    end
end

function Lua_TransData:Server80400242()
    if self.responeType ~= nil and self.responeType == 1 then
        Lua_WindowUtil.openWin("Lua_TransactionWindow", WinParam.ACTION_OPEN);
        --    else
        --        OperateAlert.show(LanUtil.formateStr(LanUtil.getValue(122005), self.roleName));
    end
    Lua_MsgUtil.callFunc("TRANS_REQUEST", false);
end

function Lua_TransData:Server80400246(data)
    if data ~= nil then
        Lua_MsgUtil.callFunc("TRANS_OTHER_TRANS", data);
    end

end

function Lua_TransData:Server80400247(data)
    Lua_MsgUtil.callFunc("TRANS_OTHER_TRANS", data);
end

function Lua_TransData:dispose(data)
    self._count = 0
end
function Lua_TransData:initTransVo()
    self.voList = { };
end
function Lua_TransData:setTransData(index, num)
    self.voList[index] = num;
end