Lua_TreasureEventVo = class("Lua_TreasureEventVo");
function Lua_TreasureEventVo:ctor(eventId)
    self.eventId = eventId;
end

function Lua_TreasureEventVo.Set:eventNum(value)
    self._eventNum = value
end

function Lua_TreasureEventVo.Get:eventNum()
    if self._eventNum == nil then
        return 0
    end
    return self._eventNum
end 

function Lua_TreasureEventVo.Set:stage_index(value)
    self._stage_index = value
end

function Lua_TreasureEventVo.Get:stage_index()
    return self._stage_index
end 

function Lua_TreasureEventVo.Set:point(value)
    self._point = value
end

function Lua_TreasureEventVo.Get:point()
    return self._point
end 

function Lua_TreasureEventVo.Set:content(value)
    self._content = value
end

function Lua_TreasureEventVo.Get:content()
    return self._content
end 

function Lua_TreasureEventVo.Set:limit_amount(value)
    self._limit_amount = value
end

function Lua_TreasureEventVo.Get:limit_amount()
    return self._limit_amount
end 


function Lua_TreasureEventVo.Get:eventLimitNum()
    for key, value in ipairs(self.limit_amount) do
        --if self.stage_index == value.obj_id + 1 then
            return value.obj_value
        --end
    end
end 

-- 排序
function Lua_TreasureEventVo.Set:index(value)
    self._index = value;
end

function Lua_TreasureEventVo.Get:index()
    return self._index;
end 

function Lua_TreasureEventVo.Get:winName()
    return DataCenter.treasureActivityData.configData[self.eventId].winName
end 
function Lua_TreasureEventVo.Get:winIndex()
    return DataCenter.treasureActivityData.configData[self.eventId].winIndex
end 
function Lua_TreasureEventVo.Get:icon_name()
   --print("self.eventId", self.eventId)
    return DataCenter.treasureActivityData.configData[self.eventId].icon_name
end 
function Lua_TreasureEventVo.Get:itemId()
    return DataCenter.treasureActivityData.configData[self.eventId].itemId
end 
function Lua_TreasureEventVo.Get:open_id()
    return DataCenter.treasureActivityData.configData[self.eventId].open_id
end 
function Lua_TreasureEventVo.Get:atlas()
    return DataCenter.treasureActivityData.configData[self.eventId].atlas;
end