Lua_TuJianVo = class("Lua_TuJianVo");
function Lua_TuJianVo:ctor(id,value)
	self.id = id;
	if value == nil  then
		self.config = getConfig({ "illus_non_upgrade", id });
		if self.config == nil then 
			self.config = getConfig({ "illus_upgrade", id });
		end
	else
		self.config = value;
	end
end

function Lua_TuJianVo:clearServerInfo()
	self.illusClassId = nil;
	self.illusLevel = nil;
	self.illusGroupId = nil;
	self.upLvItemId = nil;
	self.needTujianCount = nil;
	self.hasTujianCount = nil;
end

function Lua_TuJianVo:fromServer(v)
	-- self.illusId = v.illus_id -- 图鉴ID
	self.illusClassId = v.illus_class_id -- 类别
	self.illusLevel = v.illus_level; -- 等级
	self.illusGroupId = v.illus_group_id; -- 图鉴组ID
	self.upLvItemId = v.upgrade_goods_id; -- 升级物品的id
	self.needTujianCount = v.upgrade_goods_amount; -- 升级物品需要的物品数量
	self.hasTujianCount = v.have_goods_amount; -- 拥有的物品数量
end

--------------------图鉴升级类字段--------------------
-- 图鉴分组ID
function Lua_TuJianVo.Get:illus_group_id()
	return self.config.illus_group_id;
end

-- 等级(上限)
function Lua_TuJianVo.Get:illus_level()
	return self.config.illus_level;
end

-- 属性值(每级）
function Lua_TuJianVo.Get:value_list()
	return self.config.value_list;
end

-- 升级物品
function Lua_TuJianVo.Get:upgrade_goods_id()
	return self.config.upgrade_goods_id;
end

-- 升级物品数量(每级）
function Lua_TuJianVo.Get:goods_amount_list()
	return self.config.goods_amount_list;
end

-- 场景ID
function Lua_TuJianVo.Get:sence_id()
	return self.config.sence_id;
end

-- 图鉴对应怪物ID
function Lua_TuJianVo.Get:monster_id()
	return self.config.monster_id;
end

--------------------图鉴非升级类字段--------------------
-- 图鉴名
function Lua_TuJianVo.Get:illus_name()
	return self.config.illus_name;
end

-- 属性
function Lua_TuJianVo.Get:value()
	return self.config.value;
end

-- 对应模型ID
function Lua_TuJianVo.Get:illus_source_id()
	return self.config.illus_source_id;
end

-- 职业分类
function Lua_TuJianVo.Get:play_career()
	return self.config.play_career;
end

-- 时装分类
function Lua_TuJianVo.Get:fashion_class()
	return self.config.fashion_class;
end

-- 排序
function Lua_TuJianVo.Get:sort()
	return self.config.sort;
end

--------------------升级类非升级类共有字段--------------------
-- 图鉴类ID
function Lua_TuJianVo.Get:illus_class_id()
	return self.config.illus_class_id;
end

-- 属性类型
function Lua_TuJianVo.Get:attr_type()
	return self.config.attr_type;
end

-- 模型初始位置
function Lua_TuJianVo.Get:position()
	return self.config.position;
end

-- 模型初始旋转位置
function Lua_TuJianVo.Get:rotation()
	return self.config.rotation;
end

-- 缩放比例
function Lua_TuJianVo.Get:model_size()
	return self.config.model_size;
end