checkRequire("Lua_YuanBaoDoubleData");
Lua_YuanBaoDoubleProxy = class("Lua_YuanBaoDoubleProxy");
function Lua_YuanBaoDoubleProxy:ctor()
	DataCenter.yuanBaoDoubleData =  Lua_YuanBaoDoubleData.new();

	LuaUtil.addLuaMsg(50105646, self, self.rYuanBaoDoubleInfo);
	LuaUtil.addLuaMsg(50105647, self, self.rYuanBaoDoubleDraw);
	LuaUtil.addLuaMsg(80105648, self, self.rYuanBaoDoubleRecords);
end

-- 打开元宝大翻倍界面（返回）
function Lua_YuanBaoDoubleProxy:rYuanBaoDoubleInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50105646();
		msg:ParseFromString(mp.data);
		DataCenter.yuanBaoDoubleData:fromServer50105646(msg);
		Lua_MsgUtil.callFunc("UPDATE_YUAN_BAO_DOUBLE");
	end
end

-- 转盘抽奖（返回）
function Lua_YuanBaoDoubleProxy:rYuanBaoDoubleDraw(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50105647();
		msg:ParseFromString(mp.data);
		Lua_MsgUtil.callFunc("UPDATE_YUAN_BAO_DOUBLE_DRAWRESULT", msg.draw_index);
	end
end

-- 通知元宝大翻倍全服记录（通知）
function Lua_YuanBaoDoubleProxy:rYuanBaoDoubleRecords(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto80105648();
		msg:ParseFromString(mp.data);
		Lua_MsgUtil.callFunc("UPDATE_YUAN_BAO_DOUBLE_RECORDS", msg.whole_record);
	end
end





-- 请求界面信息
function Lua_YuanBaoDoubleProxy:sOpenYuanBaoDoubleWin()
    Lua_ProxyManager.getProxy("Lua_OperationalActivitiesProxy"):sGetActivityInfo(Lua_YuanBaoDoubleData.ACT_YUANBAO);
end

-- 元宝大翻倍打开/关闭界面
function Lua_YuanBaoDoubleProxy:sYuanBaoDoubleWinStatus(val)
	local cmd = ProtoPublic_pb.Proto10105647();
	cmd.status = val; -- 1 打开，0 关闭
	sendMsg(10105647, cmd);
end

-- 抽奖
function Lua_YuanBaoDoubleProxy:sYuanBaoDoubleDraw()
	-- local cmd = ProtoPublic_pb.Proto10105646();
	-- cmd.draw_cost = val;
	sendMsg(10105646);
end