-- 生肖装备强化Vo
Lua_ZodiacEquipIntensifyVo = class("Lua_ZodiacEquipIntensifyVo");
function Lua_ZodiacEquipIntensifyVo:ctor(id, config)
	self.id = id;	
    if config == nil then
    	config = getConfig({ "zodiac_intensify", id });
    end
    self.config = config;
end

-- 下一级需要的进度值
function Lua_ZodiacEquipIntensifyVo.Get:progress()
	return self.config.progress;
end

-- 下一级需要消耗道具的数量
function Lua_ZodiacEquipIntensifyVo.Get:costCount()
	return self.config.material_expend;
end

-- 强化属性
function Lua_ZodiacEquipIntensifyVo.Get:attrsDic()
	if self._attrsDic == nil then
		self._attrsDic = {};
		for k,v in ipairs(Lua_ThingDefine.params) do
			local val = self.config[v];
			if val ~= nil then
				self._attrsDic[v] = val;
			end
		end
	end
	return self._attrsDic;
end