Lua_MsgUtil = {};
Lua_MsgUtil.dic = {};
Lua_MsgUtil.key = 0;
function Lua_MsgUtil.callFunc(name, data)
	local arr = Lua_MsgUtil.dic[name];
	if arr ~= nil then
		local len = arr:getSize();
		for i=1,len do
			if arr[i] ~= nil and arr[i].isDispose ~= true then
				arr[i].func(arr[i].owner, data);
			end
		end
	end
end
function Lua_MsgUtil.traceListenerList()
	print("----------------------");
	for k,v in pairs(Lua_MsgUtil.dic) do
		print(k,v:getSize())
	end
end
function Lua_MsgUtil.hasEventListener(name, owner, func)
	local arr = Lua_MsgUtil.dic[name];
	if arr ~= nil then
		local len = arr:getSize();
		for i=1,len do
			if arr[i].owner == owner and arr[i].func == func then
				return true;
			end
		end
	end
	return false;
end
function Lua_MsgUtil.addEventListener(name, owner, func)
	local has = Lua_MsgUtil.hasEventListener(name, owner, func);
	if has == true then
		return false;
	end
	local arr = Lua_MsgUtil.dic[name];
	if arr == nil then
		arr = Array();
		Lua_MsgUtil.dic[name] = arr;
	end
	Lua_MsgUtil.key = Lua_MsgUtil.key + 1;
	arr:add({key = Lua_MsgUtil.key, func = func, owner = owner});
	return true;
end
function Lua_MsgUtil.removeEventListener(name, owner, func)
	local arr = Lua_MsgUtil.dic[name];
	if arr ~= nil then
		local len = arr:getSize();
		for i=1,len do
			if arr[i].owner == owner and arr[i].func == func then
				arr[i].isDispose = true;
				break;
			end
		end
	end
end
function Lua_MsgUtil.checkRemoveEvent()
	if Lua_MsgUtil.time == nil or getTime() - Lua_MsgUtil.time > 0.5 then
		Lua_MsgUtil.time = getTime();
		local delArr = Array();
		for k,v in pairs(Lua_MsgUtil.dic) do
			local len = v:getSize();
			for i=1,len do
				if v[i].isDispose == true then
					v:remove(i);
					break;
				end
			end
			len = v:getSize();
			if len == 0 then
				delArr:add(k);
			end
		end
		local len = delArr:getSize();
		for i=1,len do
			Lua_MsgUtil.dic[delArr[i]] = nil;
		end
	end
end
function Lua_MsgUtil.clearAllFun()
	Lua_MsgUtil.dic = {};
	Lua_MsgUtil.clearCSharpEventAct();
end