-- 平台工具类
Lua_PlatformUtil = class("Lua_PlatformUtil")

local platform = UnityEngine.Application.platform;
local runtimePlatform = UnityEngine.RuntimePlatform;

function Lua_PlatformUtil.IsWindowsEditor()
    return platform == runtimePlatform.WindowsEditor;
end

function Lua_PlatformUtil.IsWindowsPlayer()
    return platform == runtimePlatform.WindowsPlayer;
end

function Lua_PlatformUtil.IsAndroid()
    return platform == runtimePlatform.Android;
end

function Lua_PlatformUtil.IsIPhonePlayer()
    return platform == runtimePlatform.IPhonePlayer;
end

function Lua_PlatformUtil.CUR_PLATFORM()
    return SDKPlatform.CUR_PLATFORM;
end