Lua_DragSecBtnListCell = class("Lua_DragSecBtnListCell", Lua_DisplayObject);
function Lua_DragSecBtnListCell:ctor(p, t, cellWidth, cellHeight, offsetX, offsetY, skin)
    self.btnType = t;
    self.cellHeight = cellHeight;
    self.cellWidth = cellWidth;
    self.offsetX = offsetX;
    self.offsetY = offsetY;

    self:superCall("ctor", p, skin, false);
    self._selected = false;
end

function Lua_DragSecBtnListCell:buildShowItem()
    self:superCall("buildShowItem");

end

function Lua_DragSecBtnListCell:onPlayerSoundClick(go)
	if self.owner ~= nil and self.ownerCallBack ~= nil then
        self.ownerCallBack(self.owner, self.mainIndex, self.secIndex, not self._selected, false);
    end
end

function Lua_DragSecBtnListCell:checkOutBound(showRect)
	if self.whenInView ~= nil and self.setShowRect ~= nil then
		if self.setShowRect:intersects(showRect) == true then
			self:whenInView(true);
		else
			self:whenInView(false);
		end
	end
end

function Lua_DragSecBtnListCell.Get:data()
    return self._data;
end

function Lua_DragSecBtnListCell:setData(data, owner, ownerCallBack)
    self._data = data;
    self.owner = owner;
    self.ownerCallBack = ownerCallBack;
    self:updateData();
end

function Lua_DragSecBtnListCell:updateData()
	-- body
end

function Lua_DragSecBtnListCell.Get:selected()
	return self._selected;
end

function Lua_DragSecBtnListCell.Set:selected(val)
	self:setSelected(val);
end

function Lua_DragSecBtnListCell:setSelected(val)
	self._selected = val;
    self.bRefreshData = false;
end

function Lua_DragSecBtnListCell:setRedDot(val)
    
end

function Lua_DragSecBtnListCell:setBtnGray(val)

end

function Lua_DragSecBtnListCell:getHeight()
    return self.cellHeight;
end

function Lua_DragSecBtnListCell:getWidth()
	return self.cellWidth;
end

function Lua_DragSecBtnListCell:getOffsetX()
	return self.offsetX;
end

function Lua_DragSecBtnListCell:getOffsetY()
	return self.offsetY;
end

function Lua_DragSecBtnListCell:setLocation(posX, posY, posZ)
    self:superCall("setLocation", posX, posY, posZ);
    self.itemX = posX;
    self.itemY = posY;
end