Lua_ShowRewardWindow = class("Lua_ShowRewardWindow", Lua_ThirdSizeWindow);
function Lua_ShowRewardWindow:ctor()
	self:superCall("ctor");

	self.w = 500;
	self.h = 300;
	self.isClickClose = true;

	self.windowName = "Lua_ShowRewardWindow";
	self.skinName = "ShowRewardWindow_skin";
end

function Lua_ShowRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.sureBtn:addClickFuntion(self, self.hide);
end

function Lua_ShowRewardWindow:dispose()
	if self.rewardArr ~= nil then
		self.rewardArr:dispose();
		self.rewardArr = nil;
	end
	self:superCall("dispose");
end

function Lua_ShowRewardWindow:showWin(param)
	self:superCall("showWin", param);

	if param.title ~= nil then
		self.titleNameText.text = param.title;
	end

	if param.rewardId ~= nil then
		self:showReward(Lua_RewardsUtil.getRewardList(param.rewardId).rewardsVoArr);
	end
end

function Lua_ShowRewardWindow:showReward(arr)
	local item;
	local len = arr:getSize();
	local offsetX = (len - 1) * 90 / 2;
	self.rewardArr = Array();
	for i = 1, len do
		item = Lua_ToolImage.new(self.content);
		item:setLocation((i - 1) * 90 - offsetX, 0, 0);
		item.data = arr[i];
		self.rewardArr:add(item);
	end
end