--断线重连中 Window
Lua_ReconnectingWindow = class("Lua_ReconnectingWindow", Lua_Window);

function Lua_ReconnectingWindow:ctor()
    self:superCall("ctor");

    self.showBg = false;
    self.showClose = false;
    self.layer = MainWinDefine.TIPS_WINDOW_LAYER;

    self.windowName = "Lua_ReconnectingWindow";
    self.skinName = "ReconnectingWindow_skin";
end

function Lua_ReconnectingWindow:buildShowItem()
    self:superCall("buildShowItem");

    self.contentTxt.text = LanUtil.getValue(100760);

    self.uiEffect = UICreate.createUIEffect(self.content, "/effects/scsEffects/gui_loadingring", "gui_loadingring", -85, 0);
    self.uiEffect.checkAddEffect = 0;
    self.uiEffect:setSacle(0.6, 0.6);
    self.uiEffect:SetRenderQueue(self.contentTxt, 2, 2);

    local sceneConfig = Lua_SceneConfigData.getSceneConfig(DataCenter.roleData.sceneId);
    if sceneConfig ~= nil and sceneConfig.isSwimScene == true then
        PlayerData.getInstance().data.curState:setState(3, false);
    end
end

function Lua_ReconnectingWindow:dispose()
    if self.uiEffect ~= nil then
        self.uiEffect:dispose();
        self.uiEffect = nil;
    end
    self:superCall("dispose");
end