Lua_jianBaoData = class("Lua_jianBaoData");

function Lua_jianBaoData:JianbaoInfo(type)
	local cmd = ProtoPublic_pb.Proto10103401();
    cmd.type = type;
    sendMsg(10103401,cmd);
end

function Lua_jianBaoData:getJianbao(type)
   	local cmd = ProtoPublic_pb.Proto10103402();
	cmd.type = type;
	sendMsg(10103402,cmd);
end

function Lua_jianBaoData:rJianbaoInfo(msg)
	self.max_lucky_value = msg.max_lucky_value;  --最大幸运值
	self.add_luck_value = msg.add_luck_value;     --单次增加的幸运值
	self.time_tick = msg.time_tick;               --活动结束时间
	self.ordinary_rewards = Array()
	self.special_rewards = msg.new_special_rewards    --特殊奖励
	self.rewards_info = msg.rewards_info    --记录内容
	self.need_item = msg.need_item      -- 消费
	self.lucky_value = msg.lucky_value

	for i=1,#msg.new_ordinary_rewards do
		local data = {};
		data.id = tonumber(msg.new_ordinary_rewards[i].id)
		data.name = msg.new_ordinary_rewards[i].name
		data.value = msg.new_ordinary_rewards[i].amount
		data.sub = msg.new_ordinary_rewards[i].bind
		data.tick = msg.new_ordinary_rewards[i].equipment.tick
		data.tips_level = msg.new_ordinary_rewards[i].tips_level
		data.item_level = msg.new_ordinary_rewards[i].equipment.star
		data.index = msg.new_ordinary_rewards[i].index
		self.ordinary_rewards:add(data)
	end
    local len = self.ordinary_rewards:getSize()
    local temp;
	for i=1,len-1 do
		for j=1,len-i do
			if self.ordinary_rewards[j].index > self.ordinary_rewards[j+1].index  then
					temp= self.ordinary_rewards[j]
		            self.ordinary_rewards[j]= self.ordinary_rewards[j+1]
		            self.ordinary_rewards[j+1]= temp
			end
		end
	end


	for k,v in ipairs(msg.need_item) do
	   self.money = v.value
	   self.moneytype = v.id
	end
   	
end

function Lua_jianBaoData:rGetJianbao()
	self.is_max_rewards = msg.is_max_rewards;
   
end
function Lua_jianBaoData:modelID(id)
	local confing = getConfig( { "item", id })
	local modelId = tonumber(confing.tipShowModel);
    local jianbaoConfig = getConfig( { "jianbaomodel",id});
	local shapeConfig = getConfig( { "playerHanger",modelId});
	if not shapeConfig.selectShow then
		self.floder = shapeConfig.floder;
		self.fileName = shapeConfig.fileName;
		self.modelName = shapeConfig.modelName;
	else
		self.floder = shapeConfig.floder;
		self.fileName = shapeConfig.selectShow;
		self.modelName = shapeConfig.selectShow;
	end
	if shapeConfig.setAction == 2 then
		self.isLoop = true;
	else
		self.isLoop = false;
	end
	if self.floder == nil then

	end
	if not jianbaoConfig then
		self.modelsca = {150,150,150}
		self.modelpos ={-306,-171,0}
		self.modelros = {0,0,0};
	else
		self.modelsca = jianbaoConfig.mounter_sca
		self.modelpos = jianbaoConfig.mounter_pos
		self.modelros = jianbaoConfig.mounter_rot
		self.await  = jianbaoConfig.await
	end
    if self.await == nil then
    	self.await = 1;
    end
   
end