Lua_AchievementVo = class("Lua_AchievementVo");
function Lua_AchievementVo:ctor(id, c)
	self.id = tonumber(id);
	self.config = c;
end
function Lua_AchievementVo:fromAchDetail(msg)
	self.finish_num = tonumber(msg.finish_num);
	self.get_status = msg.get_status;
	self.finish_tick = msg.finish_tick;
end
function Lua_AchievementVo.Get:status()
	if self.get_status == nil then
		return 0;
	end
	return self.get_status;
end
function Lua_AchievementVo.Get:show_pro()
	if self.config.show_pro == nil then
		return 0;
	end
	return self.config.show_pro;
end
function Lua_AchievementVo.Get:name()
	if self.config.name == nil then
		return "";
	end
	return self.config.name;
end
function Lua_AchievementVo.Get:content()
	if self.config.content == nil then
		return "";
	end
	return self.config.content;
end
function Lua_AchievementVo.Get:reward()
	if self.config.reward_id == nil then
		return 0;
	end
	return self.config.reward_id;
end
function Lua_AchievementVo.Get:ach_index()
	if self.config.ach_index == nil then
		return 0;
	end
	return self.config.ach_index;
end
function Lua_AchievementVo.Get:need_amount()
	if self.config.need_amount == nil then
		return 0;
	end
	return self.config.need_amount;
end
function Lua_AchievementVo.Get:sort()
	local d = 0;
	if self.config.sort ~= nil then
		d = self.config.sort;
	end
	if self.get_status == 2 then
		d = d + 1000;
	end
	return d;
end
function Lua_AchievementVo.Get:money_num()
	if self._money_num == nil then
		if self.reward == 0 then
			self._money_num = 0;
		else
			local list = Lua_RewardsUtil.getRewardList(self.reward);
			self._money_num = 0;
			local _config = list.config.client_goods_list;
			for i,v in ipairs(_config) do
				if v[1] == Lua_MoneyData.BIND_GOLD then
					self._money_num = self._money_num + v[2];
				end
			end
		end
	end
	return self._money_num;
end
function Lua_AchievementVo.Get:title_id()
	if self.config.title_id == nil then
		return 0;
	end
	return self.config.title_id;
end
function Lua_AchievementVo.Get:ach_amount()
	if self.config.ach_amount == nil then
		return 0;
	end
	return self.config.ach_amount;
end