
checkRequire("Lua_AchievementData");
Lua_AchievementProxy = class("Lua_AchievementProxy")
function Lua_AchievementProxy:ctor()
	self:superCall("ctor");
	DataCenter.achieveData = Lua_AchievementData.new();

	LuaUtil.addLuaMsg(51401101, self, self.onAchAllInfo);
	LuaUtil.addLuaMsg(51401102, self, self.onAchGet);
	LuaUtil.addLuaMsg(51401103, self, self.onAchOneGet);
	LuaUtil.addLuaMsg(81401101, self, self.onAchNew);
	--LuaUtil.addLuaMsg(81401102, self, self.onAchUpdate);
end
function Lua_AchievementProxy:onAchAllInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51401101();
		msg:ParseFromString(mp.data);
		DataCenter.achieveData:from51401101(msg);
		Lua_MsgUtil.callFunc("ACH_UPDATE",nil);
	end
end
function Lua_AchievementProxy:onAchGet(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51401102();
		msg:ParseFromString(mp.data);
		OperateAlert.show(LanUtil.getValue(121422));

		sendMsg(11401101);
	end
end
function Lua_AchievementProxy:onAchOneGet(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51401103();
		msg:ParseFromString(mp.data);
		OperateAlert.show(LanUtil.getValue(121422));

		sendMsg(11401101);
	end
end
function Lua_AchievementProxy:onAchNew(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto81401101();
		msg:ParseFromString(mp.data);
		if DataCenter.funcOpenData:isOpened(10019) == true then
			Lua_WindowUtil.openWin("Lua_AchievementGetWindow", WinParam.ACTION_OPEN, msg.achieve_id);
		end
		
	end
end
function Lua_AchievementProxy:onAchUpdate(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto81401102();
		msg:ParseFromString(mp.data);
		local aData = DataCenter.achieveData;
		for i,v in ipairs(msg.achieve_detail) do
			local vo = aData:getAchVo(v.achieve_id);
			if vo ~= nil then
				vo:fromAchDetail(v);
			end
		end
		Lua_MsgUtil.callFunc("ACH_UPDATE",nil);
	end
end