checkRequire("Lua_AwakeUnrealVo")
Lua_AwakeUnrealData = class("Lua_AwakeUnrealData");
function Lua_AwakeUnrealData:ctor()
    self.select_index = 1; -- 默认选择Item
    self.select_part = 0; -- 默认选择碎片
    self.select_state = false; -- 记录选择状态 是否发生变化;
end

function Lua_AwakeUnrealData:dispose()
    self.select_index = 1; -- 默认选择Item
    self.select_part = 0; -- 默认选择碎片
    self.select_state = false; -- 记录选择状态 是否发生变化

    if self.getArrByAwakeUnrealInfo ~= nil then
        self.getArrByAwakeUnrealInfo:dispose();
        self.getArrByAwakeUnrealInfo = nil;
    end
end

-- 碎片信息
function Lua_AwakeUnrealData:fromServer51405201(msg)
	if msg == nil then
		return;
	end

	self.msg = msg;

	local vo;
	self.getArrByAwakeUnrealInfo = Array();
	for k, v in ipairs(msg.model_message) do
		vo = Lua_AwakeUnrealVo.new();
		vo:formServer(v);
		-- vo.select_index = k;
		self.getArrByAwakeUnrealInfo:add(vo);
	end
	self.getArrByAwakeUnrealInfo:sort("sort", false);
	DataCenter.awakeRecastUtil:upDataRecastUnrealInfo(msg);
end