checkRequire("Lua_AwakeData");
Lua_AwakeProxy = class("Lua_AwakeProxy")
function Lua_AwakeProxy:ctor()
	DataCenter.awakeData = Lua_AwakeData.new();

	LuaUtil.addLuaMsg(51405101, self, self.ropenawakeInfo);
	LuaUtil.addLuaMsg(51405102, self, self.rAdvancedgInfo);
end

function Lua_AwakeProxy:ropenawakeInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51405101();
		msg:ParseFromString(mp.data);
		DataCenter.awakeData:fromServer51405101(msg);
		Lua_MsgUtil.callFunc("OPENAWAKEINFO_UPDATE");
	end
end

function Lua_AwakeProxy:rAdvancedgInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51405102();
		msg:ParseFromString(mp.data);
		-- DataCenter.awakeData:rawakeInfo(msg);
	end
end





-- 觉醒信息
function Lua_AwakeProxy:sgetAwakeInfo()
	sendMsg(11405101);
end

-- 觉醒进阶
function Lua_AwakeProxy:sAdvancedg()
	sendMsg(11405102);
end

-- 觉醒化形
function Lua_AwakeProxy:sChangeAwakeModel(grade)
	local cmd = ProtoPublic_pb.Proto11405205();
	cmd.grade = grade; -- 觉醒model开启的阶级，1，3，5
	sendMsg(11405205, cmd);
end