Lua_AwakeTaskProxy = class("Lua_AwakeTaskProxy")
function Lua_AwakeTaskProxy:ctor()
	LuaUtil.addLuaMsg(51405211, self, self.rOpenAwakeTaskInfo);
	LuaUtil.addLuaMsg(51405212, self, self.rGetAwakeTaskReadw);
	LuaUtil.addLuaMsg(81405211, self, self.rUpDataEndTime);
end

function Lua_AwakeTaskProxy:rOpenAwakeTaskInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51405211();
		msg:ParseFromString(mp.data);
		if msg.state == 1 then
			Lua_MsgUtil.callFunc("ADD_RIGHTTOP_ICON", 10108);

			local time =  msg.end_time - tonumber(tostring(GlobalVar.cur_tick));
			Lua_MsgUtil.callFunc("UPDATE_RTICON_SHOWTIME", {iconId = 10108, showTime = time, isShoWBule = true}); 
			-- DataCenter.redDotData:updateRedDotVoState(13010, true);--客户端主动添加红点事件
		else
			Lua_MsgUtil.callFunc("REMOVE_RIGHTTOP_ICON", 10108);
			-- DataCenter.redDotData:updateRedDotVoState(13010, false);--客户端主动添加红点事件
		end
		Lua_MsgUtil.callFunc("AWAKETASK_INFO", msg);
	end
end

function Lua_AwakeTaskProxy:rGetAwakeTaskReadw(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51405212();
		msg:ParseFromString(mp.data);
	end
end

function Lua_AwakeTaskProxy:rUpDataEndTime(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto81405211();
		msg:ParseFromString(mp.data);

		local time =  msg.end_time - tonumber(tostring(GlobalVar.cur_tick));
		Lua_MsgUtil.callFunc("UPDATE_RTICON_SHOWTIME", {iconId = 10108, showTime = time, isShoWBule = true});
		Lua_MsgUtil.callFunc("UPDATA_ENDTIME", msg);
	end
end