checkRequire("Lua_AwakeRecastVo");
checkRequire("Lua_AwakeRecastlevelVo");
checkRequire("Lua_AwakeRecastInfoVo");
Lua_AwakeRecastUtil = class("Lua_AwakeRecastUtil");
function Lua_AwakeRecastUtil:ctor()
	self.selectIndex = 1; -- 默认选择模型
	self.setSelectIragment = 1; -- 默认选择碎片.
end

function Lua_AwakeRecastUtil.Get:recastUnrealInfo()
	if self._recastInfoArr == nil then
		self._recastInfoArr = Array();

		local vo;
		local config = getConfig({"fantastic"});
		for k,v in pairs(config) do
			vo = Lua_AwakeRecastVo.new(k, v);
			self._recastInfoArr:add(vo);
		end
		self._recastInfoArr:sort("sort", false);

		for i = 1, self._recastInfoArr:getSize() do
			self._recastInfoArr[i].index = i;
		end
	end
	return self._recastInfoArr;
end

function Lua_AwakeRecastUtil:upDataRecastUnrealInfo(msg)
	for k = 1, self.recastUnrealInfo:getSize() do
		for i,v in ipairs(msg.model_message) do
			if tonumber(self.recastUnrealInfo[k].modeleId) == tonumber(v.model_id) then
				self.recastUnrealInfo[k]:formServer(v);
			end
		end
	end
end

function Lua_AwakeRecastUtil.Get:awakeRecastInfoDic()
	if self._awakeRecastInfo == nil then
		self._awakeRecastInfo = {};

		local config = getConfig({"recast"});
	    for i,v in pairs(config) do
		    self._awakeRecastInfo[tonumber(i)] = Lua_AwakeRecastInfoVo.new(i);
	    end
	end
    return self._awakeRecastInfo;
end

function Lua_AwakeRecastUtil:getAwakeRecastInfo(id, lvl)
	lvl = (lvl == nil or lvl == 0) and 1 or lvl;
	if self.awakeRecastInfoDic[id * 100 + lvl] ~= nil then	
		return self.awakeRecastInfoDic[id * 100 + lvl];
	end
end