Lua_BeastSoulData = class("Lua_BeastSoulData");
function Lua_BeastSoulData:ctor()
    self:superCall("ctor");
    self:dispose();
end

function Lua_BeastSoulData:dispose()
	self.selectMainIndex = 1;
    self.selectBeastSoulId = 217020001;
    self.selectIndex = 1;
	self.iCostCount_1 = 0;
    self.iCostCount_2 = 0;
    self.iCostCount_3 = 0;

    DataCenter.beastSoulUtil:resetBeastSoulInfo();
    DataCenter.beastSoulUtil:resetBeastSoulSkill();
end

function Lua_BeastSoulData:fromServer51404401(msg)
    if msg == nil then
        return;
    end

    for i,v in ipairs(msg.zodiac_info) do
    	DataCenter.beastSoulUtil:updateBeastSoulInfo(v);
    end

    self.iCostCount_1 = msg.zodiac_material_purple; -- 紫色强化材料
    self.iCostCount_2 = msg.zodiac_material_orange; -- 橙色强化材料
    self.iCostCount_3 = msg.zodiac_material_red; -- 红色强化材料
end

-- 获取强化消耗属性
function Lua_BeastSoulData:getICostCountById(id)
	if id == 217040002 then
		return self.iCostCount_1;
	elseif id == 217040003 then
		return self.iCostCount_2;
	elseif id == 217040004 then
		return self.iCostCount_3;
	else
		return 0;
	end
end

-- 子标签索引
function Lua_BeastSoulData.Get:selectSubIndex()
	if self.selectZodiacId == nil then
		return 1;
	end

	local dic = DataCenter.beastSoulUtil.beastSoulDic;
	for k, arr in pairs(dic) do
		if k == self.selectMainIndex then
			for i = 1, arr:getSize() do
				if arr[i].id == self.selectZodiacId then
					return i;
				end
			end
		end
	end
	return 1;
end