checkRequire("Lua_BeastSoulUtil");
checkRequire("Lua_BeastSoulData");
Lua_BeastSoulProxy = class("Lua_BeastSoulProxy");
function Lua_BeastSoulProxy:ctor()
	self:superCall("ctor");
	DataCenter.beastSoulUtil = Lua_BeastSoulUtil.new();
    DataCenter.beastSoulData = Lua_BeastSoulData.new();

    LuaUtil.addLuaMsg(51404401, self, self.rBeastSoulInfo); -- 获取兽灵数据（返回）
end

-- 获取兽灵数据
function Lua_BeastSoulProxy:sBeastSoulInfo()
    sendMsg(11404401);
end

-- 激活兽灵
function Lua_BeastSoulProxy:sActivateBeastSoul(id)
	local cmd = ProtoPublic_pb.Proto11404402();
    cmd.zodiac_id = id; -- 兽灵id
    sendMsg(11404402, cmd);
end

-- 强化兽灵
function Lua_BeastSoulProxy:sIntensifyBeastSoul(id)
	local cmd = ProtoPublic_pb.Proto11404403();
    cmd.zodiac_id = id; -- 兽灵id
    sendMsg(11404403, cmd);
end

-- 升星兽灵
function Lua_BeastSoulProxy:sBeastSoulUpStar(id)
	local cmd = ProtoPublic_pb.Proto11404404();
    cmd.zodiac_id = id; -- 兽灵id
    sendMsg(11404404, cmd);
end

-- 兽灵分解
function Lua_BeastSoulProxy:sResolveBeastSoul(arr)
    local cmd = ProtoPublic_pb.Proto11404405();
    local len = arr:getSize();
    for i = 1, len do
        local item = ProtoPublic_pb.ProtoDecomposeSoul();
        item.item_id = arr[i].id;
        item.pkg_index = arr[i].index;
        cmd.item_list:addToList(item);
    end
    sendMsg(11404405, cmd);
end

-- 获取兽灵数据（返回）
function Lua_BeastSoulProxy:rBeastSoulInfo(mp)
    if mp.errno == 0 then
    	local msg = ProtoPublic_pb.Proto51404401();
        msg:ParseFromString(mp.data);
        DataCenter.beastSoulData:fromServer51404401(msg);

        Lua_MsgUtil.callFunc("UPDATE_BEASTSOUL");
    end
end