checkRequire("Lua_ChangeJobUtil");
Lua_ChangeJobData = class("Lua_ChangeJobData");
function Lua_ChangeJobData:ctor()
	self:dispose();
end

function Lua_ChangeJobData:dispose()
	self.professionShow = false;
end

function Lua_ChangeJobData:sExtractionMsg()
	sendMsg(11403901);
end

function Lua_ChangeJobData:scancelrodMsg(event_id)
	local cmd = ProtoPublic_pb.Proto11401701();
	cmd.event_id = event_id;
	sendMsg(11401701, cmd);
end

function Lua_ChangeJobData:sJobMsg()
	sendMsg(11403902);
end

function Lua_ChangeJobData:sBossMsg()
	sendMsg(11403905);
end

function Lua_ChangeJobData:sActivateMsg(exp_star)
	local cmd = ProtoPublic_pb.Proto11403903();
	cmd.exp_star = exp_star;
	sendMsg(11403903,cmd);
end

function Lua_ChangeJobData:sOneKeyMsg(pay_complete)
	local cmd = ProtoPublic_pb.Proto11403904();
	cmd.pay_complete = pay_complete;
	sendMsg(11403904, cmd);
end 

function Lua_ChangeJobData:formServer51403901(msg)
	if msg == nil then
		return;
	end
	
	self.profession = msg.profession; -- 职业（几转）
	self.nextprofession = msg.profession + 1;
	self.openTask = msg.open_task; -- 开启转职任务
	self.taskStep = msg.task_step; -- 转职阶段
	self.nexttaskStep = self.taskStep + 1;
	self.completeTask = msg.complete_task -- 是否开启下个阶段
	self.starLine = msg.star_line;
	self.jobdata = Array();

	self.professionName = Lua_ThingDefine.getJobName(DataCenter.roleData.career, self.profession);

	if self.nextprofession > #Lua_ChangeJobUtil.getConfig() then
		self.nextprofessionName = "？";
		self.nexttaskStep = "？";
		self.nextprofession = "？"
		self.isShow = true;
	else
		self.joblength = #Lua_ChangeJobUtil.getstepConfig(self.nextprofession);
		if self.nexttaskStep == #Lua_ChangeJobUtil.getstepConfig(self.nextprofession) and self.completeTask == true then
			self.isProfession = true; -- 阶段任务完成前往按钮显示转职 
		else
			self.isProfession = false;
		end

		self.nextprofessionName = Lua_ThingDefine.getJobName(DataCenter.roleData.career, self.nextprofession)
		self.isShow = false;
		if #msg.profession_task ~= 0 then 
			self.taskvalue = msg.profession_task[1].obj_value;
			self.jobdataId = msg.profession_task[1].obj_id;
		end
	end
	self.onebtnShow = Lua_ChangeJobUtil.canpayConfig(self.profession,self.taskStep)
	self.money = Lua_ChangeJobUtil.autopayConfig(self.profession,self.taskStep)

	for k,v in pairs(msg.profession_task) do
		self.jobdata:add({objId = msg.profession_task[k].obj_id, objValue = msg.profession_task[k].obj_value, name = msg.profession_task[k].name});   
	end
	self:taskShow();

	local value = Lua_ChangeJobUtil.valConfig(self.profession,self.taskStep);
	if  self.openTask == true and self.completeTask == true then
		self.professiontaskShow = Lua_ChangeJobUtil.tasktrueConfig(self.profession, self.taskStep,value); -- 阶段完成
	else
		-- 没有完成
		if #msg.profession_task ~= 3 then 
			self.professiontaskShow = Lua_ChangeJobUtil.taskfalseConfig(self.profession, self.taskStep,msg.profession_task);
		else
			local colorStr = Lua_ChangeJobUtil.taskfalseConfig(self.profession, self.taskStep,msg.profession_task);
			self.bscolorStr = msg.profession_task[1].obj_value;
			self.clcolorStr = msg.profession_task[2].obj_value;
			self.lvlcolorStr = value[3].val;

			if msg.profession_task[1].obj_value ~=  value[2].val then
				self.bscolorStr = "[FF1616]".. msg.profession_task[1].obj_value.."[-]";
			end

			if  msg.profession_task[2].obj_value ~= value[1].val then
				self.clcolorStr = "[FF1616]".. msg.profession_task[2].obj_value.."[-]";
			end

			if  msg.profession_task[3].obj_value ~= value[3].val then
				self.lvlcolorStr = "[FF1616]".. value[3].val.."[-]";
			end
			self.professiontaskShow = LanUtil.formateStr(colorStr, tostring(self.bscolorStr), tostring(self.clcolorStr), tostring(self.lvlcolorStr))
		end
	end
	DataCenter.taskData:fromProfessionTask(msg);
	Lua_MsgUtil.callFunc("TASK_UPDATE");
end

function Lua_ChangeJobData:taskShow(bInitshw)
	if self.bTaskShowInit == nil then
		if bInitshw ~= true then
			return;
		else
			self.bTaskShowInit = bInitshw;
		end
	end

	if self.openTask == true then 
		Lua_MsgUtil.callFunc("ADD_RIGHTTOP_ICON", 10023);
	else
		Lua_MsgUtil.callFunc("REMOVE_RIGHTTOP_ICON", 10023);
	end

	local showexpRed = DataCenter.redDotData:getRedDotStateByEventId(11401);
	local showstarRed = DataCenter.redDotData:getRedDotStateByEventId(11402);
	local showFiveExpRed = DataCenter.redDotData:getRedDotStateByEventId(11403);
	local showFiveRed = DataCenter.redDotData:getRedDotStateByEventId(11404);
	if self.completeTask == true or showexpRed == true or showstarRed ==true or showFiveExpRed == true or showFiveRed == true then
		Lua_MsgUtil.callFunc("MAINICON_UPDATE_REDDOTSTATE", {iconId = 10023, state = true});
	else
		Lua_MsgUtil.callFunc("MAINICON_UPDATE_REDDOTSTATE", {iconId = 10023, state = false});
	end
end

function Lua_ChangeJobData:onQianWangClick()
	if self.jobdataId == 101 then 
		DataCenter.changeJobData:sBossMsg()
		Lua_WindowUtil.openWin("Lua_RoleMainWindow", WinParam.ACTION_CLOSE);
	elseif self.jobdataId == 102 or self.jobdataId == 103 or (self.jobdataId >= 402 and self.jobdataId < 501 )   then
		self.sceneid = Lua_ChangeJobUtil.sceneid(self.profession,self.taskStep,DataCenter.roleData.level)
		
		if self.sceneid.sceneid == nil then 
			return;
		end
		Lua_ProxyManager.getProxy("Lua_MapProxy"):sTransfer(self.sceneid.sceneid, self.sceneid.posX, self.sceneid.posY, self.sceneid.posZ, 0);
		Lua_WindowUtil.openWin("Lua_RoleMainWindow", WinParam.ACTION_CLOSE);
		DataCenter.hook:start();
	elseif self.jobdataId == 201 or self.jobdataId == 202 then
		Lua_WindowUtil.openWin("Lua_ForgingWindow")
		Lua_WindowUtil.openWin("Lua_RoleMainWindow", WinParam.ACTION_CLOSE);
	elseif self.jobdataId == 501 then
		Lua_WindowUtil.openWin("Lua_GamePlayWindow")
		Lua_WindowUtil.openWin("Lua_RoleMainWindow", WinParam.ACTION_CLOSE);
	else
		Lua_WindowUtil.openWin("Lua_RoleMainWindow",nil,4);
	end
end