checkRequire("Lua_CharmKingData")
Lua_CharmKingProxy = class("Lua_CharmKingProxy")
function Lua_CharmKingProxy:ctor()
	DataCenter.charmKingData = Lua_CharmKingData.new();

	LuaUtil.addLuaMsg(50105630, self, self.rCharmKingInfo); -- 获取魅力之王信息（返回）
	LuaUtil.addLuaMsg(50105631, self, self.rCharmKingGetRewards);-- 领取奖励（返回）
end

function Lua_CharmKingProxy:rCharmKingInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50105630();
		msg:ParseFromString(mp.data);
		DataCenter.charmKingData:fromServer50105630(msg)
		Lua_MsgUtil.callFunc("UPDATA_CHARM_KING");
	end
end

function Lua_CharmKingProxy:rCharmKingGetRewards(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50105631();
		msg:ParseFromString(mp.data);
		DataCenter.charmKingData.aggregate_reward = msg.integral_reward;
		DataCenter.charmKingData.aggregate_value = msg.total_value;
		Lua_MsgUtil.callFunc("UPDATA_CHARM_KING_REAWARD");
	end
end