Lua_ChatMiniFunItem = class("Lua_ChatMiniFunItem",Lua_DisplayObject)
function Lua_ChatMiniFunItem:ctor(p,labelText,unselectedBg,selectedBg,unselectedIcon,selectedIcon)
	self.labelText = labelText;
	
	self.unselectedBg = unselectedBg;
	self.selectedBg = selectedBg;
	self.unselectedIcon = unselectedIcon;
	self.selectedIcon = selectedIcon;
	
	self:superCall("ctor",p,"ChatMiniFunBtn_skin");
	self.selected =  false;
end

function Lua_ChatMiniFunItem:buildShowItem()
	self:superCall("buildShowItem");
	
	self:setSelected(false);
	self.bg:addClickFuntion(self,self.onClick);
end
function Lua_ChatMiniFunItem:onClick()
	--self:setSelected(not self.selected);
	if self.owner ~= nil and self.callBackFun ~= nil then
		self.callBackFun(self.owner,self.selected);
	end
end
function Lua_ChatMiniFunItem:setSelected(val)
	self.selected = val;
	if self.selected == true then
		self.nameTxt.text = LanUtil.getValue(10016);
		self.bg:setAltas("mainWindow_atlas",self.selectedBg);
		self.icon:setAltas("mainWindow_atlas",self.selectedIcon);
		self.icon:resetSize();
		
	else
		self.nameTxt.effectStyle = 0;
		self.nameTxt.text = self.labelText ;
--		self.nameTxt.effectColorStr = Lua_ColorDefine.transColor("e1f3ff");
		self.bg:setAltas("mainWindow_atlas",self.unselectedBg);
		self.icon:setAltas("mainWindow_atlas",self.unselectedIcon);
		self.icon:resetSize();
	end
end
function Lua_ChatMiniFunItem:setCallBack(owner,callBackFun)
	self.owner = owner;
	self.callBackFun = callBackFun;
end