Lua_ChatNoHeadItem = class("Lua_ChatNoHeadItem", Lua_DragContainerItem);
function Lua_ChatNoHeadItem:ctor(p, width, mouseEnble)
	self.type = 1;
	self.width = width;
	self.mouseEnble = mouseEnble;
	self:superCall("ctor", p); 
end
function Lua_ChatNoHeadItem:buildShowItem()
	self:superCall("buildShowItem"); 

	self.infoItem = Lua_ChatInfoItem.new(self.content, self.width, self.mouseEnble);
	self.infoItem:setLocation(0,0,0);
end
function Lua_ChatNoHeadItem:setData(vo)
	self.infoItem:setChatData(vo);
	self.infoItem:setData(vo:getMsg(true, true));
end
function Lua_ChatNoHeadItem:getHeight()
	return self.infoItem:getHeight();
end
function Lua_ChatNoHeadItem:dispose()
	if self.isDispose_2 ~= true then
		WindowMananger.getInstance():returnToPool(self.content.transform);
	end
	self:superCall("dispose");
end
function Lua_ChatNoHeadItem:onPlayerSoundClick()
  	self.infoItem:checkUrlClick();
end