-- 跨服云购 消息类
checkRequire("Lua_CrossServerPurchasingData");
Lua_CrossServerPurchasingProxy = class("Lua_CrossServerPurchasingProxy");
function Lua_CrossServerPurchasingProxy:ctor()
	self:superCall("ctor");
	DataCenter.crossServerPurchasingData = Lua_CrossServerPurchasingData.new();
  	LuaUtil.addLuaMsg(50105621, self, self.rPurchasingInfo);         -- 界面信息（返回）
    LuaUtil.addLuaMsg(50105623, self, self.rCrossServerRewardInfo);  -- 大奖名单
end

-- 请求云购界面信息
function Lua_CrossServerPurchasingProxy:sCrossServerPurchasingInfo()
    sendMsg(10105621);
end

-- 跨服云购购买
function Lua_CrossServerPurchasingProxy:sCrossServerBuyInfo(num,index)
    local cmd = ProtoPublic_pb.Proto10105622();
    cmd.type = num;
    cmd.buy_index = index;
    sendMsg(10105622, cmd);
end

-- 跨服云购 大奖名单
function Lua_CrossServerPurchasingProxy:sCrossServerRewardInfo(index)
    local cmd = ProtoPublic_pb.Proto10105623();
    cmd.index = index;
    sendMsg(10105623, cmd);
end

-- 通知云购界面信息
function Lua_CrossServerPurchasingProxy:rPurchasingInfo(mp)
  	if mp.errno == 0 then
    	local msg = ProtoPublic_pb.Proto50105621();
    	msg:ParseFromString(mp.data);
    	DataCenter.crossServerPurchasingData:fromServerInfo(msg);
    	Lua_MsgUtil.callFunc("UPDARE_CROSS_RURCHASING_INFO");
  	end
end

-- 大奖名单 返回
function Lua_CrossServerPurchasingProxy:rCrossServerRewardInfo(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50105623();
        msg:ParseFromString(mp.data);
        DataCenter.crossServerPurchasingData.roll_list = msg.record_list;
        Lua_MsgUtil.callFunc("UPDARE_CROSS_REWARD_INFO");
    end
end

