checkRequire("Lua_CyclicRechargeData");
Lua_CyclicRechargeProxy = class("Lua_CyclicRechargeProxy");
function Lua_CyclicRechargeProxy:ctor()
	DataCenter.cyclicRechargeData = Lua_CyclicRechargeData.new();

	LuaUtil.addLuaMsg(50105641, self, self.rRechargeInfo); -- 界面信息（返回）
end

-- 通知界面信息（返回）
function Lua_CyclicRechargeProxy:rRechargeInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50105641();
		msg:ParseFromString(mp.data);
		DataCenter.cyclicRechargeData:fromServer50105641(msg);
		Lua_MsgUtil.callFunc("UPDARE_CYCLIC_RECHERGE_INFO");
	end
end





-- 请求充值界面信息
function Lua_CyclicRechargeProxy:sUseRechargeInfo()
	Lua_ProxyManager.getProxy("Lua_OperationalActivitiesProxy"):sGetActivityInfo(Lua_CyclicRechargeData.ACT_RECHARGE);
end

-- 请求消费界面信息
function Lua_CyclicRechargeProxy:sUseConsumeInfo()
	Lua_ProxyManager.getProxy("Lua_OperationalActivitiesProxy"):sGetActivityInfo(Lua_CyclicRechargeData.ACT_CONSUME);
end

-- 领取充值奖励
function Lua_CyclicRechargeProxy:sGetRechargeAwardeInfo()
	Lua_ProxyManager.getProxy("Lua_OperationalActivitiesProxy"):sGetActivityRewards(Lua_CyclicRechargeData.ACT_RECHARGE);
end

-- 领取消费奖励
function Lua_CyclicRechargeProxy:sGetConsumeAwardeInfo()
	Lua_ProxyManager.getProxy("Lua_OperationalActivitiesProxy"):sGetActivityRewards(Lua_CyclicRechargeData.ACT_CONSUME);
end