checkRequire("Lua_DailyRebateData")
Lua_DailyRebateProxy = class("Lua_DailyRebateProxy")

function Lua_DailyRebateProxy:ctor()
    DataCenter.dailyRebateData = Lua_DailyRebateData.new();
    LuaUtil.addLuaMsg(50105221, self, self.rDailyRebateInfo);-- 获取天天返利信息（返回）
    LuaUtil.addLuaMsg(50105220, self, self.rDailyRebateGetRewards);-- 领取奖励（返回）
    LuaUtil.addLuaMsg(80105404, self, self.onDailyRebateISOpen);-- 天天返利活动状态（主动）
end

function Lua_DailyRebateProxy:rDailyRebateInfo(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50105221();
        msg:ParseFromString(mp.data);
        DataCenter.dailyRebateData:fromServer50105221(msg)
        Lua_MsgUtil.callFunc("UPDATA_DAILY_REBATE");
    end
end

function Lua_DailyRebateProxy:rDailyRebateGetRewards()

end

function Lua_DailyRebateProxy:onDailyRebateISOpen(mp)
      if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto80105404();
        msg:ParseFromString(mp.data);
         if msg.open == true then
            local info = Lua_ActivitiesInfo.new();
            info.act_index = msg.act_index
            info.first_type = 1049;
            info.second_type = 0;
            info.priority = 1;
            info.title = msg.title;
            info.icon_type = msg.icon;
            info.sort = 1;
            DataCenter.OperationalActivitiesData:addAct(info);
        else
            DataCenter.OperationalActivitiesData:removeAct(1049);
        end
    end
end



