Lua_FactionInfoVo = class("Lua_FactionInfoVo");
function Lua_FactionInfoVo:ctor()
	self.autoAccept = 1; -- 是否自动接受申请0：否，1：是
	self.acceptForce = 0; -- 自动接受申请的战力值
	self.myContri = 0; -- 贡献度
	self.deportScore = 0; -- 我的仓库积分
	self.donateDataList = nil -- key(0:50000铜钱捐献，1：10元宝捐献，2：100元宝捐献) value(0：未捐献，1：已捐献)
	self.useTimes = 0;
	
	-- self.normalDonateFlag = 0;
	-- self.middleDonateFlag = 0;
	-- self.seniorDonateFlag = 0;
end

function Lua_FactionInfoVo:fromServer(item)
	self.leagueIndex = item.league_index;
	self.leagueName = item.league_name;
	self.leagueCount = item.league_count;
	self.leagueRank = item.league_rank;
	self.leaderId = item.leader_id;
	self.leaderName = item.leader_name;
	self.leagueLvl = item.league_lvl;
	self.leagueResource = item.league_resource;
	self.totalResource = item.total_resource;
	self.leagueIntro = item.league_intro;
	self.leaguePos = item.league_pos;	
	self.haveSalary = item.have_salary;
	self.leftRecruitTime = item.left_recruit_time;
	self.isLstore = item.is_lstore;
	
	self.leaderCareer = item.leader_career;
	self.leaderSex = item.leader_sex;
	self.leaderWeapons = item.leader_weapons;
	self.leaderWings = item.leader_wings;
	self.fashionId = item.fashion_id;
	self.fashionColor = item.fashion_color;
	self.maxRole = item.max_role;
	self.factionForce = item.league_force;
	self.useTimes = item.use_times;
	self.battle_lvl = item.battle_lvl;
	self.modify_league_info = item.modify_league_info;
	
	self.curMaxSkillLv = getConfig({"league_level",self.leagueLvl,"skill_lv_max"});
end

function Lua_FactionInfoVo:setAutoAcceptFromServer(item)
	self.autoAccept = item.auto_flag; -- 1表示自动接受
	self.acceptForce =item.accept_force;
end

function Lua_FactionInfoVo:setDonateDataFromServer(item)
	self.myContri = item.my_contri;
	self.donateDataList = item.donate;
end

function Lua_FactionInfoVo:isFactionLord()
	return tostring(DataCenter.roleData.roleId) == tostring(self.leaderId);
end