checkRequire("Lua_FactionBonfireData")
Lua_FactionBonfireProxy = class("Lua_FactionBonfireProxy")
function Lua_FactionBonfireProxy:ctor()
	DataCenter.factionBonfireData = Lua_FactionBonfireData.new();

	LuaUtil.addLuaMsg(50400841, self, self.rEnterBonfire); -- 帮派篝火
	LuaUtil.addLuaMsg(50400842, self, self.rGetPanelInfo);
	Lua_MsgUtil.addEventListener("SCENE_LOADED", self, self.onSceneChange); -- 场景切换
end

function Lua_FactionBonfireProxy:rEnterBonfire(mp)
	-- Lua_MsgUtil.callFunc("TRANS_REQUEST", true);
	if mp.errno == 0 then
		Lua_WindowUtil.openWin("Lua_GamePlayWindow", WinParam.ACTION_CLOSE);
	end
end

function Lua_FactionBonfireProxy:rGetPanelInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50400842();
		msg:ParseFromString(mp.data);
		DataCenter.factionBonfireData:rGetPanelInfo(msg);
		Lua_MsgUtil.callFunc("UPDATA_BONFIRE_PANEL");
	end
end

function Lua_FactionBonfireProxy:onSceneChange(mp)
	if DataCenter.roleData.sceneId == 30101 then
		Lua_WindowUtil.openWin("Lua_FactionBonfireTaskWindow", WinParam.ACTION_OPEN);
	else
		Lua_WindowUtil.openWin("Lua_FactionBonfireTaskWindow", WinParam.ACTION_CLOSE);
	end
end