-- 帮派狩猎boss信息
Lua_FactionHuntingBossVo = class("Lua_FactionHuntingBossVo")
function Lua_FactionHuntingBossVo:ctor(id, config)
    self:superCall("ctor");

    self.id = id;
    if config == nil then
    	self.config = getConfig({"hunt_boss", id});
    else
    	self.config = config;
    end
end

function Lua_FactionHuntingBossVo.Get:rewardId()
	if self.config ~= nil and self.config.reward_id ~= nil then
		return self.config.reward_id;
	end

	return nil;
end

function Lua_FactionHuntingBossVo.Get:huntBossId()
	return self.config.monster;
end

function Lua_FactionHuntingBossVo.Get:minLv()
	if self.config ~= nil and self.config.range ~= nil and #self.config.range > 0 then
		return self.config.range[1];
	end

	return 0;
end

function Lua_FactionHuntingBossVo.Get:maxLv()
	if self.config ~= nil and self.config.range ~= nil and #self.config.range > 1 then
		return self.config.range[2];
	end

	return 9999;
end

function Lua_FactionHuntingBossVo:checkIsBornThis(lv)
	if lv == nil then
		return false;
	end

	if lv >= self.minLv and lv <= self.maxLv then
		return true;
	end

	return false;
end