checkRequire("Lua_FairyVo");
Lua_FairyData = class("Lua_FairyData");
function Lua_FairyData:ctor()
end

function Lua_FairyData:fromServer51409001(msg)
	if msg == nil then
		return;
	end
	
	self.curFairyIndex = msg.cur_fairy;
	self.isExpire = msg.is_expire;
	self:updateFairyList(msg.fairy_item);
end

function Lua_FairyData:updateFairyList(data)
	self.equipedfairyItem = nil;
	if self.curFairyIndex ~= 0 then
		self.equipedfairyItem = Lua_ToolVo.new(data.id);
		self.equipedfairyItem:fromServer(data);
		self.equipedfairyItem.packType = 1;
	end

	self.equipedfairyInfo = nil;
	for i = 1, self.fairyList:getSize() do
		self.fairyList[i]:fromServer(data);
		if self.curFairyIndex == i then
			self.equipedfairyInfo = self.fairyList[i];
		end
	end
end

function Lua_FairyData:fromServer81409001(msg)
	self.curFairyIndex = msg.fairy_type;
	self.isExpire = msg.is_expire;
end

function Lua_FairyData:fromServer51409003(msg)
	-- print("是否成功续费", msg.is_renew);
end

function Lua_FairyData.Get:fairyList()
	if self._fairyList == nil then
		self._fairyList = Array();

		local fairyVo;
		local config = getConfig({"fairy"});
		for i = 1, #config do
			fairyVo = Lua_FairyVo.new(i);
			self._fairyList:add(fairyVo);
		end
	end
	return self._fairyList;
end