Lua_FashionVo = class("Lua_FashionVo");
function Lua_FashionVo:ctor(id)
	self.id = id;
	self.active_type = 0;
	self.level = 0;
	self.shard_number = 0;
	self.is_wear = 0;
	self.config = getConfig({"fashion", id});
	if self.config == nil then
		print("no fashion config:", id);
	end
end

function Lua_FashionVo:fromServer(val)
	--self.fashion_id = val.fashion_id;
	self.active_type = val.active_type;
	self.level = val.level;
	self.shard_number = val.shard_number;
	self.is_wear = val.is_wear;
end

function Lua_FashionVo.Get:name()
	return self.config.name;
end

function Lua_FashionVo.Get:itemId()
	return self.config.itemId;
end

function Lua_FashionVo.Get:priority()
	return self.config.priority;
end

function Lua_FashionVo.Get:type()
	return self.config.type;
end

function Lua_FashionVo.Get:career()
	return self.config.career;
end

function Lua_FashionVo.Get:shard_id()
	return self.config.shard_id;
end

function Lua_FashionVo.Get:type()
	return self.config.type;
end

function Lua_FashionVo.Get:sortNum()
	if self.is_wear == 1 then
		return 1;
	elseif self.active_type==1 then
		return 2;
	elseif self.active_type==2 then
		return 3;
	elseif self.active_type==0 then
		return self.priority;
	end
end

function Lua_FashionVo:fashionForce(fashionLevel)
	local list = {};
	local val = self.config.attributes;
	for i,v in pairs(val) do
		list[i] = v[fashionLevel];
	end
	return Lua_FightUtil.caculateConfigForce(list);
end

function Lua_FashionVo.Get:effectName()
	return self.config.effectName;
end