checkRequire("Lua_FashionData");
Lua_FashionProxy = class("Lua_FashionProxy");
function Lua_FashionProxy:ctor()
	DataCenter.FashionData = Lua_FashionData.new();

	LuaUtil.addLuaMsg(51402601, self, self.rFashionInfo);
	LuaUtil.addLuaMsg(51402602, self, self.rJiHuoFashion);
	LuaUtil.addLuaMsg(51402603, self, self.rUPFashion);
	LuaUtil.addLuaMsg(51402604, self, self.rUnLoadFashion);
	LuaUtil.addLuaMsg(51402605, self, self.rWearFashion);
	LuaUtil.addLuaMsg(81402101, self, self.rPiaoZiFashion);
	LuaUtil.addLuaMsg(51402606, self, self.rFashionSuitInfo);
	LuaUtil.addLuaMsg(51402607, self, self.rActivateSuitInfo);
	-- Lua_MsgUtil.addEventListener("OPEN_FASHION_UI", self,self.onOpenFasionUI);
end

-- function Lua_FashionProxy:onOpenFasionUI()
-- 	Lua_WindowUtil.openWin("Lua_FeatureMainWindow",WinParam.ACTION_OPEN, 4);
-- end

function Lua_FashionProxy:rFashionInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51402601();
		msg:ParseFromString(mp.data);
		DataCenter.FashionData:fromServer51402601(msg.fashion_info);
		Lua_MsgUtil.callFunc("FASHION_UPDATE");
	end
end

function Lua_FashionProxy:rJiHuoFashion(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51402602();
		msg:ParseFromString(mp.data);
		DataCenter.FashionData:fromServer51402602(msg.fashion_info);
		Lua_MsgUtil.callFunc("FASHION_JIHUODATE");
	end
end

function Lua_FashionProxy:rUPFashion(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51402603();
		msg:ParseFromString(mp.data);
		DataCenter.FashionData:fromServer51402603(msg.fashion_info);
		Lua_MsgUtil.callFunc("FASHION_UPDATE");
	end
end

function Lua_FashionProxy:rUnLoadFashion(mp)
	if mp.errno==0 then
		local msg = ProtoPublic_pb.Proto51402604();
		msg:ParseFromString(mp.data);
		DataCenter.FashionData:unLoadFashion(msg.fashion_id);
		Lua_MsgUtil.callFunc("FASHION_UPDATE");
	end
end

function Lua_FashionProxy:rWearFashion(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51402605();
		msg:ParseFromString(mp.data);
		DataCenter.FashionData:saveCurrentid(msg.fashion_id);
		DataCenter.FashionData:unLoadFashion(msg.before_fashion_id);
		Lua_MsgUtil.callFunc("FASHION_UPDATE");
	end
end

function Lua_FashionProxy:rPiaoZiFashion(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto81402101();
		msg:ParseFromString(mp.data);
		
		local fashionInfo = Lua_FashionVo.new(msg.fashion_id);
		OperateAlert.show(LanUtil.formateStr(LanUtil.getValue(110354), tostring(fashionInfo.name)));
	end
end

function Lua_FashionProxy:rFashionSuitInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51402606();
		msg:ParseFromString(mp.data);
		DataCenter.FashionData:fromServer51402606(msg);
	end
end

function Lua_FashionProxy:rActivateSuitInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51402607();
		msg:ParseFromString(mp.data);
		DataCenter.FashionData:fromServer51402607(msg);
	end
end