checkRequire("Lua_ServantCommonData");
Lua_FootprintData = class("Lua_FootprintData", Lua_ServantCommonData);
function Lua_FootprintData:ctor()
end

function Lua_FootprintData:sGetPanelInfo()
	sendMsg(11403501);
end

function Lua_FootprintData:sServantAnvance()
	sendMsg(11403502);
end

function Lua_FootprintData:sUseItem(index, num)
	local cmd = ProtoPublic_pb.Proto11403508();
	cmd.index = index;
	cmd.use_num = num
	sendMsg(11403508, cmd);
end

function Lua_FootprintData:sUse(id, type)
	local cmd = ProtoPublic_pb.Proto11403515();
	cmd.spoor_id = id;
	cmd.wear_on = type;
	sendMsg(11403515, cmd);
end

function Lua_FootprintData:sSkillLvlUp(id)
	local cmd = ProtoPublic_pb.Proto11403507();
	cmd.skill_id = id;
	sendMsg(11403507, cmd);
end

function Lua_FootprintData:sHuanXingMsg(shape_id)
	local cmd = ProtoPublic_pb.Proto11403509();
	cmd.shape_id = shape_id;
	sendMsg(11403509, cmd);
end

function Lua_FootprintData.Get:config()
	if self._config == nil then
		self._config = getConfig({"spoor"});
	end
	return self._config;
end

function Lua_FootprintData:fromServer51403501(data)
	self.isMaxLvl = data.is_max_lvl;
	self.evolutionExp = data.evolution_exp;
	self.servantShape = data.spoor_shape;
	self.name = data.spoor_name;
	self.force = data.force;
	self.isUsing = data.is_wear;

	self:calcLvl(data.evolution_lvl);
	self:getCurAttrData(data.total_prop_list);
	self:getNextAttrData(data.next_prop_list);
	self:getSkillListData(data.skill_list);
	self:getPanaceaListData(data.use_soul);
end

function Lua_FootprintData:advance(data)
	-- print("data.is_evolution  "..data.is_evolution);
end

function Lua_FootprintData:skillLvlUp(data)
	for i = 1, self.skillVoList:getSize() do
		if self.skillVoList[i].skillId == data.skill_id then
			self.skillVoList[i].skillLvl = data.skill_lvl;
		end
	end
end

function Lua_FootprintData:updateState(data)
	if data.wear_on == 1 then
		self.isUsing = 1;
		self.servantShape = data.spoor_id;
	else
		self.isUsing = 0;
		self.servantShape = 0;
	end
end

function Lua_FootprintData:useItem(data)
	-- local itemList = self.panaceaToolVoList;
	-- itemList[data.index+1]
end

function Lua_FootprintData:getBaseAttrDic()
	return self.config.spoor_base;
end

function Lua_FootprintData:getShapConfig()
	return self.config.spoor_shape;
end

function Lua_FootprintData:setShapeId(msg)
	self.servantShape = msg.shape_id;
end