Lua_CuiLianUtil = {};
function Lua_CuiLianUtil.getConfig()
	return getConfig({ "equipment_refine", "refine" })
end

function Lua_CuiLianUtil.getRank_limit(refine)
	return Lua_CuiLianUtil.getConfig()[refine].rank_limit;
end

function Lua_CuiLianUtil.getStar_limit(refine)
	return Lua_CuiLianUtil.getConfig()[refine].star_limit;
end

function Lua_CuiLianUtil.getColor_limit(refine)
	return Lua_CuiLianUtil.getConfig()[refine].color_limit;
end

function Lua_CuiLianUtil.getCost(refine, str)
	if refine == 2 then
		refine = refine;
	else
		refine = refine + 1
	end
	return Lua_CuiLianUtil.getConfig()[refine].cost[str];
end

function Lua_CuiLianUtil.getTips_count(args)
	return Lua_CuiLianUtil.getConfig()[args].Tips_count;
end

function Lua_CuiLianUtil.getTips(args, index)
	return Lua_CuiLianUtil.getConfig()[args].attr[index].tips;
end

function Lua_CuiLianUtil.getTips2(args, index,value)
	return Lua_CuiLianUtil.getConfig()[args].attr[index].tips2[value];
end

function Lua_CuiLianUtil.getTips2_mark(args, index,value)
	return Lua_CuiLianUtil.getConfig()[args].attr[index].tips2_mark[value];
end

function Lua_CuiLianUtil.getCountShow(args, index)
	return Lua_CuiLianUtil.getConfig()[args].attr[index].countShow;
end
function Lua_CuiLianUtil.getCount(args, index)
	return Lua_CuiLianUtil.getConfig()[args].attr[index].count;
end

function Lua_CuiLianUtil.getAttrLen(args)
	return #Lua_CuiLianUtil.getConfig()[args].attr;
end

function Lua_CuiLianUtil.getPropertyLen(args,idx)
	return #Lua_CuiLianUtil.getConfig()[args].attr[idx].property;
end

function Lua_CuiLianUtil.getProperty(args, index, idx, order)
	return Lua_CuiLianUtil.getConfig()[args].attr[index].property[idx][order];
end

function Lua_CuiLianUtil.getJewelryPropertyLen(args,idx)
	return #Lua_CuiLianUtil.getConfig()[args].jewelry_attr[idx].property;
end

function Lua_CuiLianUtil.getJewelryTips2_mark(args, index,value)
	return Lua_CuiLianUtil.getConfig()[args].jewelry_attr[index].tips2_mark[value];
end

function Lua_CuiLianUtil.getJewelryTips2(args, index,value)
	return Lua_CuiLianUtil.getConfig()[args].jewelry_attr[index].tips2[value];
end

function Lua_CuiLianUtil.getJewelryCountShow(args, index)
	return Lua_CuiLianUtil.getConfig()[args].jewelry_attr[index].countShow;
end

function Lua_CuiLianUtil.getJewelryCount(args, index)
	return Lua_CuiLianUtil.getConfig()[args].jewelry_attr[index].count;
end

function Lua_CuiLianUtil.getJewelryProperty(args, index, idx)
	return Lua_CuiLianUtil.getConfig()[args].jewelry_attr[index].property[idx];
end

function Lua_CuiLianUtil.getJewelryAttack(args, index)
	return Lua_CuiLianUtil.getConfig()[args].jewelry_attr[index].attack;
end

function Lua_CuiLianUtil.getJewelryDefence(args, index)
	return Lua_CuiLianUtil.getConfig()[args].jewelry_attr[index].defence;
end





function Lua_CuiLianUtil.getJewelry_part(part)
	return getConfig({ "equipment_refine", "jewelry_part" })[part];
end





function Lua_CuiLianUtil.getOpen_level(part)
	return getConfig({ "equipment_polish", "open_level" })[part];
end

function Lua_CuiLianUtil.getEquip_part(part)
	return getConfig({ "equipment_polish", "equip_part" })[part];
end

function Lua_CuiLianUtil.getAttr_name(args)
	return getConfig({ "attr_name", args });
end

-- 职业，装备阶级获取
function Lua_CuiLianUtil.getRefine_name(carrer, order)
	return getConfig({ "equipment_refine", "refine_name" })[carrer][order];
end

function Lua_CuiLianUtil.getLock_cost(count)
	return getConfig({ "equipment_polish", "lock_cost" })[count];
end

function Lua_CuiLianUtil.getGold()
	return getConfig({ "equipment_polish", "gold" });
end

function Lua_CuiLianUtil.getLock_needMoney(count)
	return getConfig({ "equipment_polish", "lock_needMoney" })[count];
end

function Lua_CuiLianUtil.getShow_order()
	return getConfig({ "equipment_polish", "show_order" });
end