Lua_HeChengUtil = {};
function Lua_HeChengUtil.getConfig(args)
	return getConfig({ "bracelet_compound", "constant", args });
end

function Lua_HeChengUtil.color_equip()
	return Lua_HeChengUtil.getConfig("color_equip")[1];
end

function Lua_HeChengUtil.order_count()
	return Lua_HeChengUtil.getConfig("order_count")[1];
end

function Lua_HeChengUtil.order_equip()
	return Lua_HeChengUtil.getConfig("order_equip");
end

function Lua_HeChengUtil.min_order()
	return Lua_HeChengUtil.getConfig("min_order")[1];
end

function Lua_HeChengUtil.selected_equipArr()
	return Lua_HeChengUtil.getConfig("selected_equipArr")[1];
end

function Lua_HeChengUtil.getInfList(id)
	return getConfig({ "bracelet_compound", id });
end

function Lua_HeChengUtil.lvl_limit()
	return Lua_HeChengUtil.getConfig("lvl_limit")[1];
end

function Lua_HeChengUtil:getComposeList()
	local index;
	local subArr;
	local arr = Array();
	for i = 1, #self.color_equip() do
		index = 1;
		subArr = Array();
		for j = self.min_order() - 5, self.min_order() + self.order_count() - 6 do
			if DataCenter.roleData.level >= self.lvl_limit()[i][index] then
				subArr:add({
					mainIndex = i,
					name = self.order_equip()[tonumber(i .. string.format("%02d", j))][1][1],
					data = self.order_equip()[tonumber(i .. string.format("%02d", j))][2]
				});
			end
			index = index + 1;
		end
		arr:add({ name = self.color_equip()[i], sub = subArr });
	end
	return arr;
end