-- 招财猫
checkRequire("Lua_FortuneCatData");
Lua_FortuneCatProxy = class("Lua_FortuneCatProxy");
function Lua_FortuneCatProxy:ctor()
	DataCenter.fortuneCatData = Lua_FortuneCatData.new();

	LuaUtil.addLuaMsg(51400015, self, self.rFortuneCatInfo); -- 请求打开招财猫面板数据（返回）
	LuaUtil.addLuaMsg(51400016, self, self.rFortuneCatTouru); -- 请求投入招财猫（返回）
end

-- 请求打开招财猫面板数据（返回）
function Lua_FortuneCatProxy:rFortuneCatInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51400015();
		msg:ParseFromString(mp.data);
		DataCenter.fortuneCatData.curRechargeTotal = msg.recharge_total;
		DataCenter.fortuneCatData:fromServer51400015(msg.act_item);
		Lua_MsgUtil.callFunc("rFortuneCatInfo");
	end
end

-- 请求投入招财猫（返回）
function Lua_FortuneCatProxy:rFortuneCatTouru(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51400016();
		msg:ParseFromString(mp.data);
		Lua_MsgUtil.callFunc("rFortuneCatTouru", msg.item_id);
		OperateAlert.show(LanUtil.getValue(124200));
	end
end





-- 请求招财猫面板数据
function Lua_FortuneCatProxy:sFortuneCatInfo()
	sendMsg(11400015);
end

-- 请求投入招财猫
function Lua_FortuneCatProxy:sFortuneCatTouru()
	sendMsg(11400016);
end