checkRequire("Lua_FuHunVo")
Lua_FuHunData = class("Lua_FuHunData");
function Lua_FuHunData:ctor()
    self.parts = { };
end
function Lua_FuHunData:fromServer51405420(msg)
    self.suit_prop_count = msg.suit_prop_count;
    self.suit_prop_level = msg.suit_prop_level;
    self.suit_skill_count = msg.suit_skill_count;
    self.suit_skill_level = msg.suit_skill_level;
    for i, v in ipairs(msg.soul_equip_info) do
        local vo = Lua_FuHunVo.new(v.part);
        vo:fromServer(v);
        self.parts[v.part] = vo;
    end
    Lua_MsgUtil.callFunc("UPDATE_FUHUNPANEL_INFO")
end

function Lua_FuHunData.Get:equipHunConfig()
    if self._equipHunConfig == nil then
        self._equipHunConfig = getConfig( { "soul_equip_activate" })
    end
    return self._equipHunConfig
end

function Lua_FuHunData.Get:equipZhuHunConfig()
    if self._equipZhuHunConfig == nil then
        self._equipZhuHunConfig = getConfig( { "cast_soul_power" })
    end
    return self._equipZhuHunConfig
end

function Lua_FuHunData.Get:equipHunYuConfig()
    if self._equipHunYuConfig == nil then
        self._equipHunYuConfig = getConfig( { "soul_jade" })
    end
    return self._equipHunYuConfig
end

function Lua_FuHunData.Get:equipKaiGuangConfig()
    if self._equipKaiGuangConfig == nil then
        self._equipKaiGuangConfig = getConfig( { "equip_open_light" })
    end
    return self._equipKaiGuangConfig
end

function Lua_FuHunData.Get:equipSuitConfig()
    if self._equipSuitConfig == nil then
        self._equipSuitConfig = getConfig( { "soul_equip_suit" })
    end
    return self._equipSuitConfig["suit"]
end

function Lua_FuHunData:getFuHunInfoByPart(val)
    return self.parts[val];
end

function Lua_FuHunData:dispose()
    self.parts = { };
    self:superCall("dispose");
end