checkRequire("Lua_GiftActivitiesData")
Lua_GiftActivitiesProxy = class("Lua_GiftActivitiesProxy");

function Lua_GiftActivitiesProxy:ctor()
    DataCenter.giftData = Lua_GiftActivitiesData.new();
    LuaUtil.addLuaMsg(51403101, self, self.rShowReward);
    LuaUtil.addLuaMsg(51403110, self, self.rGoSence);--进入场景返回
    ---------------------------------天降好礼----------------------
    LuaUtil.addLuaMsg(81403101, self, self.rUpdateGiftInfoLimits);
end

-----------------------------------------------------
function Lua_GiftActivitiesProxy:sGetRewards(index)
    local cmd = ProtoPublic_pb.Proto11403101();
    cmd.index = index;
    sendMsg(11403101, cmd);
end
function Lua_GiftActivitiesProxy:sGotoScenes()
    local sceneData = Lua_SceneConfigData.getSceneConfig(DataCenter.roleData.sceneId);
    if sceneData.copy_type == 34 then
        OperateAlert.show(LanUtil.getValue(122258));
        return;
    end
    sendMsg(11403110);
end
function Lua_GiftActivitiesProxy:rShowReward(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto51403101();
        msg:ParseFromString(mp.data);
        Lua_MsgUtil.callFunc("GIFT_DESTROY_XIANSHI", msg.index)
    end
end

function Lua_GiftActivitiesProxy:rUpdateGiftInfoLimits(mp)
    
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto81403101();
        msg:ParseFromString(mp.data);
        DataCenter.giftData:fromServer81403101(msg);
    end
end

function Lua_GiftActivitiesProxy:rGoSence(mp)
    if mp.errno == 0 then
        Lua_WindowUtil.openWin("Lua_GamePlayWindow", WinParam.ACTION_CLOSE);
    end
end