checkRequire("Lua_GiftPlayData");

Lua_GiftPlayProxy = class("Lua_GiftPlayProxy");

function Lua_GiftPlayProxy:ctor()
    DataCenter.giftPlayData = Lua_GiftPlayData.new();
    LuaUtil.addLuaMsg(81400110, self, self.rNoticeGiftData);
end

function Lua_GiftPlayProxy:rNoticeGiftData(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto81400110();
        msg:ParseFromString(mp.data);
        DataCenter.giftPlayData:fromServer81400110(msg);
    end
end


function Lua_GiftPlayProxy:sUseGiftMsg(index, amount, reward_index)
    local cmd = ProtoPublic_pb.Proto11400106();
    cmd.index = malltype;
    cmd.amount = amount;
    cmd.reward_index = reward_index;
    sendMsg(11400106, cmd);
end
