Lua_GiftsData = class("Lua_GiftsData");
function Lua_GiftsData:ctor()
end

function Lua_GiftsData:updateGiftsInfo(msg)
	-- 51400007
	local obj = msg.act_detail;
	local cur_tick = tonumber(tostring(obj.times)); -- 服务器当前时间戳（客户端使用）
	local start_tick = tonumber(tostring(obj.start_tick)); -- 活动开始时间
	self.cur_tick =  math.ceil((cur_tick - start_tick) / (3600 * 24));
	if self.cur_tick <= 0 then
		self.cur_tick = 1;
	end
	if self.cur_tick >= 8 then
		self.cur_tick = 8;
	end
	self.sub_value = obj.sub_value; -- 附加值
	self.reward_info = obj.reward_info; -- 奖励内容
	self.cost =  obj.cost;
end

function Lua_GiftsData.Get:configData()
	if self._configData == nil then
		self._configData = Array();

		local config =  getConfig({"gifts"});
		for k,v in pairs(config) do
			self._configData:add({id = v.id, setAltas = v.setAltas});
		end
	end
	return self._configData;
end