checkRequire("Lua_GodWingTransData");
checkRequire("Lua_GodWingTransUtil");
Lua_GodWingTransProxy = class("Lua_GodWingTransProxy");
function Lua_GodWingTransProxy:ctor()
	DataCenter.godWingTransData = Lua_GodWingTransData.new();
	DataCenter.godWingTransUtil = Lua_GodWingTransUtil.new();

	LuaUtil.addLuaMsg(51404203, self, self.rGetPanelInfo); -- 获取神翼幻化信息（返回）
	LuaUtil.addLuaMsg(51404204, self, self.rWingActiva); -- 神翼幻化激活（返回）
	LuaUtil.addLuaMsg(51404205, self, self.rWingIllUpgrade); -- 神翼幻化升级（返回）
	LuaUtil.addLuaMsg(51404206, self, self.rIllusion); -- 神翼幻化（返回）
	LuaUtil.addLuaMsg(51404209, self, self.rHuaXing); -- 神翼化形（返回）
	LuaUtil.addLuaMsg(51404210, self, self.rIsConceal); -- 神翼佩戴/隐藏（返回）
end

function Lua_GodWingTransProxy:rGetPanelInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51404203();
		msg:ParseFromString(mp.data);
		DataCenter.godWingTransData:fromServer51404203(msg);
		DataCenter.godWingTransData.cur_ill_id = msg.cur_ill_id;
		Lua_MsgUtil.callFunc("GODWING_TRANS_PANEL_UPDATE");
	end
end

function Lua_GodWingTransProxy:rWingActiva(mp)
	local msg = ProtoPublic_pb.Proto51404204();
	msg:ParseFromString(mp.data);
	sendMsg(11404203);
end

function Lua_GodWingTransProxy:rWingIllUpgrade(mp)
	sendMsg(11404203);
end

function Lua_GodWingTransProxy:rIllusion(mp)
	sendMsg(11404203);
	sendMsg(11403812);
end

function Lua_GodWingTransProxy:rHuaXing(mp)
	sendMsg(11403817);
	sendMsg(11403812);  
end

function Lua_GodWingTransProxy:rIsConceal(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51404210();
		msg:ParseFromString(mp.data);
		Lua_MsgUtil.callFunc("GODWING_CONCEAL_UPDATE", msg.wear_on);
	end
end