checkRequire("Lua_GodWingTransVo");
Lua_GodWingTransUtil = class("Lua_GodWingTransUtil");
function Lua_GodWingTransUtil:ctor()
end

function Lua_GodWingTransUtil.Get:godWingIllusionArr()
	if self._godWingIllusionArr == nil then
		self._godWingIllusionArr = Array();

		local vo;
		local config = getConfig({"wing_illusion"});
		for k,v in pairs(config) do
			vo = Lua_GodWingTransVo.new(k, v);
			self._godWingIllusionArr:add(vo);
		end
	end

	local vo;
	local sortId;
	for i = 1, self._godWingIllusionArr:getSize() do
		vo = self._godWingIllusionArr[i];
		sortId = Lua_ToolVo.new(vo.illusion_id).huanhua_rank;
		if vo.is_unlock == 0 then -- 未解锁
			vo.sortIndex = sortId + 50000;
		else -- 已解锁
			vo.sortIndex = sortId + 20000;
		end

		if vo.isUnlock == true then -- 可解锁
			vo.sortIndex = sortId + 10000;
		end
	end
	self._godWingIllusionArr:sort("sortIndex", false);
	return self._godWingIllusionArr;
end

-- 神翼幻化信息
function Lua_GodWingTransUtil:updateGodWingTransInfo(msg)
	local arr = self.godWingIllusionArr;
	for _,v in ipairs(msg) do
		for j = 1, arr:getSize() do
			if v.ill_id == arr[j].id then
				arr[j]:formServer(v);
			end
		end
	end
end