Lua_WingUtil = {};
function Lua_WingUtil.getItemData(id)
	local configData = getConfig({ "item", id });
	if configData ~= nil then
		return configData;
	end
end

function Lua_WingUtil.getWingConfig(career)
	local wingConfig = getConfig({ "wing", "adaptability" });
	if wingConfig ~= nil then
		return wingConfig[career];
	end
end

function Lua_WingUtil.getLimitWingConfig(str)
	local limitWingConfig = getConfig({ "wing", "time_limit_wing", str });
	if limitWingConfig ~= nil then
		return limitWingConfig;
	end
end

function Lua_WingUtil.getWingModelConfig(id)
	local wingModelConfig = getConfig({ "wing", id });
	if wingModelConfig ~= nil then
		return wingModelConfig;
	end
end

function Lua_WingUtil.getAttConfig(class)
	local attConfig = getConfig({ "wing", "refine", "attri_value" });
	if attConfig[class] ~= nil then
		return attConfig[class];
	end
end

function Lua_WingUtil.getMaxRange(lvl, attri)
	local MaxRange = getConfig({ "wing", "wing_attri_range", lvl, "max_range", attri });
	if MaxRange ~= nil then
		return MaxRange;
	end
end

function Lua_WingUtil.getColorRange(lvl, attri)
	local ColorRange = getConfig({ "wing", "wing_attri_range", lvl, "color_range", attri });
	if ColorRange ~= nil then
		return ColorRange;
	end
end

function Lua_WingUtil.getRateConfig(rank, class, rateStr)
	local rateConfig = getConfig({ "wing", "compound","item_rate", rank,rateStr });
	if rateConfig[class] ~= nil then
		return rateConfig[class];
	end
end

function Lua_WingUtil.getSynthesis_success_rate(class)
	local synthesis_success_rateConfig = getConfig({ "wing", "compound", "synthesis_success_rate" });
	if synthesis_success_rateConfig[class] ~= nil then
		return synthesis_success_rateConfig[class];
	end
end