Lua_GroupBuyData = class("Lua_GroupBuyData");

function Lua_GroupBuyData:ctor()
    self:superCall("ctor");
    self.isLogin = false;
end

function Lua_GroupBuyData:dispose()
    self.isLogin = false;
end

function Lua_GroupBuyData:fromServer50105785(msg)
    self.totalTime = tonumber(tostring(msg.activity_info.end_tick)); --ʱ
    self.commodity = msg.commodity; --ƷϢ
    self.reward = msg.reward; --Ϣ
    self.progress = msg.progress; --
    self.des = msg.activity_info.content;
end

function Lua_GroupBuyData.Get:shopList()
    local arr = Array();
    for k, v in ipairs(self.commodity) do
        local list = { };
        local item = v.commodity;
        local vo = Lua_ToolVo.createToolVo(item.id, item.count, item.bind);
        vo:fromServer(item);
        list.itemVo = vo;
        list.orPrice = v.original_price;
        list.curPrice = v.current_price;
        list.moneyType = v.money_type;
        list.totleCount = v.buy_times_limit;
        list.count = v.current_number;
        list.shopType = v.buy_limit_type;
        list.state = v.buy_state;
        list.index = v.index;
        arr:add(list);
    end
    return arr;
end

function Lua_GroupBuyData.Get:rewardList()
    local arr = Array();
    for k, v in ipairs(self.reward) do
        local list = { };
        local item = v.reward;
        local rewardArr = Array();
        for i = 1, #item do
            local vo = Lua_ToolVo.createToolVo(item[i].id, item[i].count, item[i].bind);
            vo:fromServer(item[i]);
            rewardArr:add(vo);
        end
        list.rewardArr = rewardArr;
        list.count = v.progress;
        list.vipLevel = v.vip_limit;
        list.index = v.index;
        list.state = v.state;
        list.progress = self.progress;
        arr:add(list);
    end
    return arr;
end