checkRequire("Lua_BeStrongData")
Lua_BeStrongProxy = class("Lua_BeStrongProxy");
function Lua_BeStrongProxy:ctor()
	DataCenter.beStrongData = Lua_BeStrongData.new();

	LuaUtil.addLuaMsg(51400311, self, self.rShowInfo);
	LuaUtil.addLuaMsg(81400311, self, self.rNoticeIconState);
end

function Lua_BeStrongProxy:rShowInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51400311();
		msg:ParseFromString(mp.data);
		DataCenter.beStrongData:fromServer51400311(msg);
	end
end

function Lua_BeStrongProxy:rNoticeIconState(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto81400311();
		msg:ParseFromString(mp.data);
		DataCenter.beStrongData:fromServer81403101(msg);
	end
end

function Lua_BeStrongProxy:sInitInfo(val)
	if val == false then
		self:delayInit();
	else
		Lua_CommonUtil.delayCollectCall("Lua_BeStrongProxy", self, self.delayInit, nil, 3);
	end
end

function Lua_BeStrongProxy:delayInit()
	sendMsg(11400311);
end