checkRequire("Lua_JinJieBenefitData");
Lua_JinJieBenefitProxy = class("Lua_JinJieBenefitProxy");
function Lua_JinJieBenefitProxy:ctor()
	DataCenter.jinJieBenefitData = Lua_JinJieBenefitData.new();

	LuaUtil.addLuaMsg(50105753, self, self.rInformation); -- 界面信息（返回）
end

-- 通知界面信息（返回）
function Lua_JinJieBenefitProxy:rInformation(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50105753();
		msg:ParseFromString(mp.data);
		DataCenter.jinJieBenefitData:fromServer50105753(msg);
		Lua_MsgUtil.callFunc("UPDATE_BENEFIT_DATA");
	end
end





-- 请求界面信息
function Lua_JinJieBenefitProxy:sInformation()
	Lua_ProxyManager.getProxy("Lua_OperationalActivitiesProxy"):sGetActivityInfo(Lua_OperationalActivitiesData.BENEFIT);
end

-- 购买请求
function Lua_JinJieBenefitProxy:sGetReward(index, giftType)
	local cmd = ProtoPublic_pb.Proto10105754();
	local list = { giftType, index };
	cmd.cond:append(giftType);
	cmd.cond:append(index);
	cmd.first_type = Lua_OperationalActivitiesData.BENEFIT;
	sendMsg(10105754, cmd);
end