checkRequire("Lua_JunXianData");
Lua_JunXianProxy = class("Lua_JunXianProxy");
function Lua_JunXianProxy:ctor()
	DataCenter.junXianData = Lua_JunXianData.new();

	LuaUtil.addLuaMsg(51407001, self, self.rUpdateJunXianInfo);
	LuaUtil.addLuaMsg(51407002, self, self.rUpJunXianInfo);
end

function Lua_JunXianProxy:rUpdateJunXianInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51407001();
		msg:ParseFromString(mp.data);
		DataCenter.junXianData:fromServer51407001(msg);
		Lua_MsgUtil.callFunc("SHOW_JUNXIANINFO");
	end
end

function Lua_JunXianProxy:rUpJunXianInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51407002();
		msg:ParseFromString(mp.data);
		DataCenter.junXianData:fromServer51407002(msg);
		if DataCenter.junXianData.is_grade_up == 1 then
			Lua_MsgUtil.callFunc("SHOW_JUNXIANINFO");
			-- Lua_WindowUtil.openWin("Lua_JunXianUpWindow");
		else
			OperateAlert.show(LanUtil.getValue(110151));
		end
	end
end
