Lua_LongmaiMissionVo = class("Lua_LongmaiMissionVo");
function Lua_LongmaiMissionVo:ctor()
end

-- 单个事件
function Lua_LongmaiMissionVo:fromServer(eid)
	self.envent_name = eid.envent_name;
    self.finish_count = eid.finish_count; -- 完成次数
    self.total_count = eid.total_count; -- 总次数
    self.add_value = eid.add_value; -- 单次活跃度
    self.envent_id = eid.envent_id; -- 任务id
end 

-- 排序优先级
function Lua_LongmaiMissionVo.Get:priority()
	local finishiD = 1;
	local norFinishID = 2;
	if self.finish_count < self.total_count then
		return finishiD * 1000 + norFinishID * 100;
	else
		return norFinishID * 1000 + finishiD * 100;
	end
end

function Lua_LongmaiMissionVo:isTodayOpen()
	local actIds = getConfig({"envent_longmai", self.envent_id, "actIds"});
	if actIds == nil then
		return true;
	end

	local vo;
	for i,v in ipairs(actIds) do
		vo = DataCenter.xianshiData:getDataById(v);
		if vo ~= nil and vo.bOpenToday == true then
			return true;
		end
	end
	return false;
end