checkRequire("Lua_MagicWeaponTransData");
Lua_MagicWeaponTransProxy = class("Lua_MagicWeaponTransProxy");
function Lua_MagicWeaponTransProxy:ctor()
	self:superCall("ctor");
	DataCenter.magicWeaponTransData = Lua_MagicWeaponTransData.new();
	LuaUtil.addLuaMsg(51402503, self, self.rGetPanelInfo);
	LuaUtil.addLuaMsg(51402504, self, self.rActivation);
	LuaUtil.addLuaMsg(51402507, self, self.rTransmogrify);
	LuaUtil.addLuaMsg(51402506, self, self.rLvlUp);
end

function Lua_MagicWeaponTransProxy:rGetPanelInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51402503();
		msg:ParseFromString(mp.data);
		DataCenter.magicWeaponTransData:fromServer(msg);
		Lua_MsgUtil.callFunc("MAGIC_WEAPON_TRANS_PANEL_UPDATE");
	end
end

function Lua_MagicWeaponTransProxy:rActivation(mp)
	--print("rActivation");
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51402504();
		msg:ParseFromString(mp.data);
		DataCenter.magicWeaponTransData:getActivationInfo(msg);
		--Lua_MsgUtil.callFunc("Servant_TRANS_PANEL_UPDATE");
		DataCenter.magicWeaponTransData:sGetPanelInfo();
	end
end

function Lua_MagicWeaponTransProxy:rTransmogrify(mp)
	--print("rTransmogrify");
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51402507();
		msg:ParseFromString(mp.data);
		DataCenter.magicWeaponTransData:getTransInfo(msg);
		DataCenter.magicWeaponTransData:sGetPanelInfo();
	end
end

function Lua_MagicWeaponTransProxy:rLvlUp(mp)
	--print("rLvlUp");
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51402506();
		msg:ParseFromString(mp.data);
		DataCenter.magicWeaponTransData:getLvlUpInfo(msg);
		--Lua_MsgUtil.callFunc("Servant_TRANS_PANEL_UPDATE");
		DataCenter.magicWeaponTransData:sGetPanelInfo();
	end
end