Lua_MailVo = class("Lua_MailVo");
function Lua_MailVo:fromServer(mid)
	self.mail_id = mid.mail_id; -- 邮件id
	self.mail_type = mid.mail_type;-- 邮件类型 301私人 302系统
	self.mail_time = mid.mail_time; -- 发邮件时间
	self.has_read = mid.has_read; -- 是否已读：0未读 1已读
	self.role_name = mid.role_name; -- 发件人角色名
	self.mail_title = mid.mail_title; -- 邮件标题
	self.has_attach = mid.has_attach; -- 是否有附件：0没有 1有
	self.left_minute = mid.left_minute; -- 剩余时间（单位：分钟）
	self.get_time = tonumber(tostring(mid.get_time)); -- 有效领取时间 0为无限
	self.left_get_time = mid.left_get_time; -- 剩余有效领取时间
	self.setTime = getTime();
end 

-- 排序优先级
function Lua_MailVo.Get:priority()
	return -self.has_read * 1000 + self.mail_time * 10;
end

function Lua_MailVo.Get:leftTime()
	local time = self.left_get_time - (getTime() - self.setTime);
	if time < 0 then
		time = 0;
	end
	return math.floor(time);
end