Lua_FuncItemData = class("Lua_FuncItemData")
function Lua_FuncItemData:ctor(funcId)
	self.funcId = funcId;
end

function Lua_FuncItemData.Get:config()
	if self._config == nil then
		self._config = getConfig({"func_open", self.funcId});
	end
	return self._config;
end

function Lua_FuncItemData.Get:condLevel()
	return self.config.cond_level;
end

function Lua_FuncItemData.Get:condTask()
	return self.config.cond_task;
end

function Lua_FuncItemData.Get:iconId()
	return self.config.icon_id;
end

function Lua_FuncItemData.Get:guideId()
	return self.config.guide_id;
end