Lua_JueXingSkillItem = class("Lua_SkillIconItem", Lua_DisplayObject);
function Lua_JueXingSkillItem:ctor(p)
	self:superCall("ctor",p);
end
function Lua_JueXingSkillItem:buildShowItem()
    self:superCall("buildShowItem");
    self:addLuaEvent("UPDATE_JUEXINGCOPY_SKILL_BUFF", self, self.onJueXingCopySkill);
    self:onJueXingCopySkill();
end
function Lua_JueXingSkillItem:setData(val)
	if val == nil then
		if self._skillItem ~= nil then
			self._skillItem:setEnable(false);
		end
	else
		if self._skillItem == nil then
			self._skillItem = Lua_SkillIconItem.new(self.content, false);
			self._skillItem.showTips = true;
		end
		self._skillItem.mustAuto = true;
		self._skillItem:setEnable(true);
		self._skillItem:setData(val);
	end
end
function Lua_JueXingSkillItem:onJueXingCopySkill(o)
	local buffVo = DataCenter.roleData:getBuffById(Lua_CopyData.JUEXING_COPY_BUFF, true);
    if buffVo ~= nil then
        self:setData(DataCenter.skillData:getSkillData(buffVo.value1));
    else
    	self:setData(nil);
    end
end