Lua_TaskItemGuide = class("Lua_TaskItemGuide",Lua_DisplayObject)
function Lua_TaskItemGuide:ctor(p)
	self:superCall("ctor", p);
end
function Lua_TaskItemGuide:buildShowItem()
	self:superCall("buildShowItem");
	self.guideBg = UICreate.createUIAtlasImage(self.content,"guideWindow","guide_task_pao",0,0,250,61);
	self.guideBg.pivot =  UIWidget.Pivot.Left;
	self.guideBg:setLocation(-100,0,0);
	self.guideBg:setDepth(self.depth);
	self.guideBg:addClickFuntion(self,self.onBgClick);
	self.showDescTxt = UICreate.createLabel(self.content,"",0,0,235,30,22);
	self.showDescTxt.pivot =  UIWidget.Pivot.TopLeft;
	self.showDescTxt:setLocation(-65,12,0);
	self.showDescTxt:setDepth(self.depth+1);
	self.showDescTxt.overflowMethod = UILabel.Overflow.ResizeFreely;
--	self.guideArrow = UICreate.createUIAtlasImage(self.content,"guideWindow","guide_task_arrow",0,0,0,0);
	
end

function Lua_TaskItemGuide:setDesc(val)
	if val ~= nil then
		self.showDescTxt.text = val;
		self.guideBg:SetDimensions( self.showDescTxt.width+63,61);
	end
end

function Lua_TaskItemGuide:onBgClick()
	if self.clickOwner ~= nil and self.clickCallBack~= nil then
		self.clickCallBack(self.clickOwner);
	end
end
function Lua_TaskItemGuide:setClickCB(owner,callBack)
	self.clickOwner = owner;
	self.clickCallBack = callBack;
end

function Lua_TaskItemGuide:dispose()
	self.clickOwner = nil;
	self.clickCallBack = nil;
	self:superCall("dispose");
end