Lua_TeamerStateItem = class("Lua_TeamerStateItem", Lua_DisplayObject);
function Lua_TeamerStateItem:ctor(p)
	self:superCall("ctor", p, "TeamerStateItem_skin", true);
end

function Lua_TeamerStateItem:setData(data)
	self.lvTxt.text = "Lv."..data.role_level;
	self.nameTxt.text = data.role_name;
	self.stateTxt.text = "";

	if tonumber(data.role_id) == DataCenter.roleData.roleId then
		self.stateTxt:setEnable(false);
	else
		self.stateTxt:setEnable(true);
		if data.online_flag == 1 then
			if data.nearby == false then
				self.stateTxt.text = Lua_ColorDefine.colorStr(LanUtil.getValue(122210), Lua_ColorDefine.RED_STR);
			else
				self.stateTxt.text = Lua_ColorDefine.colorStr(LanUtil.getValue(122209), Lua_ColorDefine.GREEN_STR);
			end
		else
			self.stateTxt.text = Lua_ColorDefine.colorStr(LanUtil.getValue(122211), Lua_ColorDefine.GRAY_STR);
		end
	end
end