﻿checkRequire("Lua_TopLeftIcon");
Lua_LijinIcon = class("Lua_LijinIcon", Lua_TopLeftIcon);
function Lua_LijinIcon:ctor(p, type)
	self:superCall("ctor", p, "LijinIcon_skin", type);
end

function Lua_LijinIcon:buildShowItem()
	self:superCall("buildShowItem");

	self.icon:setDepth(1);
	self.iconBg:addClickFuntion(self, self.onIconClick);

	self.redDotIds = Array(11201, 11200, 11204, 11205, 15004, 15005);
	self:checkRedot();
	self:addLuaEvent("UPDATE_REDDOT_EVENT", self, self.checkRedot);
end

function Lua_LijinIcon:onIconClick()
	Lua_WindowUtil.openWin("Lua_ChongzhiWindow", WinParam.ACTION_OPEN, 3);
end

function Lua_LijinIcon:checkRedot()
	-- if DataCenter.investmentPlanData.showIcon ~= 1 then
	-- 	if self.redDotIcon ~= nil then
	-- 		self.redDotIcon:setEnable(false);
	-- 	end
	-- 	return;
	-- end

	local needShow = false;
	for i = 1, self.redDotIds:getSize() do
		local showRed = DataCenter.redDotData:getRedDotStateByEventId(self.redDotIds[i]);
		if showRed == true then
			needShow = true;
			break;
		end
	end
	self:showHideReddot(needShow);
end