-- 40级任务送会员
Lua_VipProgressPanel = class("Lua_VipProgressPanel", Lua_DisplayObject);
function Lua_VipProgressPanel:ctor(p)
	self:superCall("ctor", p, "VipProgressPanel_skin");
end

function Lua_VipProgressPanel:buildShowItem()
	self:superCall("buildShowItem");

    local half_w = MainWinDefine.V_width / 2;
	local half_h = MainWinDefine.V_height / 2;
	self.showPoint =  Vector3(-half_w + 367, half_h - 385, 0);
	self.hidePoint =  Vector3(-half_w - 200, half_h - 385, 0);

	self.btn:addClickFuntion(self, self.onBtnClick);
	self:update();
	self:addLuaEvent("TASK_UPDATE", self, self.update);
	self:addLuaEvent("ROLE_BUFF_UPDATE", self, self.update);
	self:addLuaEvent("TASK_AND_TEAM_PANEL_SHOWHIDE", self, self.vipProgressShowHide);
end

function Lua_VipProgressPanel:update()
	if DataCenter.configLoaded ~= 1 then
		return;
	end

	local state = Lua_CommonUtil.getCommonConfig("vip_progress_state", 1);
	if state ~= 1 then
		self:setEnable(false);
		return;
	end

	local buffVo = DataCenter.roleData:getBuffById(80001);
	if buffVo == nil then
		self:setEnable(false);
	else
		local list = DataCenter.taskData:getListByType(Lua_TaskDefine.TRUCK);
		local pro = list:getSize() == 0 and 0 or list[1].vip_progress;
		self:setEnable(true);
		self.bar:setText(pro.."%");
		self.bar:setMaxValue(100);
		self.bar:setValue(pro);
	end
end

function Lua_VipProgressPanel:onBtnClick(go)
	Lua_WindowUtil.openWin("Lua_ChongzhiWindow",WinParam.ACTION_OPEN, {openIdx = 2, nameIndex = 121332});
end

function Lua_VipProgressPanel:vipProgressShowHide(val)
	if val then
		TweenUtil.getInstance():addTween(self.content, 0.1, 0, self.showPoint, nil, nil);
	else
		TweenUtil.getInstance():addTween(self.content, 0.1, 0, self.hidePoint, nil, nil);
	end
end
