Lua_MapMonsterNoticeVo = class("Lua_MapMonsterNoticeVo")
function Lua_MapMonsterNoticeVo:ctor(id, config)
    self:superCall("ctor");

	self.id = tonumber(id);
	if config == nil then
		self.config = getConfig({"mapMonsterNotice", tonumber(id)});
	else
		self.config = config;
	end
end

function Lua_MapMonsterNoticeVo.Get:monsterAttack()
	if self._monsterAttack == nil then
		self._monsterAttack = getConfig({"monster", self.id, "attack"});
	end

	return self._monsterAttack;
end

function Lua_MapMonsterNoticeVo.Get:monsterLv()
	if self._monsterLv == nil then
		self._monsterLv = getConfig({"monster", self.id, "lvl"});
	end

	return self._monsterLv;
end

function Lua_MapMonsterNoticeVo.Get:canClose()
    if self.config == nil or self.config.canClose == nil then
        return nil;
    end

    return self.config.canClose;
end

function Lua_MapMonsterNoticeVo.Get:lv()
	if self.config == nil or self.config.lv == nil then
		return 0;
	end

	return self.config.lv;
end

function Lua_MapMonsterNoticeVo.Get:defence()
	if self.config == nil or self.config.defence == nil then
		return 0;
	end

	return self.config.defence;
end

function Lua_MapMonsterNoticeVo.Get:dropDesc()
	if self.config == nil or self.config.dropDesc == nil then
		return "";
	end

	return self.config.dropDesc;
end