-- 地图proxy
checkRequire("Lua_MapWindowUtil");
Lua_MapProxy = class("Lua_MapProxy", Lua_EventOwner);
function Lua_MapProxy:ctor()
	self:superCall("ctor");
	DataCenter.mapWindowUtil = Lua_MapWindowUtil.new();

	LuaUtil.addLuaMsg(50404305, self, self.rGotoHookMap);
	self:addLuaEvent("GOTO_HOOK_MAP", self, self.sGotoHookMap);
end

function Lua_MapProxy:rGotoHookMap(mp)
	DataCenter.hook:start();
end

function Lua_MapProxy:sGotoHookMap()
	sendMsg(10404305);
end

-- 传送
function Lua_MapProxy:sTransfer(sceneId, posX, posY, posZ, clientType)
	local sceneData = Lua_SceneConfigData.getSceneConfig(DataCenter.roleData.sceneId);
	local tsceneData = Lua_SceneConfigData.getSceneConfig(sceneId);
	if sceneData.copy_type == 34 and tsceneData.copy_type ~= 34 then
		OperateAlert.show(LanUtil.getValue(122258));
		return;
	end
	if GlobalVar.isActing then
		return;
	end
	MsgUtil.callFunc("PLAYER_STOP");
	
	local cmd = ProtoPublic_pb.Proto10400111();
	cmd.scene_id = sceneId;
	cmd.pixel_x = posX;
	cmd.pixel_y = posY;
	cmd.pixel_z = posZ;
	cmd.client_type = clientType; -- 1需要消耗道具, 0不消耗
	sendMsg(10400111, cmd);
	DataCenter.taskHook:refreshLastRoleActive();
end