-- 仙娃等阶信息
Lua_MarryChildGradeVo = class("Lua_MarryChildGradeVo");
function Lua_MarryChildGradeVo:ctor(id, config)
    self.id = id;
    	
    if config == nil then
    	config = getConfig({"baby_grade", id});
    end
    self.config = config;
end

function Lua_MarryChildGradeVo.Get:name()
	return self.config.name;
end

function Lua_MarryChildGradeVo.Get:childId()
	return self.config.baby_id;
end

function Lua_MarryChildGradeVo.Get:grade()
	return self.config.grade;
end

function Lua_MarryChildGradeVo.Get:desc()
	return self.config.desc;
end

function Lua_MarryChildGradeVo.Get:upgradeExp()
	return self.config.exp;
end

function Lua_MarryChildGradeVo.Get:attrsArr()
	if self._attrsArr == nil then
		self._attrsArr = Array();
		local len = #Lua_ThingDefine.params;
		for i = 1, len do
	        local v = self.config[Lua_ThingDefine.params[i]];
	        if v ~= nil and v ~= 0 then
	            local obj = {};
	            obj.name = Lua_ThingDefine.params[i];
	            obj.value = v;
	            self._attrsArr:add(obj);
	        end
	    end
	end

	return self._attrsArr;
end

function Lua_MarryChildGradeVo.Get:attrsDic()
	if self._attrsDic == nil then
		self._attrsDic = {};
		local arr = self.attrsArr;
		local len = arr:getSize();
		for i = 1, len do
			self._attrsDic[arr[i].name] = arr[i].value;
		end
	end

	return self._attrsDic;
end