checkRequire("Lua_TransCommonData");
Lua_MountTransData = class("Lua_MountTransData",Lua_TransCommonData);
function Lua_MountTransData:ctor()
	self:superCall("ctor");
end

function Lua_MountTransData.Get:config()
	return getConfig({"mount", "illusion"});
end

function Lua_MountTransData:sGetPanelInfo()
	sendMsg(11400403);
end

function Lua_MountTransData:sActivate(id)
	local cmd = ProtoPublic_pb.Proto11400404();
	cmd.ill_id = id;
	sendMsg(11400404, cmd);
end

function Lua_MountTransData:sTransmogrify(id)
	local cmd = ProtoPublic_pb.Proto11400406();
	cmd.ill_id = id;
	cmd.ill_on = 1;
	sendMsg(11400406, cmd);
end

function Lua_MountTransData:sRestore()
	local cmd = ProtoPublic_pb.Proto11400406();
	cmd.ill_id = self.illId;
	cmd.ill_on = 0;
	sendMsg(11400406, cmd);
end

function Lua_MountTransData:sLvlUp(id)
	local cmd = ProtoPublic_pb.Proto11400405();
	cmd.ill_id = id;
	sendMsg(11400405, cmd);
end

function Lua_MountTransData:fromServer(data)
	self.illId = data.cur_ill_id;
	self:setDataList(data.illusion_list);
end

function Lua_MountTransData:getActivationInfo(data)
	-- print("是否激活成功", data.is_activa);
end

function Lua_MountTransData:getTransInfo(data)
	-- print("幻化id", data.ill_id);
end

function Lua_MountTransData:getLvlUpInfo(data)
	-- print("是否升级成功", data.is_upgrade);
end