-- 新0元礼包
Lua_NewZeroGiftData = class("Lua_NewZeroGiftData");
Lua_NewZeroGiftData.GIFT_EQUIP = 1; -- 极品装备
Lua_NewZeroGiftData.GIFT_LOVE = 2; -- 爱情礼包
Lua_NewZeroGiftData.GIFT_FASHION = 3; -- 绝版时装
function Lua_NewZeroGiftData:ctor()
	self:dispose();
end

function Lua_NewZeroGiftData:dispose()
	self.isLogin = false;
end

function Lua_NewZeroGiftData:fromServer50105661(msg)
	if msg == nil then
		return;
	end

	self.content = msg.activity_info.content; -- 活动内容
	self.startTick = msg.activity_info.start_tick;-- 活动开始时间
	self.endTick = msg.activity_info.end_tick; -- 活动结束时间
	self.reward = msg.reward; -- 奖励信息
end

function Lua_NewZeroGiftData.Get:newZeroGiftDataArr()
	local list;
	local arr = Array();
	for i,v in ipairs(self.reward) do
		list = {};
		list.index = i;
		list.gift_index = v.gift_index; -- 奖励index，索引从0开始
		list.gift_title = v.gift_title; -- 礼包标题
		list.reward_content = v.reward_content; -- 奖励描述文字
		list.valuable_model = v.valuable_model; -- 珍稀道具模型+位置+旋转+缩放
		list.restore_money = v.restore_money; -- 返还金钱
		list.cond_type = v.cond_type; -- 条件类型：1 等级，2 主线任务，3 消耗铜钱，4 消耗礼金，5 消耗元宝
		list.need_amount = v.need_amount; -- 需要数量
		list.draw_flag = v.draw_flag; -- 领取标识：0 不可领取，1 可领取，2 已领取
		arr:add(list);
	end
	return arr;
end

-- 根据礼包类型获取礼包常规道具信息
function Lua_NewZeroGiftData:getNewZeroGiftDataArr(index)
	local tvo;
	local arr = Array();
	for i,v in ipairs(self.reward) do
		if v.gift_index == index then
			for x,y in ipairs(v.normal_items) do
				tvo = Lua_ToolVo.createToolVo(y.id, y.amount, y.bind);
				tvo.star = y.equipment.star;
				arr:add({tvo = tvo, show_effect = y.show_effect});
			end
		end
	end
	return arr;
end