checkRequire("Lua_GodFurnaceData");
Lua_GodFurnaceProxy = class("Lua_GodFurnaceProxy")
function Lua_GodFurnaceProxy:ctor()
	DataCenter.godFurnaceData =  Lua_GodFurnaceData.new();

	LuaUtil.addLuaMsg(50105721, self, self.rGodFurnaceInfo); -- 神炉炼宝界面（返回）
	LuaUtil.addLuaMsg(50105722, self, self.rGodFurnaceResult); -- 神炉炼宝抽奖（返回）
end

-- 神炉炼宝界面（返回）
function Lua_GodFurnaceProxy:rGodFurnaceInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50105721();
		msg:ParseFromString(mp.data);
		DataCenter.godFurnaceData:from50105721(msg);
		Lua_MsgUtil.callFunc("UPDATE_GOD_FURNACE");
	end
end

-- 神炉炼宝抽奖（返回）
function Lua_GodFurnaceProxy:rGodFurnaceResult(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50105722();
		msg:ParseFromString(mp.data);
		if Lua_WindowUtil.isWindowShowing("Lua_GodFurnaceResultWindow") == false then
			Lua_WindowUtil.openWin("Lua_GodFurnaceResultWindow");
		end
		Lua_MsgUtil.callFunc("UPDATE_GOD_FURNACE_RESULT", msg);
	end
end