checkRequire("Lua_MonthlyPlanData")
Lua_MonthlyPlanProxy = class("Lua_MonthlyPlanProxy")
function Lua_MonthlyPlanProxy:ctor()
	DataCenter.monthlyPlanData = Lua_MonthlyPlanData.new();

	LuaUtil.addLuaMsg(51401815, self, self.rUpdateMonthlyPlan);
	LuaUtil.addLuaMsg(51401817, self, self.rInvestmented);
end

function Lua_MonthlyPlanProxy:rUpdateMonthlyPlan(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51401815();
		msg:ParseFromString(mp.data);
		DataCenter.monthlyPlanData:fromServer51401815(msg);
		Lua_MsgUtil.callFunc("rUpadteMonthlyPlanData");
	end
end
function Lua_MonthlyPlanProxy:rInvestmented(mp)
	if mp.errno == 0 then 
		local msg = ProtoPublic_pb.Proto51401817();
		msg:ParseFromString(mp.data);
		if msg.is_invest == 1 then
			OperateAlert.show(LanUtil.getValue(122534));
		end
	end
end