-- 新每日充值
checkRequire("Lua_NewChargeEverydayData");
Lua_NewChargeEverydayProxy = class("Lua_NewChargeEverydayProxy")
function Lua_NewChargeEverydayProxy:ctor()
    DataCenter.newChargeEverydayData = Lua_NewChargeEverydayData.new();

    LuaUtil.addLuaMsg(50105780, self, self.rNewChargeEverydayInfo);	-- 请求获取新每日充值面板信息（返回）
    Lua_MsgUtil.addEventListener("RECHARGE_EVERYDAY", self, self.openWindow);
end

-- 请求获取新每日充值面板信息（返回）
function Lua_NewChargeEverydayProxy:rNewChargeEverydayInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50105780();
		msg:ParseFromString(mp.data);
		DataCenter.newChargeEverydayData:fromServer50105780(msg);
		Lua_MsgUtil.callFunc("UPDATE_NEW_CHARGE_EVERYDAY");
	end
end

function Lua_NewChargeEverydayProxy:openWindow()
	if DataCenter.newChargeEverydayData.isOpen == 1 then
		Lua_WindowUtil.openWin("Lua_NewChargeEverydayWindow", WinParam.ACTION_OPEN);
	else
		Lua_WindowUtil.openWin("Lua_ChargeEverydayWindow", WinParam.ACTION_OPEN);
	end
end





-- 请求获取新每日充值面板信息
function Lua_NewChargeEverydayProxy:sOpenNewChargeEverydayWin()
	sendMsg(10105780);
end

-- 请求领取新每日充值累充奖励
function Lua_NewChargeEverydayProxy:sGetRechargeRewards(index)
	local cmd = ProtoPublic_pb.Proto10105781();
	cmd.index = index;
	sendMsg(10105781, cmd);
end

-- 请求领取新每日充值累天奖励
function Lua_NewChargeEverydayProxy:sGetDayRewards(index)
	local cmd = ProtoPublic_pb.Proto10105782();
	cmd.index = index;
	sendMsg(10105782, cmd);
end