Lua_SuitProxy = class("Lua_SuitProxy");
function Lua_SuitProxy:ctor()
    self:superCall("ctor");
    LuaUtil.addLuaMsg(50105301, self, self.onSuitInfo);
    LuaUtil.addLuaMsg(50105302, self, self.onSuitBuyReward);

    LuaUtil.addLuaMsg(80105301, self, self.onSuitISOpen);
end
function Lua_SuitProxy:onSuitInfo(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50105301();
        msg:ParseFromString(mp.data);
        Lua_MsgUtil.callFunc("GET_SUITINFO", msg);
    end
end

function Lua_SuitProxy:onSuitBuyReward(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50105302();
        msg:ParseFromString(mp.data);
    end
end

function Lua_SuitProxy:onSuitISOpen(mp)
	if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto80105301();
        msg:ParseFromString(mp.data);
        if msg.open == true then
            local info = Lua_ActivitiesInfo.new();
            info.act_index = 1247;
            info.first_type = 1045;
            info.second_type = 0;
            info.priority = 1;
            info.title = msg.title;
            info.icon_type = msg.icon;
            info.is_single_icon = 0;
            info.start_tick= 1;
            info.end_tick=4;
            info.times = 2;
            info.sort = 5;
            DataCenter.OperationalActivitiesData:addAct(info);
        else
            DataCenter.OperationalActivitiesData:removeAct(10045);
        end
    end
end
