--灵纹vo
Lua_RuneVo = class("Lua_RuneVo", Lua_ToolVo);
function Lua_RuneVo:ctor(id, count, bin)
	self:superCall("ctor", id, count, bin);
end

function Lua_RuneVo.Get:attribute()--灵纹属性 ID字段 特殊灵纹 没此字段
    local attribute = 0;
    if self.config.attribute ~= nil then
        for i = 1, #self.config.attribute do
            attribute = self.config.attribute[i][1]
        end
    else
    	return nil;
    end
    return attribute;
end

function Lua_RuneVo.Get:lv()
	return self.rune_level;
end

function Lua_RuneVo.Get:rune_type()--灵纹 单属性 0 特殊类型为 1 双属性 2
	return self.config.rune_type;
end

function Lua_RuneVo.Get:runeShowLevel()--用于界面Item属性显示
	return "[" .. self.colorStr .. "]" .. "Lv." .. self.rune_level .. "[-]";
end

function Lua_RuneVo.Get:runeShowName()--用于界面Item属性显示
	return "[" .. self.colorStr .. "]" .. self.config.name .. "[-]";
end

function Lua_RuneVo.Get:runeName()
	return "[" .. Lua_ColorDefine.getItemColorStr(self.config.color, false) .. "]" .. self.config.name .. "Lv." .. self.rune_level .. "[-]";
end

function Lua_RuneVo.Get:runeExeProp()--特殊类型灵纹  属性
	if self.rune_type == 1 then
		local propNam = LanUtil.getValue(121520);
		local propNum = getConfig({"rune", "spe_decompose" })[tonumber(self.config.color +1)]
		return "[85A8BE]" .. propNam .. "[00E125]" .. propNum;
	end
end

function Lua_RuneVo.Get:runeProp()--灵纹属性封装
    if self.config.attribute ~= nil then
        self._attribute = Array();
        self._attribute:clear();
        for i = 1, #self.config.attribute do
            local config_rune = getConfig( { "rune", "prop" })[tonumber(self.config.attribute[i][1])];
            if config_rune["attr_list"] == nil then
                local list = {};
                list.type = config_rune["type"]; --类型 1固定值，2百分比
            	list.runePropName = config_rune["name"];
            	list.runePropNum = config_rune["color"][tonumber(self.config.color - DataCenter.runeUtil.runeStartColor + 1)][self.lv];
                list.nextRunePropNum = ""
                if config_rune["color"][self.config.color - 1][self.lv + 1] ~= nil then
                    list.nextRunePropNum = config_rune["color"][tonumber(self.config.color - DataCenter.runeUtil.runeStartColor + 1)][self.lv + 1];
                end
                self._attribute:add(list);
            else
                for j = 1, #config_rune["attr_list"] do
                	local list = {};
                   	local attr_list_id = tonumber(config_rune["attr_list"][j]["attr_id"])
                    list.type = config_rune["attr_list"][j][attr_list_id]["type"]
                    list.runePropName =  config_rune["attr_list"][j][attr_list_id]["name"]
                    list.runePropNum =  config_rune["attr_list"][j][attr_list_id]["color"][tonumber(self.config.color - DataCenter.runeUtil.runeStartColor + 1)][self.lv]
                    list.nextRunePropNum = ""
                    if  config_rune["attr_list"][j][attr_list_id]["color"][tonumber(self.config.color - DataCenter.runeUtil.runeStartColor + 1)][self.lv + 1] ~= nil then
                        list.nextRunePropNum =  config_rune["attr_list"][j][attr_list_id]["color"][tonumber(self.config.color - DataCenter.runeUtil.runeStartColor + 1)][self.lv + 1]
                    end
                    self._attribute:add(list);
                end
            end
        end
        return self._attribute;
    end
end

function Lua_RuneVo.Get:isShowNnlock()--解锁 判断
	if DataCenter.runeData.unLockType == nil then
		return
	end
	for i,v in ipairs(DataCenter.runeData.unLockType) do
	 	if tonumber(self.attribute) == tonumber(v) or tonumber(v) == DataCenter.runeUtil:type_unlock(v) or self.config.attribute == nil then
	 		return true;--已解锁
	 	end	
	end
	return false;--未解锁
end

function Lua_RuneVo.Get:unlock_cond_show()--灵纹塔 解锁层数
    return DataCenter.runeUtil:unlock_cond_show(tonumber(self.attribute));
end

function Lua_RuneVo.Get:decompose()--分解
    local decompose = 0;
    local decomposeNum = 0;
    local single;

    if self.rune_type == 0 then -- 普通符文
        decompose = getConfig({"rune", "decompose" })[tonumber(self.config.color+1)];
        single = getConfig( { "rune", "essence" });
    elseif self.rune_type == 1 then -- 特殊符文
        decompose = getConfig({"rune", "spe_decompose" })[tonumber(self.config.color +1)];
        single = nil;
    elseif self.rune_type == 2 then -- 双属性
        decompose = getConfig({"rune", "double_decompose" })[tonumber(self.config.color+1)];
        single = getConfig( {"rune", "double_essence" });
    end
    
    if self.lv ~= 0 and single ~= nil then
        for i=1, self.lv do
            local s = single[self.config.color - DataCenter.runeUtil.runeStartColor+ 1][i];
            decomposeNum = decomposeNum + s;
        end
    else
        decomposeNum = 0;
    end
    
    self._decompose = decompose+decomposeNum;

    return self._decompose;
end

function Lua_RuneVo.Get:decomposeCrystal()--分解灵晶
    local decompose = 0;
    local config = getConfig({"rune_compose",self.id});
    if config ~= nil then
        decompose = config.cost_rune_crystal[2];
    end
    return decompose;
end

function Lua_RuneVo.Get:compoundAllResolve()-- 分解 用于计算合成等级
    local decomposeNum = 0;
    local single; 
    local compound = getConfig({"rune_compose",self.id});
    if compound ~= nil then
        if compound.prop_type == 2 then
            single = getConfig( { "rune", "double_essence" });
        else 
            return nil; --合成  配置有新加别的类型 prop_type 在这里处理
        end
    else
        single = getConfig( { "rune", "essence" });-- 单属性
    end

    if compound ~= nil then
        if compound.prop_type == 2 then-- 双属性 计算 用于合成多属性 (注：暂时配置没有需求)
            if self.lv ~= 0 then
                for i=1, self.lv do
                    local s = single[self.config.color - DataCenter.runeUtil.runeStartColor+ 1][i];
                    decomposeNum = decomposeNum + s;
                end
            else
                decomposeNum = 0;
            end
        else 
            return nil; --合成  配置有新加别的类型 prop_type 在这里处理
        end
    else-- 单属性 计算 用于合成多属性 (注：现需求)
        if self.lv ~= 0 then
            for i=1, self.lv do
                local s = single[self.config.color - DataCenter.runeUtil.runeStartColor+ 1][i];
                decomposeNum = decomposeNum + s;
            end
        else
            decomposeNum = 0;
        end
    end

    return decomposeNum;
end