Lua_PanGuProxy = class("Lua_PanGuProxy");
function Lua_PanGuProxy:ctor()
	LuaUtil.addLuaMsg(80100130, self, self.setIconActive);
	LuaUtil.addLuaMsg(50100130, self, self.setWinInfo);
end

function Lua_PanGuProxy:setIconActive(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto80100130();
		msg:ParseFromString(mp.data);
		DataCenter.funcOpenData:setPanGuData(msg.type,msg.state);

		if msg.type == 1 then
			if msg.state == 0 then
				Lua_MsgUtil.callFunc("REMOVE_RIGHTTOP_ICON", 10097);
				Lua_MsgUtil.callFunc("REMOVE_RIGHTTOP_ICON", 10098);
			elseif msg.state == 1 then
				Lua_MsgUtil.callFunc("ADD_RIGHTTOP_ICON", 10098);
				Lua_MsgUtil.callFunc("REMOVE_RIGHTTOP_ICON", 10097);
			elseif msg.state == 2 then
				Lua_MsgUtil.callFunc("ADD_RIGHTTOP_ICON", 10097);
				Lua_MsgUtil.callFunc("REMOVE_RIGHTTOP_ICON", 10098);
				if Lua_WindowUtil.isWindowShowing("Lua_PanGuWindow") == true then
					Lua_WindowUtil.openWin("Lua_PanGuWindow", WinParam.ACTION_CLOSE)
				end

				if Lua_WindowUtil.isWindowShowing("Lua_PanGuSubTipsWindow") == true then
					Lua_WindowUtil.openWin("Lua_PanGuSubTipsWindow", WinParam.ACTION_CLOSE)
				end
			end
		end
	end
end

function Lua_PanGuProxy:setWinInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50100130();
		msg:ParseFromString(mp.data);
		Lua_MsgUtil.callFunc("setPanGuWinInfo",msg);
	end
end





function Lua_PanGuProxy:getSubmitReward(itemId,num)
	local cmd = ProtoPublic_pb.Proto10100131();
	cmd.item_id = itemId;
	cmd.amount = num;
	-- cmd.index = data.index;
	sendMsg(10100131, cmd);
end

function Lua_PanGuProxy:getPanGuWinInfo()
	sendMsg(10100130);
end