Lua_QiyuaneventVo = class("Lua_QiyuaneventVo");
function Lua_QiyuaneventVo:ctor(id)
	self.id = tonumber(id);
	self.config = getConfig({"envent", self.id});
end

function Lua_QiyuaneventVo.Get:condition()
	return self.config.condition;
end

function Lua_QiyuaneventVo.Get:name()
	return self.config.name;
end

function Lua_QiyuaneventVo.Get:goodsid()
	return self.config.goods_id;
end

function Lua_QiyuaneventVo.Get:openwindow()
	if self.config.window == nil then
		return nil;
	end
	return self.config.window;
end

function Lua_QiyuaneventVo.Get:openwindowtab()
	if self.config.openwindowtab == nil then
		return 1;
	end
	return self.config.openwindowtab;
end

function Lua_QiyuaneventVo.Get:reward()
	if  self.config.reward ~= nil then
		if self.config.reward[1] ~= 0 then
			return self.config.reward[1];
		end
		if self.config.reward[2] ~= 0 then
			return self.config.reward[2];
		end
		if self.config.reward[3] ~= 0 then
			return self.config.reward[3];
		end
	else
		return self.config.lingwen_exp;
	end
end

function Lua_QiyuaneventVo.Get:numreward()
	if self.config.reward == nil then
		return 4;
	end
	if self.config.reward[1] ~= 0 then
		return 1;
	end
	if self.config.reward[2] ~= 0 then
		return 2;
	end
	if self.config.reward[3] ~= 0 then
		return 3;
	end
end

function Lua_QiyuaneventVo.Get:buttonName()
	if self.config.buttonName ~= nil then
		return self.config.buttonName;
	end
end

function Lua_QiyuaneventVo.Get:bossScene()
	if self.config.bossScene ~=  nil then
		return self.config.bossScene;
	end
end