Lua_NewFristRechargeVo = class("Lua_NewFristRechargeVo");
function Lua_NewFristRechargeVo:ctor(id)
	self.id = tonumber(id);
	self.config = getConfig({"recharge", DataCenter.roleData.career});
	self.rewardStatus = 0;
	self.career = DataCenter.roleData.career;
end

function Lua_NewFristRechargeVo:fromServer(v)
	self.rewardStatus = v;
end

function Lua_NewFristRechargeVo.Get:describe()
	return getConfig({"recharge", self.id,"describe"});
end

function Lua_NewFristRechargeVo.Get:getNewFristRechargeRewardId()
	local list = getConfig({"tiny", "first_recharge_reward_2nd_ver"});
	return list[self.id][self.career];
end

function Lua_NewFristRechargeVo.Get:rewardConfig()
	return Lua_RewardsUtil.getRewardList(self.getNewFristRechargeRewardId)
end

function Lua_NewFristRechargeVo.Get:getForceNumber()
	local fight = Lua_CommonUtil.getCommonConfig("new_fristRecharge_force", 3)
	return fight[self.id];
end