Lua_RechargeUtil = {};
function Lua_RechargeUtil.getDisplayReward(num)
    local display_reward = getConfig({"recharge",num,"display_reward"});
    if display_reward==nil then 
        return nil;
    end
    return display_reward;
end
function Lua_RechargeUtil.getLeftEffectStr(num)
    local left_effect_str = getConfig({"recharge",num,"left_effect_str"});
    if left_effect_str==nil then 
        return nil;
    end
    return left_effect_str;
end
function Lua_RechargeUtil.getRightEffectStr(num)
    local right_effect_str = getConfig({"recharge",num,"right_effect_str"});
    if right_effect_str==nil then
        return nil;
    end
    return right_effect_str;
end
function Lua_RechargeUtil.getTipsWeaponStr(num)
    local recharge_tips_weapon = getConfig({"recharge",num,"recharge_tips_weapon"});
    if recharge_tips_weapon==nil then
        return nil;
    end
    return recharge_tips_weapon;
end
function Lua_RechargeUtil.getRewardWeaponId(num)
    local weapon_id = getConfig({"recharge",num,"weapon_id"});
    if weapon_id==nil then
        return nil;
    end
    return weapon_id;
end
function Lua_RechargeUtil.getPropArr()
    local effectStrArr=Array()
    local propArr = getConfig({"recharge",1,"arr"});
    for i,v in ipairs(propArr) do
        effectStrArr:add(v);
    end
    if effectStrArr:getSize()==0 then
        return nil;
    end
    return effectStrArr;
end
function Lua_RechargeUtil.getRechargeInfoByPlayerHanger(str)
	local shapeConfig = getConfig({"playerHanger", str});
	if shapeConfig == nil then
		return nil;
	end

    local data = {};
    data.floder=shapeConfig.floder;
    data.fileName=shapeConfig.fileName;
    data.wingPos = shapeConfig.wing_pos;
    data.wingSca = shapeConfig.wing_sca;
    data.wingRot = shapeConfig.wing_rot;
	
	return data;
end
function Lua_RechargeUtil:getNewFristRecharge(index,career)
    local list = getConfig( { "tiny", "first_recharge_reward_2nd_ver" });
    return list[index][career];
end
function Lua_RechargeUtil.getNewFristRechargeInfo(num)
    local display_reward = getConfig({"recharge",num});
    if display_reward==nil then 
        return nil;
    end
    return display_reward;
end