-- 红点数据vo
Lua_RedDotVo = class("Lua_RedDotVo");
function Lua_RedDotVo:ctor(id, config)
	self.id = id;
	self.config = config == nil and getConfig({"red_tips", tostring(id)}) or config;

	self.state = false;
end

function Lua_RedDotVo.Set:redState(val)
	val = val == nil and false or val;
	self.state = val;
end

function Lua_RedDotVo.Get:redState()
	return self.state;
end

function Lua_RedDotVo:setRedState(val)
	self.redState = val;
end

function Lua_RedDotVo.Get:evenId()
	return self.config.evenId;
end

function Lua_RedDotVo.Get:name()
	return self.config.name;
end

function Lua_RedDotVo.Get:iconId()
	return self.config.iconId;
end

function Lua_RedDotVo.Get:iconIds()
	return self.config.iconIds;
end

function Lua_RedDotVo.Get:subType()
	if self.config.subType == nil then
		return 0;
	end
	return self.config.subType;
end

function Lua_RedDotVo.Get:remark()
	return self.config.remark;
end

function Lua_RedDotVo.Get:first_type()
	return self.config.first_type;
end