Lua_LvlRewardVo = class("Lua_LvlRewardVo")
function Lua_LvlRewardVo:ctor(id)
	self:superCall("ctor");
	self.id = tonumber(id);
	self.config = getConfig({"lvl_rewards", self.id});
end

function Lua_LvlRewardVo.Get:needlvl()
	return self.config.need_lvl;
end

function Lua_LvlRewardVo.Get:reward_number_limit()
	return self.config.reward_number_limit;
end

function Lua_LvlRewardVo.Get:rewardsitem()
	local rewards = {};
	local data = Array()
    
	for k,v in pairs(self.config.clientrewards_item) do
		local career;
		career = getConfig({ "item", self.config.clientrewards_item[k][2][1], "career"})
		if career == nil or career == DataCenter.roleData.career or career == 0 then
	    	data:add(self.config.clientrewards_item[k][2]);
		end
		for i=1,data:getSize() do
			rewards[i] = data[i];
		end			
	end
	return rewards;	
end

function Lua_LvlRewardVo.Get:isRoundEff()
	local rewards= {};
	local data = Array();
	for k,v in pairs(self.config.clientrewards_item) do
		 
		local career = getConfig({ "item",self.config.clientrewards_item[k][2][1],"career"})
		if career == nil or career == DataCenter.roleData.career then
        	data:add(self.config.clientrewards_item[k][1]);
		end
		for i=1,data:getSize() do
			rewards[i] = data[i];
		end			
	end

	return rewards;
end