Lua_ResourceVo = class("Lua_ResourceVo")
function Lua_ResourceVo:ctor(id)
	self:superCall("ctor");
	self.id = tonumber(id);
	self.config = getConfig({"restore", self.id});
end

function Lua_ResourceVo.Get:name()
	return self.config.name;
end

function Lua_ResourceVo.Get:copper()
	return self.config.need_money.copper;
end

function Lua_ResourceVo.Get:gold()
	return self.config.need_money.gold;
end

function Lua_ResourceVo.Get:additionalgold()
	return self.config.need_money.additional_gold;
end

function Lua_ResourceVo.Get:additionalneedgold()
	return self.config.additional_need_gold;
end

function Lua_ResourceVo.Get:gold_rewards()    --金币找回奖励
	local data ={}
	if self.config.gold_rewards == nil then
		return data
	end
	return self.config.gold_rewards;
end

function Lua_ResourceVo.Get:gold_exp()       --金币找回经验
	local data ={}
	if self.config.gold_exp == nil then
		return nil
	end
	return self.config.gold_exp;
end

function Lua_ResourceVo.Get:copper_exp()    --礼金找会的经验
	local data ={}
	if self.config.copper_exp == nil then
		return nil
	end
	return self.config.copper_exp;
end

function Lua_ResourceVo.Get:copper_rewards()  --礼金找回奖励
	local data ={}
	if self.config.copper_rewards == nil then
		return data
	end
	return self.config.copper_rewards;
end

function Lua_ResourceVo.Get:copper_rewards_one()    --金币找回奖励物品1  

	local data ={}
	if self.config.appear_rewards ~= nil then
		return self.config.appear_rewards;
	end
	if self.config.copper_rewards_0 == nil then
		return data
	end
	return self.config.copper_rewards_0;
end

function Lua_ResourceVo.Get:gold_rewards_one()    --礼金找回奖励物品1
	local data ={}
	if self.config.appear_rewards ~= nil then
		return self.config.appear_rewards;
	end
	if self.config.gold_rewards_0 == nil then
		return data
	end
	return self.config.gold_rewards_0;
	
end

function Lua_ResourceVo.Get:copper_rewards_two()    --金币找回奖励物品2

	local data ={}
	if self.config.copper_rewards_1 == nil then
		return data
	end
	return self.config.copper_rewards_1;
end

function Lua_ResourceVo.Get:gold_rewards_two()    --礼金找回经验物品2 
    local data ={}
	if self.config.gold_rewards_1 == nil then
		return data
	end
	return self.config.gold_rewards_1;
	
end


function Lua_ResourceVo.Get:copper_exp_one()       --金币找回经验1
	local data ={}
	if self.config.copper_exp_0 == nil then
		return nil
	end
	return self.config.copper_exp_0;
end

function Lua_ResourceVo.Get:gold_exp_one()    --礼金找会的经验1   
	local data ={}
	if self.config.gold_exp_0 == nil then
		return nil
	end
	return self.config.gold_exp_0;
end

function Lua_ResourceVo.Get:copper_exp_two()       --金币找回经验2   
	local data ={}
	if self.config.copper_exp_1 == nil then
		return nil
	end
	return self.config.copper_exp_1;
end

function Lua_ResourceVo.Get:gold_exp_two()    --礼金找会的经验2
	local data ={}
	if self.config.gold_exp_1 == nil then
		return nil
	end
	return self.config.gold_exp_1;
end