checkRequire("Lua_welfareData");
Lua_RewardProxy = class("Lua_RewardProxy")
function Lua_RewardProxy:ctor()
	DataCenter.QiandaoData = Lua_welfareData.new();
	
	-- DataCenter.QiandaoData:getlose();

	LuaUtil.addLuaMsg(51401401, self, self.rgetQiandaoProxyInfo); -- 请求签到信息（返回）
	LuaUtil.addLuaMsg(51401302, self, self.rgetOnLine); -- 请求在线奖励信息（返回）
	LuaUtil.addLuaMsg(50104301, self, self.rloseInfo); -- 请求丢失经验所需金钱（返回）
	LuaUtil.addLuaMsg(51401482, self, self.rBlessRewardInfo); -- 请求祈福信息（返回）
	LuaUtil.addLuaMsg(51401483, self, self.rBless); -- 请求祈福（返回）
	LuaUtil.addLuaMsg(51400117, self, self.rgainSeventReward); -- 请求七天登入奖励信息（返回）
	LuaUtil.addLuaMsg(51400118, self, self.rgSeventReward); -- 请求领取登入奖励（返回）
	LuaUtil.addLuaMsg(81401411, self, self.rzdgetOnLine); -- 通知显示七天奖励（返回）
	LuaUtil.addLuaMsg(51400119, self, self.rboolSeventReward); -- 是否有登陆奖励（返回）
	LuaUtil.addLuaMsg(50101451, self, self.rLvlProxyInfo); -- 请求等级奖励信息（返回）
	LuaUtil.addLuaMsg(50101452, self, self.rLvlReward); -- 请求领取等级奖励（返回）
	LuaUtil.addLuaMsg(51401431, self, self.rkeyReward); -- 激活码领取礼包（返回）
	LuaUtil.addLuaMsg(51401411, self, self.rRestoreInfo); -- 资源找回（返回）
	LuaUtil.addLuaMsg(51401412, self, self.roneRestoreInfo); -- 请求资源找回（返回）单个
	LuaUtil.addLuaMsg(50100032, self, self.rupdateNotice); -- 系统公告（返回）
	-- LuaUtil.addLuaMsg(50100033, self, self.rupdatenoticeReward); -- 领取公告奖励（返回）
	LuaUtil.addLuaMsg(81401409, self, self.rinitiativelookReward); -- 主动推送奖励是否领取（返回）
	LuaUtil.addLuaMsg(50101453, self, self.rinquireReward); -- （返回）
	LuaUtil.addLuaMsg(81401410, self, self.rconcealReward); -- （返回）
	LuaUtil.addLuaMsg(51401830, self, self.SetMonGiftData); -- 周一礼包界面信息（返回）

	Lua_MsgUtil.addEventListener("OPEN_SEVENTDAY_WINDOW", self, self.openSeventDayWindow);
end

function Lua_RewardProxy:rgetQiandaoProxyInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51401401();
		msg:ParseFromString(mp.data);
		DataCenter.QiandaoData:fromServer51401401(msg);
		Lua_MsgUtil.callFunc("GETQIANDAO_UPDATE");
	end
end

function Lua_RewardProxy:rgetOnLine(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51401302();
		msg:ParseFromString(mp.data);
		DataCenter.QiandaoData:froms51401302(msg);
		Lua_MsgUtil.callFunc("GEONLINE_UPDATE");
	end
end

function Lua_RewardProxy:rloseInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50104301();
		msg:ParseFromString(mp.data);

		DataCenter.QiandaoData.need_ordinary_money = msg.need_ordinary_money; -- 铜钱
		DataCenter.QiandaoData.need_lose_money = msg.need_lose_money; -- 元宝
		DataCenter.QiandaoData.lose_time = msg.lose_time; -- 次数
		DataCenter.QiandaoData.lose_exp = msg.lose_exp; -- 元宝奖励
		DataCenter.QiandaoData.ordinary_exp = msg.ordinary_exp; -- 铜钱奖励
		-- DataCenter.QiandaoData:loseReward(msg);
	end
end

function Lua_RewardProxy:rBlessRewardInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51401482();
		msg:ParseFromString(mp.data);
		DataCenter.QiandaoData:fromServer51401482(msg);
		Lua_MsgUtil.callFunc("BLESS_UPDATE");
	end
end

function Lua_RewardProxy:rBless(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51401483();
		msg:ParseFromString(mp.data);
		DataCenter.QiandaoData:fromServer51401483(msg);
		Lua_MsgUtil.callFunc("GETBLESSB_UPDATE");
	end
end

function Lua_RewardProxy:rgainSeventReward(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51400117();
		msg:ParseFromString(mp.data);
		DataCenter.QiandaoData:fromServer51400117(msg);

		self.login_days = msg.login_days > 14 and 14 or msg.login_days;
		
		self.draw_days = msg.draw_days;
		for k,v in ipairs(self.draw_days) do
			local val = nil;
			if v == 1 then 
				val = k;
				self.index = k;
				break;
			end

			if val == nil then  
				if self.login_days == 14 then
					self.index = 14;
				else
					self.index = self.login_days + 1;
				end
			end
		end
		local data = Lua_SeventVo.new(self.index)
		Lua_MsgUtil.callFunc("UPDATE_RTICON_SHOWTIME", {iconId = 10070, showTime = data.topRightIconTips, showStr = true})
		Lua_MsgUtil.callFunc("GETSEVENT_UPDATE");
	end
end

function Lua_RewardProxy:rgSeventReward(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51400118();
		msg:ParseFromString(mp.data);
	end
end

function Lua_RewardProxy:rzdgetOnLine(mp)
	if mp.errno == 0 then
		Lua_MsgUtil.callFunc("LVLREWARD_UPDATE");
		if DataCenter.QiandaoData.login_days ~= nil then
			Lua_MsgUtil.callFunc("ADD_RIGHTTOP_ICON", 10070);

			for k,v in ipairs(self.draw_days) do
				if v == 1 then 
					self.index = k;
					break;
				end

				if self.index == nil then
					if self.login_days == 14 then
						self.index = 14;
					else
						self.index = self.login_days + 1;
					end
				end
			end
			local data = Lua_SeventVo.new(self.index)
			Lua_MsgUtil.callFunc("UPDATE_RTICON_SHOWTIME", {iconId = 10070, showTime = data.topRightIconTips, showStr= true})
		end
	end
end

function Lua_RewardProxy:rboolSeventReward(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51400119();
		msg:ParseFromString(mp.data);
		DataCenter.QiandaoData:fromServer51400119(msg);
		Lua_MsgUtil.callFunc("BOOLSEVENT_UPDATE");
	end
end

function Lua_RewardProxy:rLvlProxyInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50101451();
		msg:ParseFromString(mp.data);
		DataCenter.QiandaoData:fromServer50101451(msg);
		Lua_MsgUtil.callFunc("LVL_UPDATE");
	end
end

function Lua_RewardProxy:rLvlReward(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50101452();
		msg:ParseFromString(mp.data);
	end
end

function Lua_RewardProxy:rkeyReward(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51401431();
		msg:ParseFromString(mp.data);
		OperateAlert.show(LanUtil.getValue(121448));
	end
end

function Lua_RewardProxy:rRestoreInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51401411();
		msg:ParseFromString(mp.data);
		DataCenter.QiandaoData:fromServer51401411(msg);
		Lua_MsgUtil.callFunc("RESTOREREWARD_UPDATE");
	end
end

function Lua_RewardProxy:roneRestoreInfo(mp)
	if mp.errno == 0 then
		Lua_MsgUtil.callFunc("ONERESTOREREWARD_UPDATE");
	end
end

function Lua_RewardProxy:rupdateNotice(mp)
	local msg = ProtoPublic_pb.Proto50100032();
	msg:ParseFromString(mp.data);
	DataCenter.QiandaoData:fromServer50100032(msg);
	Lua_MsgUtil.callFunc("UPDATENOTICE_UPDATE");
end

-- function Lua_RewardProxy:rupdatenoticeReward(mp)
-- 	local msg = ProtoPublic_pb.Proto50100033();
-- 	msg:ParseFromString(mp.data);
-- 	-- DataCenter.QiandaoData:updateNotice(msg);
-- 	-- Lua_MsgUtil.callFunc("UPDATENOTICE_REWARD");
-- end

function Lua_RewardProxy:rinitiativelookReward(mp)
	DataCenter.QiandaoData:inquireReward()
end

function Lua_RewardProxy:rinquireReward(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50101453();
		msg:ParseFromString(mp.data);
		DataCenter.QiandaoData.seventsys_id = msg.qi_tian_rewards
		if msg.qi_tian_rewards == 0 then
			Lua_MsgUtil.callFunc("ADD_RIGHTTOP_ICON", 10070);
			
			-- DataCenter.QiandaoData:getSevent();
			-- for k,v in ipairs(self.draw_days) do
			-- 	if v == 1 then
			-- 		self.index = k;
			-- 		break;
			-- 	end

			-- 	if self.index == nil then
			-- 		if self.login_days == 7 then
			-- 			self.index = 7;
			-- 		else
			-- 			self.index = self.login_days + 1;
			-- 		end
			-- 	end
			-- end
			-- local data = Lua_SeventVo.new(self.index);
			-- Lua_MsgUtil.callFunc("UPDATE_RTICON_SHOWTIME", {iconId = 10070, showTime = data.topRightIconTips, showStr = true})
		else
			Lua_MsgUtil.callFunc("REMOVE_RIGHTTOP_ICON", 10070);
		end
		DataCenter.QiandaoData.lvlsys_id = msg.lvl_rewards
		DataCenter.QiandaoData.has_reward = msg.download_rewards;
		DataCenter.QiandaoData.notice_rewards = msg.notice_rewards;
		DataCenter.QiandaoData:leftBtn();
		Lua_MsgUtil.callFunc("CONEALREREWARD_UPDATE");
	end
end

function Lua_RewardProxy:rconcealReward(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto81401410();
		msg:ParseFromString(mp.data);
		for i = 1, #msg.sys_id do
			DataCenter.QiandaoData:inquireReward()
		end
	end
end

function Lua_RewardProxy:SetMonGiftData(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51401830();
		msg:ParseFromString(mp.data);
		Lua_MsgUtil.callFunc("SETMONGIFTDATA",msg);
	end
end

function Lua_RewardProxy:openSeventDayWindow()
	Lua_WindowUtil.openWin("Lua_SeventRewardWindow", WinParam.ACTION_OPEN, self.index);
end

function Lua_RewardProxy:dispose()
	Lua_MsgUtil.callFunc("REMOVE_RIGHTTOP_ICON", 10070);

	self:superCall("dispose");
end