Lua_rewardUtil = {};
function Lua_rewardUtil.getConfig()
	return getConfig({"check_in", "cycles"});
end

function Lua_rewardUtil.getawards(id)
	return getConfig({"check_in", "cycles", id, "awards"});
end

function Lua_rewardUtil.getaddupawardConfig(id, index)
	if index == 1 then
		return getConfig({"check_in", "cycles", id, "first_add_up_award"});
	else
		return getConfig({"check_in", "cycles", id, "add_up_award"});
	end
end

function Lua_rewardUtil.careerlimit(id)
	return getConfig({"check_in", "cycles", id, "career_limit"});
end

function Lua_rewardUtil.getvipwardsConfig(id)
	return getConfig({"check_in", "cycles", id, "vip_awards"});
end

function Lua_rewardUtil.getsupplementcheckinConfig(id)
	return getConfig({"check_in", "supplement_check_in"});
end





function Lua_rewardUtil.getOnlineConfig(id)
	return getConfig({"online_check", id, "award_id"});
end

function Lua_rewardUtil.getonline(id)
	return Lua_rewardUtil.getOnlineConfig()[id];
end

function Lua_rewardUtil.awardid(id,index)
	return Lua_rewardUtil.getOnlineConfig(id)[index][1];
end





function Lua_rewardUtil.getblessConfig()
	return getConfig({"blessing", "exp_blessing"});
end

function Lua_rewardUtil.blessConfig()
	return getConfig({"blessing", "money_blessing"});
end

function Lua_rewardUtil.getneedmoneyConfig(count)
	if count > #Lua_rewardUtil.getblessConfig().need_money then
		count = #Lua_rewardUtil.getblessConfig().need_money;
	end
	return Lua_rewardUtil.getblessConfig().need_money[count];
end

function Lua_rewardUtil.getvipcountConfig()
	return Lua_rewardUtil.getblessConfig().vip_count[1][1];
end

function Lua_rewardUtil.getaddexpConfig(index)
	if index > #Lua_rewardUtil.getblessConfig().add_exp then 
		index = #Lua_rewardUtil.getblessConfig().add_exp;
	end
	return Lua_rewardUtil.getblessConfig().add_exp[index];
end

function Lua_rewardUtil.needmoneyConfig(index)
	if index > #Lua_rewardUtil.getblessConfig().need_money then
		index = #Lua_rewardUtil.getblessConfig().need_money;
	end
	return Lua_rewardUtil.blessConfig().need_money[index];
end

function Lua_rewardUtil.addexpConfig(index)
	if index > #Lua_rewardUtil.getblessConfig().add_exp then
		index = #Lua_rewardUtil.getblessConfig().add_exp;
	end
	return Lua_rewardUtil.blessConfig().add_money[index];
end

function Lua_rewardUtil.vipcountConfig(index)
	return Lua_rewardUtil.blessConfig().vip_count[index][1];
end

function Lua_rewardUtil.getNeedLifeConfig(count)
	local config = getConfig({"blessing", "life_blessing"});
	if count > #config.need_money then
		count = #config.need_money;
	end
	return config.need_money[count];
end

function Lua_rewardUtil.getAddLifeConfig(index)
	local config = getConfig({"blessing", "life_blessing"});
	if index > #config.add_life then 
		index = #config.add_life;
	end
	return config.add_life[index];
end





function Lua_rewardUtil.gettotalcheckConfig()
    return getConfig({"total_check", "client_download_rewards"})
end





function Lua_rewardUtil.copper(id)
	if Lua_rewardUtil.goldrewards(id) == nil then
		return;
	end
	return Lua_rewardUtil.goldrewards(id)[1][2];
end

function Lua_rewardUtil.goldrewards(id)
	return getConfig({"restore", id, "gold_rewards"});
end

function Lua_rewardUtil.copperrewards(id)
	return getConfig({"restore", id, "copper_rewards"});
end

function Lua_rewardUtil.goldexp(id)
	return getConfig({"restore", id, "gold_exp"});
end

-- 金币找回奖励物品
function Lua_rewardUtil:copperReward(activityid, num)
	local rewardInfo = getConfig({"restore", activityid, "appear_rewards"});
	if rewardInfo ~= nil then
		return rewardInfo;
	end

	rewardInfo = getConfig({"restore", activityid, "copper_rewards_"..num})
	if rewardInfo == nil then
		return {};
	end
	return rewardInfo;
end

-- 金币找回经验
function Lua_rewardUtil:copperExp(id, index)
	local exp = getConfig({"restore", id, "copper_exp_"..index});
	if exp == nil then
		return nil;
	end
	return exp;
end

-- 礼金找回奖励物品
function Lua_rewardUtil:goldRewards(activityid, index)
	local rewardInfo = getConfig({"restore", activityid, "appear_rewards"});
	if rewardInfo ~= nil then
		return rewardInfo;
	end

	rewardInfo = getConfig({"restore", activityid, "gold_rewards_"..index})
	if rewardInfo == nil then
		return {};
	end
	return rewardInfo
end

-- 礼金找会的经验
function Lua_rewardUtil:goldExp(id, index)
	local exp = getConfig({"restore", id, "gold_exp_"..index})
	if exp == nil then
		return nil;
	end
	return exp;
end