-- 灵纹孔信息
Lua_RuneHoleVo = class("Lua_RuneHoleVo")
function Lua_RuneHoleVo:ctor()
    self:superCall("ctor");
    self.ownEssence = 0;
end

function Lua_RuneHoleVo:formServer(obj)
	if obj == nil then
		return;
	end

	self.id = obj.groove_num;--槽号0 - 7
	self.unLock = obj.unlock == 1 and true or false; --是否解锁 0是   1否
	self.runeId = obj.rune_id;--灵纹ID
	self.runeLv = obj.rune_level;--灵纹等级
	self.upCostEssence = obj.need_essence;-- 升级需要的精华
	self.bFullLv = obj.is_full_level == 1 and true or false;--是否满级 0否  1是
	self.unLockTier = obj.unlock_tier;--解锁层级
	self.color = obj.color;--品质颜色
end

function Lua_RuneHoleVo.Get:runeVo()
	if self.runeId ~= 0 then
		local vo = Lua_ToolVo.createToolVo(self.runeId);
		vo.rune_level = self.runeLv;
		return vo;
	end

	return nil;
end