checkRequire("Lua_TransCommonData");
Lua_ServantWingTransData = class("Lua_ServantWingTransData", Lua_TransCommonData);
function Lua_ServantWingTransData:ctor()
	self:superCall("ctor");
end

function Lua_ServantWingTransData.Get:config()
	return getConfig({"servant_wing", "illusion"});
end

function Lua_ServantWingTransData:sGetPanelInfo()
	local cmd = ProtoPublic_pb.Proto11400905();
	cmd.ser_type = 3;
	sendMsg(11400905, cmd);
end

function Lua_ServantWingTransData:sActivate(id)
	local cmd = ProtoPublic_pb.Proto11400906();
	cmd.ill_id = id;
	cmd.ser_type = 3;
	sendMsg(11400906, cmd);
end

function Lua_ServantWingTransData:sTransmogrify(id)
	local cmd = ProtoPublic_pb.Proto11400907();
	cmd.ill_id = id;
	cmd.ser_type = 3;
	sendMsg(11400907, cmd);
end

function Lua_ServantWingTransData:sLvlUp(id)
	local cmd = ProtoPublic_pb.Proto11400908();
	cmd.ill_id = id;
	cmd.ser_type = 3;
	sendMsg(11400908, cmd);
end

function Lua_ServantWingTransData:sRestore()
	local cmd = ProtoPublic_pb.Proto11400912();
	cmd.ser_type = 3;
	sendMsg(11400912, cmd);
end

function Lua_ServantWingTransData:fromServer(data)
	self.illId = data.ill_id;
	self:setDataList(data.illusion_list);
end

function Lua_ServantWingTransData:getActivationInfo(data)
	self.isSuccess = data.is_grade;
end

function Lua_ServantWingTransData:getTransInfo(data)
end

function Lua_ServantWingTransData:getLvlUpInfo(data)
end