checkRequire("Lua_ShopData");
Lua_ShopProxy = class("Lua_ShopProxy");
function Lua_ShopProxy:ctor()
	DataCenter.shopData = Lua_ShopData.new();

	LuaUtil.addLuaMsg(50100021, self, self.rShopInfo);
	LuaUtil.addLuaMsg(50100023, self, self.rBuyInfo);
	LuaUtil.addLuaMsg(50100024, self, self.rItemInfo);
end

-- 获取商城信息（返回）
function Lua_ShopProxy:rShopInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto50100021();
		msg:ParseFromString(mp.data);
		DataCenter.shopData:fromServer50100021(msg);
		Lua_MsgUtil.callFunc("UPDATE_PANELINFO")
	end
end

-- 商城购买（返回）
function Lua_ShopProxy:rBuyInfo(mp)
	if mp.errno == 0 then
		Lua_MsgUtil.callFunc("SHOP_BUY")
	-- elseif mp.errno == 1015 then
	-- 	OperateAlert.show(LanUtil.getValue(121220));
	-- elseif mp.errno == 1016 then
	-- 	OperateAlert.show(LanUtil.getValue(121221));
	-- elseif mp.errno == 1017 then
	-- 	OperateAlert.show(LanUtil.getValue(121222));
	-- elseif mp.errno == 1018 then
	-- 	OperateAlert.show(LanUtil.getValue(121223));
	-- elseif mp.errno == 1019 then
	-- 	OperateAlert.show(LanUtil.getValue(121224));
	end
end

-- 请求获取物品的详细信息（返回）
function Lua_ShopProxy:rItemInfo(mp)
    if mp.errno == 0 then
        local msg = ProtoPublic_pb.Proto50100024();
        msg:ParseFromString(mp.data);
    end
end





-- 获取商城面板信息
function Lua_ShopProxy:sInitMsg(malltype)
    local cmd = ProtoPublic_pb.Proto10100021();
    cmd.mall_type = malltype;
    sendMsg(10100021, cmd);
end

-- 赠送商城道具
function Lua_ShopProxy:sSendItemMsg(shop_type, item_id, item_anount, player_name)
    local cmd = ProtoPublic_pb.Proto10100022();
    cmd.shop_type = shop_type;
    cmd.item_id = item_id;
    cmd.item_anount = item_anount;
    cmd.player_name = player_name;
    sendMsg(10100022, cmd);
end

-- 商城购买
function Lua_ShopProxy:sBuyMsg(shop_type, item_id, buy_amount)
    local cmd = ProtoPublic_pb.Proto10100023();
    cmd.shop_type = shop_type;
    cmd.item_id = item_id;
    cmd.buy_amount = buy_amount;
    sendMsg(10100023, cmd);
end

-- 请求获取物品的详细信息（已弃用）
function Lua_ShopProxy:sItemInfoMsg(item_id)
    local cmd = ProtoPublic_pb.Proto10100024();
    cmd.item_id = item_id;
    sendMsg(10100024, cmd);
end