Lua_WarningTipsWindow =  class("Lua_WarningTipsWindow", Lua_Window);
function Lua_WarningTipsWindow:ctor()
	self:superCall("ctor");
	self.layer = 500;
	self.windowName = "Lua_WarningTipsWindow";
	self.skinName = "WarningTipsWindow_skin";
	self.isModel = false;
	self.showingIndex = -1;
	self.autoCloseCount = 0;
	self.showClose = false;
	self.showBg = false;
end
function Lua_WarningTipsWindow:buildShowItem()
	self:superCall("buildShowItem");

	LuaUtil.setObjPos(self.content, 0, - MainWinDefine.V_height / 2 + 300,0);
end	

function Lua_WarningTipsWindow:showWin(data)
	self.startTime = getTime();
	self.lastTime = data.lt;
	self.tipsSp:setAltas(data.atlas,data.spname);
	self.tipsSp:resetSize();
	self:addTimer("Lua_WarningTipsWindow", 0.5, self, self.onTimerCount);
end
function Lua_WarningTipsWindow:onTimerCount()
	if getTime() - self.startTime > self.lastTime then
		self:hide();
	end
end