-- 夺宝大逃杀奖励vo
Lua_SnatchWarGiftVo = class("Lua_SnatchWarGiftVo");
function Lua_SnatchWarGiftVo:ctor(obj)
    self:superCall("ctor");
    self.giftId = 0;
	self.giftName = "";
	self.handMaxNum = 0;
	self.rewardId = 0;
	self.buffId = 0;
	self.sort = 0;
	self.curHandNum = 0;
	self.taskDesc = "";
	self.monster_id = 0;

    if obj ~= nil then
	    self:updateConfigInfo(obj);
	end
end

function Lua_SnatchWarGiftVo:updateConfigInfo(obj)
	self.giftId = tonumber(obj.id);
	self.giftName = obj.name;
	self.handMaxNum = obj.cond;
	self.rewardId = obj.reward_id;
	self.buffId = obj.buff_id;
	self.sort = obj.sort;
	self.taskDesc = obj.taskDesc;
	self.monster_id = tonumber(obj.monster_id);
end

function Lua_SnatchWarGiftVo:updateServerInfo(obj)
	if tonumber(obj.id) ~= self.giftId then
		return;
	end

	self.curHandNum = obj.value;
end

function Lua_SnatchWarGiftVo.Get:showCurDesc()
	local str = self.giftName.."：";
	if self.handMaxNum > 0 then
		if self.curHandNum < self.handMaxNum then
			str = str..Lua_ColorDefine.colorStr(self.curHandNum.."/"..self.handMaxNum, Lua_ColorDefine.GREEN_STR);
		else
			str = str..Lua_ColorDefine.colorStr(self.handMaxNum.."/"..self.handMaxNum, Lua_ColorDefine.RED_STR);
		end
	else
		str = str..Lua_ColorDefine.colorStr(tostring(self.curHandNum), Lua_ColorDefine.GREEN_STR);
	end

	return str;
end

function Lua_SnatchWarGiftVo.Get:canCollect()
	if self.handMaxNum > 0 then
		if self.curHandNum < self.handMaxNum then
			return true;
		else
			return false;
		end
	else
		return true;
	end
end

function Lua_SnatchWarGiftVo.Get:showRewards()
	if self.rewardId == nil then
		return {};
	end

	if self.rewardList == nil then
		self.rewardList = Lua_RewardsUtil.getRewardList(self.rewardId).rewards;
	end
	return self.rewardList;
end