checkRequire("Lua_ServantCommonData");
Lua_TalismanData = class("Lua_TalismanData", Lua_ServantCommonData);
function Lua_TalismanData:ctor()
end

function Lua_TalismanData:sGetPanelInfo()
	sendMsg(11403701);
end

function Lua_TalismanData:sServantAnvance()
	sendMsg(11403702);
end

function Lua_TalismanData:sUseItem(index, num)
	local cmd = ProtoPublic_pb.Proto11403708();
	cmd.index = index;
	cmd.use_num = num
	sendMsg(11403708, cmd);
end

function Lua_TalismanData:sUse(id, type)
	local cmd = ProtoPublic_pb.Proto11403715();
	cmd.fairy_id = id;
	cmd.wear_on = type;
	sendMsg(11403715, cmd);
end
function Lua_TalismanData:sSkillLvlUp(id)
	local cmd = ProtoPublic_pb.Proto11403707();
	cmd.skill_id = id;
	sendMsg(11403707, cmd);
end

function Lua_TalismanData:sHuanXingMsg(shape_id)
	local cmd = ProtoPublic_pb.Proto11403709();
	cmd.shape_id = shape_id;
	sendMsg(11403709, cmd);
end

function Lua_TalismanData.Get:config()
	if self._config == nil then
		self._config = getConfig({"fairy_act"});
	end
	return self._config;
end

function Lua_TalismanData:fromServer51403701(data)
	self.isMaxLvl = data.is_max_lvl;
	self.evolutionExp = data.evolution_exp;
	self.servantShape = data.fairy_shape;
	self.isUsing = data.is_wear
	self.name = data.fairy_name;
	self.force = data.force;

	self:calcLvl(data.evolution_lvl);
	self:getCurAttrData(data.total_prop_list);
	self:getNextAttrData(data.next_prop_list);
	self:getSkillListData(data.skill_list);
	self:getPanaceaListData(data.use_soul);
end

function Lua_TalismanData:advance(data)
	-- print("data.is_evolution  "..data.is_evolution);
end

function Lua_TalismanData:skillLvlUp(data)
	for i = 1, self.skillVoList:getSize() do
		if self.skillVoList[i].skillId == data.skill_id then
			self.skillVoList[i].skillLvl = data.skill_lvl;
		end
	end
end

function Lua_TalismanData:updateState(data)
	if data.wear_on == 1 then
		self.isUsing = 1;
		self.servantShape = data.fairy_id;
	else
		self.isUsing = 0;
		self.servantShape = 0;
	end
end

function Lua_TalismanData:useItem(data)
	-- local itemList = self.panaceaToolVoList;
	-- itemList[data.index+1]
end

function Lua_TalismanData:setShapeId(msg)
	self.servantShape = msg.shape_id;
end

function Lua_TalismanData:getBaseAttrDic()
	return self.config.fairy_act_base;
end

function Lua_TalismanData:getShapConfig()
	return self.config.fairy_act_shape;
end