Lua_TreasureBoxVo = class("Lua_TreasureBoxVo");
function Lua_TreasureBoxVo:ctor(stage_index, reward_index)
    self.stage_index = stage_index;
    self.reward_index = reward_index;
end

function Lua_TreasureBoxVo:fromServer(v)
    self.content = v.content;
   
    self.reward_set = v.reward_set;
    self.cond = tonumber(tostring(v.cond[2]));
    self.roll_number=tonumber(tostring(v.cond[1]))
    self.draw_flag = v.draw_flag
    self.spec_effect_item=v.spec_effect_item
  

end

function Lua_TreasureBoxVo.Get:iconName()
    if self.cond == 1 then
        -- ߼
        if self.draw_flag == 0 or self.draw_flag == 2 then
            return "ui_cbzd_icon1"
        else
            return "ui_cbzd_icon1_s"
        end
    else
        if self.draw_flag == 0 or self.draw_flag == 2 then
            return "ui_cbzd_icon2"
        else
            return "ui_cbzd_icon2_s"
        end
    end
end

function Lua_TreasureBoxVo.Get:itemVoArr()
    local arr = Array()
    if self.reward_set ~= nil and #self.reward_set ~= 0 then
        for key, value in ipairs(self.reward_set) do
            local itemVo = Lua_ToolVo.createToolVo(value.id, value.amount, value.bind)
            itemVo:fromServer(value)
            itemVo.showeffect=false         
            for i=1,#self.spec_effect_item do                    
            if tonumber(value.id)==tonumber(self.spec_effect_item[i]) then            
            itemVo.showeffect=true
            end
            end       
            arr:add(itemVo)
        end
    end
    return arr
end
function Lua_TreasureBoxVo.Get:rollNumber()
if self.roll_number~=nil then
   return self.roll_number
   end
end
