checkRequire("Lua_TreasureActivityData");
Lua_TreasureActivityProxy = class("Lua_TreasureActivityProxy");
function Lua_TreasureActivityProxy:ctor()
	DataCenter.treasureActivityData = Lua_TreasureActivityData.new();

	LuaUtil.addLuaMsg(51400025, self, self.rTreasurePanelInfo);
end

function Lua_TreasureActivityProxy:rTreasurePanelInfo(mp)
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51400025();
		msg:ParseFromString(mp.data);
		DataCenter.treasureActivityData:fromServer51400025(msg);
	end
end

-- 请求藏宝之地面板数据
function Lua_TreasureActivityProxy:sInitMsg()
	sendMsg(11400025);
end

-- 藏宝之地切换层次
-- function Lua_TreasureActivityProxy:sChangeClassMsg(stage_index)
-- 	local cmd = ProtoPublic_pb.Proto11400026();
-- 	cmd.stage_index = stage_index;
-- 	sendMsg(11400026, cmd);
-- end

-- 藏宝之地领取奖励
function Lua_TreasureActivityProxy:sGetRewardMsg(stage_index, reward_index, item_id)
	local cmd = ProtoPublic_pb.Proto11400027();
	cmd.stage_index = stage_index;
	cmd.reward_index = reward_index;
	cmd.item_id = item_id;
	sendMsg(11400027, cmd);
end