checkRequire("Lua_TuJianUtil");
checkRequire("Lua_TujianData");
Lua_TuJianProxy = class("Lua_TuJianProxy");
function Lua_TuJianProxy:ctor()
	DataCenter.TujianData = Lua_TujianData.new();
	DataCenter.TuJianUtil = Lua_TuJianUtil.new();

	LuaUtil.addLuaMsg(51404001, self, self.rIllusInfo);
	LuaUtil.addLuaMsg(81404007, self, self.rIllusUpdataInfo);
end

function Lua_TuJianProxy:rIllusInfo(mp)--图鉴列表信息返回
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto51404001();
		msg:ParseFromString(mp.data);
		DataCenter.TujianData:fromServer51404001(msg);
		Lua_MsgUtil.callFunc("SHOW_ILLUSINFO");	
	end
end

function Lua_TuJianProxy:rIllusUpdataInfo(mp)--数据刷新
	if mp.errno == 0 then
		local msg = ProtoPublic_pb.Proto81404007();
		msg:ParseFromString(mp.data);
		DataCenter.TujianData:fromServer81404007(msg);
		Lua_MsgUtil.callFunc("SHOW_ILLUSINFO");
	end
end