Lua_WulindahuiUtil = class("Lua_WulindahuiUtil");
function Lua_WulindahuiUtil:ctor()
end

function Lua_WulindahuiUtil.Get:boxIndex()
	if self._boxIndex == nil then
		self._boxIndex = getConfig({"wulin_congress", "box_index", "arr"});
	end
	return self._boxIndex;
end

function Lua_WulindahuiUtil.Get:fightEndTickTime()
	if self._fightEndTickTime == nil then
		self._fightEndTickTime = getConfig({"wulin_congress", "settlement_tick", "value"});
	end
	return self._fightEndTickTime;
end

function Lua_WulindahuiUtil.Get:rankRewardsArr()
	if self._rankRewardsArr == nil then
		self._rankRewardsArr = Array();

		local isShow;
		local section;
		local config = getConfig({"wulin_rank_reward"});
		for i = 1, #config do
			isShow = config[i].section[2] == nil and true or false;
			section = config[i].section[2] == nil and config[i].section[1] or config[i].section[1] .. "-" .. config[i].section[2];
			self._rankRewardsArr:add({isShow = isShow, section = section, rewardId = config[i].reward_id});
		end
	end
	return self._rankRewardsArr;
end

function Lua_WulindahuiUtil:getFightRewardId(times)
	if self._timeRewardConfig == nil then
		self._timeRewardConfig = getConfig({"wulin_enter_reward"});
	end
	return self._timeRewardConfig[times];
end