Lua_XianShiUtil = class("Lua_XianShiUtil");
function Lua_XianShiUtil:ctor()
end

function Lua_XianShiUtil.Get:xianShiConfig()
	return getConfig({"xianshi_week"});
end

function Lua_XianShiUtil.Get:weekList()
	local list = self.xianShiConfig;
	local arr = Array();
	for k,v in ipairs(list) do
		for i,j in pairs(v) do
			arr:add({id = i, index = k, name = j, val = j})
		end
	end

	local list = {["start_time"] = 0, ["monday"] = 1, ["tuesday"] = 2, ["wednesday"] = 3,
		["thursday"] = 4, ["friday"] = 5, ["saturday"] = 6, ["weekday"] = 7};
	local day = os.date("%w");
	local len = arr:getSize();
	for i = 1, len do
	    for j = i + 1, len do
	        local a = arr[i];
	        local b = arr[j];
	        if arr[i].index ~= arr[j].index then
	        	break;
	        end

	        if list[arr[i].id] > list[arr[j].id] then
	            local temp = arr[i];
	            arr[i] = arr[j];
	            arr[j] = temp;
	        end    
	    end
	end

	for i = 1, len do
		arr[i].val = tostring(list[arr[i].id]) == day;
	end
	return arr;
end