-- 生肖技能扩展Vo
Lua_ZodiacSkillExtendVo = class("Lua_ZodiacSkillExtendVo");
function Lua_ZodiacSkillExtendVo:ctor(id, config)
    self.id = id; 	
    if config == nil then
    	config = getConfig({ "zodiac_expand", id });
    end
    self.config = config;
end

function Lua_ZodiacSkillExtendVo.Get:expend()
	return self.config.expend;
end

function Lua_ZodiacSkillExtendVo.Get:limit()
	return self.config.limit;
end

function Lua_ZodiacSkillExtendVo.Get:expendVo()
	if self._expendItemVo == nil then
		self._expendItemVo = Lua_ToolVo.new(self.expend[1], self.expend[2]);
	end
	return self._expendItemVo;
end

function Lua_ZodiacSkillExtendVo.Get:attrsArr()
	if self._attrsArr == nil then
		self._attrsArr = Array();
		if self.limit ~= nil then
			self._attrsArr:add({ name = LanUtil.getValue(143449), value = self.limit});
		end
		
		for k,v in ipairs(Lua_ThingDefine.params) do
			local val = self.config[v];
			if val ~= nil then
				local list = {};
	            list.name = Lua_ThingDefine.getParamName(v).."：";
	            if Lua_ThingDefine.isPercentParam(v) then
	                val = val .. "%";
	            end
	            list.value = val;
	            self._attrsArr:add(list);
			end
		end
	end
	return self._attrsArr;
end