-- 生肖技能Vo
Lua_ZodiacSkillVo = class("Lua_ZodiacSkillVo");
function Lua_ZodiacSkillVo:ctor(id, config)
    self.id = id; 	
    if config == nil then
    	config = getConfig({ "zodiac_skills", id });
    end
    self.config = config;

    self:resetServerInfo();
end

function Lua_ZodiacSkillVo:resetServerInfo()
	self.state = 0;
end

function Lua_ZodiacSkillVo.Set:state(val)
	if type(val) == "number" then
		self._state = val;
	end
end

function Lua_ZodiacSkillVo.Get:state()
	return self._state;
end

function Lua_ZodiacSkillVo.Get:baseId()
	return self.config.baseID;
end

function Lua_ZodiacSkillVo.Get:lv()
	return self.config.lv;
end

function Lua_ZodiacSkillVo.Get:remark()
	return self.config.remark;
end

function Lua_ZodiacSkillVo.Get:activateCond()
	return self.config.activation_cond;
end

function Lua_ZodiacSkillVo.Get:skillDes()
	return self.config.dic;
end

function Lua_ZodiacSkillVo.Get:skillType()
	return self.config.skill_types;
end

function Lua_ZodiacSkillVo.Get:atlasName()
	return self.config.atlasName;
end

function Lua_ZodiacSkillVo.Get:iconName()
	return self.config.iconName;
end

-- 激活技能需要的装备阶数
function Lua_ZodiacSkillVo.Get:needOrder()
	return self.activateCond[1];
end

-- 激活技能需要的装备数量
function Lua_ZodiacSkillVo.Get:needNum()
	return self.activateCond[2];
end