Lua_SocketManager = class("Lua_SocketManager");

function Lua_SocketManager.getInstace()
	if Lua_SocketManager.instance == nil then
		Lua_SocketManager.instance = Lua_SocketManager.new();
	end
	return Lua_SocketManager.instance;
end

function Lua_SocketManager:init()
	self.key = MsgUtil.addEventListener("CONNECT_SUCCESS", self, self.onConnectSuccess);
	Lua_CommonUtil.addTimer("Lua_SocketManager", 3, self, self.onCheckSocket)
end

function Lua_SocketManager:connect(type, ip, port)
	if self.connectList == nil then
		self.connectList = {};
	end
	if self.connectList[type] == 1 then
		self:disconnect(type);
	end
	self.connectList[type] = 1;
    local fun2c = tolua.getmethod(self.cmanangerType, 'getConnection', typeof('System.Int32'));
    local con = fun2c:Call(self.cmananger, type)        
    fun2c:Destroy()

    local tcon = typeof('Connection');
	local fun3c = tolua.getmethod(tcon, 'connect', typeof('System.String'),typeof('System.Int32'));
	print("connect:", ip, port);
	fun3c:Call(con, ip, port);
	fun3c:Destroy();
end

function Lua_SocketManager.Get:cmanangerType()
	if self._cmanangerType == nil then
		initReflection();      
		self._cmanangerType = typeof('ConnectionManager');
	end
	return self._cmanangerType;
end

function Lua_SocketManager.Get:cmananger()
	if self._cmananger == nil then  
	    local func = tolua.getmethod(self.cmanangerType, 'getInstace');
	    self._cmananger = func:Call()        
	    func:Destroy()
	end
	return self._cmananger;
end

function Lua_SocketManager:disconnect(type)
	if self.connectList ~= nil then
		self.connectList[type] = 0;
	end
	local fun2c = tolua.getmethod(self.cmanangerType, 'closeConnenction', typeof('System.Int32'));
    local con = fun2c:Call(self.cmananger, type)        
    fun2c:Destroy()
end

function Lua_SocketManager:dicconnectAll()
	if self.connectList == nil then
		return;
	end
	for k,v in pairs(self.connectList) do
		if v == 1 then
			self:disconnect(tonumber(v));
		end
	end
end

function Lua_SocketManager:onCheckSocket()
	if self.connectList == nil then
		return;
	end
	for k,v in pairs(self.connectList) do
		if v == 1 then
			sendMsg(10999999, nil, tonumber(k));
		end
	end
end

function Lua_SocketManager:onConnectSuccess(o)
	Lua_MsgUtil.callFunc("LUA_CONNECT_SUCCESS", o);
	if tostring(o) == "1" then--登录请求移到这里
		initReflection();

		local t1 = typeof("ServerConfig");
		local obj = tolua.createinstance(t1);
		local field1 = tolua.getproperty(t1, 'userID');
		local userID = field1:Get(obj,nil);
		local field2 = tolua.getproperty(t1, 'flag');
		local flag = field2:Get(obj,nil);

		local cmd = ProtoPublic_pb.Proto10600108();
		cmd.account = userID;
		cmd.session = flag;
		cmd.server_flag = DataCenter.serverData.selectServerData.flag;
		cmd.server_name = DataCenter.serverData.selectServerData.name;
		LogManager.getInstance():showLog("onConnectSuccess:".."  "..userID.."  "..flag.."  "..cmd.server_flag.."  "..cmd.server_name);
		sendMsg(10600108, cmd);
	end
end